package com.enus.myzik;

import android.app.AlertDialog.Builder;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.PackageInfo;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Vibrator;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.webkit.MimeTypeMap;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.wireme.mediaserver.ContentTree;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.teleal.cling.model.message.header.EXTHeader;

public class Add_File_Activity2 extends MzActivity {
    private CustomFileAdapter_Button2 Adapter;
    private ArrayList<CustomListItem> Items;
    private MzServerApp MzApp = null;
    private final BroadcastReceiver br = new C00261();
    private final BroadcastReceiver br4cp = new C00282();
    private final BroadcastReceiver brMS = new C00293();
    ImageView btnAddExt = null;
    private boolean isFindDropBox = false;
    Context mContext;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDoneClickListener = new C00315();
    OnItemClickListener mItemClickListener = new C00304();
    Vibrator mVib = null;
    ListView mlvList;
    TextView mtvText;
    private int nType = 0;
    ProgressDialog pdfile = null;
    private String strListName = EXTHeader.DEFAULT_VALUE;
    private String strTableName = EXTHeader.DEFAULT_VALUE;
    String strpath = EXTHeader.DEFAULT_VALUE;

    class C00261 extends BroadcastReceiver {
        C00261() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("cling.android.Router") && intent.getExtras() != null) {
                String strMsg = EXTHeader.DEFAULT_VALUE;
                strMsg = intent.getExtras().getString("enus");
                if (strMsg != null && strMsg.length() > 0 && strMsg.compareTo("getInfo") == 0 && Add_File_Activity2.this.MzApp != null) {
                    String strApMode = Add_File_Activity2.this.MzApp.GetApMode();
                    if (strApMode.compareTo("none") == 0 || strApMode.compareTo("APCLI") == 0) {
                        Add_File_Activity2.this.btnAddExt.setImageResource(C0181R.drawable.icon_cloud);
                    } else {
                        Add_File_Activity2.this.btnAddExt.setImageResource(C0181R.drawable.icon_cloud_g);
                    }
                }
            }
        }
    }

    class C00282 extends BroadcastReceiver {

        class C00271 implements DialogInterface.OnClickListener {
            C00271() {
            }

            public void onClick(DialogInterface dialog, int which) {
                if (Add_File_Activity2.this.Adapter != null) {
                    Add_File_Activity2.this.Adapter.StopCp();
                }
                dialog.dismiss();
                Add_File_Activity2.this.pdfile = null;
            }
        }

        C00282() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("com.enus.jjak")) {
                DLog.m0d("ui2cp", "com.enus.jjak");
                if (intent.getExtras() != null) {
                    String strMsg = EXTHeader.DEFAULT_VALUE;
                    strMsg = intent.getExtras().getString("fcopys");
                    if (!(strMsg == null || strMsg.length() <= 0 || Add_File_Activity2.this.mContext == null)) {
                        Add_File_Activity2.this.pdfile = new ProgressDialog(Add_File_Activity2.this);
                        Add_File_Activity2.this.pdfile.setProgressStyle(1);
                        Add_File_Activity2.this.pdfile.setTitle(strMsg);
                        Add_File_Activity2.this.pdfile.setMessage(" ");
                        Add_File_Activity2.this.pdfile.setCancelable(false);
                        Add_File_Activity2.this.pdfile.setButton("Cancle", new C00271());
                        Add_File_Activity2.this.pdfile.show();
                    }
                    strMsg = intent.getExtras().getString("fcopyf");
                    if (!(strMsg == null || strMsg.length() <= 0 || Add_File_Activity2.this.pdfile == null)) {
                        Add_File_Activity2.this.pdfile.dismiss();
                    }
                    strMsg = intent.getExtras().getString("fcopyu");
                    if (!(strMsg == null || strMsg.length() <= 0 || Add_File_Activity2.this.pdfile == null)) {
                        Add_File_Activity2.this.pdfile.setProgress(Integer.valueOf(strMsg).intValue());
                    }
                    strMsg = intent.getExtras().getString("fcopyuf");
                    if (strMsg != null && strMsg.length() > 0 && Add_File_Activity2.this.pdfile != null) {
                        Add_File_Activity2.this.pdfile.setMessage(strMsg);
                    }
                }
            }
        }
    }

    class C00293 extends BroadcastReceiver {
        C00293() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("android.intent.action.MEDIA_SCANNER_STARTED")) {
                if (Add_File_Activity2.this.MzApp == null) {
                    Add_File_Activity2.this.MzApp = (MzServerApp) Add_File_Activity2.this.getApplicationContext();
                }
                Add_File_Activity2.this.MzApp.ShowMsg(Add_File_Activity2.this.getApplicationContext().getString(C0181R.string.pl_msg5), 1);
                Intent intentA = new Intent(Add_File_Activity2.this, Edit_File_Activity2.class);
                intentA.putExtra("type", Add_File_Activity2.this.nType);
                intentA.putExtra("list_name", Add_File_Activity2.this.strListName);
                intentA.putExtra("table_name", Add_File_Activity2.this.strTableName);
                if (new File("/storage").listFiles() != null) {
                    intentA.putExtra("e_path", "/storage");
                } else {
                    intentA.putExtra("e_path", "/mnt");
                }
                Add_File_Activity2.this.startActivity(intentA);
                Add_File_Activity2.this.finish();
                return;
            }
            intent.getAction().equals("android.intent.action.MEDIA_SCANNER_FINISHED");
        }
    }

    class C00304 implements OnItemClickListener {
        C00304() {
        }

        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            CustomListItem Item = (CustomListItem) parent.getAdapter().getItem(position);
            String strData = Item.getPath();
            if (Item.getInfo4().compareTo("dir") == 0 || Item.getInfo4().compareTo("lnk") == 0) {
                Intent intent = new Intent(Add_File_Activity2.this, Add_File_Activity2.class);
                intent.putExtra("type", Add_File_Activity2.this.nType);
                intent.putExtra("list_name", Add_File_Activity2.this.strListName);
                intent.putExtra("table_name", Add_File_Activity2.this.strTableName);
                intent.putExtra("e_path", strData);
                Add_File_Activity2.this.startActivity(intent);
                Add_File_Activity2.this.finish();
            }
        }
    }

    class C00315 implements OnClickListener {
        C00315() {
        }

        public void onClick(View v) {
            MzServerApp MzApp = (MzServerApp) Add_File_Activity2.this.getApplicationContext();
            if (MzApp != null) {
                MzApp.ShowMsg(Add_File_Activity2.this.getResources().getString(C0181R.string.pl_done), 1);
            }
            Intent intent = new Intent(Add_File_Activity2.this, Edit_File_Activity2.class);
            intent.putExtra("type", Add_File_Activity2.this.nType);
            intent.putExtra("list_name", Add_File_Activity2.this.strListName);
            intent.putExtra("table_name", Add_File_Activity2.this.strTableName);
            if (new File("/storage").listFiles() != null) {
                intent.putExtra("e_path", "/storage");
            } else {
                intent.putExtra("e_path", "/mnt");
            }
            Add_File_Activity2.this.startActivity(intent);
            Add_File_Activity2.this.finish();
        }
    }

    class C00346 implements OnClickListener {

        class C00321 implements DialogInterface.OnClickListener {
            C00321() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
                Add_File_Activity2.this.finish();
                Add_File_Activity2.this.startActivity(new Intent(Add_File_Activity2.this, Set_Internet_Activity.class));
            }
        }

        class C00332 implements DialogInterface.OnClickListener {
            C00332() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
            }
        }

        C00346() {
        }

        public void onClick(View view) {
            String mStrTmpApMode = EXTHeader.DEFAULT_VALUE;
            mStrTmpApMode = Add_File_Activity2.this.MzApp.GetApMode();
            if (mStrTmpApMode.compareTo("none") != 0 && mStrTmpApMode.compareTo("APCLI") != 0) {
                Builder adialog = new Builder(Add_File_Activity2.this);
                adialog.setIcon(C0181R.drawable.ic_launcher);
                adialog.setTitle(Add_File_Activity2.this.getResources().getString(C0181R.string.error_activity_title));
                adialog.setMessage(Add_File_Activity2.this.getResources().getString(C0181R.string.info_msg3));
                adialog.setNegativeButton(Add_File_Activity2.this.getResources().getString(C0181R.string.info_msg8), new C00321());
                adialog.setPositiveButton(Add_File_Activity2.this.getResources().getString(C0181R.string.info_msg2), new C00332());
                adialog.create();
                adialog.setCancelable(false);
                adialog.show();
            } else if (Add_File_Activity2.this.isFindDropBox) {
                Add_File_Activity2.this.mVib.vibrate(50);
                intent = new Intent("android.intent.action.GET_CONTENT");
                intent.setType("file/*");
                Add_File_Activity2.this.startActivityForResult(intent, 1);
            } else {
                intent = new Intent("android.intent.action.VIEW");
                intent.setData(Uri.parse("market://details?id=com.dropbox.android"));
                Add_File_Activity2.this.startActivity(intent);
            }
        }
    }

    class PInfo {
        private String appname = EXTHeader.DEFAULT_VALUE;
        private Drawable icon;
        private String pname = EXTHeader.DEFAULT_VALUE;
        private int versionCode = 0;
        private String versionName = EXTHeader.DEFAULT_VALUE;

        PInfo() {
        }

        private void prettyPrint() {
            Log.v("test", this.appname + "\t" + this.pname + "\t" + this.versionName + "\t" + this.versionCode);
        }
    }

    private ArrayList<PInfo> getInstalledApps(boolean getSysPackages) {
        ArrayList<PInfo> res = new ArrayList();
        List<PackageInfo> packs = getPackageManager().getInstalledPackages(0);
        for (int i = 0; i < packs.size(); i++) {
            PackageInfo p = (PackageInfo) packs.get(i);
            if (getSysPackages || p.versionName != null) {
                PInfo newInfo = new PInfo();
                newInfo.appname = p.applicationInfo.loadLabel(getPackageManager()).toString();
                newInfo.pname = p.packageName;
                newInfo.versionName = p.versionName;
                newInfo.versionCode = p.versionCode;
                newInfo.icon = p.applicationInfo.loadIcon(getPackageManager());
                res.add(newInfo);
            }
        }
        return res;
    }

    private boolean isInstalledDropBox() {
        List<PackageInfo> packs = getPackageManager().getInstalledPackages(0);
        for (int i = 0; i < packs.size(); i++) {
            PackageInfo p = (PackageInfo) packs.get(i);
            if (p.versionName != null && p.packageName.compareTo("com.dropbox.android") == 0) {
                return true;
            }
        }
        return false;
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.add_file2);
        this.isFindDropBox = isInstalledDropBox();
        onInit(getApplicationContext());
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        this.Adapter = null;
        this.Adapter = new CustomFileAdapter_Button2(this.mContext, C0181R.layout.add_file2, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName, this.strListName);
        this.mlvList.setEmptyView(this.mtvText);
        this.mlvList.setAdapter(this.Adapter);
        this.mlvList.setOnItemClickListener(this.mItemClickListener);
        registerReceiver(this.br, new IntentFilter("cling.android.Router"));
        registerReceiver(this.br4cp, new IntentFilter("com.enus.jjak"));
        IntentFilter intentFilter4MS = new IntentFilter("android.intent.action.MEDIA_SCANNER_STARTED");
        intentFilter4MS.addAction("android.intent.action.MEDIA_SCANNER_FINISHED");
        intentFilter4MS.addDataScheme("file");
        registerReceiver(this.brMS, intentFilter4MS);
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        if (Environment.getExternalStorageState().equals("mounted")) {
            setDirInfo(this.strpath);
            setFileInfo(this.strpath);
        }
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        if (this.br != null) {
            unregisterReceiver(this.br);
        }
        if (this.brMS != null) {
            unregisterReceiver(this.brMS);
        }
        if (this.br4cp != null) {
            unregisterReceiver(this.br4cp);
        }
        super.onDestroy();
    }

    public void onBackPressed() {
        int nFind = this.strpath.lastIndexOf(File.separatorChar);
        Intent intent;
        if (nFind > 0) {
            String strData = this.strpath.substring(0, nFind);
            setDirInfo(strData);
            setFileInfo(strData);
            intent = new Intent(this, Add_File_Activity2.class);
            intent.putExtra("type", this.nType);
            intent.putExtra("list_name", this.strListName);
            intent.putExtra("table_name", this.strTableName);
            intent.putExtra("e_path", strData);
            startActivity(intent);
        } else {
            intent = new Intent(this, Edit_File_Activity2.class);
            intent.putExtra("type", this.nType);
            intent.putExtra("list_name", this.strListName);
            intent.putExtra("table_name", this.strTableName);
            if (new File("/storage").listFiles() != null) {
                intent.putExtra("e_path", "/storage");
            } else {
                intent.putExtra("e_path", "/mnt");
            }
            startActivity(intent);
        }
        finish();
    }

    public String getImgPath(Uri uri) {
        String strRes = EXTHeader.DEFAULT_VALUE;
        Cursor cursor = managedQuery(uri, new String[]{"_data"}, null, null, null);
        if (cursor == null) {
            return strRes;
        }
        int column_index = cursor.getColumnIndexOrThrow("_data");
        if (column_index == -1 || !cursor.moveToFirst()) {
            return strRes;
        }
        return cursor.getString(column_index);
    }

    public boolean setFileTable(String strPath) {
        ContentValues values = new ContentValues();
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        String strArgs = EXTHeader.DEFAULT_VALUE;
        File file = new File(strPath);
        long nSize = file.length();
        String strExt = MimeTypeMap.getFileExtensionFromUrl(Uri.fromFile(file).toString()).toLowerCase();
        String strFName = file.getName();
        strFName = strFName.substring(0, (strFName.length() - strExt.length()) - 1);
        String strMimeType = String.format("file/%s", new Object[]{strExt});
        Cursor cursor = this.mDBManager.onSelect("SELECT count(*) FROM `" + this.strTableName + "`");
        if (cursor == null) {
            return false;
        }
        if (!cursor.moveToFirst()) {
            return false;
        }
        values.put("number", Integer.valueOf(cursor.getInt(cursor.getColumnIndex("count(*)"))));
        values.put("info4", strMimeType);
        values.put("info5", strFName);
        values.put("display_name", file.getName());
        values.put("path", strPath);
        values.put("size", Long.valueOf(nSize));
        if (this.mDBManager != null) {
            if (this.mDBManager.onInsert(this.strTableName, values) == -1) {
                MzServerApp MzApp = (MzServerApp) getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg("Ins Fail", 1);
                }
            }
        }
        return true;
    }

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        DLog.m0d("mz", "onActivityResult");
        switch (requestCode) {
            case 1:
                DLog.m0d("mz", ContentTree.VIDEO_ID);
                if (resultCode == -1) {
                    DLog.m0d("mz", "RESULT_OK");
                    String FilePath = getImgPath(data.getData());
                    if (FilePath.length() < 1) {
                        FilePath = data.getData().getPath();
                    }
                    setFileTable(FilePath);
                    DLog.m0d("mz", FilePath);
                    finish();
                    MzServerApp MzApp = (MzServerApp) getApplicationContext();
                    if (MzApp != null) {
                        MzApp.ShowMsg(getResources().getString(C0181R.string.pl_done), 1);
                    }
                    Intent intent = new Intent(this, Edit_File_Activity2.class);
                    intent.putExtra("type", this.nType);
                    intent.putExtra("list_name", this.strListName);
                    intent.putExtra("table_name", this.strTableName);
                    intent.putExtra("e_path", "/mnt");
                    startActivity(intent);
                    return;
                }
                return;
            default:
                return;
        }
    }

    public boolean onInit(Context context) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mlvList = null;
        this.mtvText = null;
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mContext = context;
        this.MzApp = (MzServerApp) getApplicationContext();
        this.mlvList = (ListView) findViewById(C0181R.id.add_file_listView_Addlist);
        this.mtvText = (TextView) findViewById(C0181R.id.add_file_textView_EmptyView);
        ImageButton butDone = (ImageButton) findViewById(C0181R.id.add_file_imageButton_Done);
        this.mVib = (Vibrator) this.mContext.getSystemService("vibrator");
        this.btnAddExt = (ImageView) findViewById(C0181R.id.add_file_iv_dropbox);
        this.btnAddExt.setOnClickListener(new C00346());
        String strApMode = EXTHeader.DEFAULT_VALUE;
        strApMode = this.MzApp.GetApMode();
        if (strApMode.compareTo("none") == 0 || strApMode.compareTo("APCLI") == 0) {
            this.btnAddExt.setImageResource(C0181R.drawable.icon_cloud);
        } else {
            this.btnAddExt.setImageResource(C0181R.drawable.icon_cloud_g);
        }
        if (this.mlvList == null || this.mtvText == null || butDone == null) {
            return false;
        }
        butDone.setOnClickListener(this.mDoneClickListener);
        this.Items = new ArrayList();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        int nType = intent.getIntExtra("type", 0);
        this.strListName = intent.getStringExtra("list_name");
        strTableName = intent.getStringExtra("table_name");
        this.strpath = intent.getStringExtra("e_path");
        if (nType != 5) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")";
        this.nType = nType;
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        this.strTableName = strTableName;
        return true;
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private void setDirInfo(java.lang.String r28) {
        /*
        r27 = this;
        r25 = "bcoda";
        r5 = "Download";
        r4 = "/storage";
        r0 = r28;
        r4 = r0.compareTo(r4);
        if (r4 == 0) goto L_0x0018;
    L_0x000e:
        r4 = "/mnt";
        r0 = r28;
        r4 = r0.compareTo(r4);
        if (r4 != 0) goto L_0x008d;
    L_0x0018:
        r19 = android.os.Environment.getExternalStorageDirectory();
        r3 = new com.enus.myzik.CustomListItem;
        r4 = 0;
        r6 = "";
        r7 = "";
        r8 = "";
        r9 = "lnk";
        r10 = "";
        r11 = new java.lang.StringBuilder;
        r12 = r19.getAbsolutePath();
        r12 = java.lang.String.valueOf(r12);
        r11.<init>(r12);
        r12 = java.io.File.separator;
        r11 = r11.append(r12);
        r11 = r11.append(r5);
        r11 = r11.toString();
        r12 = 0;
        r14 = "";
        r3.<init>(r4, r5, r6, r7, r8, r9, r10, r11, r12, r14);
        r0 = r27;
        r4 = r0.Items;
        r4.add(r3);
        r3 = new com.enus.myzik.CustomListItem;
        r8 = 0;
        r9 = "bcoda";
        r10 = "";
        r11 = "";
        r12 = "";
        r13 = "lnk";
        r14 = "";
        r4 = new java.lang.StringBuilder;
        r6 = r19.getAbsolutePath();
        r6 = java.lang.String.valueOf(r6);
        r4.<init>(r6);
        r6 = java.io.File.separator;
        r4 = r4.append(r6);
        r0 = r25;
        r4 = r4.append(r0);
        r15 = r4.toString();
        r16 = 0;
        r18 = "";
        r7 = r3;
        r7.<init>(r8, r9, r10, r11, r12, r13, r14, r15, r16, r18);
        r0 = r27;
        r4 = r0.Items;
        r4.add(r3);
    L_0x008d:
        r2 = new java.io.File;
        r0 = r28;
        r2.<init>(r0);
        r21 = r2.listFiles();
        r23 = 0;
        r24 = 0;
        r16 = 0;
        if (r21 == 0) goto L_0x00b0;
    L_0x00a0:
        java.util.Arrays.sort(r21);
        r0 = r21;
        r0 = r0.length;
        r23 = r0;
        r22 = 0;
    L_0x00aa:
        r0 = r22;
        r1 = r23;
        if (r0 < r1) goto L_0x00b1;
    L_0x00b0:
        return;
    L_0x00b1:
        r13 = "";
        r14 = "";
        r9 = "";
        r20 = r21[r22];
        r4 = r20.isDirectory();
        if (r4 == 0) goto L_0x012f;
    L_0x00bf:
        r24 = 1;
        r16 = 0;
        r9 = r20.getName();
        r14 = r9;
        r13 = "dir";
    L_0x00ca:
        r4 = 1;
        r0 = r24;
        if (r0 == r4) goto L_0x00d4;
    L_0x00cf:
        r4 = 2;
        r0 = r24;
        if (r0 != r4) goto L_0x012b;
    L_0x00d4:
        r4 = ".";
        r4 = r9.startsWith(r4);
        if (r4 != 0) goto L_0x012b;
    L_0x00dc:
        r7 = new com.enus.myzik.CustomListItem;
        r8 = 0;
        r10 = "";
        r11 = "";
        r12 = "";
        r15 = r20.getPath();
        r18 = "";
        r7.<init>(r8, r9, r10, r11, r12, r13, r14, r15, r16, r18);
        r4 = "/storage";
        r0 = r28;
        r4 = r0.compareTo(r4);
        if (r4 == 0) goto L_0x0102;
    L_0x00f8:
        r4 = "/mnt";
        r0 = r28;
        r4 = r0.compareTo(r4);
        if (r4 != 0) goto L_0x0132;
    L_0x0102:
        r26 = r9.toLowerCase();
        r4 = "sd";
        r0 = r26;
        r4 = r0.startsWith(r4);
        if (r4 != 0) goto L_0x0124;
    L_0x0110:
        r4 = "sd";
        r0 = r26;
        r4 = r0.endsWith(r4);
        if (r4 != 0) goto L_0x0124;
    L_0x011a:
        r4 = "sdcard";
        r0 = r26;
        r4 = r0.endsWith(r4);
        if (r4 == 0) goto L_0x012b;
    L_0x0124:
        r0 = r27;
        r4 = r0.Items;
        r4.add(r7);
    L_0x012b:
        r22 = r22 + 1;
        goto L_0x00aa;
    L_0x012f:
        r24 = 3;
        goto L_0x00ca;
    L_0x0132:
        r0 = r27;
        r4 = r0.Items;
        r4.add(r7);
        goto L_0x012b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.enus.myzik.Add_File_Activity2.setDirInfo(java.lang.String):void");
    }

    private void setFileInfo(String dirPath) {
        File[] files = new File(dirPath).listFiles();
        int nCntFile = 0;
        if (files != null) {
            Arrays.sort(files);
            int iCount = files.length;
            for (int i = -1; i < iCount && iCount != 0; i++) {
                String strMimeType = EXTHeader.DEFAULT_VALUE;
                String strFName = EXTHeader.DEFAULT_VALUE;
                String strFNameExt = EXTHeader.DEFAULT_VALUE;
                if (i > -1) {
                    int nType;
                    File file = files[i];
                    long nSize = file.length();
                    if (file.isFile()) {
                        nCntFile++;
                        nType = 2;
                        strFNameExt = file.getName();
                        int nFindDot = strFNameExt.lastIndexOf(46);
                        String strExt = EXTHeader.DEFAULT_VALUE;
                        if (nFindDot > 0) {
                            strFName = strFNameExt.substring(0, nFindDot);
                            strExt = strFNameExt.substring(nFindDot + 1).toLowerCase();
                        } else {
                            strFName = strFNameExt;
                        }
                        strMimeType = String.format("file/%s", new Object[]{strExt});
                    } else {
                        nType = 3;
                    }
                    if ((nType == 1 || nType == 2) && !strFNameExt.startsWith(".")) {
                        this.Items.add(new CustomListItem(0, strFNameExt, EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, strMimeType, strFName, file.getPath(), nSize, EXTHeader.DEFAULT_VALUE));
                    }
                } else {
                    this.Items.add(new CustomListItem(0, getResources().getString(C0181R.string.list_msg5), EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, "file/all", EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, 0, EXTHeader.DEFAULT_VALUE));
                }
            }
            if (nCntFile == 0 && this.Items.size() > 0) {
                this.Items.remove(this.Items.size() - 1);
            }
        }
    }

    public boolean onRead() {
        Cursor cursor;
        int nColumnIdx;
        String[] strPaths = null;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        int i = 0;
        int nCount = this.mDBManager.onCount("(SELECT `path` FROM `" + this.strTableName + "` GROUP BY `path`) T1", EXTHeader.DEFAULT_VALUE);
        if (nCount > 0) {
            strPaths = new String[nCount];
            cursor = this.mDBManager.onSelect("SELECT `path` FROM '" + this.strTableName + "' GROUP BY `path`");
            if (cursor == null) {
                return false;
            }
            if (!cursor.moveToFirst()) {
                return false;
            }
            while (!cursor.isAfterLast()) {
                nColumnIdx = cursor.getColumnIndex("path");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strPaths[i] = cursor.getString(nColumnIdx);
                cursor.moveToNext();
                i++;
            }
            cursor.close();
        }
        cursor = this.mDBManager.onSelect("SELECT * FROM `File_Scanner` WHERE `type` = 2");
        if (cursor == null) {
            if (strPaths != null) {
                Arrays.fill(strPaths, null);
            }
            return false;
        } else if (cursor.moveToFirst()) {
            while (!cursor.isAfterLast()) {
                nColumnIdx = cursor.getColumnIndex("type");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                int ntype = cursor.getInt(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("display_name");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strDisplayName = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("path");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strPath = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("info4");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo4 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("info5");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo5 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("size");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                CustomListItem Item = new CustomListItem(0, strDisplayName, EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE, strInfo4, strInfo5, strPath, cursor.getLong(nColumnIdx), EXTHeader.DEFAULT_VALUE);
                if (strPaths != null) {
                    for (String equals : strPaths) {
                        if (equals.equals(strPath)) {
                            Item.setSelected(true);
                            break;
                        }
                    }
                }
                this.Items.add(Item);
                cursor.moveToNext();
            }
            cursor.close();
            if (strPaths != null) {
                Arrays.fill(strPaths, null);
            }
            return true;
        } else {
            if (strPaths != null) {
                Arrays.fill(strPaths, null);
            }
            return false;
        }
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }
}
