package com.enus.myzik;

import android.annotation.SuppressLint;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Color;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.os.Handler;
import android.os.Message;
import android.os.Vibrator;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.RelativeLayout;
import com.nostra13.universalimageloader.cache.disc.impl.UnlimitedDiscCache;
import com.nostra13.universalimageloader.cache.disc.naming.HashCodeFileNameGenerator;
import com.nostra13.universalimageloader.cache.memory.impl.LruMemoryCache;
import com.nostra13.universalimageloader.core.DisplayImageOptions;
import com.nostra13.universalimageloader.core.DisplayImageOptions.Builder;
import com.nostra13.universalimageloader.core.ImageLoader;
import com.nostra13.universalimageloader.core.ImageLoaderConfiguration;
import com.nostra13.universalimageloader.core.assist.QueueProcessingType;
import com.nostra13.universalimageloader.core.decode.BaseImageDecoder;
import com.nostra13.universalimageloader.core.download.BaseImageDownloader;
import com.nostra13.universalimageloader.utils.StorageUtils;
import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.Map.Entry;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

@SuppressLint({"ViewConstructor"})
public class CustomImageAdapter_Button extends CustomImageAdapter {
    private static final long DOUBLE_PRESS_INTERVAL = 250;
    static final int STATE_DONE = 0;
    static final int STATE_RUNNING = 1;
    static final int STATE_STOP = 2;
    static ImageLoaderConfiguration config;
    static ImageLoader imageLoader = ImageLoader.getInstance();
    static DisplayImageOptions imgDisplayOptions = new Builder().cacheInMemory().cacheOnDisc().build();
    private ArrayList<CustomListItem> Items;
    ViewHolder holder4ui = null;
    private long lastPressTime = 0;
    Context mContext;
    public DatabaseManager mDBManager = null;
    final Handler mHandler = new C00751();
    boolean mHasDoubleClicked = false;
    ProgressThread m_Thread = null;
    private String[] menuItem_f = new String[]{"현재사진추가", "다중선택 끝", "다중선택 취소"};
    private String[] menuItem_s = new String[]{"현재사진추가", "다중선택 시작"};
    int nMultiselFPos = -1;
    int nMultiselSPos = -1;
    private String strTableName = EXTHeader.DEFAULT_VALUE;

    class C00751 extends Handler {
        C00751() {
        }

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                CustomImageAdapter_Button.this.notifyDataSetChanged();
            } else if (msg.what == 1) {
                CustomImageAdapter_Button.this.notifyDataSetChanged();
            } else if (msg.what == 2) {
                MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_added), 1);
                }
            } else if (msg.what == 3) {
                MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg2), 1);
                }
            } else if (msg.what == 4) {
                MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg1), 1);
                }
            } else if (msg.what == 5) {
                MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg4), 1);
                }
            }
        }
    }

    class C00762 implements Runnable {
        C00762() {
        }

        public void run() {
            if (CustomImageAdapter_Button.this.m_Thread != null) {
                CustomImageAdapter_Button.this.m_Thread.start();
            }
        }
    }

    class C00773 implements OnLongClickListener {
        C00773() {
        }

        public boolean onLongClick(View v) {
            return false;
        }
    }

    public class LRUCache<K, V> {
        private static final float hashTableLoadFactor = 0.75f;
        private int cacheSize;
        private LinkedHashMap<K, V> map;

        public LRUCache(int cacheSize) {
            this.cacheSize = cacheSize;
            this.map = new LinkedHashMap<K, V>(((int) Math.ceil((double) (((float) cacheSize) / 0.75f))) + 1, 0.75f, true) {
                private static final long serialVersionUID = 1;

                protected boolean removeEldestEntry(Entry<K, V> entry) {
                    return size() > LRUCache.this.cacheSize;
                }
            };
        }

        public synchronized V get(K key) {
            return this.map.get(key);
        }

        public synchronized void put(K key, V value) {
            this.map.put(key, value);
        }

        public synchronized void clear() {
            this.map.clear();
        }

        public synchronized int usedEntries() {
            return this.map.size();
        }

        public synchronized Collection<Entry<K, V>> getAll() {
            return new ArrayList(this.map.entrySet());
        }
    }

    private class ProgressThread extends Thread {
        static final int STATE_DONE = 0;
        static final int STATE_RUNNING = 1;
        static final int STATE_STOP = 2;
        Handler mHandler;
        int nState = 0;
        int nTotal = 0;

        ProgressThread(Handler h) {
            this.mHandler = h;
        }

        /* JADX WARNING: inconsistent code. */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public void run() {
            /*
            r28 = this;
            r24 = 1;
            r0 = r24;
            r1 = r28;
            r1.nState = r0;
            r24 = 0;
            r0 = r24;
            r1 = r28;
            r1.nTotal = r0;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.nMultiselFPos;
            r24 = r0;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r25 = r0;
            r0 = r25;
            r0 = r0.nMultiselSPos;
            r25 = r0;
            r24 = r24 - r25;
            r24 = r24 + 1;
            r0 = r24;
            r1 = r28;
            r1.nTotal = r0;
            r0 = r28;
            r0 = r0.nTotal;
            r24 = r0;
            if (r24 <= 0) goto L_0x00ba;
        L_0x003a:
            r23 = new android.content.ContentValues;
            r23.<init>();
            r11 = 0;
            r10 = 0;
            r12 = 0;
            r15 = "";
            r16 = "";
            r17 = "";
            r18 = "";
            r19 = "";
            r20 = "";
            r21 = "";
            r22 = "";
            r14 = "";
            r14 = "";
            r7 = 0;
            r8 = 0;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r6 = r0.nMultiselSPos;
        L_0x0063:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.nMultiselFPos;
            r24 = r0;
            r24 = r24 + 1;
            r0 = r24;
            if (r6 < r0) goto L_0x0113;
        L_0x0075:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            if (r24 == 0) goto L_0x0088;
        L_0x007d:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            r25 = 1;
            r24.sendEmptyMessage(r25);
        L_0x0088:
            r24 = 0;
            r0 = r24;
            r1 = r28;
            r1.nState = r0;
            if (r8 == 0) goto L_0x00a5;
        L_0x0092:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            if (r24 == 0) goto L_0x00a5;
        L_0x009a:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            r25 = 5;
            r24.sendEmptyMessage(r25);
        L_0x00a5:
            if (r7 == 0) goto L_0x00ba;
        L_0x00a7:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            if (r24 == 0) goto L_0x00ba;
        L_0x00af:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            r25 = 2;
            r24.sendEmptyMessage(r25);
        L_0x00ba:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;
            r24 = r0;
            if (r24 == 0) goto L_0x0104;
        L_0x00c8:
            r4 = 1;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;
            r24 = r0;
            r24 = r24.isAlive();
            if (r24 == 0) goto L_0x00dc;
        L_0x00db:
            r4 = 0;
        L_0x00dc:
            r9 = 0;
            r9 = new android.content.Intent;
            r24 = "com.enus.jjak";
            r0 = r24;
            r9.<init>(r0);
            r24 = "addimg";
            r25 = "fin";
            r0 = r24;
            r1 = r25;
            r9.putExtra(r0, r1);
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.mContext;
            r24 = r0;
            r0 = r24;
            r0.sendBroadcast(r9);
        L_0x0102:
            if (r4 == 0) goto L_0x0358;
        L_0x0104:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r25 = 0;
            r0 = r25;
            r1 = r24;
            r1.m_Thread = r0;
            return;
        L_0x0113:
            r0 = r28;
            r0 = r0.nState;
            r24 = r0;
            r25 = 2;
            r0 = r24;
            r1 = r25;
            if (r0 == r1) goto L_0x0075;
        L_0x0121:
            r24 = r6 % 4;
            if (r24 != 0) goto L_0x012a;
        L_0x0125:
            r24 = 8;
            java.lang.Thread.sleep(r24);	 Catch:{ InterruptedException -> 0x0179 }
        L_0x012a:
            r0 = r28;
            r0 = r0.nState;
            r24 = r0;
            r25 = 1;
            r0 = r24;
            r1 = r25;
            if (r0 != r1) goto L_0x0075;
        L_0x0138:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;
            r24 = r0;
            r24 = r24.isInterrupted();
            if (r24 != 0) goto L_0x0075;
        L_0x014a:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r0 = r24;
            r0 = r0.mDBManager;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r25 = r0;
            r25 = r25.strTableName;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r1 = r25;
            r10 = r0.onCount(r1, r14);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = 500; // 0x1f4 float:7.0E-43 double:2.47E-321;
            r0 = r24;
            if (r10 >= r0) goto L_0x0170;
        L_0x016e:
            if (r10 >= 0) goto L_0x017e;
        L_0x0170:
            r24 = 500; // 0x1f4 float:7.0E-43 double:2.47E-321;
            r0 = r24;
            if (r10 < r0) goto L_0x0075;
        L_0x0176:
            r8 = 1;
            goto L_0x0075;
        L_0x0179:
            r5 = move-exception;
            r5.printStackTrace();
            goto L_0x012a;
        L_0x017e:
            r11 = r10;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r15 = r24.getDisplayName();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r16 = r24.getInfo1();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r17 = r24.getInfo2();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r18 = r24.getInfo3();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r19 = r24.getInfo4();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r20 = r24.getInfo5();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r21 = r24.getPath();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r12 = r24.getSize();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r0 = r24;
            r24 = r0.chkTotalSizes(r12);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            if (r24 != 0) goto L_0x026e;
        L_0x023d:
            r0 = r28;
            r0 = r0.mHandler;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            if (r24 == 0) goto L_0x0250;
        L_0x0245:
            r0 = r28;
            r0 = r0.mHandler;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r25 = 3;
            r24.sendEmptyMessage(r25);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
        L_0x0250:
            java.lang.System.gc();
            r24 = r6 % 4;
            if (r24 != 0) goto L_0x026a;
        L_0x0257:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            if (r24 == 0) goto L_0x026a;
        L_0x025f:
            r0 = r28;
            r0 = r0.mHandler;
            r24 = r0;
            r25 = 0;
            r24.sendEmptyMessage(r25);
        L_0x026a:
            r6 = r6 + 1;
            goto L_0x0063;
        L_0x026e:
            r0 = (double) r12;
            r24 = r0;
            r26 = 4751297641168502784; // 0x41f00007fc000000 float:-2.658456E36 double:4.295E9;
            r24 = (r24 > r26 ? 1 : (r24 == r26 ? 0 : -1));
            if (r24 > 0) goto L_0x033d;
        L_0x027a:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r22 = r24.getThumbPath();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r24 = r24.Items;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r24 = r0.get(r6);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = (com.enus.myzik.CustomListItem) r24;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r25 = 1;
            r24.setSelected(r25);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "number";
            r25 = java.lang.Integer.valueOf(r11);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r23.put(r24, r25);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "display_name";
            r0 = r23;
            r1 = r24;
            r0.put(r1, r15);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "info1";
            r0 = r23;
            r1 = r24;
            r2 = r16;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "info2";
            r0 = r23;
            r1 = r24;
            r2 = r17;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "info3";
            r0 = r23;
            r1 = r24;
            r2 = r18;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "info4";
            r0 = r23;
            r1 = r24;
            r2 = r19;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "info5";
            r0 = r23;
            r1 = r24;
            r2 = r20;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "path";
            r0 = r23;
            r1 = r24;
            r2 = r21;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "size";
            r25 = java.lang.Long.valueOf(r12);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r23.put(r24, r25);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = "thumb_path";
            r0 = r23;
            r1 = r24;
            r2 = r22;
            r0.put(r1, r2);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0331, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r0 = r24;
            r0 = r0.mDBManager;	 Catch:{ NullPointerException -> 0x0331, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ NullPointerException -> 0x0331, OutOfMemoryError -> 0x0352 }
            r25 = r0;
            r25 = r25.strTableName;	 Catch:{ NullPointerException -> 0x0331, OutOfMemoryError -> 0x0352 }
            r0 = r24;
            r1 = r25;
            r2 = r23;
            r0.onInsert(r1, r2);	 Catch:{ NullPointerException -> 0x0331, OutOfMemoryError -> 0x0352 }
            r7 = 1;
            goto L_0x0250;
        L_0x0331:
            r5 = move-exception;
            r5.printStackTrace();	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            goto L_0x0250;
        L_0x0337:
            r5 = move-exception;
            r5.printStackTrace();
            goto L_0x0250;
        L_0x033d:
            r0 = r28;
            r0 = r0.mHandler;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            if (r24 == 0) goto L_0x0075;
        L_0x0345:
            r0 = r28;
            r0 = r0.mHandler;	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            r24 = r0;
            r25 = 4;
            r24.sendEmptyMessage(r25);	 Catch:{ NullPointerException -> 0x0337, OutOfMemoryError -> 0x0352 }
            goto L_0x0075;
        L_0x0352:
            r5 = move-exception;
            r5.printStackTrace();
            goto L_0x0250;
        L_0x0358:
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;
            r24 = r0;
            r24.interrupt();
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;
            r24 = r0;
            r25 = 2;
            r24.setStateType(r25);
            r0 = r28;
            r0 = com.enus.myzik.CustomImageAdapter_Button.this;	 Catch:{ InterruptedException -> 0x0390 }
            r24 = r0;
            r0 = r24;
            r0 = r0.m_Thread;	 Catch:{ InterruptedException -> 0x0390 }
            r24 = r0;
            r26 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
            r0 = r24;
            r1 = r26;
            r0.join(r1);	 Catch:{ InterruptedException -> 0x0390 }
            r4 = 1;
            goto L_0x0102;
        L_0x0390:
            r5 = move-exception;
            r5.printStackTrace();
            goto L_0x0102;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.enus.myzik.CustomImageAdapter_Button.ProgressThread.run():void");
        }

        public void onInit() {
            this.nState = 0;
        }

        public void setStateType(int nState) {
            if (this.nState != 0) {
                this.nState = nState;
            }
        }

        public int getStateType() {
            return this.nState;
        }
    }

    class ViewHolder {
        ImageButton butPlus;
        ImageView ivImage;
        RelativeLayout rlLayout;

        ViewHolder() {
        }
    }

    public CustomImageAdapter_Button(Context context, int textViewResourceId, ArrayList<CustomListItem> items) {
        super(context, textViewResourceId, items);
        this.mContext = context;
        config = new ImageLoaderConfiguration.Builder(this.mContext).memoryCacheExtraOptions(96, 96).discCacheExtraOptions(96, 96, CompressFormat.JPEG, 80).threadPoolSize(5).threadPriority(4).tasksProcessingOrder(QueueProcessingType.FIFO).denyCacheImageMultipleSizesInMemory().memoryCache(new LruMemoryCache(DLNAFlags.CONNECTION_STALL)).memoryCacheSize(DLNAFlags.CONNECTION_STALL).discCache(new UnlimitedDiscCache(StorageUtils.getCacheDirectory(this.mContext))).discCacheSize(52428800).discCacheFileCount(100).discCacheFileNameGenerator(new HashCodeFileNameGenerator()).imageDownloader(new BaseImageDownloader(context)).imageDecoder(new BaseImageDecoder(true)).defaultDisplayImageOptions(DisplayImageOptions.createSimple()).build();
        imageLoader.clearDiscCache();
        imageLoader.init(config);
        this.Items = items;
    }

    public void onInit(DatabaseManager DBManager, String strTableName) {
        this.mDBManager = DBManager;
        this.strTableName = strTableName;
    }

    public void recycle() {
        int nCount = getCount();
        for (int i = 0; i < nCount; i++) {
            Bitmap bm = ((CustomListItem) this.Items.get(i)).getBitmap();
            if (bm != null) {
                bm.recycle();
            }
            ((CustomListItem) this.Items.get(i)).setBitmap(null);
        }
    }

    public int getMSel(int ntype) {
        if (ntype == 2) {
            return this.nMultiselFPos;
        }
        return this.nMultiselSPos;
    }

    public void setMSel(int nPos, int ntype) {
        if (ntype == 4) {
            if (this.nMultiselSPos >= 0) {
                ((CustomListItem) this.Items.get(this.nMultiselSPos)).setType(0);
            }
            if (this.nMultiselFPos >= 0) {
                ((CustomListItem) this.Items.get(this.nMultiselFPos)).setType(0);
            }
            this.nMultiselSPos = -1;
            this.nMultiselFPos = -1;
        } else if (ntype == 3) {
            ((CustomListItem) this.Items.get(nPos)).setType(ntype);
        } else if (ntype == 1) {
            this.nMultiselSPos = nPos;
            ((CustomListItem) this.Items.get(nPos)).setType(ntype);
        } else if (ntype == 2) {
            if (nPos < this.nMultiselSPos) {
                this.nMultiselFPos = this.nMultiselSPos;
                this.nMultiselSPos = nPos;
                ((CustomListItem) this.Items.get(this.nMultiselSPos)).setType(1);
                ((CustomListItem) this.Items.get(this.nMultiselFPos)).setType(ntype);
            } else {
                ((CustomListItem) this.Items.get(nPos)).setType(ntype);
                this.nMultiselFPos = nPos;
            }
            if (this.m_Thread != null) {
                boolean bDestroy = true;
                if (this.m_Thread.isAlive()) {
                    bDestroy = false;
                }
                while (!bDestroy) {
                    this.m_Thread.interrupt();
                    this.m_Thread.setStateType(2);
                    try {
                        this.m_Thread.join(1000);
                        bDestroy = true;
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                        this.m_Thread.stop();
                        this.m_Thread.destroy();
                    }
                }
            }
            if (this.m_Thread == null) {
                this.m_Thread = null;
                this.m_Thread = new ProgressThread(this.mHandler);
            }
            this.m_Thread.onInit();
            this.m_Thread.setDaemon(true);
            new Handler().postDelayed(new C00762(), 500);
        }
    }

    public int getCount() {
        return this.Items.size();
    }

    public String getDisplayName(int position) {
        return ((CustomListItem) this.Items.get(position)).getDisplayName();
    }

    public long getItemId(int position) {
        return (long) position;
    }

    public void setGrayScale(ImageView v) {
        ColorMatrix matrix = new ColorMatrix();
        matrix.setSaturation(0.0f);
        v.setColorFilter(new ColorMatrixColorFilter(matrix));
    }

    public boolean chkTotalSizes(long nFileSize) {
        ContentValues values = new ContentValues();
        Cursor cursor = this.mDBManager.onSelect("SELECT sum(size) FROM `" + this.strTableName + "`");
        if (cursor == null) {
            return true;
        }
        if (!cursor.moveToFirst()) {
            return true;
        }
        if (((double) (nFileSize + cursor.getLong(cursor.getColumnIndex("sum(size)")))) <= 8.3752E9d) {
            return true;
        }
        return false;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        View v = convertView;
        final int pos = position;
        if (v == null) {
            v = ((LayoutInflater) getContext().getSystemService("layout_inflater")).inflate(C0181R.layout.add_image_item, null);
            holder = new ViewHolder();
            holder.rlLayout = (RelativeLayout) v.findViewById(C0181R.id.add_image_item_relativeLaout_Back);
            holder.butPlus = (ImageButton) v.findViewById(C0181R.id.add_image_item_imageButton_Button);
            holder.ivImage = (ImageView) v.findViewById(C0181R.id.add_image_item_imageView_ImageView);
            v.setTag(holder);
        } else {
            holder = (ViewHolder) v.getTag();
        }
        CustomListItem item = (CustomListItem) this.Items.get(pos);
        if (item != null) {
            if (item.getBitmap() == null) {
                holder.ivImage.getResources().equals(Integer.valueOf(C0181R.drawable.listicon_pic));
            }
            if (item.getType() == 1) {
                holder.butPlus.setImageResource(C0181R.drawable.ic_double_s);
                holder.rlLayout.setBackgroundColor(Color.argb(255, 63, 121, 151));
            } else if (item.getType() == 2) {
                holder.butPlus.setImageResource(C0181R.drawable.ic_double_f);
                holder.rlLayout.setBackgroundColor(Color.argb(255, 63, 121, 151));
            } else {
                holder.butPlus.setImageResource(C0181R.drawable.plus);
            }
            if (item.getType() == 3) {
                try {
                    ContentValues values = new ContentValues();
                    String strArgs = EXTHeader.DEFAULT_VALUE;
                    String strDisplayName = EXTHeader.DEFAULT_VALUE;
                    String strInfo1 = EXTHeader.DEFAULT_VALUE;
                    String strInfo2 = EXTHeader.DEFAULT_VALUE;
                    String strInfo3 = EXTHeader.DEFAULT_VALUE;
                    String strInfo4 = EXTHeader.DEFAULT_VALUE;
                    String strInfo5 = EXTHeader.DEFAULT_VALUE;
                    String strPath = EXTHeader.DEFAULT_VALUE;
                    String strThumbPath = EXTHeader.DEFAULT_VALUE;
                    strArgs = EXTHeader.DEFAULT_VALUE;
                    int nCount = this.mDBManager.onCount(this.strTableName, strArgs);
                    MzServerApp MzApp;
                    if (nCount >= 500 || nCount < 0) {
                        MzApp = (MzServerApp) this.mContext.getApplicationContext();
                        if (nCount >= 500) {
                            MzApp.ShowMsg(this.mContext.getResources().getString(C0181R.string.pl_msg4), 1);
                        }
                    } else {
                        int nNumber = nCount;
                        strDisplayName = ((CustomListItem) this.Items.get(pos)).getDisplayName();
                        strInfo1 = ((CustomListItem) this.Items.get(pos)).getInfo1();
                        strInfo2 = ((CustomListItem) this.Items.get(pos)).getInfo2();
                        strInfo3 = ((CustomListItem) this.Items.get(pos)).getInfo3();
                        strInfo4 = ((CustomListItem) this.Items.get(pos)).getInfo4();
                        strInfo5 = ((CustomListItem) this.Items.get(pos)).getInfo5();
                        strPath = ((CustomListItem) this.Items.get(pos)).getPath();
                        long nSize = ((CustomListItem) this.Items.get(pos)).getSize();
                        if (!chkTotalSizes(nSize)) {
                            MzApp = (MzServerApp) this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(this.mContext.getResources().getString(C0181R.string.pl_msg2), 1);
                            }
                        } else if (((double) nSize) <= 4.295E9d) {
                            strThumbPath = ((CustomListItem) this.Items.get(pos)).getThumbPath();
                            ((CustomListItem) this.Items.get(pos)).setSelected(true);
                            values.put("number", Integer.valueOf(nNumber));
                            values.put("display_name", strDisplayName);
                            values.put("info1", strInfo1);
                            values.put("info2", strInfo2);
                            values.put("info3", strInfo3);
                            values.put("info4", strInfo4);
                            values.put("info5", strInfo5);
                            values.put("path", strPath);
                            values.put("size", Long.valueOf(nSize));
                            values.put("thumb_path", strThumbPath);
                            this.mDBManager.onInsert(this.strTableName, values);
                            notifyDataSetChanged();
                            MzApp = (MzServerApp) this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(this.mContext.getResources().getString(C0181R.string.pl_added), 1);
                            }
                        } else {
                            MzApp = (MzServerApp) this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(this.mContext.getResources().getString(C0181R.string.pl_msg1), 1);
                            }
                        }
                    }
                } catch (OutOfMemoryError e) {
                    e.printStackTrace();
                }
            }
            imageLoader.displayImage("file://" + item.getPath(), holder.ivImage, imgDisplayOptions);
            if (item.getType() == 0) {
                if (item.isSelected()) {
                    if (this.nMultiselSPos < 0 || this.nMultiselFPos < 0) {
                        holder.rlLayout.setBackgroundColor(Color.argb(255, 66, 66, 66));
                    } else {
                        holder.rlLayout.setBackgroundColor(Color.argb(255, 63, 121, 151));
                    }
                    holder.ivImage.setScaleType(ScaleType.CENTER_CROP);
                    setGrayScale(holder.ivImage);
                } else {
                    holder.rlLayout.setBackgroundColor(0);
                    holder.ivImage.clearColorFilter();
                    holder.ivImage.setScaleType(ScaleType.CENTER_CROP);
                }
            }
            holder.ivImage.setOnLongClickListener(new C00773());
            holder.butPlus.setOnClickListener(new OnClickListener() {
                public void onClick(View v) {
                    ((Vibrator) CustomImageAdapter_Button.this.mContext.getSystemService("vibrator")).vibrate(25);
                    try {
                        ContentValues values = new ContentValues();
                        String strArgs = EXTHeader.DEFAULT_VALUE;
                        String strDisplayName = EXTHeader.DEFAULT_VALUE;
                        String strInfo1 = EXTHeader.DEFAULT_VALUE;
                        String strInfo2 = EXTHeader.DEFAULT_VALUE;
                        String strInfo3 = EXTHeader.DEFAULT_VALUE;
                        String strInfo4 = EXTHeader.DEFAULT_VALUE;
                        String strInfo5 = EXTHeader.DEFAULT_VALUE;
                        String strPath = EXTHeader.DEFAULT_VALUE;
                        String strThumbPath = EXTHeader.DEFAULT_VALUE;
                        strArgs = EXTHeader.DEFAULT_VALUE;
                        int nCount = CustomImageAdapter_Button.this.mDBManager.onCount(CustomImageAdapter_Button.this.strTableName, strArgs);
                        MzServerApp MzApp;
                        if (nCount >= 500 || nCount < 0) {
                            MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                            if (nCount >= 500) {
                                MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg4), 1);
                                return;
                            }
                            return;
                        }
                        int nNumber = nCount;
                        strDisplayName = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getDisplayName();
                        strInfo1 = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getInfo1();
                        strInfo2 = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getInfo2();
                        strInfo3 = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getInfo3();
                        strInfo4 = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getInfo4();
                        strInfo5 = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getInfo5();
                        strPath = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getPath();
                        long nSize = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getSize();
                        if (!CustomImageAdapter_Button.this.chkTotalSizes(nSize)) {
                            MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg2), 1);
                            }
                        } else if (((double) nSize) <= 4.295E9d) {
                            strThumbPath = ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).getThumbPath();
                            ((CustomListItem) CustomImageAdapter_Button.this.Items.get(pos)).setSelected(true);
                            values.put("number", Integer.valueOf(nNumber));
                            values.put("display_name", strDisplayName);
                            values.put("info1", strInfo1);
                            values.put("info2", strInfo2);
                            values.put("info3", strInfo3);
                            values.put("info4", strInfo4);
                            values.put("info5", strInfo5);
                            values.put("path", strPath);
                            values.put("size", Long.valueOf(nSize));
                            values.put("thumb_path", strThumbPath);
                            CustomImageAdapter_Button.this.mDBManager.onInsert(CustomImageAdapter_Button.this.strTableName, values);
                            CustomImageAdapter_Button.this.notifyDataSetChanged();
                            MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_added), 1);
                            }
                        } else {
                            MzApp = (MzServerApp) CustomImageAdapter_Button.this.mContext.getApplicationContext();
                            if (MzApp != null) {
                                MzApp.ShowMsg(CustomImageAdapter_Button.this.mContext.getResources().getString(C0181R.string.pl_msg1), 1);
                            }
                        }
                    } catch (OutOfMemoryError e) {
                        e.printStackTrace();
                    }
                }
            });
        }
        return v;
    }
}
