package com.enus.myzik;

import android.graphics.Bitmap;

/* compiled from: CustomListAdapter */
class CustomListItem {
    private boolean bIsGen = false;
    private boolean bSelected;
    private Bitmap bm = null;
    private int nIdx = 0;
    private int nNumber = 0;
    private long nSize;
    private int nType = 0;
    private String strDisplayName;
    private String strInfo1;
    private String strInfo2;
    private String strInfo3;
    private String strInfo4;
    private String strInfo5;
    private String strPath;
    private String strThumbPath;

    public CustomListItem(int nNumber, String strDisplayName, String strInfo1, String strInfo2, String strInfo3, String strInfo4, String strInfo5, String strPath, long nSize, String strThumbPath) {
        this.nNumber = nNumber;
        this.strDisplayName = strDisplayName;
        this.strInfo1 = strInfo1;
        this.strInfo2 = strInfo2;
        this.strInfo3 = strInfo3;
        this.strInfo4 = strInfo4;
        this.strInfo5 = strInfo5;
        this.strPath = strPath;
        this.nSize = nSize;
        this.strThumbPath = strThumbPath;
        this.bSelected = false;
        this.bIsGen = false;
    }

    public void recycle() {
        this.bm.recycle();
        this.bm = null;
    }

    public void setFGen(Boolean IsGen) {
        this.bIsGen = IsGen.booleanValue();
    }

    public void setType(int type) {
        this.nType = type;
    }

    public Boolean getFGen() {
        return Boolean.valueOf(this.bIsGen);
    }

    public void setIdx(int nIdx) {
        this.nIdx = nIdx;
    }

    public void setThumbPath(String strThumbPath) {
        this.strThumbPath = strThumbPath;
    }

    public void setBitmap(Bitmap bm) {
        this.bm = bm;
    }

    public int getType() {
        return this.nType;
    }

    public int getIdx() {
        return this.nIdx;
    }

    public int getNumber() {
        return this.nNumber;
    }

    public String getDisplayName() {
        return this.strDisplayName;
    }

    public String getInfo1() {
        return this.strInfo1;
    }

    public String getInfo2() {
        return this.strInfo2;
    }

    public String getInfo3() {
        return this.strInfo3;
    }

    public String getInfo4() {
        return this.strInfo4;
    }

    public String getInfo5() {
        return this.strInfo5;
    }

    public String getPath() {
        return this.strPath;
    }

    public long getSize() {
        return this.nSize;
    }

    public String getThumbPath() {
        return this.strThumbPath;
    }

    public Bitmap getBitmap() {
        return this.bm;
    }

    public void setSelected() {
        this.bSelected = !this.bSelected;
    }

    public void setSelected(boolean bSelected) {
        this.bSelected = bSelected;
    }

    public boolean isSelected() {
        return this.bSelected;
    }
}
