package com.enus.myzik;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.PackageManager.NameNotFoundException;
import android.net.Uri;
import android.os.Bundle;
import android.os.Vibrator;
import android.text.InputFilter;
import android.text.Spanned;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ScrollView;
import android.widget.TextView;
import com.enus.myzik.ActivitySwitcher.AnimationFinishedListener;
import com.gc.android.market.api.MarketSession;
import com.gc.android.market.api.MarketSession.Callback;
import com.gc.android.market.api.model.Market.AppsRequest;
import com.gc.android.market.api.model.Market.AppsResponse;
import com.gc.android.market.api.model.Market.ResponseContext;
import java.io.File;
import java.util.regex.Pattern;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

public class Help_Activity extends MzActivity {
    private static final int SWIPE_MAX_OFF_PATH = 250;
    private static final int SWIPE_MIN_DISTANCE = 120;
    private static final int SWIPE_THRESHOLD_VELOCITY = 200;
    static Context mContext;
    private CheckBox ChkSetWizOn = null;
    private MzServerApp MzApp;
    private TextView SetDemoMode = null;
    private ImageButton butHelpFolder = null;
    private ImageButton butManual = null;
    private ImageButton butURL = null;
    private ImageButton butURL2 = null;
    private ImageButton butUpdate = null;
    protected InputFilter filterNum = new C01301();
    private ImageView iv_back = null;
    Vibrator mVib = null;
    private int nSetDemoMode = 0;
    private String strVer = null;
    private ScrollView sv = null;

    class C01301 implements InputFilter {
        C01301() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            if (Pattern.compile("^[0-9]+$").matcher(source).matches()) {
                return null;
            }
            return EXTHeader.DEFAULT_VALUE;
        }
    }

    class C01334 implements OnClickListener {

        class C01322 implements DialogInterface.OnClickListener {
            C01322() {
            }

            public void onClick(DialogInterface dialog, int which) {
                Help_Activity.this.nSetDemoMode = 0;
                dialog.dismiss();
            }
        }

        C01334() {
        }

        public void onClick(View view) {
            Help_Activity help_Activity = Help_Activity.this;
            help_Activity.nSetDemoMode = help_Activity.nSetDemoMode + 1;
            if (Help_Activity.this.nSetDemoMode == 5) {
                final View vSSIDLayout = LayoutInflater.from(Help_Activity.mContext).inflate(C0181R.layout.set_testmode_dialog, null);
                CheckBox chkWMode = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_writeable);
                CheckBox chkFFWUPMode = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_forcefwup);
                CheckBox chkLog = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_log);
                ((EditText) vSSIDLayout.findViewById(C0181R.id.editText_tma_vid)).setText(Integer.valueOf(Help_Activity.this.GetVID()).toString());
                chkWMode.setChecked(Help_Activity.this.GetTestWriteMode());
                chkFFWUPMode.setChecked(Help_Activity.this.GetForceUPMode());
                chkLog.setChecked(Util4ConfRead.GetLogConf(Help_Activity.mContext).booleanValue());
                AlertDialog TModeDialog = new Builder(Help_Activity.this).setView(vSSIDLayout).setNegativeButton(Help_Activity.this.getResources().getString(C0181R.string.si_save), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        CheckBox chkWMode2 = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_writeable);
                        CheckBox chkFFWUPMode2 = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_forcefwup);
                        CheckBox chkLog2 = (CheckBox) vSSIDLayout.findViewById(C0181R.id.check_tma_log);
                        Help_Activity.this.UpdateVID(Integer.valueOf(((EditText) vSSIDLayout.findViewById(C0181R.id.editText_tma_vid)).getText().toString()).intValue());
                        if (chkWMode2.isChecked()) {
                            Help_Activity.this.UpdateTestWriteMode(true);
                        } else {
                            Help_Activity.this.UpdateTestWriteMode(false);
                        }
                        if (chkFFWUPMode2.isChecked()) {
                            Help_Activity.this.UpdateForceUPMode(true);
                        } else {
                            Help_Activity.this.UpdateForceUPMode(false);
                        }
                        if (chkLog2.isChecked()) {
                            Util4ConfUpdate.UpdateLogConf(Help_Activity.mContext, Boolean.valueOf(true));
                            MzServerApp.isPutLog = true;
                        } else {
                            Util4ConfUpdate.UpdateLogConf(Help_Activity.mContext, Boolean.valueOf(false));
                            MzServerApp.isPutLog = false;
                        }
                        Help_Activity.this.nSetDemoMode = 0;
                        dialog.dismiss();
                    }
                }).setPositiveButton(Help_Activity.this.getResources().getString(C0181R.string.si_cancel), new C01322()).create();
                TModeDialog.setCancelable(false);
                TModeDialog.show();
                ((EditText) vSSIDLayout.findViewById(C0181R.id.editText_tma_vid)).setFilters(new InputFilter[]{Help_Activity.this.filterNum});
            }
        }
    }

    class C01345 implements OnCheckedChangeListener {
        C01345() {
        }

        public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
            Help_Activity.this.SaveWizConf(Boolean.valueOf(isChecked));
        }
    }

    class C01356 implements OnClickListener {
        C01356() {
        }

        public void onClick(View v) {
            Help_Activity.this.onBackPressed();
        }
    }

    class C01367 implements OnClickListener {
        C01367() {
        }

        public void onClick(View view) {
            Intent intent = new Intent("android.intent.action.VIEW");
            String strTest = Help_Activity.this.getPackageManager().getInstallerPackageName("com.enus.myzik");
            if (strTest == null || strTest.length() <= 0) {
                intent.setData(Uri.parse("samsungapps://ProductDetail/" + Help_Activity.this.getPackageName()));
            } else {
                intent.setData(Uri.parse("market://details?id=" + Help_Activity.this.getPackageName()));
            }
            try {
                Help_Activity.this.startActivity(intent);
            } catch (ActivityNotFoundException e) {
                e.printStackTrace();
            }
        }
    }

    class C01378 implements OnClickListener {
        C01378() {
        }

        public void onClick(View view) {
            Help_Activity.this.mVib.vibrate(50);
            Help_Activity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(Help_Activity.this.getResources().getString(C0181R.string.help_url))));
        }
    }

    class C01389 implements OnClickListener {
        C01389() {
        }

        public void onClick(View view) {
            Help_Activity.this.mVib.vibrate(50);
            Help_Activity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(Help_Activity.this.getResources().getString(C0181R.string.help_url2))));
        }
    }

    class C04482 implements AnimationFinishedListener {
        C04482() {
        }

        public void onAnimationFinished() {
        }
    }

    class C04493 implements Callback<AppsResponse> {
        C04493() {
        }

        public void onResult(ResponseContext context, AppsResponse response) {
            DLog.m0d("mz", "-------------Market--------------" + Integer.valueOf(response.getAppList().size()).toString());
            for (int i = 0; i < response.getAppList().size(); i++) {
                DLog.m0d("mz", response.getApp(i).getTitle());
            }
        }
    }

    private void animatedStartActivity() {
        new Intent(getApplicationContext(), Help_Activity.class).addFlags(65536);
        ActivitySwitcher.animationIn(findViewById(C0181R.id.help_container), getWindowManager(), new C04482());
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.help);
        onInit(getApplicationContext());
    }

    public void onBackPressed() {
        Intent iback = new Intent(this, List_Activity.class);
        iback.setFlags(DLNAFlags.SN_INCREASE);
        startActivity(iback);
        finish();
    }

    private void GetMVer() {
        try {
            MarketSession session = new MarketSession();
            session.login("MyDriveNTalk@gmail.com", "enus7529");
            session.append(AppsRequest.newBuilder().setQuery("pname:<com.enus.myzik>").setStartIndex(0).setEntriesCount(10).setWithExtendedInfo(true).build(), new C04493());
            session.flush();
        } catch (Exception e) {
            DLog.m0d("mz", "getMVer Fail");
            e.printStackTrace();
        }
    }

    private void onInit(Context context) {
        this.nSetDemoMode = 0;
        mContext = context;
        if (this.MzApp == null) {
            this.MzApp = (MzServerApp) getApplicationContext();
        }
        this.mVib = (Vibrator) mContext.getSystemService("vibrator");
        if (this.ChkSetWizOn == null) {
            this.ChkSetWizOn = (CheckBox) findViewById(C0181R.id.help_wiz_on);
        }
        this.SetDemoMode = (TextView) findViewById(C0181R.id.set_textView_Main);
        this.SetDemoMode.setOnClickListener(new C01334());
        this.ChkSetWizOn.setChecked(GetWizConf().booleanValue());
        this.ChkSetWizOn.setOnCheckedChangeListener(new C01345());
        if (this.sv == null) {
            this.sv = (ScrollView) findViewById(C0181R.id.sv02);
        }
        if (this.iv_back == null) {
            this.iv_back = (ImageView) findViewById(C0181R.id.help_iv_back);
        }
        this.iv_back.setOnClickListener(new C01356());
        this.butUpdate = (ImageButton) findViewById(C0181R.id.help_imageButton_update);
        this.butManual = (ImageButton) findViewById(C0181R.id.help_imageButton_manual);
        this.butURL = (ImageButton) findViewById(C0181R.id.help_imageButton_url);
        this.butURL2 = (ImageButton) findViewById(C0181R.id.help_imageButton_url2);
        this.butHelpFolder = (ImageButton) findViewById(C0181R.id.help_imageButton_helpfolder);
        this.butUpdate.setOnClickListener(new C01367());
        TextView txtVer1 = (TextView) findViewById(C0181R.id.help_textView_ver1_1);
        this.butURL.setOnClickListener(new C01378());
        this.butURL2.setOnClickListener(new C01389());
        this.butHelpFolder.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                Help_Activity.this.mVib.vibrate(50);
                Help_Activity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(Help_Activity.this.getResources().getString(C0181R.string.help_url_folder))));
            }
        });
        this.butManual.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                Help_Activity.this.mVib.vibrate(50);
                Help_Activity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(Help_Activity.this.getResources().getString(C0181R.string.help_url_manual))));
            }
        });
        try {
            this.strVer = context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionName;
        } catch (NameNotFoundException e) {
        }
        if (this.strVer.length() > 0) {
            txtVer1.setText("v" + this.strVer);
        }
        String strApMode = EXTHeader.DEFAULT_VALUE;
        strApMode = this.MzApp.GetApMode();
        if (strApMode.compareTo("none") == 0 || strApMode.compareTo("APCLI") == 0) {
            this.butUpdate.setEnabled(true);
            this.butManual.setEnabled(true);
            this.butURL.setEnabled(true);
            this.butURL2.setEnabled(true);
            this.butHelpFolder.setEnabled(true);
            this.butUpdate.setImageResource(C0181R.drawable.help_update);
            this.butManual.setImageResource(C0181R.drawable.help_manual);
            this.butURL.setImageResource(C0181R.drawable.help_url);
            this.butURL2.setImageResource(C0181R.drawable.help_url2);
            this.butHelpFolder.setImageResource(C0181R.drawable.help_folder);
            return;
        }
        this.butUpdate.setEnabled(false);
        this.butManual.setEnabled(false);
        this.butURL.setEnabled(false);
        this.butURL2.setEnabled(false);
        this.butHelpFolder.setEnabled(false);
        this.butUpdate.setImageResource(C0181R.drawable.update_g);
        this.butManual.setImageResource(C0181R.drawable.bu_jjakguide_g);
        this.butURL.setImageResource(C0181R.drawable.bu_jjaksite_g);
        this.butURL2.setImageResource(C0181R.drawable.bu_troubleshooting_g);
        this.butHelpFolder.setImageResource(C0181R.drawable.bu_howtofolder_g);
    }

    protected void onResume() {
        super.onResume();
        onInit(getApplicationContext());
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        System.gc();
        super.onDestroy();
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }
}
