package com.enus.myzik;

import android.app.Activity;
import android.telephony.TelephonyManager;
import android.util.Log;
import com.enus.myzik.DataSet.TInfo;
import org.teleal.cling.model.message.header.EXTHeader;

public class MzActivity extends Activity {

    static class DLog {
        DLog() {
        }

        static void m6v(String strTag, String strMsg) {
            if (MzServerApp.isPutLog) {
                Log.v(strTag, strMsg);
            }
        }

        static void m0d(String strTag, String strMsg) {
            if (MzServerApp.isPutLog) {
                Log.d(strTag, strMsg);
            }
        }

        static void m4i(String strTag, String strMsg) {
            if (MzServerApp.isPutLog) {
                Log.i(strTag, strMsg);
            }
        }

        static void m8w(String strTag, String strMsg) {
            if (MzServerApp.isPutLog) {
                Log.w(strTag, strMsg);
            }
        }

        static void m2e(String strTag, String strMsg) {
            if (MzServerApp.isPutLog) {
                Log.e(strTag, strMsg);
            }
        }

        static void m7v(String strTag, String strMsg, Exception e) {
            if (MzServerApp.isPutLog) {
                Log.v(strTag, strMsg, e);
            }
        }

        static void m1d(String strTag, String strMsg, Exception e) {
            if (MzServerApp.isPutLog) {
                Log.d(strTag, strMsg, e);
            }
        }

        static void m5i(String strTag, String strMsg, Exception e) {
            if (MzServerApp.isPutLog) {
                Log.i(strTag, strMsg, e);
            }
        }

        static void m9w(String strTag, String strMsg, Exception e) {
            if (MzServerApp.isPutLog) {
                Log.w(strTag, strMsg, e);
            }
        }

        static void m3e(String strTag, String strMsg, Exception e) {
            if (MzServerApp.isPutLog) {
                Log.e(strTag, strMsg, e);
            }
        }
    }

    void m10d(String strTag, String strMsg) {
        Log.e(strTag, strMsg);
    }

    void m13i(String strTag, String strMsg) {
        Log.i(strTag, strMsg);
    }

    void m14w(String strTag, String strMsg) {
        Log.w(strTag, strMsg);
    }

    void m11e(String strTag, String strMsg) {
        Log.e(strTag, strMsg);
    }

    void m12e(String strTag, String strMsg, Exception e) {
        Log.e(strTag, strMsg, e);
    }

    Boolean GetWizConf() {
        return Util4ConfRead.GetWizConf(getApplicationContext());
    }

    String GetLastSSIDConf() {
        return Util4ConfRead.GetLastSSIDConf(getApplicationContext());
    }

    int GetVID() {
        return Util4ConfRead.GetVID(getApplicationContext());
    }

    boolean GetTestWriteMode() {
        return Util4ConfRead.GetTestWriteMode(getApplicationContext());
    }

    boolean GetForceUPMode() {
        return Util4ConfRead.GetForceUPMode(getApplicationContext());
    }

    public int DoReadWiFiSleepPolicy() {
        return Util4ConfRead.DoReadWiFiSleepPolicy(getApplicationContext());
    }

    boolean GetASoundMode() {
        return Util4ConfRead.GetASoundMode(getApplicationContext());
    }

    boolean GetUIDReg() {
        return Util4ConfRead.GetUIDReg(getApplicationContext());
    }

    String GetADURL() {
        return Util4ConfRead.GetADURL(getApplicationContext());
    }

    String GetADSVR() {
        return Util4ConfRead.GetADSVR(getApplicationContext());
    }

    String GetDNTime() {
        return Util4ConfRead.GetDNTime(getApplicationContext());
    }

    String GetPLHome() {
        return Util4ConfRead.GetPLHome(getApplicationContext());
    }

    TInfo DoReadTInfos() {
        return Util4ConfRead.DoReadTInfos(getApplicationContext());
    }

    boolean GetListMode() {
        return Util4ConfRead.GetListMode(getApplicationContext());
    }

    void SaveWizConf(Boolean isWizOn) {
        Util4ConfUpdate.SaveWizConf(getApplicationContext(), isWizOn);
    }

    public void UpdateVID(int nVID) {
        Util4ConfUpdate.UpdateVID(getApplicationContext(), nVID);
    }

    public void UpdateLastSSIDConf(String strLastSSID) {
        Util4ConfUpdate.UpdateLastSSIDConf(getApplicationContext(), strLastSSID);
    }

    public void UpdateASoundMode(boolean isEnable) {
        Util4ConfUpdate.UpdateASoundMode(getApplicationContext(), isEnable);
    }

    public void UpdateTestWriteMode(boolean isEnable) {
        Util4ConfUpdate.UpdateTestWriteMode(getApplicationContext(), isEnable);
    }

    public void UpdateUIDReg(boolean isReg) {
        Util4ConfUpdate.UpdateUIDReg(getApplicationContext(), isReg);
    }

    public void UpdateADURL(String strURL) {
        Util4ConfUpdate.UpdateADURL(getApplicationContext(), strURL);
    }

    public void UpdateADSVR(String strURL) {
        Util4ConfUpdate.UpdateADSVR(getApplicationContext(), strURL);
    }

    public void UpdateDNTime(String strDNTime) {
        Util4ConfUpdate.UpdateDNTime(getApplicationContext(), strDNTime);
    }

    public void UpdatePLHome(String strPath) {
        Util4ConfUpdate.UpdatePLHome(getApplicationContext(), strPath);
    }

    public void UpdateWiFi_SleepPolicy(int nwifi_sleep_policy) {
        Util4ConfUpdate.UpdateWiFi_SleepPolicy(getApplicationContext(), nwifi_sleep_policy);
    }

    public void UpdateForceUPMode(boolean isEnable) {
        Util4ConfUpdate.UpdateForceUPMode(getApplicationContext(), isEnable);
    }

    public void UpdateTInfos(String strMID, String strMPW, int nTmode) {
        Util4ConfUpdate.UpdateTInfos(getApplicationContext(), strMID, strMPW, nTmode);
    }

    public void UpdateT_Mode(int nTmode) {
        Util4ConfUpdate.UpdateT_Mode(getApplicationContext(), nTmode);
    }

    public void UpdateMPW(String strMPW) {
        Util4ConfUpdate.UpdateMPW(getApplicationContext(), strMPW);
    }

    public void UpdateListMode(boolean isEnable) {
        Util4ConfUpdate.UpdateListMode(getApplicationContext(), isEnable);
    }

    boolean isKT() {
        String strVendor = EXTHeader.DEFAULT_VALUE;
        String strModel = EXTHeader.DEFAULT_VALUE;
        strVendor = Utils.GetDeviceVendor();
        strModel = Utils.GetDeviceModel();
        String[] strKTSECModel = new String[]{"SHW-M130K", "SHW-M180K", "SHW-M290K", "SHW-M250K", "SHW-M380K", "SHV-E120K", "SHW-M305W", "SHV-E160K", "SHV-E140K", "SHW-M340K"};
        String[] strKTLGModel = new String[]{"LG-F240K", "LG-F200K", "LG-F180K", "LG-F160K", "LG-F120K", "LG-KU5900", "LG-KU3700", "LG-KU9500", "LG-KH5200"};
        String[] strKTPTModel = new String[]{"IM-A630K", "IM-A710K", "IM-A750K", "IM-A770K", "IM-A775C", "IM-T100K", "IM-A810K", "IM-A830K", "IM-A850K", "IM-A860K"};
        TelephonyManager tm = (TelephonyManager) getSystemService("phone");
        tm.getNetworkOperatorName();
        if (strModel.indexOf("Nexus") > 0) {
            return false;
        }
        int i;
        if (tm.getNetworkOperatorName().length() <= 0) {
            if (strVendor.toLowerCase().compareTo("samsung") != 0) {
                return false;
            }
            i = 0;
            while (i < strKTSECModel.length) {
                if (strModel.length() > 0 && strKTSECModel[i].compareTo(strModel) == 0) {
                    return true;
                }
                i++;
            }
            return false;
        } else if (tm.getNetworkOperatorName().toLowerCase().compareTo("olleh") != 0) {
            return false;
        } else {
            if (strVendor.toLowerCase().compareTo("samsung") != 0) {
                return true;
            }
            i = 0;
            while (i < strKTSECModel.length) {
                if (strModel.length() > 0 && strKTSECModel[i].compareTo(strModel) == 0) {
                    return true;
                }
                i++;
            }
            return false;
        }
    }
}
