package com.enus.myzik;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.graphics.Color;
import android.graphics.drawable.AnimationDrawable;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.RemoteException;
import android.os.Vibrator;
import android.text.InputFilter;
import android.text.SpannableStringBuilder;
import android.text.Spanned;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.LayoutInflater;
import android.view.LayoutInflater.Factory;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.WindowManager.LayoutParams;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.TextView;
import com.wireme.mediaserver.ContentTree;
import java.io.File;
import java.util.StringTokenizer;
import java.util.regex.Pattern;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

public class Set_Activity extends MzActivity {
    private static final int GetMSIP = 20;
    private static final int SWIPE_MAX_OFF_PATH = 250;
    private static final int SWIPE_MIN_DISTANCE = 120;
    private static final int SWIPE_THRESHOLD_VELOCITY = 200;
    static Context mContext = null;
    private static final int nDisable_State = 1;
    private static final int nEnable_State = 0;
    private static final int nFirstCon_State = 2;
    private static final int nMenu_Add_Ap = 10;
    private static final int nMenu_ConfirmPassword = 5;
    private static final int nMenu_Del_Ap = 12;
    private static final int nMenu_FReset = 13;
    private static final int nMenu_MID = 6;
    private static final int nMenu_MPassword = 7;
    private static final int nMenu_Modify_Ap = 11;
    private static final int nMenu_Password = 2;
    private static final int nMenu_SSID = 1;
    private static final int nMenu_SetTMode = 8;
    private static final int nMenu_SetTModeOFF = 9;
    private static final int nMenu_Update = 3;
    private static final int nMenu_Update_Join = 4;
    private CheckBox ChkSetWizOn = null;
    private CheckBox ChkShowPW = null;
    private EditText EdSetMID = null;
    private EditText EdSetMPW = null;
    private MzServerApp MzApp;
    private TextView TxtExplainSSID = null;
    private TextView TxtSetCCnt = null;
    private TextView TxtSetCSSID = null;
    private TextView TxtSetMID = null;
    private TextView TxtSetMPW = null;
    private final BroadcastReceiver br = new C01841();
    private ImageButton btnSetHelp1 = null;
    private ImageButton butConfirm = null;
    private ImageButton butFReset = null;
    private ImageButton butPassword = null;
    private ImageButton butSSID = null;
    private ImageButton butUpdate = null;
    private EditText etPassword = null;
    protected InputFilter filterAlphaNum = new C01957();
    protected InputFilter filterNotSChar = new C01968();
    private TextView fw_Explain1_1 = null;
    private ImageView iv_back = null;
    private int listViewTouchAction = -1;
    public OnClickListener mConfirmClickListener = new C01946();
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mFResetClickListener = new C01924();
    public OnClickListener mPasswordClickListener = new C01913();
    public OnClickListener mSSIDClickListener = new C01882();
    private String mStrMID = EXTHeader.DEFAULT_VALUE;
    private String mStrMPW = EXTHeader.DEFAULT_VALUE;
    private String mStrPW = EXTHeader.DEFAULT_VALUE;
    public OnClickListener mUpdateClickListener = new C01935();
    Vibrator mVib = null;
    private WifiManager mainWifi = null;
    private int mnTmode = 0;
    private ProgressDialog progressDialog = null;
    private String strTableName = EXTHeader.DEFAULT_VALUE;
    private ScrollView sv = null;

    class C01841 extends BroadcastReceiver {
        C01841() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("cling.android.Router")) {
                if (Set_Activity.this.MzApp == null) {
                    Set_Activity.this.MzApp = (MzServerApp) Set_Activity.this.getApplicationContext();
                }
                if (intent.getExtras() != null) {
                    String strMsg = EXTHeader.DEFAULT_VALUE;
                    strMsg = intent.getExtras().getString("enus");
                    if (strMsg != null && strMsg.length() > 0) {
                        if (strMsg.compareTo("wifi_off") == 0 || strMsg.compareTo("tcp_dc") == 0 || strMsg.compareTo("wifiap_off") == 0) {
                            Set_Activity.this.SetModeIcon(0);
                        }
                        if (strMsg.compareTo("getInfo") == 0) {
                            if (Set_Activity.this.MzApp != null && Set_Activity.this.TxtSetCCnt != null) {
                                String strApCSSID = Set_Activity.this.MzApp.GetApCSSID();
                                String strApCCnt = Set_Activity.this.MzApp.GetApCCnt();
                                Set_Activity.this.TxtSetCSSID.setText(strApCSSID);
                                Set_Activity.this.TxtSetCCnt.setText(strApCCnt);
                                if (Set_Activity.this.fw_Explain1_1 != null) {
                                    Set_Activity.this.fw_Explain1_1.setText(String.format("%s", new Object[]{Set_Activity.this.MzApp.GetFVer()}));
                                }
                                if (Set_Activity.this.TxtExplainSSID != null) {
                                    if (Set_Activity.this.MzApp.GetSSID().length() > 0) {
                                        Set_Activity.this.TxtExplainSSID.setText(Set_Activity.this.MzApp.GetSSID());
                                    } else {
                                        Set_Activity.this.TxtExplainSSID.setText(Set_Activity.this.MzApp.GetApSSID());
                                    }
                                }
                                Set_Activity.this.chk_fver();
                            }
                        } else if (strMsg.startsWith("icon_")) {
                            Set_Activity.this.SetModeIcon(Set_Activity.this.GetMode(0));
                        } else if (strMsg.compareTo("TopSA") == 0) {
                            Set_Activity.this.finish();
                            Set_Activity.this.onBackPressed();
                        } else if (strMsg.endsWith("ACK_FW")) {
                            switch (Integer.valueOf(strMsg.substring(0, 2)).intValue()) {
                                case 0:
                                    Set_Activity.this.progressDialog = new ProgressDialog(Set_Activity.this);
                                    Set_Activity.this.progressDialog.setProgressStyle(1);
                                    Set_Activity.this.progressDialog.setMessage(Set_Activity.this.getResources().getString(C0181R.string.fw_msg1));
                                    Set_Activity.this.progressDialog.setMax(100);
                                    Set_Activity.this.progressDialog.setCancelable(false);
                                    Set_Activity.this.progressDialog.show();
                                    return;
                                case 1:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg2), 40);
                                    return;
                                case 2:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg3), 80);
                                    return;
                                case 3:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg11), 100);
                                    if (Set_Activity.this.butUpdate != null) {
                                        Set_Activity.this.butUpdate.setVisibility(8);
                                    }
                                    if (Set_Activity.this.MzApp == null) {
                                        Set_Activity.this.MzApp = (MzServerApp) Set_Activity.this.getApplicationContext();
                                    }
                                    Set_Activity.this.MzApp.SetMenu3Icon(0);
                                    return;
                                case 80:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg5), 0);
                                    return;
                                case 81:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg6), 0);
                                    return;
                                case 82:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg7), 0);
                                    return;
                                case 83:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg8), 0);
                                    return;
                                case 84:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg9), 0);
                                    return;
                                case 85:
                                    Set_Activity.this.setNBPMsg(Set_Activity.this.getResources().getString(C0181R.string.fw_msg10), 0);
                                    return;
                                default:
                                    return;
                            }
                        }
                    }
                }
            }
        }
    }

    class C01882 implements OnClickListener {

        class C01851 implements OnCheckedChangeListener {
            C01851() {
            }

            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                Set_Activity.this.ShowPW(isChecked);
            }
        }

        C01882() {
        }

        public void onClick(View v) {
            final View vSSIDLayout = ((LayoutInflater) Set_Activity.mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_ssid_dialog, null);
            Button set_ssid_SubmitBtn = (Button) vSSIDLayout.findViewById(C0181R.id.set_ssid_SubmitBtn);
            Button set_ssid_CancelBtn = (Button) vSSIDLayout.findViewById(C0181R.id.set_ssid_CancelBtn);
            Builder ssidbuilder = new Builder(Set_Activity.this).setIcon(C0181R.drawable.ic_launcher).setView(vSSIDLayout);
            Set_Activity.this.etPassword = null;
            Set_Activity.this.ChkShowPW = null;
            Set_Activity.this.etPassword = (EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password);
            Set_Activity.this.ChkShowPW = (CheckBox) vSSIDLayout.findViewById(C0181R.id.set_ssid_showpw);
            Set_Activity.this.ChkShowPW.setOnCheckedChangeListener(new C01851());
            final AlertDialog SSIDDialog = ssidbuilder.create();
            set_ssid_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strNewSSID = EXTHeader.DEFAULT_VALUE;
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    TextView tv_ssid2 = (TextView) vSSIDLayout.findViewById(C0181R.id.set_ssid_textView_SSID2);
                    strNewSSID = ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).getText().toString();
                    strCurPassword = Set_Activity.this.etPassword.getText().toString();
                    if (strNewSSID.getBytes().length <= 0) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("no SSID", 1);
                        }
                    } else if (strNewSSID.getBytes().length + tv_ssid2.getText().length() < 8 || strNewSSID.getBytes().length > 28) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("SSID length error (len: 8~32)", 1);
                        }
                    } else if (strCurPassword.length() <= 0) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("no password", 1);
                        }
                    } else if (strCurPassword.length() >= 8 && strCurPassword.length() <= 64) {
                        SSIDDialog.dismiss();
                        Set_Activity.this.MzApp.SetTCPNewAPInfo(new StringBuilder(String.valueOf(Set_Activity.this.getResources().getString(C0181R.string.ssid_prefix))).append(strNewSSID).append(",").append(strCurPassword).append(",").toString());
                    } else if (Set_Activity.this.MzApp != null) {
                        Set_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                    }
                }
            });
            set_ssid_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    SSIDDialog.dismiss();
                }
            });
            SSIDDialog.show();
            SSIDDialog.setCancelable(false);
            ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).setFilters(new InputFilter[]{Set_Activity.this.filterNotSChar});
            ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password)).setFilters(new InputFilter[]{Set_Activity.this.filterAlphaNum});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(SSIDDialog.getWindow().getAttributes());
            lp.width = -1;
            SSIDDialog.getWindow().setAttributes(lp);
        }
    }

    class C01913 implements OnClickListener {
        C01913() {
        }

        public void onClick(View v) {
            final View vPasswordLayout = ((LayoutInflater) Set_Activity.mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_password_dialog, null);
            Button set_password_SubmitBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_SubmitBtn);
            Button set_password_CancelBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_CancelBtn);
            final AlertDialog PasswordDialog = new Builder(Set_Activity.this).setIcon(C0181R.drawable.ic_launcher).setView(vPasswordLayout).create();
            set_password_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strNewPassword = EXTHeader.DEFAULT_VALUE;
                    String strConfirm = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    EditText etNewPassword = (EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New);
                    EditText etConfirm = (EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm);
                    strCurPassword = ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).getText().toString();
                    strNewPassword = etNewPassword.getText().toString();
                    strConfirm = etConfirm.getText().toString();
                    if (strCurPassword.length() <= 0) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("no current password", 1);
                        }
                    } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strNewPassword.length() < 0) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("no new password", 1);
                        }
                        Set_Activity.this.removeDialog(2);
                    } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strConfirm.length() < 0) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("no confirm password", 1);
                        }
                        Set_Activity.this.removeDialog(2);
                    } else if (strConfirm.length() < 8 || strConfirm.length() > 64) {
                        if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strNewPassword.equals(strConfirm)) {
                        PasswordDialog.dismiss();
                        Set_Activity.this.MzApp.SetTCPNewAPInfo(" ," + strCurPassword + "," + strNewPassword);
                    } else if (Set_Activity.this.MzApp != null) {
                        Set_Activity.this.MzApp.ShowMsg("password does not match", 1);
                    }
                }
            });
            set_password_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    PasswordDialog.dismiss();
                }
            });
            PasswordDialog.show();
            PasswordDialog.setCancelable(false);
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).setFilters(new InputFilter[]{Set_Activity.this.filterAlphaNum});
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{Set_Activity.this.filterAlphaNum});
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm)).setFilters(new InputFilter[]{Set_Activity.this.filterAlphaNum});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(PasswordDialog.getWindow().getAttributes());
            lp.width = -1;
            PasswordDialog.getWindow().setAttributes(lp);
        }
    }

    class C01924 implements OnClickListener {
        C01924() {
        }

        public void onClick(View v) {
            Set_Activity.this.showDialog(13);
        }
    }

    class C01935 implements OnClickListener {
        C01935() {
        }

        public void onClick(View v) {
            Set_Activity.this.showDialog(3);
        }
    }

    class C01946 implements OnClickListener {
        C01946() {
        }

        public void onClick(View v) {
            Set_Activity.this.mVib.vibrate(50);
            Set_Activity.this.DoFin();
        }
    }

    class C01957 implements InputFilter {
        C01957() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            if (Pattern.compile("^[a-zA-Z0-9]+$").matcher(source).matches()) {
                return null;
            }
            return EXTHeader.DEFAULT_VALUE;
        }
    }

    class C01968 implements InputFilter {
        C01968() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            int i;
            char currentChar;
            if (source instanceof SpannableStringBuilder) {
                SpannableStringBuilder sourceAsSpannableBuilder = (SpannableStringBuilder) source;
                for (i = end - 1; i >= start; i--) {
                    currentChar = source.charAt(i);
                    if (Set_Activity.this.isSChar4SSID(currentChar) && !Character.isSpaceChar(currentChar)) {
                        sourceAsSpannableBuilder.delete(i, i + 1);
                    }
                }
                return source;
            }
            StringBuilder filteredStringBuilder = new StringBuilder();
            for (i = 0; i < end; i++) {
                currentChar = source.charAt(i);
                if (!Set_Activity.this.isSChar4SSID(currentChar) || Character.isSpaceChar(currentChar)) {
                    filteredStringBuilder.append(currentChar);
                }
            }
            return filteredStringBuilder.toString();
        }
    }

    class C01979 implements DialogInterface.OnClickListener {
        C01979() {
        }

        public void onClick(DialogInterface dialog, int which) {
            Set_Activity.this.progressDialog.dismiss();
            Set_Activity.this.progressDialog = null;
        }
    }

    void setNBPMsg(String strMsg, int nStep) {
        if (this.progressDialog == null) {
            return;
        }
        if (nStep == 100) {
            this.progressDialog.hide();
            this.progressDialog = new ProgressDialog(this);
            this.progressDialog.setProgressStyle(1);
            this.progressDialog.setMessage(strMsg);
            this.progressDialog.setButton(getResources().getString(C0181R.string.si_close), new C01979());
            this.progressDialog.setMax(100);
            this.progressDialog.setCancelable(false);
            this.progressDialog.show();
            this.progressDialog.setProgress(nStep);
            return;
        }
        this.progressDialog.setMessage(strMsg);
        this.progressDialog.setProgress(nStep);
    }

    public void SetModeIcon(int nMode) {
        switch (nMode) {
            case 0:
                if (this.TxtExplainSSID != null) {
                    this.TxtExplainSSID.setText("none");
                }
                if (this.TxtSetCSSID != null) {
                    this.TxtSetCSSID.setText("none");
                }
                if (this.TxtSetCCnt != null) {
                    this.TxtSetCCnt.setText(ContentTree.ROOT_ID);
                }
                if (this.fw_Explain1_1 != null) {
                    this.fw_Explain1_1.setText("none");
                    return;
                }
                return;
            default:
                return;
        }
    }

    public int GetMode(int nType) {
        if (nType != 0 || this.MzApp == null) {
            return 0;
        }
        return this.MzApp.mMode;
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.set);
        this.MzApp = (MzServerApp) getApplicationContext();
        this.mainWifi = (WifiManager) getSystemService("wifi");
        onInit(getApplicationContext());
        registerReceiver(this.br, new IntentFilter("cling.android.Router"));
    }

    protected void onResume() {
        super.onResume();
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.MzApp == null) {
            return;
        }
        if (this.MzApp.mMode > 0) {
            EnableBasicSetting(true);
        } else {
            EnableBasicSetting(false);
        }
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        if (this.br != null) {
            unregisterReceiver(this.br);
        }
        super.onDestroy();
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        return false;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(C0181R.menu.set_menu, menu);
        getLayoutInflater().setFactory(new Factory() {
            public View onCreateView(String name, Context context, AttributeSet attrs) {
                if (name.equalsIgnoreCase("com.android.internal.view.menu.IconMenuItemView")) {
                    int value = attrs.getIdAttributeResourceValue(0);
                    try {
                        final View view = LayoutInflater.from(context).createView(name, null, attrs);
                        new Handler().post(new Runnable() {
                            public void run() {
                                view.setBackgroundColor(Color.rgb(99, 99, 99));
                            }
                        });
                        return view;
                    } catch (InflateException e) {
                    } catch (ClassNotFoundException e2) {
                    }
                }
                return null;
            }
        });
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == C0181R.id.item_set_playlist) {
            startActivity(new Intent(this, List_Activity.class));
        }
        return super.onOptionsItemSelected(item);
    }

    private void ShowPW(boolean isChecked) {
        if (this.etPassword == null) {
            return;
        }
        if (isChecked) {
            this.etPassword.setInputType(1);
            this.etPassword.setSelection(this.etPassword.length());
            return;
        }
        this.etPassword.setInputType(129);
        this.etPassword.setSelection(this.etPassword.length());
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(mContext);
        final View view;
        switch (id) {
            case 1:
                View vSSIDLayout = factory.inflate(C0181R.layout.set_ssid_dialog, null);
                this.etPassword = null;
                this.ChkShowPW = null;
                this.etPassword = (EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password);
                this.ChkShowPW = (CheckBox) vSSIDLayout.findViewById(C0181R.id.set_ssid_showpw);
                this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                        Set_Activity.this.ShowPW(isChecked);
                    }
                });
                view = vSSIDLayout;
                Dialog SSIDDialog = new Builder(this).setView(vSSIDLayout).setNegativeButton(getResources().getString(C0181R.string.si_save), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewSSID = EXTHeader.DEFAULT_VALUE;
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        TextView tv_ssid2 = (TextView) view.findViewById(C0181R.id.set_ssid_textView_SSID2);
                        strNewSSID = ((EditText) view.findViewById(C0181R.id.set_ssid_editText_SSID)).getText().toString();
                        strCurPassword = Set_Activity.this.etPassword.getText().toString();
                        if (strNewSSID.getBytes().length <= 0) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("no SSID", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                        } else if (strNewSSID.getBytes().length + tv_ssid2.getText().length() < 8 || strNewSSID.getBytes().length > 28) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("SSID length error (len: 8~32)", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                        } else if (strCurPassword.length() <= 0) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("no password", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                        } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                        } else {
                            Set_Activity.this.removeDialog(1);
                            Set_Activity.this.MzApp.SetTCPNewAPInfo(new StringBuilder(String.valueOf(Set_Activity.this.getResources().getString(C0181R.string.ssid_prefix))).append(strNewSSID).append(",").append(strCurPassword).append(",").toString());
                        }
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.si_cancel), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.removeDialog(1);
                    }
                }).create();
                SSIDDialog.setCancelable(false);
                ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).setFilters(new InputFilter[]{this.filterNotSChar});
                ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return SSIDDialog;
            case 2:
                View vPasswordLayout = ((LayoutInflater) mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_password_dialog, null);
                Button set_password_CancelBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_CancelBtn);
                view = vPasswordLayout;
                ((Button) vPasswordLayout.findViewById(C0181R.id.set_password_SubmitBtn)).setOnClickListener(new OnClickListener() {
                    public void onClick(View view) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strNewPassword = EXTHeader.DEFAULT_VALUE;
                        String strConfirm = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        EditText etNewPassword = (EditText) view.findViewById(C0181R.id.set_password_editText_New);
                        EditText etConfirm = (EditText) view.findViewById(C0181R.id.set_password_editText_Confirm);
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_password_editText_Current)).getText().toString();
                        strNewPassword = etNewPassword.getText().toString();
                        strConfirm = etConfirm.getText().toString();
                        if (strCurPassword.length() <= 0) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("no current password", 1);
                            }
                        } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strNewPassword.length() < 0) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("no new password", 1);
                            }
                            Set_Activity.this.removeDialog(2);
                        } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strConfirm.length() < 0) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("no confirm password", 1);
                            }
                            Set_Activity.this.removeDialog(2);
                        } else if (strConfirm.length() < 8 || strConfirm.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strNewPassword.equals(strConfirm)) {
                            Set_Activity.this.removeDialog(2);
                            Set_Activity.this.MzApp.SetTCPNewAPInfo(" ," + strCurPassword + "," + strNewPassword);
                        } else if (Set_Activity.this.MzApp != null) {
                            Set_Activity.this.MzApp.ShowMsg("password does not match", 1);
                        }
                    }
                });
                set_password_CancelBtn.setOnClickListener(new OnClickListener() {
                    public void onClick(View view) {
                        Set_Activity.this.removeDialog(2);
                    }
                });
                Dialog PasswordDialog = new Builder(this).setIcon(C0181R.drawable.ic_launcher).setView(vPasswordLayout).create();
                PasswordDialog.setCancelable(false);
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).setFilters(new InputFilter[]{this.filterAlphaNum});
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{this.filterAlphaNum});
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm)).setFilters(new InputFilter[]{this.filterAlphaNum});
                LayoutParams lp = new LayoutParams();
                lp.copyFrom(PasswordDialog.getWindow().getAttributes());
                lp.width = -1;
                lp.height = -1;
                PasswordDialog.getWindow().setAttributes(lp);
                return PasswordDialog;
            case 3:
                View vUpdateLayout = factory.inflate(C0181R.layout.set_update_dialog, null);
                Builder updatebuilder = new Builder(this).setView(vUpdateLayout).setNegativeButton("Yes", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.showDialog(4);
                        Set_Activity.this.removeDialog(3);
                    }
                }).setPositiveButton("No", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.removeDialog(3);
                    }
                });
                ((TextView) vUpdateLayout.findViewById(C0181R.id.set_update_textView_Title)).setText(getResources().getString(C0181R.string.set_fw1));
                ((TextView) vUpdateLayout.findViewById(C0181R.id.set_update_textView_Text3)).setText(getResources().getString(C0181R.string.set_fw2));
                TextView fw_Explain1 = (TextView) vUpdateLayout.findViewById(C0181R.id.set_update_textView_Text2);
                String strFWExplain1 = EXTHeader.DEFAULT_VALUE;
                fw_Explain1.setText(String.format("%s ->> v%s", new Object[]{this.MzApp.GetFVer(), this.MzApp.mStrInnerFVer}));
                Dialog UpdateDialog = updatebuilder.create();
                UpdateDialog.setCancelable(false);
                return UpdateDialog;
            case 4:
                View vJoinLayout = factory.inflate(C0181R.layout.set_update_join_dialog, null);
                view = vJoinLayout;
                Dialog JoinDialog = new Builder(this).setView(vJoinLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt2), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_update_join_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                            return;
                        }
                        String strIPInfo = EXTHeader.DEFAULT_VALUE;
                        if (!(Set_Activity.this.MzApp == null || Set_Activity.this.MzApp.mIBService == null)) {
                            try {
                                strIPInfo = Set_Activity.this.MzApp.mIBService.GetValue(20);
                                Set_Activity.this.MzApp.SetUpgrade("http://" + strIPInfo + "/upgrade.txt," + strCurPassword);
                                DLog.m0d("doup", "http://" + strIPInfo + "/upgrade.txt");
                            } catch (RemoteException e) {
                                e.printStackTrace();
                            }
                        }
                        Set_Activity.this.removeDialog(4);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.removeDialog(4);
                    }
                }).create();
                JoinDialog.setCancelable(false);
                ((EditText) vJoinLayout.findViewById(C0181R.id.set_update_join_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return JoinDialog;
            case 5:
                View vConfirmLayout = factory.inflate(C0181R.layout.set_confirm_dialog, null);
                view = vConfirmLayout;
                Dialog ConfirmDialog = new Builder(this).setView(vConfirmLayout).setNegativeButton("Join", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_confirm_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Activity.this.removeDialog(5);
                            return;
                        }
                        Set_Activity.this.removeDialog(5);
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.removeDialog(5);
                    }
                }).create();
                ConfirmDialog.setCancelable(false);
                ((EditText) vConfirmLayout.findViewById(C0181R.id.set_confirm_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return ConfirmDialog;
            case 13:
                View vFResetLayout = factory.inflate(C0181R.layout.set_freset_dialog, null);
                view = vFResetLayout;
                Dialog FResetDialog = new Builder(this).setView(vFResetLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt2), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_freset_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Activity.this.MzApp != null) {
                                Set_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Activity.this.removeDialog(1);
                            return;
                        }
                        Set_Activity.this.MzApp.SetFReset(strCurPassword);
                        DLog.m0d("doup", "http://" + Set_Activity.this.MzApp.mStrIP + ":8192/upgrade.txt");
                        Set_Activity.this.removeDialog(13);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Activity.this.removeDialog(13);
                    }
                }).create();
                FResetDialog.setCancelable(false);
                ((EditText) vFResetLayout.findViewById(C0181R.id.set_freset_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return FResetDialog;
            default:
                return null;
        }
    }

    void DoFin() {
        new Handler().postDelayed(new Runnable() {
            public void run() {
                Set_Activity.this.finish();
            }
        }, 300);
    }

    protected boolean isSChar4SSID(char currentChar) {
        if (currentChar == '?' || currentChar == '\"' || currentChar == '$' || currentChar == '[' || currentChar == '\\' || currentChar == ']' || currentChar == '+') {
            return true;
        }
        return false;
    }

    private void EnableBasicSetting(boolean isCheck) {
        this.butFReset.setEnabled(isCheck);
        this.butUpdate.setEnabled(isCheck);
        this.butSSID.setEnabled(isCheck);
        this.butPassword.setEnabled(isCheck);
    }

    public static void setListViewHeightBasedOnChildren(ListView listView) {
        ListAdapter listAdapter = listView.getAdapter();
        if (listAdapter != null) {
            int totalHeight = 0;
            for (int i = 0; i < listAdapter.getCount(); i++) {
                View listItem = listAdapter.getView(i, null, listView);
                listItem.measure(0, 0);
                totalHeight += listItem.getMeasuredHeight();
            }
            ViewGroup.LayoutParams params = listView.getLayoutParams();
            params.height = (listView.getDividerHeight() * (listAdapter.getCount() - 1)) + totalHeight;
            listView.setLayoutParams(params);
            listView.requestLayout();
        }
    }

    boolean chk_fver() {
        String strCVer = EXTHeader.DEFAULT_VALUE;
        strCVer = this.MzApp.GetFVer();
        if (strCVer.length() <= 0 || strCVer.compareTo("none") == 0) {
            return false;
        }
        int[] nCver = new int[3];
        int[] nFver = new int[3];
        if (strCVer.substring(0, 1).compareTo("v") != 0) {
            return false;
        }
        StringTokenizer stok = new StringTokenizer(strCVer.substring(1), ".", false);
        int i = 0;
        while (stok.hasMoreTokens()) {
            nCver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        stok = new StringTokenizer(this.MzApp.mStrInnerFVer, ".", false);
        i = 0;
        while (stok.hasMoreTokens()) {
            nFver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        if (nCver[0] < nFver[0] || ((nCver[0] == nFver[0] && nCver[1] < nFver[1]) || (nCver[0] == nFver[0] && nCver[1] == nFver[1] && nCver[2] < nFver[2]))) {
            return true;
        }
        return false;
    }

    private boolean onInit(Context context) {
        if (this.MzApp == null) {
            this.MzApp = (MzServerApp) getApplicationContext();
        }
        mContext = context;
        this.fw_Explain1_1 = (TextView) findViewById(C0181R.id.set_textView_Explain1_1);
        String strFWExplain1 = EXTHeader.DEFAULT_VALUE;
        String strExplainMID = EXTHeader.DEFAULT_VALUE;
        String strExplainMPW = EXTHeader.DEFAULT_VALUE;
        String strCVer = EXTHeader.DEFAULT_VALUE;
        strCVer = this.MzApp.GetFVer();
        this.fw_Explain1_1.setText(String.format("%s", new Object[]{strCVer}));
        this.mVib = (Vibrator) mContext.getSystemService("vibrator");
        this.butSSID = (ImageButton) findViewById(C0181R.id.set_imageButton_SSID);
        this.butPassword = (ImageButton) findViewById(C0181R.id.set_imageButton_Password);
        this.butFReset = (ImageButton) findViewById(C0181R.id.set_imageButton_freset);
        this.butUpdate = (ImageButton) findViewById(C0181R.id.set_imageButton_Update);
        this.butConfirm = (ImageButton) findViewById(C0181R.id.set_ib_confirm);
        if (chk_fver()) {
            this.butUpdate.setVisibility(0);
            AniBtnFWUp();
        } else {
            this.butUpdate.setVisibility(8);
        }
        if (this.butConfirm == null) {
            return false;
        }
        if (this.sv == null) {
            this.sv = (ScrollView) findViewById(C0181R.id.sv01);
        }
        if (this.TxtExplainSSID == null) {
            this.TxtExplainSSID = (TextView) findViewById(C0181R.id.set_textView_ExplainSSID1_1);
        }
        if (this.MzApp.GetSSID().length() > 0) {
            this.TxtExplainSSID.setText(this.MzApp.GetSSID());
        } else {
            this.TxtExplainSSID.setText(this.MzApp.GetApSSID());
        }
        if (this.ChkSetWizOn == null) {
            this.ChkSetWizOn = (CheckBox) findViewById(C0181R.id.set_wiz_on);
        }
        this.ChkSetWizOn.setChecked(GetWizConf().booleanValue());
        this.ChkSetWizOn.setOnCheckedChangeListener(new OnCheckedChangeListener() {
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                Set_Activity.this.SaveWizConf(Boolean.valueOf(isChecked));
            }
        });
        if (this.iv_back == null) {
            this.iv_back = (ImageView) findViewById(C0181R.id.set_iv_back);
        }
        this.iv_back.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Set_Activity.this.onBackPressed();
            }
        });
        this.butSSID.setOnClickListener(this.mSSIDClickListener);
        this.butPassword.setOnClickListener(this.mPasswordClickListener);
        this.butFReset.setOnClickListener(this.mFResetClickListener);
        this.butUpdate.setOnClickListener(this.mUpdateClickListener);
        this.butConfirm.setOnClickListener(this.mConfirmClickListener);
        if (this.TxtSetCSSID == null) {
            this.TxtSetCSSID = (TextView) findViewById(C0181R.id.set_textView_GetInf1_1);
        }
        if (this.TxtSetCCnt == null) {
            this.TxtSetCCnt = (TextView) findViewById(C0181R.id.set_textView_GetInf2_1);
        }
        if (this.MzApp != null) {
            String strApCSSID = this.MzApp.GetApCSSID();
            String strApCCnt = this.MzApp.GetApCCnt();
            this.TxtSetCSSID.setText(strApCSSID);
            this.TxtSetCCnt.setText(strApCCnt);
        }
        return true;
    }

    public void onBackPressed() {
        Intent iback = new Intent(this, List_Activity.class);
        iback.setFlags(DLNAFlags.SN_INCREASE);
        startActivity(iback);
        finish();
    }

    public void AniBtnFWUp() {
        if (this.butUpdate != null) {
            new Handler().postDelayed(new Runnable() {
                public void run() {
                    Set_Activity.this.butUpdate.setImageResource(C0181R.drawable.ani_fw_up);
                    AnimationDrawable frame = (AnimationDrawable) Set_Activity.this.butUpdate.getDrawable();
                    frame.stop();
                    frame.start();
                }
            }, 300);
        }
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public boolean CompSSID(String strSSID) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strArgs = EXTHeader.DEFAULT_VALUE;
        strArgs = "WHERE `mf_ssid` = '" + strSSID + "'";
        if (this.mDBManager.onCount("mfly_info", strArgs) > 0) {
            return true;
        }
        return false;
    }
}
