package com.enus.myzik;

import android.app.Activity;
import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.ContentResolver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.media.MediaScannerConnection;
import android.media.MediaScannerConnection.OnScanCompletedListener;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.os.Vibrator;
import android.provider.MediaStore.Images.Media;
import android.provider.MediaStore.Images.Thumbnails;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.FrameLayout.LayoutParams;
import android.widget.GridView;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import java.io.File;
import java.util.ArrayList;
import org.teleal.cling.model.message.header.EXTHeader;

public class View_Image_Activity extends Activity {
    static final int STATE_DONE = 0;
    static final int STATE_RUNNING = 1;
    static final int STATE_STOP = 2;
    private static final int nMenu_Delete = 3;
    private static final int nMenu_Edit = 1;
    private static final int nMenu_Empty = 2;
    private CustomViewImageAdapter Adapter;
    private ArrayList<CustomListItem> Items;
    LinearLayout L4Btn = null;
    RelativeLayout RL4BG = null;
    public OnClickListener mClearClickListener = new C03133();
    Context mContext;
    ContentResolver mCr;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDeleteClickListener = new C03144();
    public OnClickListener mEditClickListener = new C03122();
    final Handler mHandler = new C03155();
    OnItemClickListener mItemClickListener = new C03111();
    ProgressDialog mProgressDlg = null;
    Vibrator mVib = null;
    ProgressThread m_Thread = null;
    ImageButton mbutClear;
    ImageButton mbutDelete;
    ImageButton mbutEdit;
    ImageButton mbutRescan;
    GridView mgvGrid;
    TextView mtvText;
    int nType = 0;
    String strListName = EXTHeader.DEFAULT_VALUE;
    String strTableName = EXTHeader.DEFAULT_VALUE;

    class C03111 implements OnItemClickListener {
        C03111() {
        }

        public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
            Intent intent = new Intent(View_Image_Activity.this, View02_Image_Activity.class);
            intent.putExtra("position", position);
            intent.putExtra("type", View_Image_Activity.this.nType);
            intent.putExtra("list_name", View_Image_Activity.this.strListName);
            intent.putExtra("table_name", View_Image_Activity.this.strTableName);
            View_Image_Activity.this.startActivity(intent);
        }
    }

    class C03122 implements OnClickListener {
        C03122() {
        }

        public void onClick(View v) {
            MzServerApp MzApp = (MzServerApp) View_Image_Activity.this.mContext.getApplicationContext();
            Intent intent = new Intent(View_Image_Activity.this, Edit_Image_Activity.class);
            intent.putExtra("type", View_Image_Activity.this.nType);
            intent.putExtra("list_name", View_Image_Activity.this.strListName);
            intent.putExtra("table_name", View_Image_Activity.this.strTableName);
            View_Image_Activity.this.startActivity(intent);
        }
    }

    class C03133 implements OnClickListener {
        C03133() {
        }

        public void onClick(View v) {
            View_Image_Activity.this.showDialog(2);
        }
    }

    class C03144 implements OnClickListener {
        C03144() {
        }

        public void onClick(View v) {
            View_Image_Activity.this.showDialog(3);
        }
    }

    class C03155 extends Handler {
        C03155() {
        }

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                View_Image_Activity.this.Adapter.notifyDataSetChanged();
            } else if (msg.what == 1) {
                View_Image_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C03166 implements DialogInterface.OnClickListener {
        C03166() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strQuery = EXTHeader.DEFAULT_VALUE;
            if (!View_Image_Activity.this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + View_Image_Activity.this.strTableName + "'")) {
                ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            }
            if (View_Image_Activity.this.nType == 2) {
                strQuery = "CREATE TABLE IF NOT EXISTS `" + View_Image_Activity.this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER, " + "`thumb_path` TEXT" + ")";
            } else {
                strQuery = EXTHeader.DEFAULT_VALUE;
            }
            if (!View_Image_Activity.this.mDBManager.execSQL(strQuery)) {
                ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            }
            View_Image_Activity.this.removeDialog(2);
            View_Image_Activity.this.finish();
        }
    }

    class C03177 implements DialogInterface.OnClickListener {
        C03177() {
        }

        public void onClick(DialogInterface dialog, int which) {
            View_Image_Activity.this.removeDialog(2);
        }
    }

    class C03188 implements DialogInterface.OnClickListener {
        C03188() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strQuery = EXTHeader.DEFAULT_VALUE;
            if (View_Image_Activity.this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + View_Image_Activity.this.strTableName + "'")) {
                Cursor cursor = View_Image_Activity.this.mDBManager.onSelect("SELECT count(*) FROM `playlist`");
                if (cursor == null) {
                    ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    View_Image_Activity.this.removeDialog(3);
                    View_Image_Activity.this.finish();
                    return;
                } else if (cursor.moveToFirst()) {
                    int nCount = cursor.getInt(cursor.getColumnIndex("count(*)"));
                    cursor.close();
                    if (nCount <= 0) {
                        ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                        View_Image_Activity.this.removeDialog(3);
                        View_Image_Activity.this.finish();
                        return;
                    }
                    if (!View_Image_Activity.this.mDBManager.execSQL("DELETE FROM `playlist` WHERE `contents` = '" + View_Image_Activity.this.strTableName + "' AND `type` = " + View_Image_Activity.this.nType)) {
                        ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    }
                    View_Image_Activity.this.removeDialog(3);
                    View_Image_Activity.this.finish();
                    return;
                } else {
                    cursor.close();
                    ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    View_Image_Activity.this.removeDialog(3);
                    View_Image_Activity.this.finish();
                    return;
                }
            }
            ((MzServerApp) View_Image_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            View_Image_Activity.this.removeDialog(3);
            View_Image_Activity.this.finish();
        }
    }

    class C03199 implements DialogInterface.OnClickListener {
        C03199() {
        }

        public void onClick(DialogInterface dialog, int which) {
            View_Image_Activity.this.removeDialog(3);
        }
    }

    private class ProgressThread extends Thread {
        static final int STATE_DONE = 0;
        static final int STATE_RUNNING = 1;
        static final int STATE_STOP = 2;
        Handler mHandler;
        int nState = 0;
        int nTotal = 0;

        ProgressThread(Handler h) {
            this.mHandler = h;
        }

        public void run() {
            this.nState = 1;
            this.nTotal = 0;
            this.nTotal = View_Image_Activity.this.Items.size();
            for (int i = 0; i < this.nTotal && this.nState == 1 && !View_Image_Activity.this.m_Thread.isInterrupted(); i++) {
                try {
                    CustomListItem Item = (CustomListItem) View_Image_Activity.this.Items.get(i);
                    if (i % 5 == 0 && this.mHandler != null) {
                        this.mHandler.sendEmptyMessage(0);
                    }
                } catch (IndexOutOfBoundsException e) {
                }
            }
            if (this.mHandler != null) {
                this.mHandler.sendEmptyMessage(1);
            }
            this.nState = 0;
        }

        public void onInit() {
            this.nState = 0;
        }

        public void setStateType(int nState) {
            if (this.nState != 0) {
                this.nState = nState;
            }
        }

        public int getStateType() {
            return this.nState;
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.view_image);
        onInit(getApplicationContext());
        this.Adapter = new CustomViewImageAdapter(this.mContext, C0181R.layout.view_image, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName);
        this.mgvGrid.setEmptyView(this.mtvText);
        this.mgvGrid.setAdapter(this.Adapter);
        this.mgvGrid.setOnItemClickListener(this.mItemClickListener);
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        if (this.strListName.compareTo(this.mContext.getResources().getString(C0181R.string.lpl_name2)) == 0) {
            if (this.L4Btn != null) {
                this.L4Btn.setVisibility(8);
            }
            GetLPL();
        } else {
            if (this.L4Btn != null) {
                this.L4Btn.setVisibility(0);
            }
            onRead();
        }
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        if (this.m_Thread != null) {
            boolean bDestroy = true;
            if (this.m_Thread.isAlive()) {
                bDestroy = false;
            }
            while (!bDestroy) {
                this.m_Thread.interrupt();
                this.m_Thread.setStateType(2);
                try {
                    this.m_Thread.join(1000);
                    bDestroy = true;
                } catch (InterruptedException e) {
                    e.printStackTrace();
                    this.m_Thread.stop();
                    this.m_Thread.destroy();
                }
            }
        }
        this.m_Thread = null;
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        super.onDestroy();
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(this.mContext);
        switch (id) {
            case 2:
                Dialog ClearDialog = new Builder(this).setMessage(getResources().getString(C0181R.string.list_msg2)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new C03166()).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new C03177()).create();
                ClearDialog.setCancelable(false);
                return ClearDialog;
            case 3:
                Dialog DeleteDialog = new Builder(this).setMessage(getResources().getString(C0181R.string.list_msg3)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new C03188()).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new C03199()).create();
                DeleteDialog.setCancelable(false);
                return DeleteDialog;
            default:
                return null;
        }
    }

    private int px(float dips) {
        return Math.round(dips * getResources().getDisplayMetrics().density);
    }

    public boolean onInit(Context context) {
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mgvGrid = null;
        this.mtvText = null;
        this.mbutEdit = null;
        this.mbutClear = null;
        this.mbutDelete = null;
        this.mbutRescan = null;
        if (this.Items != null) {
            this.Items.clear();
        }
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mContext = context;
        this.mVib = (Vibrator) this.mContext.getSystemService("vibrator");
        this.mgvGrid = (GridView) findViewById(C0181R.id.view_image_gridView_Viewlist);
        this.mtvText = (TextView) findViewById(C0181R.id.view_image_textView_EmptyView);
        TextView tvTitle = (TextView) findViewById(C0181R.id.view_image_textView_Title);
        this.mbutEdit = (ImageButton) findViewById(C0181R.id.view_image_imageButton_Edit);
        this.mbutClear = (ImageButton) findViewById(C0181R.id.view_image_imageButton_Empty);
        this.mbutDelete = (ImageButton) findViewById(C0181R.id.view_image_imageButton_Delete);
        this.L4Btn = (LinearLayout) findViewById(C0181R.id.LinearLayout_Button);
        this.RL4BG = (RelativeLayout) findViewById(C0181R.id.view_main_RelativeLayout);
        this.mbutRescan = (ImageButton) findViewById(C0181R.id.view_image_imageButton_rescan);
        if (Utils.GetAndroidVer().compareTo("kk") == 0) {
            this.mbutRescan.setVisibility(4);
        }
        this.mbutRescan.setOnClickListener(new OnClickListener() {

            class C03101 implements OnScanCompletedListener {
                C03101() {
                }

                public void onScanCompleted(String path, Uri uri) {
                    Log.i("ExternalStorage", "Scanned " + path + ":");
                    Log.i("ExternalStorage", "-> uri=" + uri);
                }
            }

            public void onClick(View v) {
                View_Image_Activity.this.mVib.vibrate(500);
                MediaScannerConnection.scanFile(View_Image_Activity.this.mContext, new String[]{Environment.getExternalStorageDirectory().toString()}, null, new C03101());
            }
        });
        if (this.mgvGrid == null || this.mtvText == null || tvTitle == null || this.mbutEdit == null || this.mbutClear == null || this.mbutDelete == null) {
            return false;
        }
        final TextView lvf_txt = (TextView) findViewById(C0181R.id.lvf_txt);
        this.mgvGrid.setOnScrollListener(new OnScrollListener() {
            public void onScrollStateChanged(AbsListView view, int scrollState) {
            }

            public void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
                if (totalItemCount <= 0 || View_Image_Activity.this.mgvGrid.getLastVisiblePosition() + 1 != totalItemCount) {
                    LayoutParams layoutParams = new LayoutParams(-1, -2, 0);
                    layoutParams.setMargins(0, 0, 0, 0);
                    View_Image_Activity.this.mgvGrid.setLayoutParams(layoutParams);
                    lvf_txt.setVisibility(8);
                    return;
                }
                layoutParams = new LayoutParams(-1, -2, 0);
                layoutParams.setMargins(0, 0, 0, View_Image_Activity.this.px(50.0f));
                View_Image_Activity.this.mgvGrid.setLayoutParams(layoutParams);
                String strCnt = EXTHeader.DEFAULT_VALUE;
                lvf_txt.setText(String.format("%s %d %s", new Object[]{View_Image_Activity.this.getResources().getString(C0181R.string.pl_total), Integer.valueOf(View_Image_Activity.this.Items.size()), View_Image_Activity.this.getResources().getString(C0181R.string.pl_photos)}));
                lvf_txt.setVisibility(0);
            }
        });
        this.mbutEdit.setOnClickListener(this.mEditClickListener);
        this.mbutClear.setOnClickListener(this.mClearClickListener);
        this.mbutDelete.setOnClickListener(this.mDeleteClickListener);
        this.Items = new ArrayList();
        this.mCr = getContentResolver();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        int nType = intent.getIntExtra("type", 0);
        strListName = intent.getStringExtra("list_name");
        strTableName = intent.getStringExtra("table_name");
        if (nType != 2) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER, " + "`thumb_path` TEXT" + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        tvTitle.setText(strListName);
        this.nType = nType;
        this.strListName = strListName;
        this.strTableName = strTableName;
        return true;
    }

    public boolean GetLPL() {
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        Cursor cursor = this.mCr.query(Media.EXTERNAL_CONTENT_URI, null, "_size<= 4.295E+9", null, "date_added DESC limit 100");
        if (cursor == null) {
            return false;
        } else if (cursor.moveToFirst()) {
            long nTotalSize = 0;
            r7 = strDisplayName;
            while (!cursor.isAfterLast()) {
                int nColumnIdx = cursor.getColumnIndex("_display_name");
                if (nColumnIdx >= 0) {
                    r7 = cursor.getString(nColumnIdx);
                    nColumnIdx = cursor.getColumnIndex("description");
                    if (nColumnIdx >= 0) {
                        strInfo1 = cursor.getString(nColumnIdx);
                        nColumnIdx = cursor.getColumnIndex("datetaken");
                        if (nColumnIdx >= 0) {
                            strInfo2 = cursor.getString(nColumnIdx);
                            nColumnIdx = cursor.getColumnIndex("_id");
                            if (nColumnIdx >= 0) {
                                strInfo3 = cursor.getString(nColumnIdx);
                                nColumnIdx = cursor.getColumnIndex("mime_type");
                                if (nColumnIdx >= 0) {
                                    strInfo4 = cursor.getString(nColumnIdx);
                                    nColumnIdx = cursor.getColumnIndex("title");
                                    if (nColumnIdx >= 0) {
                                        strInfo5 = cursor.getString(nColumnIdx);
                                        if (strInfo5 == null) {
                                            strInfo5 = r7;
                                        } else if (strInfo5.length() <= 0) {
                                            strInfo5 = r7;
                                        }
                                        nColumnIdx = cursor.getColumnIndex("_data");
                                        if (nColumnIdx >= 0) {
                                            strPath = cursor.getString(nColumnIdx);
                                            nColumnIdx = cursor.getColumnIndex("_size");
                                            if (nColumnIdx >= 0) {
                                                long nSize = cursor.getLong(nColumnIdx);
                                                nColumnIdx = cursor.getColumnIndex("_data");
                                                if (nColumnIdx >= 0) {
                                                    strThumbPath = cursor.getString(nColumnIdx);
                                                    nTotalSize += nSize;
                                                    if (((double) nTotalSize) > 8.3752E9d) {
                                                        break;
                                                    }
                                                    this.Items.add(new CustomListItem(0, r7, strInfo1, strInfo2, strInfo3, strInfo4, strInfo5, strPath, nSize, EXTHeader.DEFAULT_VALUE));
                                                    cursor.moveToNext();
                                                } else {
                                                    cursor.close();
                                                    return false;
                                                }
                                            }
                                            cursor.close();
                                            return false;
                                        }
                                        cursor.close();
                                        return false;
                                    }
                                    cursor.close();
                                    return false;
                                }
                                cursor.close();
                                return false;
                            }
                            cursor.close();
                            return false;
                        }
                        cursor.close();
                        return false;
                    }
                    cursor.close();
                    return false;
                }
                cursor.close();
                return false;
            }
            cursor.close();
            return true;
        } else {
            cursor.close();
            r7 = strDisplayName;
            return false;
        }
    }

    public boolean onRead() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `" + this.strTableName + "` ORDER BY `number`");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            int nNumber = 0;
            while (!this.mCursor.isAfterLast()) {
                int nIdx = this.mCursor.getInt(this.mCursor.getColumnIndex("idx"));
                strDisplayName = this.mCursor.getString(this.mCursor.getColumnIndex("display_name"));
                strInfo1 = this.mCursor.getString(this.mCursor.getColumnIndex("info1"));
                strInfo2 = this.mCursor.getString(this.mCursor.getColumnIndex("info2"));
                strInfo3 = this.mCursor.getString(this.mCursor.getColumnIndex("info3"));
                strInfo4 = this.mCursor.getString(this.mCursor.getColumnIndex("info4"));
                strInfo5 = this.mCursor.getString(this.mCursor.getColumnIndex("info5"));
                strPath = this.mCursor.getString(this.mCursor.getColumnIndex("path"));
                int nSize = this.mCursor.getInt(this.mCursor.getColumnIndex("size"));
                CustomListItem Item = new CustomListItem(nNumber, strDisplayName, strInfo1, strInfo2, strInfo3, strInfo4, strInfo5, strPath, (long) nSize, this.mCursor.getString(this.mCursor.getColumnIndex("thumb_path")));
                Item.setIdx(nIdx);
                this.Items.add(Item);
                this.mCursor.moveToNext();
                nNumber++;
            }
            this.mCursor.close();
            this.mDBManager.onSync(this.strTableName);
            if (this.m_Thread != null) {
                boolean bDestroy = true;
                if (this.m_Thread.isAlive()) {
                    bDestroy = false;
                }
                while (!bDestroy) {
                    this.m_Thread.interrupt();
                    this.m_Thread.setStateType(2);
                    try {
                        this.m_Thread.join(1000);
                        bDestroy = true;
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                        this.m_Thread.stop();
                        this.m_Thread.destroy();
                    }
                }
            }
            this.m_Thread = null;
            this.m_Thread = new ProgressThread(this.mHandler);
            this.m_Thread.onInit();
            this.m_Thread.setDaemon(true);
            new Handler().postDelayed(new Runnable() {
                public void run() {
                    try {
                        View_Image_Activity.this.m_Thread.start();
                    } catch (NullPointerException e) {
                        e.printStackTrace();
                    } catch (IllegalThreadStateException e2) {
                        e2.printStackTrace();
                    }
                }
            }, 500);
            return true;
        }
        this.mCursor.close();
        return false;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    private static void removeThumbnails(ContentResolver contentResolver, long photoId) {
        ContentResolver contentResolver2 = contentResolver;
        Cursor thumbnails = contentResolver2.query(Thumbnails.EXTERNAL_CONTENT_URI, null, "image_id=?", new String[]{String.valueOf(photoId)}, null);
        thumbnails.moveToFirst();
        while (!thumbnails.isAfterLast()) {
            long thumbnailId = thumbnails.getLong(thumbnails.getColumnIndex("_id"));
            if (new File(thumbnails.getString(thumbnails.getColumnIndex("_data"))).delete()) {
                contentResolver.delete(Thumbnails.EXTERNAL_CONTENT_URI, "_id=?", new String[]{String.valueOf(thumbnailId)});
            }
            thumbnails.moveToNext();
        }
    }
}
