package org.teleal.cling.model.message.discovery;

import org.teleal.cling.model.Location;
import org.teleal.cling.model.message.IncomingDatagramMessage;
import org.teleal.cling.model.message.header.UDNHeader;
import org.teleal.cling.model.message.header.UpnpHeader.Type;
import org.teleal.cling.model.meta.LocalDevice;

public class OutgoingSearchResponseUDN extends OutgoingSearchResponse {
    public OutgoingSearchResponseUDN(IncomingDatagramMessage request, Location location, LocalDevice device) {
        super(request, location, device);
        getHeaders().add(Type.ST, new UDNHeader(device.getIdentity().getUdn()));
        getHeaders().add(Type.USN, new UDNHeader(device.getIdentity().getUdn()));
    }
}
