package org.teleal.cling.model.message.header;

public class NTEventHeader extends UpnpHeader<String> {
    public NTEventHeader() {
        setValue("upnp:event");
    }

    public void setString(String s) throws InvalidHeaderException {
        if (!s.toLowerCase().equals(getValue())) {
            throw new InvalidHeaderException("Invalid event NT header value: " + s);
        }
    }

    public String getString() {
        return (String) getValue();
    }
}
