package org.teleal.cling.model.types;

import org.teleal.cling.model.message.header.EXTHeader;

public class CustomDatatype extends AbstractDatatype<String> {
    private String name;

    public CustomDatatype(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    public String valueOf(String s) throws InvalidValueException {
        if (s.equals(EXTHeader.DEFAULT_VALUE)) {
            return null;
        }
        return s;
    }

    public String toString() {
        return "(" + getClass().getSimpleName() + ") '" + getName() + "'";
    }
}
