package org.teleal.cling.model.types;

import org.teleal.cling.model.message.header.EXTHeader;

public class UnsignedIntegerTwoBytesDatatype extends AbstractDatatype<UnsignedIntegerTwoBytes> {
    public UnsignedIntegerTwoBytes valueOf(String s) throws InvalidValueException {
        if (s.equals(EXTHeader.DEFAULT_VALUE)) {
            return null;
        }
        try {
            return new UnsignedIntegerTwoBytes(s);
        } catch (NumberFormatException ex) {
            throw new InvalidValueException("Can't convert string to number or not in range: " + s, ex);
        }
    }
}
