package org.teleal.cling.support.lastchange;

import java.util.Map.Entry;
import org.teleal.cling.model.types.Datatype;
import org.teleal.cling.model.types.Datatype.Builtin;

public class EventedValueString extends EventedValue<String> {
    public EventedValueString(String value) {
        super((Object) value);
    }

    public EventedValueString(Entry<String, String>[] attributes) {
        super((Entry[]) attributes);
    }

    protected Datatype getDatatype() {
        return Builtin.STRING.getDatatype();
    }
}
