package org.teleal.cling.support.lastchange;

import java.util.Map.Entry;
import org.teleal.cling.model.types.Datatype;
import org.teleal.cling.model.types.Datatype.Builtin;
import org.teleal.cling.model.types.UnsignedIntegerTwoBytes;

public class EventedValueUnsignedIntegerTwoBytes extends EventedValue<UnsignedIntegerTwoBytes> {
    public EventedValueUnsignedIntegerTwoBytes(UnsignedIntegerTwoBytes value) {
        super((Object) value);
    }

    public EventedValueUnsignedIntegerTwoBytes(Entry<String, String>[] attributes) {
        super((Entry[]) attributes);
    }

    protected Datatype getDatatype() {
        return Builtin.UI2.getDatatype();
    }
}
