package org.teleal.cling.support.model;

import org.w3c.dom.Element;

public class PersonWithRole extends Person {
    private String role;

    public PersonWithRole(String name) {
        super(name);
    }

    public PersonWithRole(String name, String role) {
        super(name);
        this.role = role;
    }

    public String getRole() {
        return this.role;
    }

    public void setOnElement(Element element) {
        element.setTextContent(toString());
        element.setAttribute("role", getRole());
    }
}
