package org.teleal.cling.support.model;

import com.wireme.mediaserver.ContentTree;
import java.util.Map;
import org.teleal.cling.model.action.ActionArgumentValue;

public class TransportInfo {
    private String currentSpeed;
    private TransportState currentTransportState;
    private TransportStatus currentTransportStatus;

    public TransportInfo() {
        this.currentTransportState = TransportState.NO_MEDIA_PRESENT;
        this.currentTransportStatus = TransportStatus.OK;
        this.currentSpeed = ContentTree.VIDEO_ID;
    }

    public TransportInfo(Map<String, ActionArgumentValue> args) {
        this(TransportState.valueOrCustomOf((String) ((ActionArgumentValue) args.get("CurrentTransportState")).getValue()), TransportStatus.valueOrCustomOf((String) ((ActionArgumentValue) args.get("CurrentTransportStatus")).getValue()), (String) ((ActionArgumentValue) args.get("CurrentSpeed")).getValue());
    }

    public TransportInfo(TransportState currentTransportState) {
        this.currentTransportState = TransportState.NO_MEDIA_PRESENT;
        this.currentTransportStatus = TransportStatus.OK;
        this.currentSpeed = ContentTree.VIDEO_ID;
        this.currentTransportState = currentTransportState;
    }

    public TransportInfo(TransportState currentTransportState, String currentSpeed) {
        this.currentTransportState = TransportState.NO_MEDIA_PRESENT;
        this.currentTransportStatus = TransportStatus.OK;
        this.currentSpeed = ContentTree.VIDEO_ID;
        this.currentTransportState = currentTransportState;
        this.currentSpeed = currentSpeed;
    }

    public TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus) {
        this.currentTransportState = TransportState.NO_MEDIA_PRESENT;
        this.currentTransportStatus = TransportStatus.OK;
        this.currentSpeed = ContentTree.VIDEO_ID;
        this.currentTransportState = currentTransportState;
        this.currentTransportStatus = currentTransportStatus;
    }

    public TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus, String currentSpeed) {
        this.currentTransportState = TransportState.NO_MEDIA_PRESENT;
        this.currentTransportStatus = TransportStatus.OK;
        this.currentSpeed = ContentTree.VIDEO_ID;
        this.currentTransportState = currentTransportState;
        this.currentTransportStatus = currentTransportStatus;
        this.currentSpeed = currentSpeed;
    }

    public TransportState getCurrentTransportState() {
        return this.currentTransportState;
    }

    public TransportStatus getCurrentTransportStatus() {
        return this.currentTransportStatus;
    }

    public String getCurrentSpeed() {
        return this.currentSpeed;
    }
}
