package org.teleal.cling.support.model;

public class TransportSettings {
    private PlayMode playMode = PlayMode.NORMAL;
    private RecordQualityMode recQualityMode = RecordQualityMode.NOT_IMPLEMENTED;

    public TransportSettings(PlayMode playMode) {
        this.playMode = playMode;
    }

    public TransportSettings(PlayMode playMode, RecordQualityMode recQualityMode) {
        this.playMode = playMode;
        this.recQualityMode = recQualityMode;
    }

    public PlayMode getPlayMode() {
        return this.playMode;
    }

    public RecordQualityMode getRecQualityMode() {
        return this.recQualityMode;
    }
}
