package org.teleal.common.xhtml;

import javax.xml.xpath.XPath;
import org.teleal.common.xhtml.XHTML.ATTR;
import org.w3c.dom.Element;

public class Link extends XHTMLElement {
    public Link(XPath xpath, Element element) {
        super(xpath, element);
    }

    public Href getHref() {
        return Href.fromString(getAttribute(ATTR.href));
    }

    public String getRel() {
        return getAttribute(ATTR.rel);
    }

    public String getRev() {
        return getAttribute(ATTR.rev);
    }
}
