package com.enus.myzik;

import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import java.io.File;
import java.util.ArrayList;
import org.teleal.cling.model.message.header.EXTHeader;

public class Add_Audio_Activity extends MzActivity {
    private static final int nMenu_Albums = 3;
    private static final int nMenu_Artists = 2;
    private static final int nMenu_Songs = 1;
    private CustomListAdapter_Button Adapter;
    private ArrayList<CustomListItem> Items;
    private final BroadcastReceiver brMS = new C00081();
    public OnClickListener mAlbumClickListener = new C00136();
    public OnClickListener mArtistClickListener = new C00125();
    Context mContext;
    ContentResolver mCr;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDoneClickListener = new C00092();
    private Handler mH4SC = null;
    public OnClickListener mMovDirClickListener = new C00103();
    ListView mSList;
    public OnClickListener mSongClickListener = new C00114();
    Thread m_InitThread = null;
    private int m_nfirstVisibleItem = 0;
    ImageButton mbutAlbum;
    ImageButton mbutArtist;
    ImageButton mbutSong;
    ListView mlvList;
    private int[] mnSCPos;
    TextView mtvText;
    private int nMode = 1;
    private int nSelected = -1;
    private int nType = 0;
    ProgressDialog progressdlg = null;
    private String strListName = EXTHeader.DEFAULT_VALUE;
    private String strTableName = EXTHeader.DEFAULT_VALUE;

    class C00081 extends BroadcastReceiver {
        C00081() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("android.intent.action.MEDIA_SCANNER_STARTED")) {
                ((MzServerApp) Add_Audio_Activity.this.getApplicationContext()).ShowMsg(Add_Audio_Activity.this.getApplicationContext().getString(C0181R.string.pl_msg5), 1);
                Intent intentA = new Intent(Add_Audio_Activity.this, Edit_Audio_Activity.class);
                intentA.putExtra("type", Add_Audio_Activity.this.nType);
                intentA.putExtra("list_name", Add_Audio_Activity.this.strListName);
                intentA.putExtra("table_name", Add_Audio_Activity.this.strTableName);
                Add_Audio_Activity.this.startActivity(intentA);
                Add_Audio_Activity.this.finish();
                return;
            }
            intent.getAction().equals("android.intent.action.MEDIA_SCANNER_FINISHED");
        }
    }

    class C00092 implements OnClickListener {
        C00092() {
        }

        public void onClick(View v) {
            MzServerApp MzApp = (MzServerApp) Add_Audio_Activity.this.getApplicationContext();
            if (MzApp != null) {
                MzApp.ShowMsg(Add_Audio_Activity.this.getResources().getString(C0181R.string.pl_done), 1);
            }
            Intent intent = new Intent(Add_Audio_Activity.this, Edit_Audio_Activity.class);
            intent.putExtra("type", Add_Audio_Activity.this.nType);
            intent.putExtra("list_name", Add_Audio_Activity.this.strListName);
            intent.putExtra("table_name", Add_Audio_Activity.this.strTableName);
            Add_Audio_Activity.this.startActivity(intent);
            Add_Audio_Activity.this.finish();
        }
    }

    class C00103 implements OnClickListener {
        C00103() {
        }

        public void onClick(View v) {
            Intent intentD = new Intent(Add_Audio_Activity.this, Add_AudioDir_Activity.class);
            intentD.putExtra("type", Add_Audio_Activity.this.nType);
            intentD.putExtra("list_name", Add_Audio_Activity.this.strListName);
            intentD.putExtra("table_name", Add_Audio_Activity.this.strTableName);
            if (new File("/storage").listFiles() != null) {
                intentD.putExtra("e_path", "/storage");
            } else {
                intentD.putExtra("e_path", "/mnt");
            }
            Add_Audio_Activity.this.startActivity(intentD);
            Add_Audio_Activity.this.finish();
        }
    }

    class C00114 implements OnClickListener {
        C00114() {
        }

        public void onClick(View v) {
            Add_Audio_Activity.this.mbutSong.setSelected(false);
            Add_Audio_Activity.this.mbutArtist.setSelected(false);
            Add_Audio_Activity.this.mbutAlbum.setSelected(false);
            Add_Audio_Activity.this.mbutSong.setSelected(true);
            if (Add_Audio_Activity.this.nMode != 1) {
                Add_Audio_Activity.this.nMode = 1;
                Add_Audio_Activity.this.Items.clear();
                if (Add_Audio_Activity.this.mDBManager == null) {
                    Add_Audio_Activity.this.onInit(Add_Audio_Activity.this.getApplicationContext());
                }
                Add_Audio_Activity.this.onRead();
                Add_Audio_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C00125 implements OnClickListener {
        C00125() {
        }

        public void onClick(View v) {
            Add_Audio_Activity.this.mbutSong.setSelected(false);
            Add_Audio_Activity.this.mbutArtist.setSelected(false);
            Add_Audio_Activity.this.mbutAlbum.setSelected(false);
            Add_Audio_Activity.this.mbutArtist.setSelected(true);
            if (Add_Audio_Activity.this.nMode != 2) {
                Add_Audio_Activity.this.nMode = 2;
                Add_Audio_Activity.this.Items.clear();
                if (Add_Audio_Activity.this.mDBManager == null) {
                    Add_Audio_Activity.this.onInit(Add_Audio_Activity.this.getApplicationContext());
                }
                Add_Audio_Activity.this.onRead();
                Add_Audio_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C00136 implements OnClickListener {
        C00136() {
        }

        public void onClick(View v) {
            Add_Audio_Activity.this.mbutSong.setSelected(false);
            Add_Audio_Activity.this.mbutArtist.setSelected(false);
            Add_Audio_Activity.this.mbutAlbum.setSelected(false);
            Add_Audio_Activity.this.mbutAlbum.setSelected(true);
            if (Add_Audio_Activity.this.nMode != 3) {
                Add_Audio_Activity.this.nMode = 3;
                Add_Audio_Activity.this.Items.clear();
                if (Add_Audio_Activity.this.mDBManager == null) {
                    Add_Audio_Activity.this.onInit(Add_Audio_Activity.this.getApplicationContext());
                }
                Add_Audio_Activity.this.onRead();
                Add_Audio_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C00147 implements OnItemClickListener {
        C00147() {
        }

        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            String strItemName = parent.getAdapter().getItem(position).toString();
            if (position != -1) {
                Add_Audio_Activity.this.mSList.clearChoices();
                if (Add_Audio_Activity.this.mnSCPos[position] > -1) {
                    Add_Audio_Activity.this.mlvList.setSelection(Add_Audio_Activity.this.mnSCPos[position]);
                }
                if (strItemName.compareTo("#") == 0) {
                    strItemName = "Num.";
                }
                MzServerApp MzApp = (MzServerApp) Add_Audio_Activity.this.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg("Keyword: " + strItemName, 1);
                }
            }
        }
    }

    class C00158 implements Runnable {
        C00158() {
        }

        public void run() {
            if (Add_Audio_Activity.this.mSList.getVisibility() == 0) {
                Add_Audio_Activity.this.mSList.setVisibility(4);
            }
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.add_audio);
        onInit(getApplicationContext());
        if (this.Adapter != null) {
            this.Adapter.clear();
        }
        this.Adapter = null;
        this.Adapter = new CustomListAdapter_Button(this.mContext, C0181R.layout.add_item, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName);
        this.mlvList.setEmptyView(this.mtvText);
        this.mlvList.setAdapter(this.Adapter);
        ArrayList<String> AListSC = new ArrayList();
        if (Utils.GetCurrentLanguage().compareTo("한국어") == 0) {
            AListSC.add("ㄱ");
            AListSC.add("ㄴ");
            AListSC.add("ㄷ");
            AListSC.add("ㄹ");
            AListSC.add("ㅁ");
            AListSC.add("ㅂ");
            AListSC.add("ㅅ");
            AListSC.add("ㅇ");
            AListSC.add("ㅈ");
            AListSC.add("ㅊ");
            AListSC.add("ㅋ");
            AListSC.add("ㅌ");
            AListSC.add("ㅍ");
            AListSC.add("ㅎ");
            AListSC.add("A");
            AListSC.add("F");
            AListSC.add("J");
            AListSC.add("O");
            AListSC.add("S");
            AListSC.add("Z");
        } else {
            AListSC.add("A");
            AListSC.add("B");
            AListSC.add("C");
            AListSC.add("D");
            AListSC.add("F");
            AListSC.add("G");
            AListSC.add("H");
            AListSC.add("I");
            AListSC.add("K");
            AListSC.add("L");
            AListSC.add("M");
            AListSC.add("N");
            AListSC.add("P");
            AListSC.add("Q");
            AListSC.add("R");
            AListSC.add("S");
            AListSC.add("U");
            AListSC.add("V");
            AListSC.add("W");
            AListSC.add("X");
            AListSC.add("Z");
        }
        AListSC.add("#");
        this.mSList.setAdapter(new SCAdapter(this.mContext, C0181R.layout.search_fc, AListSC));
        this.mSList.setOnItemClickListener(new C00147());
        IntentFilter intentFilter4MS = new IntentFilter("android.intent.action.MEDIA_SCANNER_STARTED");
        intentFilter4MS.addAction("android.intent.action.MEDIA_SCANNER_FINISHED");
        intentFilter4MS.addDataScheme("file");
        registerReceiver(this.brMS, intentFilter4MS);
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        onRead();
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        if (this.brMS != null) {
            unregisterReceiver(this.brMS);
        }
        if (this.m_InitThread != null && this.m_InitThread.isAlive()) {
            this.m_InitThread.interrupt();
            this.m_InitThread.destroy();
        }
        this.m_InitThread = null;
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        super.onDestroy();
    }

    public void onBackPressed() {
        Intent intent = new Intent(this, Edit_Audio_Activity.class);
        intent.putExtra("type", this.nType);
        intent.putExtra("list_name", this.strListName);
        intent.putExtra("table_name", this.strTableName);
        startActivity(intent);
        finish();
    }

    public boolean onInit(Context context) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mlvList = null;
        this.mtvText = null;
        this.mbutSong = null;
        this.mbutArtist = null;
        this.mbutAlbum = null;
        this.mSList = null;
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mContext = context;
        this.mlvList = (ListView) findViewById(C0181R.id.add_audio_listView_Addlist);
        this.mtvText = (TextView) findViewById(C0181R.id.add_audio_textView_EmptyView);
        ImageButton butDone = (ImageButton) findViewById(C0181R.id.add_audio_imageButton_Done);
        ImageButton butMovDir = (ImageButton) findViewById(C0181R.id.add_audio_imageButton_Dir);
        this.mbutSong = (ImageButton) findViewById(C0181R.id.add_audio_imageButton_Song);
        this.mbutArtist = (ImageButton) findViewById(C0181R.id.add_audio_imageButton_Artist);
        this.mbutAlbum = (ImageButton) findViewById(C0181R.id.add_audio_imageButton_Album);
        this.mSList = (ListView) findViewById(C0181R.id.add_audio_search_Addlist);
        this.mH4SC = new Handler();
        final Runnable ra4SC = new C00158();
        this.mH4SC.postDelayed(ra4SC, 1);
        this.mlvList.setOnScrollListener(new OnScrollListener() {
            public void onScroll(AbsListView arg0, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
                if (Add_Audio_Activity.this.nMode == 1 && Math.abs(Add_Audio_Activity.this.m_nfirstVisibleItem - firstVisibleItem) > 1) {
                    Add_Audio_Activity.this.m_nfirstVisibleItem = firstVisibleItem;
                }
            }

            public void onScrollStateChanged(AbsListView view, int scrollState) {
                if (Add_Audio_Activity.this.nMode == 1 && scrollState == 2) {
                    Add_Audio_Activity.this.mSList.setVisibility(0);
                    if (Add_Audio_Activity.this.mH4SC != null) {
                        Add_Audio_Activity.this.mH4SC.removeCallbacks(ra4SC);
                    }
                    Add_Audio_Activity.this.mH4SC.postDelayed(ra4SC, 1700);
                } else if (Add_Audio_Activity.this.nMode != 1) {
                }
            }
        });
        if (this.mlvList == null || this.mtvText == null || butDone == null || this.mbutSong == null || this.mbutArtist == null || this.mbutAlbum == null) {
            return false;
        }
        butDone.setOnClickListener(this.mDoneClickListener);
        this.mbutSong.setOnClickListener(this.mSongClickListener);
        this.mbutArtist.setOnClickListener(this.mArtistClickListener);
        this.mbutAlbum.setOnClickListener(this.mAlbumClickListener);
        this.mbutSong.setSelected(false);
        this.mbutArtist.setSelected(false);
        this.mbutAlbum.setSelected(false);
        this.mbutSong.setSelected(true);
        this.Items = new ArrayList();
        this.mCr = getContentResolver();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        int nType = intent.getIntExtra("type", 0);
        this.strListName = intent.getStringExtra("list_name");
        strTableName = intent.getStringExtra("table_name");
        butMovDir.setOnClickListener(this.mMovDirClickListener);
        if (nType != 1) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")";
        this.nType = nType;
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        this.strTableName = strTableName;
        return true;
    }

    public boolean isKorean(String src) {
        char comval = src.charAt(0);
        if ('가' > comval || comval > '힣') {
            return false;
        }
        return true;
    }

    public String DivKorCho(String src) {
        char[] INITIAL_SOUND = new char[]{'ㄱ', 'ㄲ', 'ㄴ', 'ㄷ', 'ㄸ', 'ㄹ', 'ㅁ', 'ㅂ', 'ㅃ', 'ㅅ', 'ㅆ', 'ㅇ', 'ㅈ', 'ㅉ', 'ㅊ', 'ㅋ', 'ㅌ', 'ㅍ', 'ㅎ'};
        String strRes = EXTHeader.DEFAULT_VALUE;
        return String.valueOf(INITIAL_SOUND[(src.charAt(0) - '가') / 'Ɍ']);
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean onRead() {
        /*
        r32 = this;
        r2 = 22;
        r2 = new int[r2];
        r0 = r32;
        r0.mnSCPos = r2;
        r20 = 0;
    L_0x000a:
        r2 = 22;
        r0 = r20;
        if (r0 < r2) goto L_0x0083;
    L_0x0010:
        r27 = 0;
        r3 = 0;
        r14 = "";
        r10 = "";
        r11 = "";
        r12 = "";
        r13 = "";
        r9 = "";
        r15 = "";
        r30 = "";
        r28 = "";
        r24 = 0;
        r23 = 0;
        r20 = 0;
        r25 = 0;
        r16 = 0;
        r19 = 0;
        r0 = r32;
        r2 = r0.mDBManager;
        r4 = new java.lang.StringBuilder;
        r5 = "(SELECT `path` FROM `";
        r4.<init>(r5);
        r0 = r32;
        r5 = r0.strTableName;
        r4 = r4.append(r5);
        r5 = "` GROUP BY `path`) T1";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r5 = "";
        r24 = r2.onCount(r4, r5);
        if (r24 <= 0) goto L_0x00c7;
    L_0x0056:
        r0 = r24;
        r0 = new java.lang.String[r0];
        r27 = r0;
        r2 = new java.lang.StringBuilder;
        r4 = "SELECT `path` FROM '";
        r2.<init>(r4);
        r0 = r32;
        r4 = r0.strTableName;
        r2 = r2.append(r4);
        r4 = "' GROUP BY `path`";
        r2 = r2.append(r4);
        r28 = r2.toString();
        r0 = r32;
        r2 = r0.mDBManager;
        r0 = r28;
        r19 = r2.onSelect(r0);
        if (r19 != 0) goto L_0x008e;
    L_0x0081:
        r2 = 0;
    L_0x0082:
        return r2;
    L_0x0083:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = -1;
        r2[r20] = r4;
        r20 = r20 + 1;
        goto L_0x000a;
    L_0x008e:
        r2 = r19.moveToFirst();
        if (r2 != 0) goto L_0x00be;
    L_0x0094:
        r2 = 0;
        goto L_0x0082;
    L_0x0096:
        r2 = "path";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x00af;
    L_0x00a0:
        if (r27 == 0) goto L_0x00a8;
    L_0x00a2:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x00a8:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x00af:
        r0 = r19;
        r1 = r23;
        r2 = r0.getString(r1);
        r27[r20] = r2;
        r19.moveToNext();
        r20 = r20 + 1;
    L_0x00be:
        r2 = r19.isAfterLast();
        if (r2 == 0) goto L_0x0096;
    L_0x00c4:
        r19.close();
    L_0x00c7:
        r31 = "%/media/audio/";
        r2 = 1;
        r6 = new java.lang.String[r2];
        r2 = 0;
        r4 = new java.lang.StringBuilder;
        r5 = java.lang.String.valueOf(r31);
        r4.<init>(r5);
        r5 = "%";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r6[r2] = r4;
        r3 = android.provider.MediaStore.Audio.Media.EXTERNAL_CONTENT_URI;
        r0 = r32;
        r2 = r0.nMode;
        r4 = 1;
        if (r2 != r4) goto L_0x00fc;
    L_0x00eb:
        r0 = r32;
        r2 = r0.mCr;
        r4 = 0;
        r5 = "_data NOT LIKE ? ";
        r7 = "title";
        r19 = r2.query(r3, r4, r5, r6, r7);
    L_0x00f8:
        if (r19 != 0) goto L_0x0157;
    L_0x00fa:
        r2 = 0;
        goto L_0x0082;
    L_0x00fc:
        r0 = r32;
        r2 = r0.nMode;
        r4 = 2;
        if (r2 != r4) goto L_0x0123;
    L_0x0103:
        r0 = r32;
        r2 = r0.mSList;
        r2 = r2.getVisibility();
        if (r2 != 0) goto L_0x0115;
    L_0x010d:
        r0 = r32;
        r2 = r0.mSList;
        r4 = 4;
        r2.setVisibility(r4);
    L_0x0115:
        r0 = r32;
        r2 = r0.mCr;
        r4 = 0;
        r5 = "_data NOT LIKE ? ";
        r7 = "artist";
        r19 = r2.query(r3, r4, r5, r6, r7);
        goto L_0x00f8;
    L_0x0123:
        r0 = r32;
        r2 = r0.nMode;
        r4 = 3;
        if (r2 != r4) goto L_0x014a;
    L_0x012a:
        r0 = r32;
        r2 = r0.mSList;
        r2 = r2.getVisibility();
        if (r2 != 0) goto L_0x013c;
    L_0x0134:
        r0 = r32;
        r2 = r0.mSList;
        r4 = 4;
        r2.setVisibility(r4);
    L_0x013c:
        r0 = r32;
        r2 = r0.mCr;
        r4 = 0;
        r5 = "_data NOT LIKE ? ";
        r7 = "album";
        r19 = r2.query(r3, r4, r5, r6, r7);
        goto L_0x00f8;
    L_0x014a:
        if (r27 == 0) goto L_0x0152;
    L_0x014c:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0152:
        r27 = 0;
        r2 = 0;
        goto L_0x0082;
    L_0x0157:
        r2 = r19.moveToFirst();
        if (r2 != 0) goto L_0x0340;
    L_0x015d:
        if (r27 == 0) goto L_0x0165;
    L_0x015f:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0165:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x016d:
        r2 = "_display_name";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x0187;
    L_0x0177:
        if (r27 == 0) goto L_0x017f;
    L_0x0179:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x017f:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x0187:
        r0 = r19;
        r1 = r23;
        r14 = r0.getString(r1);
        r2 = "artist";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x01a9;
    L_0x0199:
        if (r27 == 0) goto L_0x01a1;
    L_0x019b:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x01a1:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x01a9:
        r0 = r19;
        r1 = r23;
        r10 = r0.getString(r1);
        r2 = "album";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x01cb;
    L_0x01bb:
        if (r27 == 0) goto L_0x01c3;
    L_0x01bd:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x01c3:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x01cb:
        r0 = r19;
        r1 = r23;
        r11 = r0.getString(r1);
        r2 = "_id";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x01ed;
    L_0x01dd:
        if (r27 == 0) goto L_0x01e5;
    L_0x01df:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x01e5:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x01ed:
        r0 = r19;
        r1 = r23;
        r12 = r0.getString(r1);
        r2 = "mime_type";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x020f;
    L_0x01ff:
        if (r27 == 0) goto L_0x0207;
    L_0x0201:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0207:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x020f:
        r0 = r19;
        r1 = r23;
        r13 = r0.getString(r1);
        r2 = "title";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x0246;
    L_0x0221:
        if (r27 == 0) goto L_0x0229;
    L_0x0223:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0229:
        r27 = 0;
        r9 = r14;
    L_0x022c:
        r2 = "_data";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x025a;
    L_0x0236:
        if (r27 == 0) goto L_0x023e;
    L_0x0238:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x023e:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x0246:
        r0 = r19;
        r1 = r23;
        r9 = r0.getString(r1);
        if (r9 == 0) goto L_0x0258;
    L_0x0250:
        r2 = r9.length();
        if (r2 > 0) goto L_0x022c;
    L_0x0256:
        r9 = r14;
        goto L_0x022c;
    L_0x0258:
        r9 = r14;
        goto L_0x022c;
    L_0x025a:
        r0 = r19;
        r1 = r23;
        r15 = r0.getString(r1);
        r2 = "_size";
        r0 = r19;
        r23 = r0.getColumnIndex(r2);
        if (r23 >= 0) goto L_0x027c;
    L_0x026c:
        if (r27 == 0) goto L_0x0274;
    L_0x026e:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0274:
        r27 = 0;
        r19.close();
        r2 = 0;
        goto L_0x0082;
    L_0x027c:
        r0 = r19;
        r1 = r23;
        r16 = r0.getLong(r1);
        r29 = "";
        r2 = 0;
        r4 = 1;
        r29 = r9.substring(r2, r4);
        r22 = 0;
        r21 = 1;
        r2 = com.enus.myzik.Utils.GetCurrentLanguage();
        r4 = "한국어";
        r2 = r2.compareTo(r4);
        if (r2 == 0) goto L_0x029e;
    L_0x029c:
        r21 = 0;
    L_0x029e:
        if (r21 == 0) goto L_0x0687;
    L_0x02a0:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 20;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0356;
    L_0x02ab:
        r2 = "0";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02b5:
        r2 = "1";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02bf:
        r2 = "2";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02c9:
        r2 = "3";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02d3:
        r2 = "4";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02dd:
        r2 = "5";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02e7:
        r2 = "6";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02f1:
        r2 = "7";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x02fb:
        r2 = "8";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x030f;
    L_0x0305:
        r2 = "9";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0356;
    L_0x030f:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 20;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x031f:
        r7 = new com.enus.myzik.CustomListItem;
        r8 = 0;
        r18 = "";
        r7.<init>(r8, r9, r10, r11, r12, r13, r14, r15, r16, r18);
        if (r27 == 0) goto L_0x0336;
    L_0x0329:
        r0 = r27;
        r0 = r0.length;
        r25 = r0;
        r20 = 0;
    L_0x0330:
        r0 = r20;
        r1 = r25;
        if (r0 < r1) goto L_0x0a2f;
    L_0x0336:
        r0 = r32;
        r2 = r0.Items;
        r2.add(r7);
        r19.moveToNext();
    L_0x0340:
        r2 = r19.isAfterLast();
        if (r2 == 0) goto L_0x016d;
    L_0x0346:
        r19.close();
        if (r27 == 0) goto L_0x0351;
    L_0x034b:
        r2 = 0;
        r0 = r27;
        java.util.Arrays.fill(r0, r2);
    L_0x0351:
        r27 = 0;
        r2 = 1;
        goto L_0x0082;
    L_0x0356:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 14;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0386;
    L_0x0361:
        r2 = "A";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x0375;
    L_0x036b:
        r2 = "a";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0386;
    L_0x0375:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 14;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0386:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 15;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x03b7;
    L_0x0391:
        r2 = "F";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x03a5;
    L_0x039b:
        r2 = "f";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x03b7;
    L_0x03a5:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 15;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x03b7:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 16;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x03e8;
    L_0x03c2:
        r2 = "J";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x03d6;
    L_0x03cc:
        r2 = "j";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x03e8;
    L_0x03d6:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 16;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x03e8:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 17;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0419;
    L_0x03f3:
        r2 = "O";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x0407;
    L_0x03fd:
        r2 = "o";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0419;
    L_0x0407:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 17;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0419:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 18;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x044a;
    L_0x0424:
        r2 = "S";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x0438;
    L_0x042e:
        r2 = "s";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x044a;
    L_0x0438:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 18;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x044a:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 19;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x047b;
    L_0x0455:
        r2 = "Z";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x0469;
    L_0x045f:
        r2 = "z";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x047b;
    L_0x0469:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 19;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x047b:
        r0 = r32;
        r1 = r29;
        r2 = r0.isKorean(r1);
        if (r2 == 0) goto L_0x031f;
    L_0x0485:
        r26 = "";
        r0 = r32;
        r1 = r29;
        r26 = r0.DivKorCho(r1);
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 0;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x04b2;
    L_0x0499:
        r2 = "ㄱ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x04b2;
    L_0x04a3:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 0;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x04b2:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 1;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x04d5;
    L_0x04bc:
        r2 = "ㄴ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x04d5;
    L_0x04c6:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 1;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x04d5:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 2;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x04f8;
    L_0x04df:
        r2 = "ㄷ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x04f8;
    L_0x04e9:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 2;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x04f8:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 3;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x051b;
    L_0x0502:
        r2 = "ㄹ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x051b;
    L_0x050c:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 3;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x051b:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 4;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x053e;
    L_0x0525:
        r2 = "ㅁ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x053e;
    L_0x052f:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 4;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x053e:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 5;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0561;
    L_0x0548:
        r2 = "ㅂ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0561;
    L_0x0552:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 5;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x0561:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 6;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0584;
    L_0x056b:
        r2 = "ㅅ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0584;
    L_0x0575:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 6;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x0584:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 7;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x05a7;
    L_0x058e:
        r2 = "ㅇ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x05a7;
    L_0x0598:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 7;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x05a7:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 8;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x05cc;
    L_0x05b2:
        r2 = "ㅈ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x05cc;
    L_0x05bc:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 8;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x05cc:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 9;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x05f1;
    L_0x05d7:
        r2 = "ㅊ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x05f1;
    L_0x05e1:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 9;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x05f1:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 10;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0616;
    L_0x05fc:
        r2 = "ㅋ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0616;
    L_0x0606:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 10;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x0616:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 11;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x063b;
    L_0x0621:
        r2 = "ㅌ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x063b;
    L_0x062b:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 11;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x063b:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 12;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0660;
    L_0x0646:
        r2 = "ㅍ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0660;
    L_0x0650:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 12;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
    L_0x0660:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 13;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x031f;
    L_0x066b:
        r2 = "ㅎ";
        r0 = r26;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x031f;
    L_0x0675:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 13;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0687:
        r29 = r29.toLowerCase();
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 21;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x070c;
    L_0x0696:
        r2 = "0";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06a0:
        r2 = "1";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06aa:
        r2 = "2";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06b4:
        r2 = "3";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06be:
        r2 = "4";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06c8:
        r2 = "5";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06d2:
        r2 = "6";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06dc:
        r2 = "7";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06e6:
        r2 = "8";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 == 0) goto L_0x06fa;
    L_0x06f0:
        r2 = "9";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x070c;
    L_0x06fa:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 21;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x070c:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 0;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0731;
    L_0x0716:
        r2 = "a";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0731;
    L_0x0720:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 0;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0731:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 1;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0756;
    L_0x073b:
        r2 = "b";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0756;
    L_0x0745:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 1;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0756:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 2;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x077b;
    L_0x0760:
        r2 = "c";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x077b;
    L_0x076a:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 2;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x077b:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 3;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x07a0;
    L_0x0785:
        r2 = "d";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x07a0;
    L_0x078f:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 3;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x07a0:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 4;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x07c5;
    L_0x07aa:
        r2 = "f";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x07c5;
    L_0x07b4:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 4;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x07c5:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 5;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x07ea;
    L_0x07cf:
        r2 = "g";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x07ea;
    L_0x07d9:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 5;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x07ea:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 6;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x080f;
    L_0x07f4:
        r2 = "h";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x080f;
    L_0x07fe:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 6;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x080f:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 7;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0834;
    L_0x0819:
        r2 = "i";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0834;
    L_0x0823:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 7;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0834:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 8;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x085b;
    L_0x083f:
        r2 = "k";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x085b;
    L_0x0849:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 8;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x085b:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 9;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0882;
    L_0x0866:
        r2 = "l";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0882;
    L_0x0870:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 9;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0882:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 10;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x08a9;
    L_0x088d:
        r2 = "m";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x08a9;
    L_0x0897:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 10;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x08a9:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 11;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x08d0;
    L_0x08b4:
        r2 = "n";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x08d0;
    L_0x08be:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 11;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x08d0:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 12;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x08f7;
    L_0x08db:
        r2 = "p";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x08f7;
    L_0x08e5:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 12;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x08f7:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 13;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x091e;
    L_0x0902:
        r2 = "q";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x091e;
    L_0x090c:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 13;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x091e:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 14;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0945;
    L_0x0929:
        r2 = "r";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0945;
    L_0x0933:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 14;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0945:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 15;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x096c;
    L_0x0950:
        r2 = "s";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x096c;
    L_0x095a:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 15;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x096c:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 16;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0993;
    L_0x0977:
        r2 = "u";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0993;
    L_0x0981:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 16;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0993:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 17;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x09ba;
    L_0x099e:
        r2 = "v";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x09ba;
    L_0x09a8:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 17;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x09ba:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 18;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x09e1;
    L_0x09c5:
        r2 = "w";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x09e1;
    L_0x09cf:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 18;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x09e1:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 19;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x0a08;
    L_0x09ec:
        r2 = "x";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x0a08;
    L_0x09f6:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 19;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0a08:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 20;
        r2 = r2[r4];
        r4 = -1;
        if (r2 != r4) goto L_0x031f;
    L_0x0a13:
        r2 = "z";
        r0 = r29;
        r2 = r0.compareTo(r2);
        if (r2 != 0) goto L_0x031f;
    L_0x0a1d:
        r0 = r32;
        r2 = r0.mnSCPos;
        r4 = 20;
        r0 = r32;
        r5 = r0.Items;
        r5 = r5.size();
        r2[r4] = r5;
        goto L_0x031f;
    L_0x0a2f:
        r2 = r27[r20];
        r2 = r2.equals(r15);
        if (r2 == 0) goto L_0x0a3d;
    L_0x0a37:
        r2 = 1;
        r7.setSelected(r2);
        goto L_0x0336;
    L_0x0a3d:
        r20 = r20 + 1;
        goto L_0x0330;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.enus.myzik.Add_Audio_Activity.onRead():boolean");
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }
}
