package com.enus.myzik;

import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.provider.MediaStore.Images.Media;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.GridView;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import org.teleal.cling.model.ServiceReference;
import org.teleal.cling.model.message.header.EXTHeader;

public class Add_Image_Activity extends MzActivity {
    static final int STATE_DONE = 0;
    static final int STATE_RUNNING = 1;
    static final int STATE_STOP = 2;
    private static final int nProgress_Dialog = 1;
    private CustomImageAdapter_Button Adapter;
    private ArrayList<CustomListItem> Items;
    private final BroadcastReceiver br4cp = new C00351();
    private final BroadcastReceiver brMS = new C00362();
    Context mContext;
    ContentResolver mCr;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDoneClickListener = new C00373();
    final Handler mHandler = new C00384();
    ProgressDialog mProgressDlg = null;
    ProgressThread m_Thread = null;
    private String[] menuItem_f = new String[]{EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE};
    private String[] menuItem_s = new String[]{EXTHeader.DEFAULT_VALUE, EXTHeader.DEFAULT_VALUE};
    GridView mgvList = null;
    TextView mtvText = null;
    int nSelPos = 0;
    private int nType = 0;
    private String strListName = EXTHeader.DEFAULT_VALUE;
    private String strTableName = EXTHeader.DEFAULT_VALUE;

    class C00351 extends BroadcastReceiver {
        C00351() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("com.enus.jjak")) {
                DLog.m0d("ui2cp", "com.enus.jjak");
                if (intent.getExtras() != null) {
                    String strMsg = EXTHeader.DEFAULT_VALUE;
                    strMsg = intent.getExtras().getString("addimg");
                    if (strMsg != null && strMsg.length() > 0 && strMsg.compareTo("fin") == 0) {
                        Add_Image_Activity.this.onBackPressed();
                    }
                }
            }
        }
    }

    class C00362 extends BroadcastReceiver {
        C00362() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("android.intent.action.MEDIA_SCANNER_STARTED")) {
                ((MzServerApp) Add_Image_Activity.this.getApplicationContext()).ShowMsg(Add_Image_Activity.this.getApplicationContext().getString(C0181R.string.pl_msg5), 1);
                Intent intentA = new Intent(Add_Image_Activity.this, Edit_Image_Activity.class);
                intentA.putExtra("type", Add_Image_Activity.this.nType);
                intentA.putExtra("list_name", Add_Image_Activity.this.strListName);
                intentA.putExtra("table_name", Add_Image_Activity.this.strTableName);
                Add_Image_Activity.this.startActivity(intentA);
                Add_Image_Activity.this.finish();
                return;
            }
            intent.getAction().equals("android.intent.action.MEDIA_SCANNER_FINISHED");
        }
    }

    class C00373 implements OnClickListener {
        C00373() {
        }

        public void onClick(View v) {
            MzServerApp MzApp = (MzServerApp) Add_Image_Activity.this.getApplicationContext();
            if (MzApp != null) {
                MzApp.ShowMsg(Add_Image_Activity.this.getResources().getString(C0181R.string.pl_done), 1);
            }
            Intent intent = new Intent(Add_Image_Activity.this, Edit_Image_Activity.class);
            intent.putExtra("type", Add_Image_Activity.this.nType);
            intent.putExtra("list_name", Add_Image_Activity.this.strListName);
            intent.putExtra("table_name", Add_Image_Activity.this.strTableName);
            Add_Image_Activity.this.startActivity(intent);
            Add_Image_Activity.this.finish();
        }
    }

    class C00384 extends Handler {
        C00384() {
        }

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                Add_Image_Activity.this.Adapter.notifyDataSetChanged();
            } else if (msg.what == 1) {
                Add_Image_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C00395 implements OnItemLongClickListener {
        C00395() {
        }

        public boolean onItemLongClick(AdapterView<?> adapterView, View v, int position, long id) {
            Add_Image_Activity.this.nSelPos = position;
            return false;
        }
    }

    class C00406 implements OnScrollListener {
        C00406() {
        }

        public void onScrollStateChanged(AbsListView view, int scrollState) {
        }

        public void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
        }
    }

    private class ProgressThread extends Thread {
        static final int STATE_DONE = 0;
        static final int STATE_RUNNING = 1;
        static final int STATE_STOP = 2;
        Handler mHandler;
        int nState = 0;
        int nTotal = 0;

        ProgressThread(Handler h) {
            this.mHandler = h;
        }

        public void run() {
            this.nState = 1;
            this.nTotal = 0;
            this.nTotal = Add_Image_Activity.this.Items.size();
            if (Add_Image_Activity.this.mgvList != null) {
                for (int i = 0; i < this.nTotal; i++) {
                    try {
                        if (i % 5 == 0) {
                            Thread.sleep(50);
                        }
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                    if (this.nState != 1 || Add_Image_Activity.this.m_Thread.isInterrupted()) {
                        break;
                    }
                    try {
                        CustomListItem Item = (CustomListItem) Add_Image_Activity.this.Items.get(i);
                        if (Item.getInfo3().length() > 0) {
                            Item.setFGen(Boolean.valueOf(true));
                        }
                    } catch (OutOfMemoryError e2) {
                        e2.printStackTrace();
                    }
                    System.gc();
                    if (i % 5 == 0 && this.mHandler != null) {
                        this.mHandler.sendEmptyMessage(0);
                    }
                }
                if (this.mHandler != null) {
                    this.mHandler.sendEmptyMessage(1);
                }
                this.nState = 0;
            }
        }

        public void onInit() {
            this.nState = 0;
        }

        public void setStateType(int nState) {
            if (this.nState != 0) {
                this.nState = nState;
            }
        }

        public int getStateType() {
            return this.nState;
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.add_image);
        onInit(getApplicationContext());
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        this.Adapter = null;
        this.Adapter = new CustomImageAdapter_Button(this.mContext, C0181R.layout.add_image, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName);
        this.mgvList.setEmptyView(this.mtvText);
        this.mgvList.setAdapter(this.Adapter);
        IntentFilter intentFilter4MS = new IntentFilter("android.intent.action.MEDIA_SCANNER_STARTED");
        intentFilter4MS.addAction("android.intent.action.MEDIA_SCANNER_FINISHED");
        intentFilter4MS.addDataScheme("file");
        registerReceiver(this.brMS, intentFilter4MS);
        registerReceiver(this.br4cp, new IntentFilter("com.enus.jjak"));
        registerForContextMenu(this.mgvList);
        this.mgvList.setOnItemLongClickListener(new C00395());
        this.mgvList.setOnScrollListener(new C00406());
    }

    public void onCreateContextMenu(ContextMenu menu, View v, ContextMenuInfo menuInfo) {
        this.menuItem_s[0] = getApplicationContext().getString(C0181R.string.msel_photo2);
        this.menuItem_s[1] = getApplicationContext().getString(C0181R.string.msel_photo4);
        this.menuItem_f[0] = getApplicationContext().getString(C0181R.string.msel_photo3);
        this.menuItem_f[1] = getApplicationContext().getString(C0181R.string.msel_photo4);
        menu.setHeaderTitle(getApplicationContext().getString(C0181R.string.msel_photo0));
        String[] menuItems = this.menuItem_s;
        if (this.Adapter.getMSel(1) >= 0) {
            menuItems = this.menuItem_f;
        }
        for (int i = 0; i < menuItems.length; i++) {
            menu.add(0, i, i, menuItems[i]);
        }
    }

    public boolean onContextItemSelected(MenuItem item) {
        AdapterContextMenuInfo info = (AdapterContextMenuInfo) item.getMenuInfo();
        if (this.Adapter != null) {
            if (item.getItemId() == 0) {
                if (this.Adapter.getMSel(1) == -1) {
                    this.Adapter.setMSel(this.nSelPos, 1);
                    this.Adapter.notifyDataSetChanged();
                } else if (this.Adapter.getMSel(2) == -1) {
                    this.Adapter.setMSel(this.nSelPos, 2);
                    this.Adapter.notifyDataSetChanged();
                }
            } else if (item.getItemId() == 1) {
                this.Adapter.setMSel(this.nSelPos, 4);
                this.Adapter.notifyDataSetChanged();
            }
        }
        return true;
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        onRead();
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        if (this.brMS != null) {
            unregisterReceiver(this.brMS);
        }
        if (this.br4cp != null) {
            unregisterReceiver(this.br4cp);
        }
        if (this.mgvList != null) {
            unregisterForContextMenu(this.mgvList);
        }
        if (this.m_Thread != null) {
            boolean bDestroy = true;
            if (this.m_Thread.isAlive()) {
                bDestroy = false;
            }
            while (!bDestroy) {
                this.m_Thread.interrupt();
                this.m_Thread.setStateType(2);
                try {
                    this.m_Thread.join(1000);
                    bDestroy = true;
                } catch (InterruptedException e) {
                    e.printStackTrace();
                    this.m_Thread.stop();
                    this.m_Thread.destroy();
                }
            }
        }
        this.m_Thread = null;
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        super.onDestroy();
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        System.gc();
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(this.mContext);
        switch (id) {
            case 1:
                this.mProgressDlg = new ProgressDialog(this);
                this.mProgressDlg.setProgressStyle(0);
                this.mProgressDlg.setMessage("Loading. Please wait...");
                this.mProgressDlg.setIndeterminate(true);
                this.mProgressDlg.setCancelable(true);
                this.mProgressDlg.onStart();
                break;
        }
        return null;
    }

    public void onBackPressed() {
        Intent intent = new Intent(this, Edit_Image_Activity.class);
        intent.putExtra("type", this.nType);
        intent.putExtra("list_name", this.strListName);
        intent.putExtra("table_name", this.strTableName);
        startActivity(intent);
        finish();
    }

    public boolean onInit(Context context) {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mgvList = null;
        this.mtvText = null;
        if (this.Items != null) {
            this.Items.clear();
        }
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mgvList = (GridView) findViewById(C0181R.id.add_image_gridView_Addlist);
        this.mtvText = (TextView) findViewById(C0181R.id.add_image_textView_EmptyView);
        ImageButton butDone = (ImageButton) findViewById(C0181R.id.add_image_imageButton_Done);
        if (this.mgvList == null || this.mtvText == null || butDone == null) {
            return false;
        }
        this.mContext = context;
        butDone.setOnClickListener(this.mDoneClickListener);
        this.Items = new ArrayList();
        this.mCr = getContentResolver();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        this.nType = intent.getIntExtra("type", 0);
        this.strListName = intent.getStringExtra("list_name");
        this.strTableName = intent.getStringExtra("table_name");
        if (this.nType != 2) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER, " + "`thumb_path` TEXT" + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        return true;
    }

    public boolean onRead() {
        Cursor cursor;
        int nColumnIdx;
        String[] strPaths = null;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        int i = 0;
        int nCount = this.mDBManager.onCount("(SELECT `path` FROM `" + this.strTableName + "` GROUP BY `path`) T1", EXTHeader.DEFAULT_VALUE);
        if (nCount > 0) {
            strPaths = new String[nCount];
            cursor = this.mDBManager.onSelect("SELECT `path` FROM '" + this.strTableName + "' GROUP BY `path`");
            if (cursor == null) {
                return false;
            }
            if (!cursor.moveToFirst()) {
                return false;
            }
            while (!cursor.isAfterLast()) {
                nColumnIdx = cursor.getColumnIndex("path");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strPaths[i] = cursor.getString(nColumnIdx);
                cursor.moveToNext();
                i++;
            }
            cursor.close();
        }
        Intent intent = getIntent();
        String strRoot = ServiceReference.DELIMITER;
        if (intent != null) {
            strRoot = intent.getStringExtra("root");
        }
        Uri uri = Media.EXTERNAL_CONTENT_URI;
        if (strRoot == null) {
            cursor = this.mCr.query(uri, null, null, null, null);
            if (cursor == null) {
                if (strPaths != null) {
                    Arrays.fill(strPaths, null);
                }
                return false;
            }
        }
        cursor = this.mCr.query(uri, null, "_data LIKE ? ", new String[]{new StringBuilder(String.valueOf(strRoot)).append("%").toString()}, "datetaken DESC");
        if (cursor == null) {
            if (strPaths != null) {
                Arrays.fill(strPaths, null);
            }
            return false;
        }
        if (cursor.moveToFirst()) {
            while (!cursor.isAfterLast()) {
                nColumnIdx = cursor.getColumnIndex("_display_name");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strDisplayName = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("description");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo1 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("datetaken");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo2 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("_id");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo3 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("mime_type");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo4 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("title");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strInfo5 = cursor.getString(nColumnIdx);
                if (strInfo5 == null) {
                    strInfo5 = strDisplayName;
                } else if (strInfo5.length() <= 0) {
                    strInfo5 = strDisplayName;
                }
                nColumnIdx = cursor.getColumnIndex("_data");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strPath = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("_size");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                long nSize = cursor.getLong(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("_data");
                if (nColumnIdx < 0) {
                    if (strPaths != null) {
                        Arrays.fill(strPaths, null);
                    }
                    cursor.close();
                    return false;
                }
                strThumbPath = cursor.getString(nColumnIdx);
                CustomListItem Item = new CustomListItem(0, strDisplayName, strInfo1, strInfo2, strInfo3, strInfo4, strInfo5, strPath, nSize, EXTHeader.DEFAULT_VALUE);
                if (strPaths != null) {
                    for (String equals : strPaths) {
                        if (equals.equals(strPath)) {
                            Item.setSelected(true);
                            break;
                        }
                    }
                }
                this.Items.add(Item);
                cursor.moveToNext();
            }
            cursor.close();
            if (strPaths != null) {
                Arrays.fill(strPaths, null);
            }
            return true;
        }
        if (strPaths != null) {
            Arrays.fill(strPaths, null);
        }
        cursor.close();
        return false;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public ArrayList<CustomListItem> getItem() {
        return this.Items;
    }
}
