package com.enus.myzik;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import java.util.ArrayList;

public class ApListAdapter extends ArrayAdapter<String> {
    private ArrayList<String> items;

    public ApListAdapter(Context context, int textViewResourceId, ArrayList<String> items) {
        super(context, textViewResourceId, items);
        this.items = items;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        View v = convertView;
        if (v == null) {
            v = ((LayoutInflater) getContext().getSystemService("layout_inflater")).inflate(C0181R.layout.set_aplist, null);
        }
        String strItem = (String) this.items.get(position);
        if (strItem != null) {
            TextView tctext = (TextView) v.findViewById(C0181R.id.aplisttext);
            if (tctext != null) {
                tctext.setText(strItem);
            }
        }
        return v;
    }
}
