package com.enus.myzik;

import android.annotation.SuppressLint;
import android.app.ProgressDialog;
import android.content.ContentValues;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Color;
import android.os.AsyncTask;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.os.StatFs;
import android.os.Vibrator;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import com.google.protobuf.CodedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import org.teleal.cling.model.ServiceReference;
import org.teleal.cling.model.message.header.EXTHeader;

@SuppressLint({"ViewConstructor"})
public class CustomFileAdapter_Button2 extends CustomListAdapter {
    static final int STATE_DONE = 0;
    static final int STATE_RUNNING = 1;
    static final int STATE_STOP = 2;
    private static final int nProgress_Dialog = 1;
    private ArrayList<CustomListItem> Items;
    boolean flagStopCp = false;
    Context mContext = null;
    public DatabaseManager mDBManager = null;
    final Handler mHandler = new C00731();
    ProgressThread m_Thread = null;
    ProgressDialog progress = null;
    private String strListName = EXTHeader.DEFAULT_VALUE;
    private String strTableName = EXTHeader.DEFAULT_VALUE;

    class C00731 extends Handler {
        C00731() {
        }

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                CustomFileAdapter_Button2.this.notifyDataSetChanged();
            } else if (msg.what == 1) {
                CustomFileAdapter_Button2.this.notifyDataSetChanged();
            } else if (msg.what == 2) {
                MzApp = (MzServerApp) CustomFileAdapter_Button2.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.pl_added), 1);
                }
            } else if (msg.what == 3) {
                MzApp = (MzServerApp) CustomFileAdapter_Button2.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.pl_msg2), 1);
                }
            } else if (msg.what == 4) {
                MzApp = (MzServerApp) CustomFileAdapter_Button2.this.mContext.getApplicationContext();
                if (MzApp != null) {
                    MzApp.ShowMsg(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.pl_msg1), 1);
                }
            }
        }
    }

    public class CopyTask extends AsyncTask<String, Long, Boolean> {
        Context contextT = null;
        int nPos = 0;

        public CopyTask(Context context, int pos) {
            this.contextT = context.getApplicationContext();
            this.nPos = pos;
        }

        protected void onPreExecute() {
        }

        protected Boolean doInBackground(String... files) {
            IOException e;
            try {
                Intent iset = new Intent("com.enus.jjak");
                try {
                    iset.putExtra("fcopys", files[1].substring(files[1].lastIndexOf(ServiceReference.DELIMITER) + 1));
                    this.contextT.sendBroadcast(iset);
                    CustomFileAdapter_Button2.this.fcopy(files[0], files[1]);
                    ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(this.nPos)).setSelected();
                    CustomFileAdapter_Button2.this.mHandler.sendEmptyMessage(0);
                } catch (IOException e2) {
                    e = e2;
                    Intent intent = iset;
                    e.printStackTrace();
                    return Boolean.valueOf(true);
                }
            } catch (IOException e3) {
                e = e3;
                e.printStackTrace();
                return Boolean.valueOf(true);
            }
            return Boolean.valueOf(true);
        }

        protected void onPostExecute(Boolean success) {
            Intent iset = new Intent("com.enus.jjak");
            iset.putExtra("fcopyf", "fin");
            this.contextT.sendBroadcast(iset);
        }

        protected void onProgressUpdate(Long... values) {
        }
    }

    public class CopyTaskAll extends AsyncTask<String, Long, Boolean> {
        Context contextT = null;
        int nPos = 0;
        String strPath = EXTHeader.DEFAULT_VALUE;

        public CopyTaskAll(Context context, int pos, String sPath) {
            this.contextT = context.getApplicationContext();
            this.nPos = pos;
            this.strPath = sPath;
        }

        protected void onPreExecute() {
        }

        protected Boolean doInBackground(String... files) {
            int i = 0;
            while (i < CustomFileAdapter_Button2.this.Items.size()) {
                try {
                    if (CustomFileAdapter_Button2.this.flagStopCp) {
                        break;
                    }
                    if (!(i == this.nPos || ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo4().compareTo("dir") == 0 || ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo4().compareTo("lnk") == 0)) {
                        String strTFPath = this.strPath + ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getDisplayName();
                        Intent iset = new Intent("com.enus.jjak");
                        iset.putExtra("fcopys", strTFPath.substring(strTFPath.lastIndexOf(ServiceReference.DELIMITER) + 1));
                        this.contextT.sendBroadcast(iset);
                        Log.d("cpall", strTFPath);
                        CustomFileAdapter_Button2.this.fcopy(((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getPath(), strTFPath);
                        ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).setSelected();
                        CustomFileAdapter_Button2.this.mHandler.sendEmptyMessage(0);
                        iset = new Intent("com.enus.jjak");
                        iset.putExtra("fcopyf", "fin");
                        this.contextT.sendBroadcast(iset);
                    }
                    i++;
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return Boolean.valueOf(true);
        }

        protected void onPostExecute(Boolean success) {
            Intent iset = new Intent("com.enus.jjak");
            iset.putExtra("fcopyf", "fin");
            this.contextT.sendBroadcast(iset);
        }

        protected void onProgressUpdate(Long... values) {
        }
    }

    private class ProgressThread extends Thread {
        static final int STATE_DONE = 0;
        static final int STATE_RUNNING = 1;
        static final int STATE_STOP = 2;
        Handler mHandler;
        int nState = 0;
        int nTotal = 0;

        ProgressThread(Handler h) {
            this.mHandler = h;
        }

        public void run() {
            this.nState = 1;
            this.nTotal = 0;
            this.nTotal = CustomFileAdapter_Button2.this.Items.size();
            if (this.nTotal > 0) {
                ContentValues values = new ContentValues();
                String strDisplayName = EXTHeader.DEFAULT_VALUE;
                String strInfo1 = EXTHeader.DEFAULT_VALUE;
                String strInfo2 = EXTHeader.DEFAULT_VALUE;
                String strInfo3 = EXTHeader.DEFAULT_VALUE;
                String strInfo4 = EXTHeader.DEFAULT_VALUE;
                String strInfo5 = EXTHeader.DEFAULT_VALUE;
                String strPath = EXTHeader.DEFAULT_VALUE;
                String strThumbPath = EXTHeader.DEFAULT_VALUE;
                String str = EXTHeader.DEFAULT_VALUE;
                str = EXTHeader.DEFAULT_VALUE;
                boolean isAdded = false;
                int i = 0;
                while (i < this.nTotal) {
                    try {
                        if (i % 5 == 0) {
                            Thread.sleep(30);
                        }
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                    if (this.nState != 1 || CustomFileAdapter_Button2.this.m_Thread.isInterrupted()) {
                        break;
                    }
                    try {
                        int nCount = CustomFileAdapter_Button2.this.mDBManager.onCount(CustomFileAdapter_Button2.this.strTableName, str);
                        if (nCount >= 500 || nCount < 0) {
                            MzServerApp MzApp = (MzServerApp) CustomFileAdapter_Button2.this.mContext.getApplicationContext();
                            if (nCount >= 500) {
                                MzApp.ShowMsg(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.pl_msg4), 1);
                            }
                        } else {
                            if (!(((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo4().compareTo("dir") == 0 || ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo4().compareTo("lnk") == 0 || ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getDisplayName().compareTo(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.list_msg5)) == 0)) {
                                int nNumber = nCount;
                                strDisplayName = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getDisplayName();
                                strInfo1 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo1();
                                strInfo2 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo2();
                                strInfo3 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo3();
                                strInfo4 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo4();
                                strInfo5 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getInfo5();
                                strPath = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getPath();
                                long nSize = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).getSize();
                                if (CustomFileAdapter_Button2.this.chkTotalSizes(nSize)) {
                                    if (((double) nSize) <= 4.295E9d) {
                                        ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(i)).setSelected(true);
                                        values.put("number", Integer.valueOf(nNumber));
                                        values.put("display_name", strDisplayName);
                                        values.put("info1", strInfo1);
                                        values.put("info2", strInfo2);
                                        values.put("info3", strInfo3);
                                        values.put("info4", strInfo4);
                                        values.put("info5", strInfo5);
                                        values.put("path", strPath);
                                        values.put("size", Long.valueOf(nSize));
                                        try {
                                            CustomFileAdapter_Button2.this.mDBManager.onInsert(CustomFileAdapter_Button2.this.strTableName, values);
                                            isAdded = true;
                                        } catch (NullPointerException e2) {
                                            e2.printStackTrace();
                                        }
                                    } else if (this.mHandler != null) {
                                        this.mHandler.sendEmptyMessage(4);
                                    }
                                } else if (this.mHandler != null) {
                                    this.mHandler.sendEmptyMessage(3);
                                }
                            }
                            System.gc();
                            if (i % 5 == 0 && this.mHandler != null) {
                                this.mHandler.sendEmptyMessage(0);
                            }
                            i++;
                        }
                    } catch (OutOfMemoryError e3) {
                        e3.printStackTrace();
                    }
                }
                if (this.mHandler != null) {
                    this.mHandler.sendEmptyMessage(1);
                }
                this.nState = 0;
                if (isAdded && this.mHandler != null) {
                    this.mHandler.sendEmptyMessage(2);
                }
            }
            if (CustomFileAdapter_Button2.this.m_Thread != null) {
                boolean bDestroy = true;
                if (CustomFileAdapter_Button2.this.m_Thread.isAlive()) {
                    bDestroy = false;
                }
                while (!bDestroy) {
                    CustomFileAdapter_Button2.this.m_Thread.interrupt();
                    CustomFileAdapter_Button2.this.m_Thread.setStateType(2);
                    try {
                        CustomFileAdapter_Button2.this.m_Thread.join(1000);
                        bDestroy = true;
                    } catch (InterruptedException e4) {
                        e4.printStackTrace();
                    }
                }
            }
            CustomFileAdapter_Button2.this.m_Thread = null;
        }

        public void onInit() {
            this.nState = 0;
        }

        public void setStateType(int nState) {
            if (this.nState != 0) {
                this.nState = nState;
            }
        }

        public int getStateType() {
            return this.nState;
        }
    }

    static class ViewHolder {
        ImageButton butPlus;
        ImageView ivType;
        TextView tvDisplayName;
        TextView tvInfo;

        ViewHolder() {
        }
    }

    public CustomFileAdapter_Button2(Context context, int textViewResourceId, ArrayList<CustomListItem> items) {
        super(context, textViewResourceId, items);
        this.mContext = context;
        this.Items = items;
    }

    public void onInit(DatabaseManager DBManager, String strTableName, String strListName) {
        this.mDBManager = DBManager;
        this.strTableName = strTableName;
        this.strListName = strListName;
    }

    public int getCount() {
        return this.Items.size();
    }

    public String getDisplayName(int position) {
        return ((CustomListItem) this.Items.get(position)).getDisplayName();
    }

    public long getItemId(int position) {
        return (long) position;
    }

    public void StopCp() {
        this.flagStopCp = true;
    }

    public boolean chkTotalSizes(long nFileSize) {
        Cursor cursor = this.mDBManager.onSelect("SELECT sum(size) FROM `" + this.strTableName + "`");
        if (cursor != null && cursor.moveToFirst() && ((double) (nFileSize + cursor.getLong(cursor.getColumnIndex("sum(size)")))) > 8.3752E9d) {
            return false;
        }
        return true;
    }

    public String getStrSDCardFree() {
        StatFs stat = new StatFs(Environment.getExternalStorageDirectory().getAbsolutePath());
        int availBlocks = stat.getAvailableBlocks();
        int totalBlocks = stat.getBlockCount();
        int blockSize = stat.getBlockSize();
        long free_memory = ((long) availBlocks) * ((long) blockSize);
        long total_memory = ((long) totalBlocks) * ((long) blockSize);
        int nFreeMem = 0;
        double nTotalMem = 0.0d;
        if (free_memory > 0) {
            nFreeMem = (int) (free_memory / 1048576);
        }
        if (total_memory > 0) {
            nTotalMem = (double) (((float) total_memory) / 1.07374182E9f);
        }
        return String.format("[SDCard]\n%d MB free/ %.2f GB total", new Object[]{Integer.valueOf(nFreeMem), Double.valueOf(nTotalMem)});
    }

    public void fcopy(String fromFileName, String toFileName) throws IOException {
        Throwable th;
        File fromFile = new File(fromFileName);
        File file = new File(toFileName);
        if (!fromFile.exists()) {
            throw new IOException("FileCopy: no such source file: " + fromFileName);
        } else if (!fromFile.isFile()) {
            throw new IOException("FileCopy: can't copy directory: " + fromFileName);
        } else if (fromFile.canRead()) {
            File toFile;
            if (file.isDirectory()) {
                toFile = new File(file, fromFile.getName());
            }
            if (!toFile.exists()) {
                String parent = toFile.getParent();
                if (parent == null) {
                    parent = System.getProperty("user.dir");
                }
                File dir = new File(parent);
                if (!dir.exists()) {
                    throw new IOException("FileCopy: destination directory doesn't exist: " + parent);
                } else if (dir.isFile()) {
                    throw new IOException("FileCopy: destination is not a directory: " + parent);
                } else if (!dir.canWrite()) {
                    throw new IOException("FileCopy: destination directory is unwriteable: " + parent);
                }
            } else if (!toFile.canWrite()) {
                throw new IOException("FileCopy: destination file is unwriteable: " + toFileName);
            }
            FileInputStream from = null;
            FileOutputStream to = null;
            try {
                FileInputStream from2 = new FileInputStream(fromFile);
                try {
                    FileOutputStream to2 = new FileOutputStream(toFile);
                    try {
                        byte[] buffer = new byte[CodedOutputStream.DEFAULT_BUFFER_SIZE];
                        int nSrcSize = 0;
                        int nTargetSize = 0;
                        double nTmpSize = (double) fromFile.length();
                        if (nTmpSize > 0.0d) {
                            nSrcSize = (int) (nTmpSize / 1048576.0d);
                        }
                        nTmpSize = (double) toFile.length();
                        if (nTmpSize > 0.0d) {
                            nTargetSize = (int) (nTmpSize / 1048576.0d);
                        }
                        String strTSize = String.format("%d MB %s %d MB \n\n%s", new Object[]{Integer.valueOf(nSrcSize), "->--", Integer.valueOf(nTargetSize), getStrSDCardFree()});
                        Intent iset = new Intent("com.enus.jjak");
                        iset.putExtra("fcopyuf", strTSize);
                        this.mContext.sendBroadcast(iset);
                        boolean tb = false;
                        while (true) {
                            int bytesRead = from2.read(buffer);
                            if (bytesRead != -1) {
                                if (this.flagStopCp) {
                                    break;
                                }
                                to2.write(buffer, 0, bytesRead);
                                if (toFile.length() > 0) {
                                    String strTmp = String.format("%d", new Object[]{Integer.valueOf((int) (100.0d * (((double) toFile.length()) / ((double) fromFile.length()))))});
                                    nTmpSize = (double) fromFile.length();
                                    if (nTmpSize > 0.0d) {
                                        nSrcSize = (int) (nTmpSize / 1048576.0d);
                                    }
                                    nTmpSize = (double) toFile.length();
                                    if (nTmpSize > 0.0d) {
                                        nTargetSize = (int) (nTmpSize / 1048576.0d);
                                    }
                                    String strSC = "->--";
                                    if (!tb) {
                                        strSC = "--->";
                                    }
                                    tb = !tb;
                                    strTSize = String.format("%d MB %s %d MB \n\n%s", new Object[]{Integer.valueOf(nSrcSize), strSC, Integer.valueOf(nTargetSize), getStrSDCardFree()});
                                    iset = new Intent("com.enus.jjak");
                                    iset.putExtra("fcopyu", strTmp);
                                    iset.putExtra("fcopyuf", strTSize);
                                    this.mContext.sendBroadcast(iset);
                                }
                            } else {
                                break;
                            }
                        }
                        if (from2 != null) {
                            try {
                                from2.close();
                            } catch (IOException e) {
                                e.printStackTrace();
                            }
                        }
                        if (to2 != null) {
                            try {
                                to2.close();
                            } catch (IOException e2) {
                                e2.printStackTrace();
                            }
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        to = to2;
                        from = from2;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    from = from2;
                    if (from != null) {
                        try {
                            from.close();
                        } catch (IOException e22) {
                            e22.printStackTrace();
                        }
                    }
                    if (to != null) {
                        try {
                            to.close();
                        } catch (IOException e222) {
                            e222.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                if (from != null) {
                    from.close();
                }
                if (to != null) {
                    to.close();
                }
                throw th;
            }
        } else {
            throw new IOException("FileCopy: source file is unreadable: " + fromFileName);
        }
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        View v = convertView;
        final int pos = position;
        if (v == null) {
            v = ((LayoutInflater) getContext().getSystemService("layout_inflater")).inflate(C0181R.layout.add_file_item, null);
            holder = new ViewHolder();
            holder.tvDisplayName = (TextView) v.findViewById(C0181R.id.add_file_item_textView_DisplayName);
            holder.butPlus = (ImageButton) v.findViewById(C0181R.id.add_file_item_button_Add);
            holder.ivType = (ImageView) v.findViewById(C0181R.id.add_file_item_type_Icon);
            v.setTag(holder);
        } else {
            holder = (ViewHolder) v.getTag();
        }
        CustomListItem item = (CustomListItem) this.Items.get(pos);
        if (item != null) {
            if (v != null) {
                v.setBackgroundDrawable((position & 1) == 1 ? this.mContext.getResources().getDrawable(C0181R.drawable.list_bg01) : this.mContext.getResources().getDrawable(C0181R.drawable.list_bg02));
            }
            if (item.isSelected()) {
                holder.tvDisplayName.setTextColor(Color.rgb(100, 100, 100));
            } else {
                holder.tvDisplayName.setTextColor(-1);
            }
            holder.tvDisplayName.setText(item.getDisplayName());
            if (item.getInfo4().compareTo("dir") == 0) {
                holder.butPlus.setVisibility(4);
                holder.ivType.setImageResource(C0181R.drawable.listicon_folder);
            } else if (item.getInfo4().compareTo("lnk") == 0) {
                holder.butPlus.setVisibility(4);
                holder.ivType.setImageResource(C0181R.drawable.listicon_folder_b);
            } else {
                holder.butPlus.setVisibility(0);
                holder.ivType.setImageResource(C0181R.drawable.listicon_doc);
            }
            holder.butPlus.setOnClickListener(new OnClickListener() {
                public void onClick(View v) {
                    ((Vibrator) CustomFileAdapter_Button2.this.mContext.getSystemService("vibrator")).vibrate(25);
                    CustomFileAdapter_Button2.this.flagStopCp = false;
                    ContentValues values = new ContentValues();
                    String strDisplayName = EXTHeader.DEFAULT_VALUE;
                    String strInfo1 = EXTHeader.DEFAULT_VALUE;
                    String strInfo2 = EXTHeader.DEFAULT_VALUE;
                    String strInfo3 = EXTHeader.DEFAULT_VALUE;
                    String strInfo4 = EXTHeader.DEFAULT_VALUE;
                    String strInfo5 = EXTHeader.DEFAULT_VALUE;
                    String strPath = EXTHeader.DEFAULT_VALUE;
                    String strThumbPath = EXTHeader.DEFAULT_VALUE;
                    String str = EXTHeader.DEFAULT_VALUE;
                    str = EXTHeader.DEFAULT_VALUE;
                    int nCount = CustomFileAdapter_Button2.this.mDBManager.onCount(CustomFileAdapter_Button2.this.strTableName, str);
                    if (nCount >= 500 || nCount < 0) {
                        MzServerApp MzApp = (MzServerApp) CustomFileAdapter_Button2.this.mContext.getApplicationContext();
                        if (nCount >= 500) {
                            MzApp.ShowMsg(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.pl_msg4), 1);
                            return;
                        }
                        return;
                    }
                    int nNumber = nCount;
                    strDisplayName = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getDisplayName();
                    strInfo1 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getInfo1();
                    strInfo2 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getInfo2();
                    strInfo3 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getInfo3();
                    strInfo4 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getInfo4();
                    strInfo5 = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getInfo5();
                    strPath = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getPath();
                    long nSize = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getSize();
                    if (strDisplayName.compareTo(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.list_msg5)) == 0) {
                        String strSubPath = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append(File.separator).append(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.root_directory)).append(File.separator).append(CustomFileAdapter_Button2.this.strListName).append(File.separator).append("NoScan").append(File.separator).toString();
                        new CopyTaskAll(CustomFileAdapter_Button2.this.mContext, pos, strSubPath).execute(new String[0]);
                        return;
                    }
                    strSubPath = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append(File.separator).append(CustomFileAdapter_Button2.this.mContext.getResources().getString(C0181R.string.root_directory)).append(File.separator).append(CustomFileAdapter_Button2.this.strListName).append(File.separator).append("NoScan").append(File.separator).toString();
                    CopyTask cp_task = new CopyTask(CustomFileAdapter_Button2.this.mContext, pos);
                    String[] strArr = new String[2];
                    strArr[0] = ((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getPath();
                    strArr[1] = new StringBuilder(String.valueOf(strSubPath)).append(((CustomListItem) CustomFileAdapter_Button2.this.Items.get(pos)).getDisplayName()).toString();
                    cp_task.execute(strArr);
                }
            });
        }
        return v;
    }
}
