package com.enus.myzik;

import org.teleal.cling.model.message.header.EXTHeader;

/* compiled from: CustomWritePlayListAdapter */
class CustomWritePlayListItem {
    private int nActivate = 0;
    private int nType = 0;
    private int nTypeListName = 0;
    private String strContent;
    private String strListName;
    private String strListName2 = EXTHeader.DEFAULT_VALUE;

    public CustomWritePlayListItem(int nType, String strListName, int nActivate, String strContent) {
        this.nType = nType;
        this.strListName = strListName;
        this.nActivate = nActivate;
        this.strContent = strContent;
        this.strListName2 = strListName;
    }

    public void setActivate(int nActivate) {
        this.nActivate = nActivate;
    }

    public int getType() {
        return this.nType;
    }

    public String getListName() {
        return this.strListName;
    }

    public int getActivate() {
        return this.nActivate;
    }

    public String getContent() {
        return this.strContent;
    }

    public void setTypeListName(int nType) {
        this.nTypeListName = nType;
    }

    public int getTypeListName() {
        return this.nTypeListName;
    }

    public void setListName(String strListName) {
        this.strListName = strListName;
    }

    public String getTypeName(int nType) {
        switch (nType) {
            case 1:
                return "오디오";
            case 2:
                return "이미지";
            case 3:
                return "비디오";
            default:
                return EXTHeader.DEFAULT_VALUE;
        }
    }
}
