package com.enus.myzik;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.provider.MediaStore.Images.Thumbnails;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.FrameLayout.LayoutParams;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import com.enus.myzik.DGridView.DragListener;
import com.enus.myzik.DGridView.DropListener;
import java.io.File;
import java.util.ArrayList;
import org.teleal.cling.model.message.header.EXTHeader;

public class Edit_Image_Activity extends Activity {
    static final int STATE_DONE = 0;
    static final int STATE_RUNNING = 1;
    static final int STATE_STOP = 2;
    private CustomEditImageAdapter Adapter;
    private ArrayList<CustomListItem> Items;
    ImageButton butAdd = null;
    ImageButton butDel = null;
    private int[] isBitampConfrim = null;
    public OnClickListener mAddClickListener = new C01143();
    Context mContext;
    ContentResolver mCr;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDoneClickListener = new C01132();
    private DragListener mDragListener = new C04454();
    private DropListener mDropListener = new C04465();
    final Handler mHandler = new C01156();
    OnItemClickListener mItemClickListener = new C01121();
    ProgressDialog mProgressDlg = null;
    ProgressThread m_Thread = null;
    DGridView mdgvGrid = null;
    TextView mtvCount = null;
    TextView mtvText = null;
    int nType = 0;
    String strListName = EXTHeader.DEFAULT_VALUE;
    String strTableName = EXTHeader.DEFAULT_VALUE;

    class C01121 implements OnItemClickListener {
        C01121() {
        }

        public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
            Intent intent = new Intent(Edit_Image_Activity.this, Edit02_Image_Activity.class);
            intent.putExtra("position", position);
            intent.putExtra("type", Edit_Image_Activity.this.nType);
            intent.putExtra("list_name", Edit_Image_Activity.this.strListName);
            intent.putExtra("table_name", Edit_Image_Activity.this.strTableName);
            Edit_Image_Activity.this.startActivity(intent);
        }
    }

    class C01132 implements OnClickListener {
        C01132() {
        }

        public void onClick(View v) {
            if (Edit_Image_Activity.this.Adapter != null) {
                Edit_Image_Activity.this.Adapter.onSort();
            }
            Edit_Image_Activity.this.finish();
        }
    }

    class C01143 implements OnClickListener {
        C01143() {
        }

        public void onClick(View v) {
            if (Edit_Image_Activity.this.Adapter != null) {
                Edit_Image_Activity.this.Adapter.onSort();
            }
            Intent intent = new Intent(Edit_Image_Activity.this, View_Image_Activity2.class);
            intent.putExtra("type", Edit_Image_Activity.this.nType);
            intent.putExtra("list_name", Edit_Image_Activity.this.strListName);
            intent.putExtra("table_name", Edit_Image_Activity.this.strTableName);
            Edit_Image_Activity.this.startActivity(intent);
            Edit_Image_Activity.this.finish();
        }
    }

    class C01156 extends Handler {
        C01156() {
        }

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                Edit_Image_Activity.this.Adapter.notifyDataSetChanged();
            } else if (msg.what == 1) {
                Edit_Image_Activity.this.Adapter.notifyDataSetChanged();
            }
        }
    }

    class C01188 implements Runnable {
        C01188() {
        }

        public void run() {
            try {
                Edit_Image_Activity.this.m_Thread.start();
            } catch (NullPointerException e) {
                e.printStackTrace();
            } catch (IllegalThreadStateException e2) {
                e2.printStackTrace();
            }
        }
    }

    private class ProgressThread extends Thread {
        static final int STATE_DONE = 0;
        static final int STATE_RUNNING = 1;
        static final int STATE_STOP = 2;
        Handler mHandler;
        int nState = 0;
        int nTotal = 0;

        ProgressThread(Handler h) {
            this.mHandler = h;
        }

        public void run() {
            this.nState = 1;
            this.nTotal = 0;
            this.nTotal = Edit_Image_Activity.this.Items.size();
            for (int i = 0; i < this.nTotal; i++) {
                try {
                    if (i % 5 == 0) {
                        Thread.sleep(50);
                    }
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                if (this.nState != 1 || Edit_Image_Activity.this.m_Thread.isInterrupted()) {
                    break;
                }
                CustomListItem Item = Edit_Image_Activity.this.Adapter.FindItem(Edit_Image_Activity.this.isBitampConfrim[i]);
                Item.setBitmap(Thumbnails.getThumbnail(Edit_Image_Activity.this.mCr, Long.parseLong(Item.getInfo3()), 1, null));
                if (i % 5 == 0 && this.mHandler != null) {
                    this.mHandler.sendEmptyMessage(0);
                }
            }
            if (this.mHandler != null) {
                this.mHandler.sendEmptyMessage(1);
            }
            this.nState = 0;
        }

        public void onInit() {
            this.nState = 0;
        }

        public void setStateType(int nState) {
            if (this.nState != 0) {
                this.nState = nState;
            }
        }

        public int getStateType() {
            return this.nState;
        }
    }

    class C04454 implements DragListener {
        C04454() {
        }

        public void drag(int from, int to, MotionEvent ev) {
            if (Edit_Image_Activity.this.butDel != null) {
                Edit_Image_Activity.this.butDel.setVisibility(0);
            }
        }
    }

    class C04465 implements DropListener {
        C04465() {
        }

        public void drop(int from, int to, MotionEvent ev, int nHeight) {
            if (Edit_Image_Activity.this.butDel != null) {
                Rect rtRect = new Rect();
                int nX = (int) ev.getX();
                int nY = (int) ev.getY();
                if (nHeight < nY) {
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strDisplayName = EXTHeader.DEFAULT_VALUE;
                    String strPath = EXTHeader.DEFAULT_VALUE;
                    int nIdx = ((CustomListItem) Edit_Image_Activity.this.Items.get(from)).getIdx();
                    int nNumber = ((CustomListItem) Edit_Image_Activity.this.Items.get(from)).getNumber();
                    strDisplayName = ((CustomListItem) Edit_Image_Activity.this.Items.get(from)).getDisplayName();
                    strPath = ((CustomListItem) Edit_Image_Activity.this.Items.get(from)).getPath();
                    if (Edit_Image_Activity.this.mDBManager.execSQL("DELETE FROM `" + Edit_Image_Activity.this.strTableName + "` WHERE `idx` = " + nIdx)) {
                        Edit_Image_Activity.this.Items.remove(from);
                    } else {
                        Toast.makeText(Edit_Image_Activity.this.mContext, "Error", 0).show();
                    }
                    int nCount = Edit_Image_Activity.this.mDBManager.onCount(Edit_Image_Activity.this.strTableName, EXTHeader.DEFAULT_VALUE);
                    if (nCount < 0) {
                        Toast.makeText(Edit_Image_Activity.this.mContext, "Error", 0).show();
                    } else if (Edit_Image_Activity.this.mtvCount != null) {
                        Edit_Image_Activity.this.mtvCount.setText(new StringBuilder(String.valueOf(Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_total))).append(" ").append(nCount).append(" ").append(Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_photos)).toString());
                    }
                    Toast.makeText(Edit_Image_Activity.this.mContext, "delete", 0).show();
                    Edit_Image_Activity.this.butDel.setVisibility(4);
                    return;
                }
                Edit_Image_Activity.this.butDel.getHitRect(rtRect);
                rtRect.top += nHeight;
                rtRect.bottom += nHeight;
                if (rtRect.contains(nX, nY)) {
                    Edit_Image_Activity.this.Adapter.removeItemAt(from);
                    Toast.makeText(Edit_Image_Activity.this.mContext, "delete", 0).show();
                }
                Edit_Image_Activity.this.butDel.setVisibility(4);
            }
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.edit_image);
        onInit(getApplicationContext());
        if (this.Adapter != null) {
            this.Adapter.clear();
        }
        this.Adapter = null;
        this.Adapter = new CustomEditImageAdapter(this.mContext, C0181R.layout.edit_image_item, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName, this.mtvCount);
        this.mdgvGrid.setEmptyView(this.mtvText);
        this.mdgvGrid.setOnCreateContextMenuListener(this);
        this.mdgvGrid.setDragListener(this.mDragListener);
        this.mdgvGrid.setDropListener(this.mDropListener);
        this.mdgvGrid.setAdapter(this.Adapter);
        this.mdgvGrid.setOnItemClickListener(this.mItemClickListener);
        this.mdgvGrid.onInit();
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        onRead();
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        if (this.m_Thread != null) {
            boolean bDestroy = true;
            if (this.m_Thread.isAlive()) {
                bDestroy = false;
            }
            while (!bDestroy) {
                this.m_Thread.interrupt();
                this.m_Thread.setStateType(2);
                try {
                    this.m_Thread.join(1000);
                    bDestroy = true;
                } catch (InterruptedException e) {
                    e.printStackTrace();
                    this.m_Thread.stop();
                    this.m_Thread.destroy();
                }
            }
        }
        this.m_Thread = null;
        if (this.Adapter != null) {
            this.Adapter.recycle();
            this.Adapter.clear();
        }
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        super.onDestroy();
    }

    private int px(float dips) {
        return Math.round(dips * getResources().getDisplayMetrics().density);
    }

    public boolean onInit(Context context) {
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mdgvGrid = null;
        this.mtvText = null;
        this.butAdd = null;
        this.butDel = null;
        this.mtvCount = null;
        if (this.Items != null) {
            this.Items.clear();
        }
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mContext = context;
        this.mdgvGrid = (DGridView) findViewById(C0181R.id.edit_image_gridView_Editgrid);
        this.mtvText = (TextView) findViewById(C0181R.id.edit_image_textView_EmptyView);
        TextView tvTitle = (TextView) findViewById(C0181R.id.edit_image_textView_Title);
        ImageButton butDone = (ImageButton) findViewById(C0181R.id.edit_image_imageButton_Done);
        this.mtvCount = (TextView) findViewById(C0181R.id.edit_image_textView_Count);
        this.butAdd = (ImageButton) findViewById(C0181R.id.edit_image_imageButton_Add);
        this.butDel = (ImageButton) findViewById(C0181R.id.edit_image_imageButton_Del);
        if (this.mdgvGrid == null || this.mtvText == null || tvTitle == null || butDone == null || this.mtvCount == null || this.butAdd == null) {
            return false;
        }
        final TextView lvf_txt = (TextView) findViewById(C0181R.id.edit_image_lvf_txt);
        this.mdgvGrid.setOnScrollListener(new OnScrollListener() {

            class C01161 implements Runnable {
                C01161() {
                }

                public void run() {
                    Edit_Image_Activity.this.mdgvGrid.setSelection(Edit_Image_Activity.this.mdgvGrid.getCount() - 1);
                }
            }

            public void onScrollStateChanged(AbsListView view, int scrollState) {
                if (scrollState != 0) {
                    return;
                }
                if (Edit_Image_Activity.this.mdgvGrid.IsScrollEnd()) {
                    LayoutParams layoutParams = new LayoutParams(-1, -2, 0);
                    layoutParams.setMargins(0, 0, 0, Edit_Image_Activity.this.px(50.0f));
                    Edit_Image_Activity.this.mdgvGrid.setLayoutParams(layoutParams);
                    String strCnt = EXTHeader.DEFAULT_VALUE;
                    lvf_txt.setText(String.format("%s %d %s", new Object[]{Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_total), Integer.valueOf(Edit_Image_Activity.this.Items.size()), Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_photos)}));
                    lvf_txt.setVisibility(0);
                    new Handler().postDelayed(new C01161(), 10);
                    return;
                }
                layoutParams = new LayoutParams(-1, -2, 0);
                layoutParams.setMargins(0, 0, 0, 0);
                Edit_Image_Activity.this.mdgvGrid.setLayoutParams(layoutParams);
                lvf_txt.setVisibility(8);
            }

            public void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
                if (totalItemCount <= 0) {
                    return;
                }
                if (Edit_Image_Activity.this.mdgvGrid.IsScrollEnd() && Edit_Image_Activity.this.mdgvGrid.getLastVisiblePosition() + 1 == totalItemCount) {
                    LayoutParams layoutParams = new LayoutParams(-1, -2, 0);
                    layoutParams.setMargins(0, 0, 0, Edit_Image_Activity.this.px(50.0f));
                    Edit_Image_Activity.this.mdgvGrid.setLayoutParams(layoutParams);
                    String strCnt = EXTHeader.DEFAULT_VALUE;
                    lvf_txt.setText(String.format("%s %d %s", new Object[]{Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_total), Integer.valueOf(Edit_Image_Activity.this.Items.size()), Edit_Image_Activity.this.getResources().getString(C0181R.string.pl_photos)}));
                    lvf_txt.setVisibility(0);
                    return;
                }
                layoutParams = new LayoutParams(-1, -2, 0);
                layoutParams.setMargins(0, 0, 0, 0);
                Edit_Image_Activity.this.mdgvGrid.setLayoutParams(layoutParams);
                lvf_txt.setVisibility(8);
            }
        });
        butDone.setOnClickListener(this.mDoneClickListener);
        this.butAdd.setOnClickListener(this.mAddClickListener);
        this.Items = new ArrayList();
        this.mCr = getContentResolver();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        int nType = intent.getIntExtra("type", 0);
        strListName = intent.getStringExtra("list_name");
        strTableName = intent.getStringExtra("table_name");
        if (nType != 2) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER, " + "`thumb_path` TEXT" + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        tvTitle.setText(strListName);
        this.nType = nType;
        this.strListName = strListName;
        this.strTableName = strTableName;
        return true;
    }

    public boolean onRead() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        int nCount = this.mDBManager.onCount(this.strTableName, EXTHeader.DEFAULT_VALUE);
        if (nCount >= 0) {
            this.mtvCount.setText(new StringBuilder(String.valueOf(getResources().getString(C0181R.string.pl_total))).append(" ").append(nCount).append(" ").append(getResources().getString(C0181R.string.pl_photos)).toString());
            this.isBitampConfrim = new int[nCount];
            this.mCursor = this.mDBManager.onSelect("SELECT * FROM `" + this.strTableName + "` ORDER BY `number`");
            if (this.mCursor == null) {
                return false;
            }
            if (this.mCursor.moveToFirst()) {
                int nNumber = 0;
                while (!this.mCursor.isAfterLast()) {
                    int nIdx = this.mCursor.getInt(this.mCursor.getColumnIndex("idx"));
                    strDisplayName = this.mCursor.getString(this.mCursor.getColumnIndex("display_name"));
                    strInfo1 = this.mCursor.getString(this.mCursor.getColumnIndex("info1"));
                    strInfo2 = this.mCursor.getString(this.mCursor.getColumnIndex("info2"));
                    strInfo3 = this.mCursor.getString(this.mCursor.getColumnIndex("info3"));
                    strInfo4 = this.mCursor.getString(this.mCursor.getColumnIndex("info4"));
                    strInfo5 = this.mCursor.getString(this.mCursor.getColumnIndex("info5"));
                    strPath = this.mCursor.getString(this.mCursor.getColumnIndex("path"));
                    int nSize = this.mCursor.getInt(this.mCursor.getColumnIndex("size"));
                    CustomListItem Item = new CustomListItem(nNumber, strDisplayName, strInfo1, strInfo2, strInfo3, strInfo4, strInfo5, strPath, (long) nSize, this.mCursor.getString(this.mCursor.getColumnIndex("thumb_path")));
                    Item.setIdx(nIdx);
                    this.Items.add(Item);
                    this.isBitampConfrim[nNumber] = nIdx;
                    this.mCursor.moveToNext();
                    nNumber++;
                }
                this.mCursor.close();
                if (this.m_Thread != null) {
                    boolean bDestroy = true;
                    if (this.m_Thread.isAlive()) {
                        bDestroy = false;
                    }
                    while (!bDestroy) {
                        this.m_Thread.interrupt();
                        this.m_Thread.setStateType(2);
                        try {
                            this.m_Thread.join(1000);
                            bDestroy = true;
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                            this.m_Thread.stop();
                            this.m_Thread.destroy();
                        }
                    }
                }
                this.m_Thread = null;
                this.m_Thread = new ProgressThread(this.mHandler);
                this.m_Thread.onInit();
                this.m_Thread.setDaemon(true);
                new Handler().postDelayed(new C01188(), 500);
                return true;
            }
            this.mCursor.close();
            return false;
        }
        Toast.makeText(this.mContext, "Error", 0).show();
        return false;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 4:
                if (this.Adapter != null) {
                    this.Adapter.onSort();
                    break;
                }
                break;
        }
        return super.onKeyDown(keyCode, event);
    }
}
