package com.enus.myzik;

import android.content.Context;
import android.net.wifi.SupplicantState;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.util.TypedValue;

public class Function {
    Context mContext;

    public Function(Context context) {
        this.mContext = context;
    }

    public WifiInfo getWifiInfo(Context context) {
        return ((WifiManager) context.getSystemService("wifi")).getConnectionInfo();
    }

    public boolean isConnWifi(WifiInfo info) {
        if (info.getSupplicantState() != SupplicantState.COMPLETED) {
            return false;
        }
        return true;
    }

    public int getFixWidth(int nWidth1, int nHeight1, int nHeight2) {
        return 0;
    }

    public int getFixHeight(int nWidth1, int nHeight1, int nWidth2) {
        return (nWidth2 * nHeight1) / nWidth1;
    }

    public static float convertDpToPixel(float dp, Context context) {
        return dp * (((float) context.getResources().getDisplayMetrics().densityDpi) / 160.0f);
    }

    public float dpToPx(float dp, Context context) {
        return TypedValue.applyDimension(1, dp, context.getResources().getDisplayMetrics());
    }
}
