package com.enus.myzik;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.content.BroadcastReceiver;
import android.content.ContentResolver;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnShowListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import android.os.Vibrator;
import android.provider.MediaStore.Audio.Playlists;
import android.provider.MediaStore.Audio.Playlists.Members;
import android.provider.Settings.Secure;
import android.provider.Settings.SettingNotFoundException;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.ViewAnimator;
import com.enus.myzik.AnimationFactory.AnimationFinishedListener;
import com.enus.myzik.AnimationFactory.FlipDirection;
import com.wireme.mediaserver.ContentTree;
import com.wireme.mediaserver.HttpServer;
import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.lang.reflect.Method;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.StringTokenizer;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

public class List_Activity extends MzActivity {
    private static final int SWIPE_MAX_OFF_PATH = 250;
    private static final int SWIPE_MIN_DISTANCE = 120;
    private static final int SWIPE_THRESHOLD_VELOCITY = 200;
    private static int m_nMode = 0;
    private static final int nMenu_Activate = 1;
    private static final int nMenu_Add = 2;
    private static final int nMenu_wActivate = 3;
    private static final int nMenu_wAdd = 4;
    private static int nSelected = -1;
    private static int nSelected4write = -1;
    private static final int nType_Music = 1;
    private static final int nType_Photo = 2;
    private CustomPlayListAdapter Adapter;
    private CustomWritePlayListAdapter Adapter4write;
    private ArrayList<CustomPlayListItem> Items;
    private ArrayList<CustomWritePlayListItem> Items4write;
    private MzServerApp MzApp;
    private Boolean bRefresh = Boolean.valueOf(true);
    private final BroadcastReceiver br = new C01621();
    private Handler handler;
    private TextView lvf_txt = null;
    private TextView lvf_txtr4write = null;
    private View lvfooter = null;
    private View lvfooter4write = null;
    public OnClickListener mActivateClickListener = new C01652();
    public OnClickListener mAdd4writeClickListener = new C01674();
    public OnClickListener mAddClickListener = new C01663();
    Context mContext;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    private Function mFunction = null;
    public OnClickListener mReScanClickListener = new C01685();
    Vibrator mVib;
    ImageButton mbutASound;
    ImageButton mbutAdd;
    ImageButton mbutAdd4write;
    ImageButton mbutPLMode;
    ImageButton mbutWriteMode;
    ListView mlvList;
    ListView mlvList4write;
    TextView mtvText;
    TextView mtvText4write;
    private AlertDialog quitADialog = null;
    private RadioGroup rg_pl = null;
    private String strTableName = EXTHeader.DEFAULT_VALUE;
    private TabItem tabItem1 = null;
    private TabItem tabItem2 = null;
    private TabItem tabItem3 = null;
    private TabItem tabItem4 = null;
    ViewAnimator viewAnimator = null;

    class C01621 extends BroadcastReceiver {

        class C01611 implements Runnable {
            C01611() {
            }

            public void run() {
                List_Activity.this.chk_fver();
            }
        }

        C01621() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("cling.android.Router")) {
                if (List_Activity.this.MzApp == null) {
                    List_Activity.this.MzApp = (MzServerApp) List_Activity.this.getApplicationContext();
                }
                if (intent.getExtras() != null) {
                    String strMsg = EXTHeader.DEFAULT_VALUE;
                    strMsg = intent.getExtras().getString("enus");
                    if (strMsg != null && strMsg.length() > 0) {
                        if (strMsg.compareTo("cmd_tether") == 0) {
                            if (List_Activity.this.MzApp != null && List_Activity.this.MzApp.GetTModeInfo1().compareTo("ENTER") == 0) {
                                List_Activity.this.MzApp.SetMenu1Icon(-1);
                                List_Activity.this.ShowPreConnICon();
                            }
                        } else if (strMsg.compareTo("getInfo") == 0) {
                            new Handler().postDelayed(new C01611(), 50);
                        } else if (strMsg.startsWith("icon_")) {
                            List_Activity.this.SetModeIcon(List_Activity.this.GetMode(0));
                            if (strMsg.compareTo("icon_act") == 0) {
                                if (List_Activity.this.checkTMode()) {
                                    if (List_Activity.this.tabItem1 != null) {
                                        List_Activity.this.tabItem1.SetImg(C0181R.drawable.me_wifi_red);
                                        List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.me_wifi_red));
                                        List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02_over);
                                    }
                                } else if (List_Activity.this.tabItem1 != null) {
                                    List_Activity.this.tabItem1.SetImg(C0181R.drawable.menu01_over);
                                    List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01_over));
                                }
                            } else if (strMsg.compareTo("icon_deact") == 0) {
                                if (List_Activity.this.checkTMode()) {
                                    if (List_Activity.this.tabItem1 != null) {
                                        List_Activity.this.tabItem1.SetImg(C0181R.drawable.me_wifi_red);
                                        List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.me_wifi_red));
                                        List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02_over);
                                    }
                                } else if (List_Activity.this.tabItem1 != null) {
                                    List_Activity.this.tabItem1.SetImg(C0181R.drawable.menu01_over);
                                    List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01_over));
                                }
                                if (List_Activity.this.MzApp != null && List_Activity.this.MzApp.GetApMode().compareTo("APCLI") == 0 && List_Activity.this.tabItem2 != null) {
                                    List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02_over);
                                }
                            } else if (strMsg.compareTo("icon_disconn") == 0) {
                                boolean checkTMode = List_Activity.this.checkTMode();
                                if (List_Activity.this.tabItem1 != null) {
                                    if (List_Activity.this.MzApp.GetMenu1Icon() != -1) {
                                        List_Activity.this.tabItem1.SetImg(C0181R.drawable.menu01);
                                        List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01));
                                    }
                                    List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02);
                                    List_Activity.this.tabItem2.setTag(Integer.valueOf(C0181R.drawable.menu02));
                                    List_Activity.this.tabItem3.SetImg(C0181R.drawable.menu03);
                                    List_Activity.this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.menu03));
                                }
                                DLog.m0d("enus", "icon_disconn");
                            } else if (strMsg.compareTo("icon_apcli") == 0) {
                                if (List_Activity.this.tabItem2 != null) {
                                    List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02_over);
                                }
                            } else if (strMsg.compareTo("icon_aponly") == 0 && List_Activity.this.tabItem2 != null) {
                                List_Activity.this.tabItem2.SetImg(C0181R.drawable.menu02);
                            }
                        } else if (strMsg.startsWith("mscan_fin")) {
                            List_Activity.this.onResume();
                        }
                    }
                }
            }
        }
    }

    class C01652 implements OnClickListener {
        C01652() {
        }

        public void onClick(View v) {
            int nSize;
            String strMessage = EXTHeader.DEFAULT_VALUE;
            ArrayList<Integer> arrayList = List_Activity.this.Adapter.getChecked();
            if (arrayList == null) {
                nSize = 0;
            } else {
                nSize = arrayList.size();
            }
            for (int i = 0; i < nSize; i++) {
                int nChecked = ((Integer) List_Activity.this.Adapter.getChecked().get(i)).intValue();
                strMessage = new StringBuilder(String.valueOf(((CustomPlayListItem) List_Activity.this.Adapter.getItem(nChecked)).getListName())).append(" Activate?").toString();
                if (nChecked == List_Activity.this.Adapter.getCheckedPosition()) {
                    List_Activity.nSelected = nChecked;
                } else {
                    List_Activity.nSelected = -1;
                    if (List_Activity.this.MzApp != null) {
                        List_Activity.this.MzApp.ShowMsg("Error", 1);
                    }
                }
            }
            if (nSize >= 1) {
                List_Activity.this.showDialog(1);
                return;
            }
            String strListName = EXTHeader.DEFAULT_VALUE;
            String strTableName = EXTHeader.DEFAULT_VALUE;
            String strQuery = EXTHeader.DEFAULT_VALUE;
            if (List_Activity.nSelected >= 0 && List_Activity.nSelected < List_Activity.this.Adapter.getCount()) {
                CustomPlayListItem Item = (CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected);
                if (Item.getActivate() == 1) {
                    Item.setActivate(0);
                }
            }
            if (!List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0") && List_Activity.this.MzApp != null) {
                List_Activity.this.MzApp.ShowMsg("Error", 1);
            }
        }
    }

    class C01663 implements OnClickListener {
        C01663() {
        }

        public void onClick(View v) {
            List_Activity.this.showDialog(2);
        }
    }

    class C01674 implements OnClickListener {
        C01674() {
        }

        public void onClick(View v) {
            List_Activity.this.showDialog(4);
        }
    }

    class C01685 implements OnClickListener {
        C01685() {
        }

        public void onClick(View v) {
            List_Activity.this.mVib.vibrate(500);
            List_Activity.this.sendBroadcast(new Intent("android.intent.action.MEDIA_MOUNTED", Uri.parse("file://mnt/extSdCard")));
        }
    }

    class C01697 implements Runnable {
        C01697() {
        }

        public void run() {
            List_Activity.this.SetModeIcon(List_Activity.this.GetMode(0));
        }
    }

    class C01708 implements Runnable {
        C01708() {
        }

        public void run() {
            if (List_Activity.this.tabItem1.getTag() != null && Integer.parseInt(List_Activity.this.tabItem1.getTag().toString()) == C0181R.drawable.ani_wifi_mini) {
                List_Activity.this.tabItem1.SetImg(C0181R.drawable.menu01);
                List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01));
                Intent imove = new Intent(List_Activity.this, Step9_Activity.class);
                if (List_Activity.this.isKT()) {
                    imove.putExtra("is_kt", "yes");
                } else {
                    imove.putExtra("is_kt", "no");
                }
                imove.setFlags(DLNAFlags.SN_INCREASE);
                List_Activity.this.startActivity(imove);
            }
        }
    }

    class C01719 implements DialogInterface.OnClickListener {
        C01719() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strListName = EXTHeader.DEFAULT_VALUE;
            String strTableName = EXTHeader.DEFAULT_VALUE;
            String strQuery = EXTHeader.DEFAULT_VALUE;
            int nType = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getType();
            strListName = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getListName();
            strTableName = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getContent();
            if (List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
                if (!(List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 1 WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'") || List_Activity.this.MzApp == null)) {
                    List_Activity.this.MzApp.ShowMsg("Error", 1);
                }
                List_Activity.this.removeDialog(1);
                List_Activity.this.mCursor = List_Activity.this.mDBManager.onSelect("SELECT type FROM `playlist` WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'");
                if (List_Activity.this.mCursor == null) {
                    return;
                }
                if (!List_Activity.this.mCursor.moveToFirst()) {
                    List_Activity.this.mCursor.close();
                    return;
                } else if (List_Activity.this.mCursor.getColumnIndex("type") < 0) {
                    List_Activity.this.mCursor.close();
                    return;
                } else {
                    Intent iset = new Intent("cling.android.Router");
                    iset.putExtra("enus", "set");
                    List_Activity.this.sendBroadcast(iset);
                    return;
                }
            }
            if (List_Activity.this.MzApp != null) {
                List_Activity.this.MzApp.ShowMsg("Error", 1);
            }
            List_Activity.this.removeDialog(1);
        }
    }

    class C04526 implements AnimationFinishedListener {
        C04526() {
        }

        public void onAnimationFinished() {
        }
    }

    private void animatedStartActivity() {
    }

    void handleSendText(Intent intent) {
        String sharedText = intent.getStringExtra("android.intent.extra.TEXT");
        if (sharedText != null) {
            Toast.makeText(getApplicationContext(), sharedText, 1).show();
        }
    }

    void handleSendImage(Intent intent) {
        Uri imageUri = (Uri) intent.getParcelableExtra("android.intent.extra.STREAM");
    }

    void handleSendMultipleImages(Intent intent) {
        ArrayList<Uri> imageUris = intent.getParcelableArrayListExtra("android.intent.extra.STREAM");
    }

    void mk_dir(String strDirName) {
        String strPath = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append(File.separator).append(getResources().getString(C0181R.string.root_directory)).append(File.separator).append(strDirName).toString();
        String strSubPath = new StringBuilder(String.valueOf(strPath)).append(File.separator).append("NoScan").toString();
        File fNewFolder = new File(strPath);
        if (!fNewFolder.exists()) {
            fNewFolder.mkdirs();
        }
        File fNewSubFolder = new File(strSubPath);
        if (!fNewSubFolder.exists()) {
            fNewSubFolder.mkdirs();
        }
        RandomAccessFile file = null;
        try {
            RandomAccessFile file2 = new RandomAccessFile(new StringBuilder(String.valueOf(strSubPath)).append(File.separator).append(".nomedia").toString(), "rw");
            if (file2 != null) {
                try {
                    file2.close();
                } catch (IOException e) {
                }
            } else {
                file = file2;
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            if (file != null) {
                try {
                    file.close();
                } catch (IOException e3) {
                }
            }
        } catch (Throwable th) {
            if (file != null) {
                try {
                    file.close();
                } catch (IOException e4) {
                }
            }
        }
    }

    void chk_fver() {
        DLog.m0d("ui2", ContentTree.VIDEO_ID);
        String strCVer = EXTHeader.DEFAULT_VALUE;
        if (this.MzApp != null) {
            strCVer = this.MzApp.GetFVer();
            if (strCVer.length() <= 0 || strCVer.compareTo("none") == 0) {
                this.tabItem3.SetImg(C0181R.drawable.menu03);
                this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.menu03));
                return;
            }
            int[] nCver = new int[3];
            int[] nFver = new int[3];
            if (strCVer.substring(0, 1).compareTo("v") == 0) {
                StringTokenizer stok = new StringTokenizer(strCVer.substring(1), ".", false);
                int i = 0;
                while (stok.hasMoreTokens()) {
                    nCver[i] = Integer.valueOf(stok.nextToken()).intValue();
                    if (i == 2) {
                        break;
                    }
                    i++;
                }
                stok = new StringTokenizer(this.MzApp.mStrInnerFVer, ".", false);
                i = 0;
                while (stok.hasMoreTokens()) {
                    nFver[i] = Integer.valueOf(stok.nextToken()).intValue();
                    if (i == 2) {
                        break;
                    }
                    i++;
                }
                if (nCver[0] < nFver[0] || ((nCver[0] == nFver[0] && nCver[1] < nFver[1]) || (nCver[0] == nFver[0] && nCver[1] == nFver[1] && nCver[2] < nFver[2]))) {
                    DLog.m0d("ui2", ContentTree.AUDIO_ID);
                    AniMenus03();
                    this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.ani_menu03));
                    return;
                }
                DLog.m0d("ui2", ContentTree.IMAGE_ID);
                this.tabItem3.SetImg(C0181R.drawable.menu03);
                this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.menu03));
            }
        }
    }

    boolean chk_osver() {
        String strCVer = EXTHeader.DEFAULT_VALUE;
        try {
            Class<?> c = Class.forName("android.os.SystemProperties");
            strCVer = (String) c.getMethod("get", new Class[]{String.class}).invoke(c, new Object[]{"ro.build.version.release"});
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (strCVer.length() <= 0 || strCVer.compareTo("none") == 0) {
            return false;
        }
        int[] nCver = new int[3];
        int[] nFver = new int[3];
        if (strCVer == null || strCVer.isEmpty()) {
            return false;
        }
        StringTokenizer stok = new StringTokenizer(strCVer, ".", false);
        int i = 0;
        while (stok.hasMoreTokens()) {
            nCver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        stok = new StringTokenizer("4.1.0", ".", false);
        i = 0;
        while (stok.hasMoreTokens()) {
            nFver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        if (nFver[0] < nCver[0] || (nFver[0] == nCver[0] && nFver[1] <= nCver[1] && nFver[2] <= nCver[2])) {
            return true;
        }
        return false;
    }

    private int getWifiPoorNetworkDisable() {
        if (chk_osver()) {
            DLog.m0d("chk_osver()", "true");
            try {
                return Secure.getInt(getApplicationContext().getContentResolver(), "wifi_watchdog_poor_network_test_enabled");
            } catch (SettingNotFoundException e) {
                e.printStackTrace();
                return -1;
            }
        }
        DLog.m0d("chk_osver()", "false");
        return -1;
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.list);
        this.viewAnimator = (ViewAnimator) findViewById(C0181R.id.viewFlipper);
        if (this.viewAnimator.getChildCount() == 2 && GetListMode() && this.viewAnimator.getDisplayedChild() == 0) {
            this.viewAnimator.showNext();
        }
        Intent intent = getIntent();
        String action = intent.getAction();
        String type = intent.getType();
        if (intent.getExtras() != null && intent.getExtras().getBoolean("doani")) {
            intent.putExtra("doani", true);
            AnimationFactory.flipTransition(this.viewAnimator, FlipDirection.LEFT_RIGHT, new C04526());
        }
        if (!"android.intent.action.SEND".equals(action) || type == null) {
            if ("android.intent.action.SEND_MULTIPLE".equals(action) && type != null) {
                type.startsWith("image/");
            }
        } else if (HttpServer.MIME_PLAINTEXT.equals(type)) {
            handleSendText(intent);
        } else if (type.startsWith("image/")) {
            handleSendImage(intent);
        }
        onInit(getApplicationContext());
        this.MzApp = (MzServerApp) getApplicationContext();
        if (this.Adapter != null) {
            this.Adapter.clear();
        }
        this.Adapter = null;
        if (this.Adapter4write != null) {
            this.Adapter4write.clear();
        }
        this.Adapter4write = null;
        this.Adapter = new CustomPlayListAdapter(this, C0181R.layout.list_item, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName, this);
        this.mlvList.setEmptyView(this.mtvText);
        this.Adapter4write = new CustomWritePlayListAdapter(this, C0181R.layout.list_item, this.Items4write);
        this.Adapter4write.onInit(this.mDBManager, this.strTableName, this);
        this.mlvList4write.setEmptyView(this.mtvText4write);
        this.lvfooter = getLayoutInflater().inflate(C0181R.layout.lvfooter, null, false);
        this.lvf_txt = (TextView) this.lvfooter.findViewById(C0181R.id.lvf_txt);
        this.lvfooter4write = getLayoutInflater().inflate(C0181R.layout.lvfooter, null, false);
        this.lvf_txtr4write = (TextView) this.lvfooter4write.findViewById(C0181R.id.lvf_txt);
        this.mlvList.addFooterView(this.lvfooter, null, false);
        this.mlvList.setAdapter(this.Adapter);
        this.mlvList4write.addFooterView(this.lvfooter4write, null, false);
        this.mlvList4write.setAdapter(this.Adapter4write);
        registerReceiver(this.br, new IntentFilter("cling.android.Router"));
        if (this.MzApp != null) {
            boolean isTMode = checkTMode();
            switch (this.MzApp.GetMenu1Icon()) {
                case -1:
                    this.MzApp.SetMenu3Icon(0);
                    ShowPreConnICon();
                    break;
                case 1:
                    this.tabItem1.SetImg(C0181R.drawable.menu01_over);
                    this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01_over));
                    break;
                case 2:
                    this.tabItem1.SetImg(C0181R.drawable.me_wifi_red);
                    this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.me_wifi_red));
                    break;
                default:
                    this.tabItem1.SetImg(C0181R.drawable.menu01);
                    this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01));
                    this.MzApp.SetMenu3Icon(0);
                    break;
            }
            switch (this.MzApp.GetMenu2Icon()) {
                case 1:
                    this.tabItem2.SetImg(C0181R.drawable.menu02_over);
                    this.tabItem2.setTag(Integer.valueOf(C0181R.drawable.menu02_over));
                    break;
                default:
                    this.tabItem2.SetImg(C0181R.drawable.menu02);
                    this.tabItem2.setTag(Integer.valueOf(C0181R.drawable.menu02));
                    break;
            }
            String stra = EXTHeader.DEFAULT_VALUE;
            DLog.m0d("UI2", String.format("%d", new Object[]{Integer.valueOf(this.MzApp.GetMenu3Icon())}));
            switch (this.MzApp.GetMenu3Icon()) {
                case 1:
                    this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.ani_menu03));
                    AniMenus03();
                    return;
                default:
                    this.tabItem3.SetImg(C0181R.drawable.menu03);
                    this.tabItem3.setTag(Integer.valueOf(C0181R.drawable.menu03));
                    return;
            }
        }
    }

    public void ViewList() {
        DatabaseControl dbControl = new DatabaseControl(this, "mediadongle.sqlite", "playlist");
        String[] strData = dbControl.getData();
        if (strData != null) {
            String strList = EXTHeader.DEFAULT_VALUE;
            int type = Integer.parseInt(strData[0]);
            if (type == 1) {
                strList = "type: Music\n";
            } else if (type == 2) {
                strList = "type: Photo\n";
            } else if (type == 3) {
                strList = "type: Video\n";
            } else if (type == 4 || type == 5) {
                strList = "type: File\n";
            } else {
                strList = "type: Unknown\n";
            }
            strList = new StringBuilder(String.valueOf(strList)).append("playlist: ").append(strData[1]).append("\n").toString();
            int nCount = (strData.length - 2) / 8;
            String strListData = EXTHeader.DEFAULT_VALUE;
            if (nCount == 0) {
                strListData = new StringBuilder(String.valueOf(strList)).append("empty").toString();
                if (this.MzApp != null) {
                    this.MzApp.ShowMsg(strListData, 1);
                }
            }
            for (int i = 0; i < nCount; i++) {
                strListData = EXTHeader.DEFAULT_VALUE;
                String strdisplayname = strData[(i * 8) + 2];
                String strinfo1 = strData[((i * 8) + 1) + 2];
                String strinfo2 = strData[((i * 8) + 2) + 2];
                String strinfo3 = strData[((i * 8) + 3) + 2];
                String strinfo4 = strData[((i * 8) + 4) + 2];
                String strinfo5 = strData[((i * 8) + 5) + 2];
                String path = strData[((i * 8) + 6) + 2];
                String strsize = strData[((i * 8) + 7) + 2];
                int nSize = Integer.parseInt(strsize);
                strListData = new StringBuilder(String.valueOf(strList)).append(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(new StringBuilder(String.valueOf(strListData)).append("displayname: ").append(strdisplayname).append("\n").toString())).append("info1: ").append(strinfo1).append("\n").toString())).append("info2: ").append(strinfo2).append("\n").toString())).append("info3: ").append(strinfo3).append("\n").toString())).append("info4: ").append(strinfo4).append("\n").toString())).append("info5: ").append(strinfo5).append("\n").toString())).append("path: ").append(path).append("\n").toString())).append("size: ").append(strsize).append("\n").toString()).toString();
                if (this.MzApp != null) {
                    this.MzApp.ShowMsg(strListData, 1);
                }
            }
        }
        dbControl.onClear();
        dbControl.onClose();
    }

    public int GetMode(int nType) {
        if (nType == 0) {
            return this.MzApp.mMode;
        }
        return 0;
    }

    boolean checkTMode() {
        boolean isWifiAPenabled = false;
        WifiManager wifi = (WifiManager) getSystemService("wifi");
        for (Method method : wifi.getClass().getDeclaredMethods()) {
            if (method.getName().equals("isWifiApEnabled")) {
                try {
                    isWifiAPenabled = ((Boolean) method.invoke(wifi, new Object[0])).booleanValue();
                } catch (Exception e) {
                }
            }
        }
        return isWifiAPenabled;
    }

    public void SetModeIcon(int nMode) {
        m_nMode = nMode;
        switch (nMode) {
            case 0:
                this.Adapter.setState(1);
                this.Adapter4write.setState(1);
                return;
            case 1:
                this.Adapter.setState(0);
                this.Adapter4write.setState(0);
                return;
            case 2:
                this.Adapter.setState(2);
                this.Adapter4write.setState(2);
                return;
            default:
                return;
        }
    }

    private void ChkMode() {
        this.handler.post(new C01697());
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.Items4write != null) {
            this.Items4write.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.MzApp == null) {
            this.MzApp = (MzServerApp) getApplicationContext();
        }
        onRead();
        onRead4write();
        this.Adapter.notifyDataSetChanged();
        this.Adapter4write.notifyDataSetChanged();
        this.MzApp = (MzServerApp) getApplicationContext();
        this.handler = new Handler(Looper.getMainLooper());
        SetModeIcon(GetMode(0));
        if (this.tabItem1.getTag() != null && Integer.parseInt(this.tabItem1.getTag().toString()) == C0181R.drawable.ani_wifi_mini) {
            new Handler().postDelayed(new C01708(), 17000);
        } else if (this.tabItem1.getTag() != null && Integer.parseInt(this.tabItem1.getTag().toString()) == C0181R.drawable.menu01_over) {
            this.tabItem1.SetImg(C0181R.drawable.menu01_over);
            this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.menu01_over));
        }
        DLog.m0d("ModeL", "LM:" + Integer.valueOf(GetMode(0)));
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mFunction != null) {
            this.mFunction = null;
        }
        this.mFunction = null;
        if (this.quitADialog != null) {
            this.quitADialog.dismiss();
        }
        try {
            if (this.mDBManager != null) {
                this.mDBManager.close();
            }
            this.mDBManager = null;
        } catch (RuntimeException e) {
            e.printStackTrace();
        }
        System.gc();
        if (this.br != null) {
            unregisterReceiver(this.br);
        }
        super.onDestroy();
    }

    public String MakePL(String strPLName) {
        ContentResolver resolver = getContentResolver();
        Cursor c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
        String strID = EXTHeader.DEFAULT_VALUE;
        try {
            c.moveToFirst();
            if (c.isAfterLast()) {
                ContentValues values = new ContentValues();
                values.put("name", strPLName);
                resolver.insert(Playlists.EXTERNAL_CONTENT_URI, values);
                c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
                c.moveToFirst();
                if (!c.isAfterLast()) {
                    long nID = c.getLong(0);
                    strID = "PL_" + c.getString(c.getColumnIndex("_ID"));
                    this.Items.add(new CustomPlayListItem(1, strPLName, 0, strID));
                    ContentValues value4ui = new ContentValues();
                    value4ui.put("type", Integer.valueOf(1));
                    value4ui.put("list_name", strPLName);
                    value4ui.put("activate", Integer.valueOf(0));
                    value4ui.put("contents", strID);
                    this.mDBManager.onInsert("playlist", value4ui);
                }
                c.close();
                return strID;
            }
            c.close();
            if (this.MzApp != null) {
                this.MzApp.ShowMsg("Already exists!!", 1);
            }
            return strID;
        } catch (NullPointerException e) {
            e.printStackTrace();
        }
    }

    private boolean isNUnique(String StrLName, int nType) {
        boolean result = false;
        String strLListName = EXTHeader.DEFAULT_VALUE;
        if (StrLName.compareTo(getResources().getString(C0181R.string.lpl_name1)) == 0 || StrLName.compareTo(getResources().getString(C0181R.string.lpl_name2)) == 0 || StrLName.compareTo(getResources().getString(C0181R.string.lpl_name3)) == 0) {
            return true;
        }
        int i = 0;
        while (i < this.Adapter.getCount()) {
            if (((CustomPlayListItem) this.Adapter.getItem(i)).getType() == nType && ((CustomPlayListItem) this.Adapter.getItem(i)).getListName().compareTo(StrLName) == 0) {
                result = true;
                break;
            }
            i++;
        }
        return result;
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(this.mContext);
        switch (id) {
            case 1:
                String strSelTName = EXTHeader.DEFAULT_VALUE;
                try {
                    strSelTName = ((CustomPlayListItem) this.Adapter.getItem(nSelected)).getListName();
                } catch (IndexOutOfBoundsException e) {
                    e.printStackTrace();
                }
                Dialog ActivateDialog;
                if (m_nMode == 0) {
                    ActivateDialog = new Builder(this).setView(((LayoutInflater) getSystemService("layout_inflater")).inflate(C0181R.layout.list_info_wifi, null)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new C01719()).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int which) {
                            if (List_Activity.this.Adapter != null) {
                                List_Activity.this.Adapter.setBackChecked();
                            }
                            List_Activity.this.removeDialog(1);
                        }
                    }).create();
                    ActivateDialog.setCancelable(false);
                    return ActivateDialog;
                }
                ActivateDialog = new Builder(this).setMessage(new StringBuilder(String.valueOf(getResources().getString(C0181R.string.list_msg0_1))).append(strSelTName).append(getResources().getString(C0181R.string.list_msg0_2)).append(getResources().getString(C0181R.string.list_msg0_3)).toString()).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strListName = EXTHeader.DEFAULT_VALUE;
                        String strTableName = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        int nType = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getType();
                        strListName = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getListName();
                        strTableName = ((CustomPlayListItem) List_Activity.this.Adapter.getItem(List_Activity.nSelected)).getContent();
                        if (List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
                            if (!(List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 1 WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'") || List_Activity.this.MzApp == null)) {
                                List_Activity.this.MzApp.ShowMsg("Error", 1);
                            }
                            List_Activity.this.removeDialog(1);
                            List_Activity.this.mCursor = List_Activity.this.mDBManager.onSelect("SELECT type FROM `playlist` WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'");
                            if (List_Activity.this.mCursor == null) {
                                return;
                            }
                            if (!List_Activity.this.mCursor.moveToFirst()) {
                                List_Activity.this.mCursor.close();
                                return;
                            } else if (List_Activity.this.mCursor.getColumnIndex("type") < 0) {
                                List_Activity.this.mCursor.close();
                                return;
                            } else {
                                Intent iset = new Intent("cling.android.Router");
                                iset.putExtra("enus", "set");
                                List_Activity.this.sendBroadcast(iset);
                                return;
                            }
                        }
                        if (List_Activity.this.MzApp != null) {
                            List_Activity.this.MzApp.ShowMsg("Error", 1);
                        }
                        List_Activity.this.removeDialog(1);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        if (List_Activity.this.Adapter != null) {
                            List_Activity.this.Adapter.setBackChecked();
                        }
                        List_Activity.this.removeDialog(1);
                    }
                }).create();
                ActivateDialog.setCancelable(false);
                return ActivateDialog;
            case 2:
                final View vAddLayout = ((LayoutInflater) getSystemService("layout_inflater")).inflate(C0181R.layout.add_splaylist_dialog, null);
                this.rg_pl = (RadioGroup) vAddLayout.findViewById(C0181R.id.add_splaylist_rg_pl_type);
                RadioButton r_pl_type3 = (RadioButton) vAddLayout.findViewById(C0181R.id.r_pl_type3);
                ((RadioButton) vAddLayout.findViewById(C0181R.id.r_pl_type4)).setVisibility(8);
                Dialog AddDialog = new Builder(this).setView(vAddLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        int nPosition;
                        String strNow = EXTHeader.DEFAULT_VALUE;
                        String strListName = EXTHeader.DEFAULT_VALUE;
                        String strTableName = EXTHeader.DEFAULT_VALUE;
                        ContentValues values = new ContentValues();
                        EditText etListName = (EditText) vAddLayout.findViewById(C0181R.id.add_splaylist_editText_ListName);
                        switch (List_Activity.this.rg_pl.getCheckedRadioButtonId()) {
                            case C0181R.id.r_pl_type1:
                                nPosition = 1;
                                break;
                            case C0181R.id.r_pl_type2:
                                nPosition = 2;
                                break;
                            case C0181R.id.r_pl_type3:
                                nPosition = 3;
                                break;
                            case C0181R.id.r_pl_type4:
                                nPosition = 4;
                                break;
                            default:
                                nPosition = 0;
                                break;
                        }
                        if (etListName == null) {
                            List_Activity.this.removeDialog(2);
                            return;
                        }
                        strNow = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date(System.currentTimeMillis()));
                        if (!etListName.getText().toString().isEmpty()) {
                            if (List_Activity.this.isNUnique(etListName.getText().toString(), nPosition + 1)) {
                                if (List_Activity.this.MzApp != null) {
                                    List_Activity.this.MzApp.ShowMsg(List_Activity.this.getResources().getString(C0181R.string.pl_msg3), 1);
                                }
                                List_Activity.this.removeDialog(2);
                            } else if (nPosition == 0) {
                                String strTblName = EXTHeader.DEFAULT_VALUE;
                                strTblName = List_Activity.this.MakePL(etListName.getText().toString());
                                List_Activity.this.Adapter.Refresh();
                                intent = new Intent(List_Activity.this, Add_Audio_Activity.class);
                                intent.putExtra("type", 1);
                                intent.putExtra("list_name", etListName.getText().toString());
                                intent.putExtra("table_name", strTblName);
                                List_Activity.this.startActivity(intent);
                                List_Activity.this.removeDialog(2);
                            } else {
                                int nType;
                                if (nPosition == 1) {
                                    nType = 2;
                                    strTableName = "P_" + strNow;
                                    intent = new Intent(List_Activity.this, View_Image_Activity2.class);
                                } else if (nPosition == 2) {
                                    nType = 3;
                                    strTableName = "V_" + strNow;
                                    intent = new Intent(List_Activity.this, Add_Video_Activity.class);
                                } else if (nPosition == 3) {
                                    nType = 4;
                                    strTableName = "F_" + strNow;
                                    intent = new Intent(List_Activity.this, Add_File_Activity.class);
                                } else if (nPosition == 4) {
                                    nType = 5;
                                    strTableName = "F_" + strNow;
                                    intent = new Intent(List_Activity.this, Add_File_Activity2.class);
                                } else {
                                    strTableName = EXTHeader.DEFAULT_VALUE;
                                    List_Activity.this.removeDialog(2);
                                    return;
                                }
                                strListName = etListName.getText().toString();
                                if (strListName.length() <= 0) {
                                    if (List_Activity.this.MzApp != null) {
                                        List_Activity.this.MzApp.ShowMsg("No Title", 1);
                                    }
                                    List_Activity.this.removeDialog(2);
                                    return;
                                }
                                values.put("type", Integer.valueOf(nType));
                                values.put("list_name", strListName);
                                values.put("activate", Integer.valueOf(0));
                                values.put("contents", strTableName);
                                List_Activity.this.mDBManager.onInsert("playlist", values);
                                if (nType == 5) {
                                    List_Activity.this.mk_dir(strListName);
                                }
                                intent.putExtra("type", nType);
                                intent.putExtra("list_name", strListName);
                                intent.putExtra("table_name", strTableName);
                                if (new File("/storage").listFiles() != null) {
                                    intent.putExtra("e_path", "/storage");
                                } else {
                                    intent.putExtra("e_path", "/mnt");
                                }
                                List_Activity.this.startActivity(intent);
                                List_Activity.this.removeDialog(2);
                            }
                        }
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        List_Activity.this.removeDialog(2);
                    }
                }).create();
                AddDialog.setCancelable(false);
                AddDialog.setOnShowListener(new OnShowListener() {
                    public void onShow(DialogInterface dialog) {
                        ((InputMethodManager) List_Activity.this.getSystemService("input_method")).showSoftInput(vAddLayout.findViewById(C0181R.id.add_splaylist_editText_ListName), 1);
                    }
                });
                return AddDialog;
            case 3:
                String strwSelTName = EXTHeader.DEFAULT_VALUE;
                try {
                    strwSelTName = ((CustomWritePlayListItem) this.Adapter4write.getItem(nSelected4write)).getListName();
                } catch (IndexOutOfBoundsException e2) {
                    e2.printStackTrace();
                }
                Dialog wActivateDialog;
                if (m_nMode == 0) {
                    wActivateDialog = new Builder(this).setView(((LayoutInflater) getSystemService("layout_inflater")).inflate(C0181R.layout.list_info_wifi, null)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int which) {
                            String strListName = EXTHeader.DEFAULT_VALUE;
                            String strTableName = EXTHeader.DEFAULT_VALUE;
                            String strQuery = EXTHeader.DEFAULT_VALUE;
                            int nType = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getType();
                            strListName = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getListName();
                            strTableName = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getContent();
                            if (List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
                                if (!(List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 1 WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'") || List_Activity.this.MzApp == null)) {
                                    List_Activity.this.MzApp.ShowMsg("Error", 1);
                                }
                                List_Activity.this.removeDialog(3);
                                List_Activity.this.mCursor = List_Activity.this.mDBManager.onSelect("SELECT type FROM `playlist` WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'");
                                if (List_Activity.this.mCursor == null) {
                                    return;
                                }
                                if (!List_Activity.this.mCursor.moveToFirst()) {
                                    List_Activity.this.mCursor.close();
                                    return;
                                } else if (List_Activity.this.mCursor.getColumnIndex("type") < 0) {
                                    List_Activity.this.mCursor.close();
                                    return;
                                } else {
                                    Intent iset = new Intent("cling.android.Router");
                                    iset.putExtra("enus", "set");
                                    List_Activity.this.sendBroadcast(iset);
                                    return;
                                }
                            }
                            if (List_Activity.this.MzApp != null) {
                                List_Activity.this.MzApp.ShowMsg("Error", 1);
                            }
                            List_Activity.this.removeDialog(3);
                        }
                    }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int which) {
                            if (List_Activity.this.Adapter4write != null) {
                                List_Activity.this.Adapter4write.setBackChecked();
                            }
                            List_Activity.this.removeDialog(3);
                        }
                    }).create();
                    wActivateDialog.setCancelable(false);
                    return wActivateDialog;
                }
                wActivateDialog = new Builder(this).setMessage(new StringBuilder(String.valueOf(getResources().getString(C0181R.string.list_msg1_1))).append(strwSelTName).append(getResources().getString(C0181R.string.list_msg1_2)).append(getResources().getString(C0181R.string.list_msg1_3)).toString()).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strListName = EXTHeader.DEFAULT_VALUE;
                        String strTableName = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        int nType = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getType();
                        strListName = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getListName();
                        strTableName = ((CustomWritePlayListItem) List_Activity.this.Adapter4write.getItem(List_Activity.nSelected4write)).getContent();
                        if (List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
                            if (!(List_Activity.this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 1 WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'") || List_Activity.this.MzApp == null)) {
                                List_Activity.this.MzApp.ShowMsg("Error", 1);
                            }
                            List_Activity.this.removeDialog(3);
                            List_Activity.this.mCursor = List_Activity.this.mDBManager.onSelect("SELECT type FROM `playlist` WHERE `list_name` = '" + strListName + "' AND `contents` = '" + strTableName + "'");
                            if (List_Activity.this.mCursor == null) {
                                return;
                            }
                            if (!List_Activity.this.mCursor.moveToFirst()) {
                                List_Activity.this.mCursor.close();
                                return;
                            } else if (List_Activity.this.mCursor.getColumnIndex("type") < 0) {
                                List_Activity.this.mCursor.close();
                                return;
                            } else {
                                Intent iset = new Intent("cling.android.Router");
                                iset.putExtra("enus", "set");
                                List_Activity.this.sendBroadcast(iset);
                                return;
                            }
                        }
                        if (List_Activity.this.MzApp != null) {
                            List_Activity.this.MzApp.ShowMsg("Error", 1);
                        }
                        List_Activity.this.removeDialog(3);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        if (List_Activity.this.Adapter4write != null) {
                            List_Activity.this.Adapter4write.setBackChecked();
                        }
                        List_Activity.this.removeDialog(3);
                    }
                }).create();
                wActivateDialog.setCancelable(false);
                return wActivateDialog;
            case 4:
                final View vAddwLayout = ((LayoutInflater) getSystemService("layout_inflater")).inflate(C0181R.layout.add_write_splaylist_dialog, null);
                Dialog wAddDialog = new Builder(this).setView(vAddwLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNow = EXTHeader.DEFAULT_VALUE;
                        String strListName = EXTHeader.DEFAULT_VALUE;
                        String strTableName = EXTHeader.DEFAULT_VALUE;
                        ContentValues values = new ContentValues();
                        EditText etListName = (EditText) vAddwLayout.findViewById(C0181R.id.wadd_splaylist_editText_ListName);
                        strNow = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date(System.currentTimeMillis()));
                        if (!etListName.getText().toString().isEmpty()) {
                            if (List_Activity.this.isNUnique(etListName.getText().toString(), 1)) {
                                if (List_Activity.this.MzApp != null) {
                                    List_Activity.this.MzApp.ShowMsg(List_Activity.this.getResources().getString(C0181R.string.pl_msg3), 1);
                                }
                                List_Activity.this.removeDialog(2);
                                return;
                            }
                            strTableName = "F_" + strNow;
                            Intent intent = new Intent(List_Activity.this, Add_File_Activity2.class);
                            strListName = etListName.getText().toString();
                            if (strListName.length() <= 0) {
                                if (List_Activity.this.MzApp != null) {
                                    List_Activity.this.MzApp.ShowMsg("No Title", 1);
                                }
                                List_Activity.this.removeDialog(2);
                                return;
                            }
                            values.put("type", Integer.valueOf(5));
                            values.put("list_name", strListName);
                            values.put("activate", Integer.valueOf(0));
                            values.put("contents", strTableName);
                            List_Activity.this.mDBManager.onInsert("playlist", values);
                            if (5 == 5) {
                                List_Activity.this.mk_dir(strListName);
                            }
                            List_Activity.this.onResume();
                            List_Activity.this.removeDialog(4);
                        }
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        List_Activity.this.removeDialog(4);
                    }
                }).create();
                wAddDialog.setCancelable(false);
                wAddDialog.setOnShowListener(new OnShowListener() {
                    public void onShow(DialogInterface dialog) {
                        ((InputMethodManager) List_Activity.this.getSystemService("input_method")).showSoftInput(vAddwLayout.findViewById(C0181R.id.wadd_splaylist_editText_ListName), 1);
                    }
                });
                return wAddDialog;
            default:
                return null;
        }
    }

    public void ShowPreConnICon() {
        if (this.tabItem1 != null) {
            new Handler().postDelayed(new Runnable() {
                public void run() {
                    List_Activity.this.tabItem1.SetImg(C0181R.drawable.ani_wifi_mini);
                    List_Activity.this.tabItem1.setTag(Integer.valueOf(C0181R.drawable.ani_wifi_mini));
                    AnimationDrawable frame = (AnimationDrawable) List_Activity.this.tabItem1.GetImg();
                    frame.stop();
                    frame.start();
                }
            }, 300);
        }
    }

    public void AniMenus03() {
        if (this.tabItem3 != null) {
            new Handler().postDelayed(new Runnable() {
                public void run() {
                    List_Activity.this.tabItem3.SetImg(C0181R.drawable.ani_menu03);
                    AnimationDrawable frame = (AnimationDrawable) List_Activity.this.tabItem3.GetImg();
                    frame.stop();
                    frame.start();
                }
            }, 300);
        }
    }

    private void flipCard() {
        View rootLayout = findViewById(C0181R.id.list_container);
        View cardFace = findViewById(C0181R.id.list_container);
        FlipAnimation2 flipAnimation = new FlipAnimation2(cardFace, findViewById(C0181R.id.list_container));
        if (cardFace.getVisibility() == 8) {
            flipAnimation.reverse();
        }
        rootLayout.startAnimation(flipAnimation);
    }

    private boolean onInit(Context context) {
        if (this.MzApp != null) {
            this.MzApp = (MzServerApp) getApplicationContext();
        }
        this.mlvList = null;
        this.mlvList4write = null;
        this.mtvText = null;
        this.mtvText4write = null;
        this.mbutAdd = null;
        this.mbutAdd4write = null;
        this.mbutWriteMode = null;
        this.mbutPLMode = null;
        this.mbutASound = null;
        if (this.Items != null) {
            this.Items.clear();
        }
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        if (this.mFunction != null) {
            this.mFunction = null;
        }
        this.mFunction = null;
        this.mContext = context;
        this.mVib = (Vibrator) this.mContext.getSystemService("vibrator");
        this.mlvList = (ListView) findViewById(C0181R.id.list_listView_Playlist);
        this.mlvList4write = (ListView) findViewById(C0181R.id.wlist_listView_Playlist);
        this.mtvText = (TextView) findViewById(C0181R.id.list_textView_EmptyView);
        this.mtvText4write = (TextView) findViewById(C0181R.id.wlist_textView_EmptyView);
        this.mbutAdd = (ImageButton) findViewById(C0181R.id.list_imageButton_Add);
        this.mbutAdd4write = (ImageButton) findViewById(C0181R.id.wlist_imageButton_Add);
        this.mbutWriteMode = (ImageButton) findViewById(C0181R.id.list_imageButton_writemode);
        this.mbutPLMode = (ImageButton) findViewById(C0181R.id.wlist_imageButton_plmode);
        this.mbutASound = (ImageButton) findViewById(C0181R.id.wlist_imageButton_alarmsound);
        if (GetASoundMode()) {
            this.mbutASound.setBackgroundResource(C0181R.drawable.bu_sound_off);
        }
        if (!GetTestWriteMode()) {
            this.mbutWriteMode.setVisibility(8);
        }
        if (this.mlvList == null || this.mlvList4write == null || this.mtvText == null || this.mtvText4write == null || this.mbutAdd == null || this.mbutAdd4write == null) {
            return false;
        }
        if (this.tabItem1 == null) {
            this.tabItem1 = (TabItem) findViewById(C0181R.id.tab1);
        }
        this.tabItem1.setOnClickListener(new OnClickListener() {

            class C01631 implements DialogInterface.OnClickListener {
                C01631() {
                }

                public void onClick(DialogInterface dialog, int which) {
                    dialog.dismiss();
                    List_Activity.this.startActivity(new Intent("android.net.wifi.PICK_WIFI_NETWORK"));
                    List_Activity.this.ShowPreConnICon();
                }
            }

            class C01642 implements DialogInterface.OnClickListener {
                C01642() {
                }

                public void onClick(DialogInterface dialog, int which) {
                    dialog.dismiss();
                }
            }

            public void onClick(View view) {
                List_Activity.this.mVib.vibrate(50);
                if (List_Activity.this.isKT()) {
                    Builder adialog = new Builder(List_Activity.this);
                    adialog.setIcon(C0181R.drawable.ic_launcher);
                    adialog.setTitle(List_Activity.this.getResources().getString(C0181R.string.error_activity_title));
                    adialog.setMessage(List_Activity.this.getResources().getString(C0181R.string.help_kt));
                    adialog.setNegativeButton("OK", new C01631());
                    adialog.setPositiveButton("Cancel", new C01642());
                    adialog.create();
                    adialog.setCancelable(false);
                    adialog.show();
                    return;
                }
                if (List_Activity.this.MzApp != null) {
                    List_Activity.this.MzApp.SetEventRecvFlag(Boolean.valueOf(false));
                }
                List_Activity.this.startActivity(new Intent(List_Activity.this, ApList_Activity.class));
            }
        });
        if (this.tabItem2 == null) {
            this.tabItem2 = (TabItem) findViewById(C0181R.id.tab2);
        }
        this.tabItem2.SetImg(C0181R.drawable.menu02);
        this.tabItem2.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                List_Activity.this.mVib.vibrate(50);
                List_Activity.this.startActivity(new Intent(List_Activity.this, Set_Internet_Activity.class));
            }
        });
        if (this.tabItem3 == null) {
            this.tabItem3 = (TabItem) findViewById(C0181R.id.tab3);
        }
        this.tabItem3.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                List_Activity.this.mVib.vibrate(50);
                List_Activity.this.startActivity(new Intent(List_Activity.this, Set_Activity.class));
            }
        });
        if (this.tabItem4 == null) {
            this.tabItem4 = (TabItem) findViewById(C0181R.id.tab4);
        }
        this.tabItem4.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                List_Activity.this.mVib.vibrate(50);
                List_Activity.this.startActivity(new Intent(List_Activity.this, Help_Activity.class));
            }
        });
        this.mbutAdd.setOnClickListener(this.mAddClickListener);
        this.mbutAdd4write.setOnClickListener(this.mAdd4writeClickListener);
        this.mbutWriteMode.setOnClickListener(new OnClickListener() {

            class C04501 implements AnimationFinishedListener {
                C04501() {
                }

                public void onAnimationFinished() {
                }
            }

            public void onClick(View v) {
                List_Activity.this.mVib.vibrate(50);
                List_Activity.this.UpdateListMode(true);
                List_Activity.this.onResume();
                AnimationFactory.flipTransition(List_Activity.this.viewAnimator, FlipDirection.RIGHT_LEFT, new C04501());
            }
        });
        this.mbutASound.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                List_Activity.this.mVib.vibrate(50);
                if (List_Activity.this.GetASoundMode()) {
                    List_Activity.this.UpdateASoundMode(false);
                    List_Activity.this.mbutASound.setBackgroundResource(C0181R.drawable.bu_sound);
                    return;
                }
                List_Activity.this.UpdateASoundMode(true);
                List_Activity.this.mbutASound.setBackgroundResource(C0181R.drawable.bu_sound_off);
            }
        });
        this.mbutPLMode.setOnClickListener(new OnClickListener() {

            class C04511 implements AnimationFinishedListener {
                C04511() {
                }

                public void onAnimationFinished() {
                }
            }

            public void onClick(View v) {
                List_Activity.this.mVib.vibrate(50);
                List_Activity.this.UpdateListMode(false);
                List_Activity.this.onResume();
                AnimationFactory.flipTransition(List_Activity.this.viewAnimator, FlipDirection.LEFT_RIGHT, new C04511());
            }
        });
        this.Items = new ArrayList();
        this.Items4write = new ArrayList();
        this.strTableName = "playlist";
        String strQuery = "CREATE TABLE IF NOT EXISTS `" + this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`type` INTEGER, " + "`list_name` TEXT, " + "`activate` INTEGER, " + "`contents` TEXT" + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        this.mFunction = new Function(context);
        chk_fver();
        return true;
    }

    private boolean GetFilesOnPL(String strTblName) {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (!(this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + strTblName + "'") || this.MzApp == null)) {
            this.MzApp.ShowMsg("Error", 1);
        }
        this.mDBManager.execSQL("CREATE TABLE IF NOT EXISTS `" + strTblName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")");
        Cursor cursor = getContentResolver().query(Members.getContentUri("external", Long.valueOf(strTblName.substring(3)).longValue()), null, null, null, "play_order");
        if (cursor == null) {
            return false;
        }
        if (cursor.moveToFirst()) {
            int nNumber = 0;
            String strDisplayName = EXTHeader.DEFAULT_VALUE;
            String strInfo1 = EXTHeader.DEFAULT_VALUE;
            String strInfo2 = EXTHeader.DEFAULT_VALUE;
            String strInfo3 = EXTHeader.DEFAULT_VALUE;
            String strInfo4 = EXTHeader.DEFAULT_VALUE;
            String strInfo5 = EXTHeader.DEFAULT_VALUE;
            String strPath = EXTHeader.DEFAULT_VALUE;
            String strThumbPath = EXTHeader.DEFAULT_VALUE;
            while (!cursor.isAfterLast()) {
                int nColumnIdx = cursor.getColumnIndex("_display_name");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strDisplayName = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("artist");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo1 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("album");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo2 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("audio_id");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo3 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("mime_type");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo4 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("title");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo5 = cursor.getString(nColumnIdx);
                if (strInfo5 == null) {
                    strInfo5 = strDisplayName;
                } else if (strInfo5.length() <= 0) {
                    strInfo5 = strDisplayName;
                }
                nColumnIdx = cursor.getColumnIndex("_data");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strPath = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("_size");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                long nSize = cursor.getLong(nColumnIdx);
                ContentValues values = new ContentValues();
                values.put("number", Integer.valueOf(nNumber));
                values.put("display_name", strDisplayName);
                values.put("info1", strInfo1);
                values.put("info2", strInfo2);
                values.put("info3", strInfo3);
                values.put("info4", strInfo4);
                values.put("info5", strInfo5);
                values.put("path", strPath);
                values.put("size", Long.valueOf(nSize));
                if (this.mDBManager.onInsert(strTblName, values) == -1 && this.MzApp != null) {
                    this.MzApp.ShowMsg("Ins Fail", 1);
                }
                cursor.moveToNext();
                nNumber++;
            }
            cursor.close();
            this.mDBManager.onSync(strTblName);
            return true;
        }
        cursor.close();
        return false;
    }

    private boolean GetPL() {
        if (this.bRefresh.booleanValue()) {
            this.bRefresh = Boolean.valueOf(false);
            Cursor cursor = getContentResolver().query(Playlists.EXTERNAL_CONTENT_URI, null, null, null, "name");
            String strDisplayName = EXTHeader.DEFAULT_VALUE;
            String str_ID = EXTHeader.DEFAULT_VALUE;
            if (cursor == null) {
                return false;
            }
            if (cursor.moveToFirst()) {
                while (!cursor.isAfterLast()) {
                    int nColumnIdx = cursor.getColumnIndex("name");
                    if (nColumnIdx < 0) {
                        cursor.close();
                        return false;
                    }
                    strDisplayName = cursor.getString(nColumnIdx);
                    nColumnIdx = cursor.getColumnIndex("_id");
                    if (nColumnIdx < 0) {
                        cursor.close();
                        return false;
                    }
                    str_ID = "PL_" + cursor.getString(nColumnIdx);
                    if (!ChkDB(strDisplayName)) {
                        this.Items.add(new CustomPlayListItem(1, strDisplayName, 0, str_ID));
                        ContentValues values = new ContentValues();
                        values.put("type", Integer.valueOf(1));
                        values.put("list_name", strDisplayName);
                        values.put("activate", Integer.valueOf(0));
                        values.put("contents", str_ID);
                        if (this.mDBManager.onInsert("playlist", values) == -1 && this.MzApp != null) {
                            this.MzApp.ShowMsg("Ins Fail", 1);
                        }
                    }
                    GetFilesOnPL(str_ID);
                    cursor.moveToNext();
                }
                cursor.close();
            } else {
                cursor.close();
                return false;
            }
        }
        return true;
    }

    private boolean onDel() {
        return this.mDBManager.execSQL("DELETE FROM `playlist` WHERE `type` = 1");
    }

    private boolean ChkPL(String strPLName) {
        ContentResolver resolver = getContentResolver();
        String strContents = EXTHeader.DEFAULT_VALUE;
        Cursor c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
        c.moveToFirst();
        if (c.isAfterLast()) {
            Cursor cq = this.mDBManager.onSelect("SELECT * FROM `playlist` WHERE  `type` = 1 and `list_name` = '" + strPLName + "'");
            if (cq == null) {
                return false;
            }
            if (!cq.moveToFirst()) {
                return false;
            }
            if (cq.isAfterLast()) {
                int nColumnIndex = cq.getColumnIndex("contents");
                if (nColumnIndex >= 0) {
                    strContents = cq.getString(nColumnIndex);
                }
                cq.close();
            }
            if (!(this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + strContents + "'") || this.MzApp == null)) {
                this.MzApp.ShowMsg("Error", 1);
            }
            if (!(this.mDBManager.execSQL("DELETE FROM `playlist` WHERE  `type` = 1 and `list_name` = '" + strPLName + "'") || this.MzApp == null)) {
                this.MzApp.ShowMsg("Error", 1);
            }
            c.close();
            return false;
        }
        c.close();
        return true;
    }

    private boolean ChkDB(String strPLName) {
        Cursor cq = this.mDBManager.onSelect("SELECT * FROM `playlist` WHERE `type` = 1 and `list_name` = '" + strPLName + "'");
        if (cq == null || !cq.moveToFirst()) {
            return false;
        }
        if (!cq.isAfterLast() || cq.getColumnIndex("contents") >= 0) {
            cq.close();
            return true;
        }
        cq.close();
        return false;
    }

    private boolean ChkLPL(String strPLName) {
        Cursor cq = this.mDBManager.onSelect("SELECT count(*) FROM `playlist` WHERE `list_name` = '" + strPLName + "'");
        if (cq == null || !cq.moveToFirst()) {
            return false;
        }
        int nColumnIndex = cq.getColumnIndex("count(*)");
        if (nColumnIndex < 0) {
            cq.close();
            return false;
        } else if (cq.getInt(nColumnIndex) > 0) {
            return true;
        } else {
            cq.close();
            return false;
        }
    }

    private void mkLatestPL() {
        String strLPLName1 = getResources().getString(C0181R.string.lpl_name1);
        String strLPLName2 = getResources().getString(C0181R.string.lpl_name2);
        String strLPLName3 = getResources().getString(C0181R.string.lpl_name3);
        String strLPLName1_1 = getResources().getString(C0181R.string.lpl_name1_1);
        String strLPLName2_1 = getResources().getString(C0181R.string.lpl_name2_1);
        String strLPLName3_1 = getResources().getString(C0181R.string.lpl_name3_1);
        String strLPLName1_2 = getResources().getString(C0181R.string.lpl_name1_2);
        String strLPLName2_2 = getResources().getString(C0181R.string.lpl_name2_2);
        String strLPLName3_2 = getResources().getString(C0181R.string.lpl_name3_2);
        this.mDBManager.delete("playlist", "list_name", strLPLName1_1);
        this.mDBManager.delete("playlist", "list_name", strLPLName2_1);
        this.mDBManager.delete("playlist", "list_name", strLPLName3_1);
        this.mDBManager.delete("playlist", "list_name", strLPLName1_2);
        this.mDBManager.delete("playlist", "list_name", strLPLName2_2);
        this.mDBManager.delete("playlist", "list_name", strLPLName3_2);
        if (!ChkLPL(strLPLName1)) {
            ContentValues values = new ContentValues();
            values.put("type", Integer.valueOf(1));
            values.put("list_name", strLPLName1);
            values.put("activate", Integer.valueOf(0));
            values.put("contents", strLPLName1);
            this.mDBManager.onInsert("playlist", values);
        }
        if (!ChkLPL(strLPLName2)) {
            values = new ContentValues();
            values.put("type", Integer.valueOf(2));
            values.put("list_name", strLPLName2);
            values.put("activate", Integer.valueOf(0));
            values.put("contents", strLPLName2);
            this.mDBManager.onInsert("playlist", values);
        }
        if (!ChkLPL(strLPLName3)) {
            values = new ContentValues();
            values.put("type", Integer.valueOf(3));
            values.put("list_name", strLPLName3);
            values.put("activate", Integer.valueOf(0));
            values.put("contents", strLPLName3);
            this.mDBManager.onInsert("playlist", values);
        }
    }

    private boolean onLPLRead() {
        String strLPLName1 = getResources().getString(C0181R.string.lpl_name1);
        String strLPLName2 = getResources().getString(C0181R.string.lpl_name2);
        String strLPLName3 = getResources().getString(C0181R.string.lpl_name3);
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strContents = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        nSelected = -1;
        int nCount = 0;
        mkLatestPL();
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `playlist` where list_name = '" + strLPLName1 + "' or list_name = '" + strLPLName2 + "' or list_name = '" + strLPLName3 + "' order by type ASC,list_name ASC");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            while (!this.mCursor.isAfterLast()) {
                int nColumnIndex = this.mCursor.getColumnIndex("idx");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nIdx = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("type");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nType = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("list_name");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                strListName = this.mCursor.getString(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("activate");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nActivate = this.mCursor.getInt(nColumnIndex);
                if (nActivate == 1) {
                    nSelected = nCount;
                }
                nColumnIndex = this.mCursor.getColumnIndex("contents");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.Items.add(new CustomPlayListItem(nType, strListName, nActivate, this.mCursor.getString(nColumnIndex)));
                nCount++;
                this.mCursor.moveToNext();
            }
            this.mCursor.close();
            this.Adapter.Refresh();
            if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
                this.Adapter.setChecked(nSelected);
            }
            return true;
        }
        this.Adapter.Refresh();
        if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
            this.Adapter.setChecked(nSelected);
        }
        this.mCursor.close();
        return false;
    }

    private boolean onLPLRead(int nLType) {
        String strLPLName1 = getResources().getString(C0181R.string.lpl_name1);
        String strLPLName2 = getResources().getString(C0181R.string.lpl_name2);
        String strLPLName3 = getResources().getString(C0181R.string.lpl_name3);
        String strLPLName0 = strLPLName1;
        if (nLType == 2) {
            strLPLName0 = strLPLName2;
        } else if (nLType == 3) {
            strLPLName0 = strLPLName3;
        }
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strContents = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        int nCount = 0;
        mkLatestPL();
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `playlist` where list_name = '" + strLPLName0 + "' order by type ASC,list_name ASC");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            while (!this.mCursor.isAfterLast()) {
                int nColumnIndex = this.mCursor.getColumnIndex("idx");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nIdx = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("type");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nType = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("list_name");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                strListName = this.mCursor.getString(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("activate");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nActivate = this.mCursor.getInt(nColumnIndex);
                if (nActivate == 1) {
                    nSelected = this.Adapter.getCount();
                }
                nColumnIndex = this.mCursor.getColumnIndex("contents");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.Items.add(new CustomPlayListItem(nType, strListName, nActivate, this.mCursor.getString(nColumnIndex)));
                nCount++;
                this.mCursor.moveToNext();
            }
            this.mCursor.close();
            this.Adapter.Refresh();
            if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
                this.Adapter.setChecked(nSelected);
            }
            return true;
        }
        this.Adapter.Refresh();
        if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
            this.Adapter.setChecked(nSelected);
        }
        this.mCursor.close();
        return false;
    }

    private boolean onRead(int nLType) {
        String strLPLName1 = getResources().getString(C0181R.string.lpl_name1);
        String strLPLName2 = getResources().getString(C0181R.string.lpl_name2);
        String strLPLName3 = getResources().getString(C0181R.string.lpl_name3);
        int nCount = 0;
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strContents = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        if (nLType < 4) {
            onLPLRead(nLType);
        }
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `playlist` where type = " + nLType + " and list_name <> '" + strLPLName1 + "' and list_name <> '" + strLPLName2 + "' and list_name <> '" + strLPLName3 + "' order by type ASC,list_name ASC");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            while (!this.mCursor.isAfterLast()) {
                int nColumnIndex = this.mCursor.getColumnIndex("idx");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nIdx = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("type");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nType = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("list_name");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                strListName = this.mCursor.getString(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("activate");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nActivate = this.mCursor.getInt(nColumnIndex);
                if (nActivate == 1) {
                    nSelected = this.Adapter.getCount();
                }
                nColumnIndex = this.mCursor.getColumnIndex("contents");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.Items.add(new CustomPlayListItem(nType, strListName, nActivate, this.mCursor.getString(nColumnIndex)));
                nCount++;
                this.mCursor.moveToNext();
            }
            this.mCursor.close();
            return true;
        }
        this.Adapter.Refresh();
        if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
            this.Adapter.setChecked(nSelected);
        }
        this.mCursor.close();
        return false;
    }

    private boolean onRead4write(int nLType) {
        String strLPLName1 = getResources().getString(C0181R.string.lpl_name1);
        String strLPLName2 = getResources().getString(C0181R.string.lpl_name2);
        String strLPLName3 = getResources().getString(C0181R.string.lpl_name3);
        int nCount = 0;
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strContents = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `playlist` where type = " + nLType + " and list_name <> '" + strLPLName1 + "' and list_name <> '" + strLPLName2 + "' and list_name <> '" + strLPLName3 + "' order by type ASC,list_name ASC");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            while (!this.mCursor.isAfterLast()) {
                int nColumnIndex = this.mCursor.getColumnIndex("idx");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nIdx = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("type");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nType = this.mCursor.getInt(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("list_name");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                strListName = this.mCursor.getString(nColumnIndex);
                nColumnIndex = this.mCursor.getColumnIndex("activate");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                int nActivate = this.mCursor.getInt(nColumnIndex);
                if (nActivate == 1) {
                    nSelected4write = this.Adapter4write.getCount();
                }
                nColumnIndex = this.mCursor.getColumnIndex("contents");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.Items4write.add(new CustomWritePlayListItem(nType, strListName, nActivate, this.mCursor.getString(nColumnIndex)));
                nCount++;
                this.mCursor.moveToNext();
            }
            this.mCursor.close();
            return true;
        }
        this.Adapter4write.Refresh();
        if (nSelected4write >= 0 && this.Adapter4write.getCount() > 0 && this.Adapter4write.getCount() - 1 >= nSelected4write) {
            this.Adapter4write.setChecked(nSelected4write);
        }
        this.mCursor.close();
        return false;
    }

    private boolean onRead() {
        this.mCursor = null;
        nSelected = -1;
        for (int i = 1; i <= 4; i++) {
            onRead(i);
        }
        if (this.lvf_txt != null) {
            this.Adapter.notifyDataSetChanged();
            if (this.mlvList.getFooterViewsCount() > 0) {
                this.mlvList.removeFooterView(this.lvfooter);
                String strCnt = EXTHeader.DEFAULT_VALUE;
                this.lvf_txt.setText(String.format("%s %d %s", new Object[]{getResources().getString(C0181R.string.pl_total), Integer.valueOf(this.Adapter.getCount()), getResources().getString(C0181R.string.pl_playlists)}));
                this.mlvList.addFooterView(this.lvfooter, null, false);
            }
        }
        this.Adapter.Refresh();
        if (nSelected >= 0 && this.Adapter.getCount() > 0 && this.Adapter.getCount() - 1 >= nSelected) {
            this.Adapter.setChecked(nSelected);
        }
        return true;
    }

    private boolean onRead4write() {
        this.mCursor = null;
        nSelected4write = -1;
        for (int i = 5; i <= 5; i++) {
            onRead4write(i);
        }
        if (this.lvf_txt != null) {
            this.Adapter4write.notifyDataSetChanged();
            if (this.mlvList4write.getFooterViewsCount() > 0) {
                this.mlvList4write.removeFooterView(this.lvfooter4write);
                String strCnt = EXTHeader.DEFAULT_VALUE;
                this.lvf_txtr4write.setText(String.format("%s %d %s", new Object[]{getResources().getString(C0181R.string.pl_total), Integer.valueOf(this.Adapter4write.getCount()), getResources().getString(C0181R.string.pl_folders)}));
                this.mlvList4write.addFooterView(this.lvfooter4write, null, false);
            }
        }
        this.Adapter4write.Refresh();
        if (nSelected4write >= 0 && this.Adapter4write.getCount() > 0 && this.Adapter4write.getCount() - 1 >= nSelected4write) {
            this.Adapter4write.setChecked(nSelected4write);
        }
        return true;
    }

    public void setLayout() {
        if (this.mFunction != null) {
            Display display = ((WindowManager) getSystemService("window")).getDefaultDisplay();
            Drawable drawable = this.mContext.getResources().getDrawable(C0181R.drawable.add_play);
            LayoutParams param = new LayoutParams(-2, this.mFunction.getFixHeight(drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), display.getWidth()));
            param.addRule(10, -1);
            param.addRule(13, -1);
            param.setMargins(0, 25, 0, 0);
            this.mbutAdd.setLayoutParams(param);
        }
    }

    public boolean onActivate() {
        int nSize;
        String strMessage = EXTHeader.DEFAULT_VALUE;
        ArrayList<Integer> arrayList = this.Adapter.getChecked();
        if (arrayList == null) {
            nSize = 0;
        } else {
            nSize = arrayList.size();
        }
        int i = 0;
        while (i < nSize) {
            int nChecked = ((Integer) this.Adapter.getChecked().get(i)).intValue();
            strMessage = new StringBuilder(String.valueOf(((CustomPlayListItem) this.Adapter.getItem(nChecked)).getListName())).append(" Activate?").toString();
            if (nChecked == this.Adapter.getCheckedPosition()) {
                nSelected = nChecked;
                i++;
            } else {
                nSelected = -1;
                if (this.MzApp != null) {
                    this.MzApp.ShowMsg("Error", 1);
                }
                return false;
            }
        }
        if (nSize >= 1) {
            showDialog(1);
            return true;
        }
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (nSelected >= 0 && nSelected < this.Adapter.getCount()) {
            CustomPlayListItem Item = (CustomPlayListItem) this.Adapter.getItem(nSelected);
            if (Item.getActivate() == 1) {
                Item.setActivate(0);
            }
        }
        if (this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
            return false;
        }
        if (this.MzApp != null) {
            this.MzApp.ShowMsg("Error", 1);
        }
        return false;
    }

    public boolean onActivate4write() {
        int nSize;
        String strMessage = EXTHeader.DEFAULT_VALUE;
        ArrayList<Integer> arrayList = this.Adapter4write.getChecked();
        if (arrayList == null) {
            nSize = 0;
        } else {
            nSize = arrayList.size();
        }
        int i = 0;
        while (i < nSize) {
            int nChecked = ((Integer) this.Adapter4write.getChecked().get(i)).intValue();
            strMessage = new StringBuilder(String.valueOf(((CustomWritePlayListItem) this.Adapter4write.getItem(nChecked)).getListName())).append(" Activate?").toString();
            if (nChecked == this.Adapter4write.getCheckedPosition()) {
                nSelected4write = nChecked;
                i++;
            } else {
                nSelected4write = -1;
                if (this.MzApp != null) {
                    this.MzApp.ShowMsg("Error", 1);
                }
                return false;
            }
        }
        if (nSize >= 1) {
            showDialog(3);
            return true;
        }
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (nSelected4write >= 0 && nSelected4write < this.Adapter4write.getCount()) {
            CustomWritePlayListItem Item = (CustomWritePlayListItem) this.Adapter4write.getItem(nSelected4write);
            if (Item.getActivate() == 1) {
                Item.setActivate(0);
            }
        }
        if (this.mDBManager.execSQL("UPDATE `playlist` SET `activate` = 0")) {
            return false;
        }
        if (this.MzApp != null) {
            this.MzApp.ShowMsg("Error", 1);
        }
        return false;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public void onBackPressed() {
        String alertTitle = getResources().getString(C0181R.string.app_name);
        String buttonMessage = getResources().getString(C0181R.string.alert_msg_exit);
        String buttonYes = getResources().getString(C0181R.string.button_yes);
        String buttonNo = getResources().getString(C0181R.string.button_no);
        String buttonhide = getResources().getString(C0181R.string.button_hide);
        Builder builderAbout = new Builder(this);
        builderAbout.setTitle(alertTitle);
        builderAbout.setMessage(buttonMessage);
        builderAbout.setNegativeButton(buttonYes, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
                Intent iback = new Intent(List_Activity.this, Home_Activity.class);
                iback.setFlags(DLNAFlags.SN_INCREASE);
                iback.putExtra("allfin", "yes");
                List_Activity.this.startActivity(iback);
                dialog.dismiss();
                List_Activity.this.finish();
            }
        });
        builderAbout.setPositiveButton(buttonNo, null);
        this.quitADialog = builderAbout.create();
        this.quitADialog.show();
    }
}
