package com.enus.myzik;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.ActivityNotFoundException;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.graphics.Color;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiConfiguration;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.RemoteException;
import android.os.Vibrator;
import android.text.InputFilter;
import android.text.SpannableStringBuilder;
import android.text.Spanned;
import android.util.AttributeSet;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.InflateException;
import android.view.LayoutInflater;
import android.view.LayoutInflater.Factory;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnFocusChangeListener;
import android.view.ViewGroup;
import android.view.WindowManager.LayoutParams;
import android.widget.AdapterView;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.ScrollView;
import android.widget.Spinner;
import android.widget.TextView;
import com.enus.myzik.DataSet.TInfo;
import com.wireme.mediaserver.ContentTree;
import java.io.File;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;
import java.util.regex.Pattern;
import org.teleal.cling.model.ServiceReference;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

public class Set_Internet_Activity extends MzActivity {
    private static final int GetMSIP = 20;
    private static final int LV_RSSI = 5;
    private static final int MAX_RSSI = -55;
    private static final int MIN_RSSI = -100;
    private static final int SWIPE_MAX_OFF_PATH = 250;
    private static final int SWIPE_MIN_DISTANCE = 120;
    private static final int SWIPE_THRESHOLD_VELOCITY = 200;
    static Context mContext = null;
    private static final int nDisable_State = 1;
    private static final int nEnable_State = 0;
    private static final int nFirstCon_State = 2;
    private static final int nMenu_Add_Ap = 10;
    private static final int nMenu_ConfirmPassword = 5;
    private static final int nMenu_Del_Ap = 12;
    private static final int nMenu_FReset = 13;
    private static final int nMenu_MID = 6;
    private static final int nMenu_MPassword = 7;
    private static final int nMenu_Modify_Ap = 11;
    private static final int nMenu_Password = 2;
    private static final int nMenu_SSID = 1;
    private static final int nMenu_SetTMode = 8;
    private static final int nMenu_SetTModeOFF = 9;
    private static final int nMenu_Update = 3;
    private static final int nMenu_Update_Join = 4;
    private static final String strPrefixSSID_EN = "Jak";
    private static final String strPrefixSSID_KO = "JJak";
    private ArrayList<String> AListAPIDX;
    private ArrayList<String> AListAPINFO;
    private ArrayList<String> AListAPPW;
    private ArrayList<String> AListAPSSID;
    private ApListInfoAdapter AdapterApInfoList = null;
    private CheckBox ChkSetTmode_pre = null;
    private CheckBox ChkSetTmode_set = null;
    private CheckBox ChkSetTmode_wifiap = null;
    private CheckBox ChkShowPW = null;
    private EditText EdSetMID = null;
    private EditText EdSetMPW = null;
    private MzServerApp MzApp;
    private TextView TxtSetCSSID = null;
    private TextView TxtSetMID = null;
    private TextView TxtSetMPW = null;
    private ArrayList<String> ar_LV = new ArrayList();
    private ArrayList<String> ar_SID = new ArrayList();
    private ArrayList<ScanResult> ar_WifiList = new ArrayList();
    private final BroadcastReceiver br = new C01991();
    private ImageButton btnSetHelp1 = null;
    private ImageButton butAddAp = null;
    private ImageButton butConfirm = null;
    private EditText etPassword = null;
    protected InputFilter filterAlphaNum = new C02248();
    protected InputFilter filterNotSChar = new C02259();
    private ImageView iv_back = null;
    private int listViewTouchAction = -1;
    public OnClickListener mAddApClickListener = new C02206();
    private ListView mApList = null;
    public OnClickListener mConfirmClickListener = new C02237();
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mFResetClickListener = new C02114();
    private ProgressBar mPB = null;
    public OnClickListener mPasswordClickListener = new C02063();
    public OnClickListener mSSIDClickListener = new C02032();
    private String mStrMID = EXTHeader.DEFAULT_VALUE;
    private String mStrMPW = EXTHeader.DEFAULT_VALUE;
    private String mStrPW = EXTHeader.DEFAULT_VALUE;
    public OnClickListener mUpdateClickListener = new C02125();
    Vibrator mVib = null;
    private WifiManager mainWifi = null;
    private String[] menuItems = new String[]{"Change Password", "Delete WiFi"};
    private int mnIdxApList = -1;
    private int mnTmode = 0;
    private int nCntRe = 0;
    private ProgressDialog progressDialog = null;
    private WifiReceiver receiverWifi = null;
    String strSelAPItem = EXTHeader.DEFAULT_VALUE;
    private String strTableName = EXTHeader.DEFAULT_VALUE;
    private ScrollView sv = null;
    private TabItem tabItem1 = null;
    private TabItem tabItem2 = null;
    private TabItem tabItem3 = null;
    private TabItem tabItem4 = null;
    private List<ScanResult> wifiList;

    class C01991 extends BroadcastReceiver {
        C01991() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("cling.android.Router")) {
                if (Set_Internet_Activity.this.MzApp == null) {
                    Set_Internet_Activity.this.MzApp = (MzServerApp) Set_Internet_Activity.this.getApplicationContext();
                }
                if (intent.getExtras() != null) {
                    String strMsg = EXTHeader.DEFAULT_VALUE;
                    strMsg = intent.getExtras().getString("enus");
                    if (strMsg != null && strMsg.length() > 0) {
                        if (strMsg.compareTo("getInfo") == 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                try {
                                    Set_Internet_Activity.this.TxtSetCSSID.setText(Set_Internet_Activity.this.MzApp.GetApCSSID());
                                    Set_Internet_Activity.this.chk_fver();
                                } catch (NullPointerException e) {
                                    e.printStackTrace();
                                }
                            }
                        } else if (strMsg.startsWith("icon_")) {
                            Set_Internet_Activity.this.SetModeIcon(Set_Internet_Activity.this.GetMode(0));
                        } else if (strMsg.compareTo("TopSA") == 0) {
                            Set_Internet_Activity.this.finish();
                            Set_Internet_Activity.this.onBackPressed();
                        } else if (strMsg.endsWith("ACK_FW")) {
                            switch (Integer.valueOf(strMsg.substring(0, 2)).intValue()) {
                                case 0:
                                    Set_Internet_Activity.this.progressDialog = new ProgressDialog(Set_Internet_Activity.this);
                                    Set_Internet_Activity.this.progressDialog.setProgressStyle(1);
                                    Set_Internet_Activity.this.progressDialog.setMessage(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg1));
                                    Set_Internet_Activity.this.progressDialog.setMax(100);
                                    Set_Internet_Activity.this.progressDialog.setCancelable(false);
                                    Set_Internet_Activity.this.progressDialog.show();
                                    return;
                                case 1:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg2), 40);
                                    return;
                                case 2:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg3), 80);
                                    return;
                                case 3:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg11), 100);
                                    return;
                                case 80:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg5), 0);
                                    return;
                                case 81:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg6), 0);
                                    return;
                                case 82:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg7), 0);
                                    return;
                                case 83:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg8), 0);
                                    return;
                                case 84:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg9), 0);
                                    return;
                                case 85:
                                    Set_Internet_Activity.this.setNBPMsg(Set_Internet_Activity.this.getResources().getString(C0181R.string.fw_msg10), 0);
                                    return;
                                default:
                                    return;
                            }
                        }
                    }
                }
            }
        }
    }

    class C02032 implements OnClickListener {

        class C02001 implements OnCheckedChangeListener {
            C02001() {
            }

            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                Set_Internet_Activity.this.ShowPW(isChecked);
            }
        }

        C02032() {
        }

        public void onClick(View v) {
            final View vSSIDLayout = ((LayoutInflater) Set_Internet_Activity.mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_ssid_dialog, null);
            Button set_ssid_SubmitBtn = (Button) vSSIDLayout.findViewById(C0181R.id.set_ssid_SubmitBtn);
            Button set_ssid_CancelBtn = (Button) vSSIDLayout.findViewById(C0181R.id.set_ssid_CancelBtn);
            Builder ssidbuilder = new Builder(Set_Internet_Activity.this).setIcon(C0181R.drawable.ic_launcher).setView(vSSIDLayout);
            Set_Internet_Activity.this.etPassword = null;
            Set_Internet_Activity.this.ChkShowPW = null;
            Set_Internet_Activity.this.etPassword = (EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password);
            Set_Internet_Activity.this.ChkShowPW = (CheckBox) vSSIDLayout.findViewById(C0181R.id.set_ssid_showpw);
            Set_Internet_Activity.this.ChkShowPW.setOnCheckedChangeListener(new C02001());
            final AlertDialog SSIDDialog = ssidbuilder.create();
            set_ssid_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strNewSSID = EXTHeader.DEFAULT_VALUE;
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    TextView tv_ssid2 = (TextView) vSSIDLayout.findViewById(C0181R.id.set_ssid_textView_SSID2);
                    strNewSSID = ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).getText().toString();
                    strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                    if (strNewSSID.getBytes().length <= 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                        }
                    } else if (strNewSSID.getBytes().length + tv_ssid2.getText().length() < 8 || strNewSSID.getBytes().length > 28) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 8~32)", 1);
                        }
                    } else if (strCurPassword.length() <= 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no password", 1);
                        }
                    } else if (strCurPassword.length() >= 8 && strCurPassword.length() <= 64) {
                        SSIDDialog.dismiss();
                        Set_Internet_Activity.this.MzApp.SetTCPNewAPInfo(new StringBuilder(String.valueOf(Set_Internet_Activity.this.getResources().getString(C0181R.string.ssid_prefix))).append(strNewSSID).append(",").append(strCurPassword).append(",").toString());
                    } else if (Set_Internet_Activity.this.MzApp != null) {
                        Set_Internet_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                    }
                }
            });
            set_ssid_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    SSIDDialog.dismiss();
                }
            });
            SSIDDialog.show();
            SSIDDialog.setCancelable(false);
            ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterNotSChar});
            ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterAlphaNum});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(SSIDDialog.getWindow().getAttributes());
            lp.width = -1;
            SSIDDialog.getWindow().setAttributes(lp);
        }
    }

    class C02063 implements OnClickListener {
        C02063() {
        }

        public void onClick(View v) {
            final View vPasswordLayout = ((LayoutInflater) Set_Internet_Activity.mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_password_dialog, null);
            Button set_password_SubmitBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_SubmitBtn);
            Button set_password_CancelBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_CancelBtn);
            final AlertDialog PasswordDialog = new Builder(Set_Internet_Activity.this).setIcon(C0181R.drawable.ic_launcher).setView(vPasswordLayout).create();
            set_password_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strNewPassword = EXTHeader.DEFAULT_VALUE;
                    String strConfirm = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    EditText etNewPassword = (EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New);
                    EditText etConfirm = (EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm);
                    strCurPassword = ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).getText().toString();
                    strNewPassword = etNewPassword.getText().toString();
                    strConfirm = etConfirm.getText().toString();
                    if (strCurPassword.length() <= 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no current password", 1);
                        }
                    } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strNewPassword.length() < 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no new password", 1);
                        }
                        Set_Internet_Activity.this.removeDialog(2);
                    } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strConfirm.length() < 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no confirm password", 1);
                        }
                        Set_Internet_Activity.this.removeDialog(2);
                    } else if (strConfirm.length() < 8 || strConfirm.length() > 64) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                        }
                    } else if (strNewPassword.equals(strConfirm)) {
                        PasswordDialog.dismiss();
                        Set_Internet_Activity.this.MzApp.SetTCPNewAPInfo(" ," + strCurPassword + "," + strNewPassword);
                    } else if (Set_Internet_Activity.this.MzApp != null) {
                        Set_Internet_Activity.this.MzApp.ShowMsg("password does not match", 1);
                    }
                }
            });
            set_password_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    PasswordDialog.dismiss();
                }
            });
            PasswordDialog.show();
            PasswordDialog.setCancelable(false);
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterAlphaNum});
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterAlphaNum});
            ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterAlphaNum});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(PasswordDialog.getWindow().getAttributes());
            lp.width = -1;
            PasswordDialog.getWindow().setAttributes(lp);
        }
    }

    class C02114 implements OnClickListener {
        C02114() {
        }

        public void onClick(View v) {
            Set_Internet_Activity.this.showDialog(13);
        }
    }

    class C02125 implements OnClickListener {
        C02125() {
        }

        public void onClick(View v) {
            Set_Internet_Activity.this.showDialog(3);
        }
    }

    class C02206 implements OnClickListener {

        class C02142 implements OnItemSelectedListener {
            C02142() {
            }

            public void onItemSelected(AdapterView<?> adapterView, View v, int position, long id) {
                Set_Internet_Activity.this.strSelAPItem = EXTHeader.DEFAULT_VALUE;
                if (position >= 0 && Set_Internet_Activity.this.AListAPINFO.size() > position) {
                    Set_Internet_Activity.this.strSelAPItem = ((String) Set_Internet_Activity.this.AListAPINFO.get(position)).substring(1);
                    if (Integer.valueOf(((String) Set_Internet_Activity.this.AListAPINFO.get(position)).substring(0, 1)).intValue() >= 5 || position == 0) {
                        Set_Internet_Activity.this.etPassword.setEnabled(true);
                    } else {
                        Set_Internet_Activity.this.etPassword.setEnabled(false);
                    }
                }
            }

            public void onNothingSelected(AdapterView<?> adapterView) {
            }
        }

        class C02153 implements OnCheckedChangeListener {
            C02153() {
            }

            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                Set_Internet_Activity.this.ShowPW(isChecked);
            }
        }

        class C02186 implements DialogInterface.OnClickListener {
            C02186() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
                Set_Internet_Activity.this.mainWifi.setWifiEnabled(true);
            }
        }

        class C02197 implements DialogInterface.OnClickListener {
            C02197() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
                Set_Internet_Activity.this.finish();
            }
        }

        C02206() {
        }

        public void onClick(View v) {
            final View vApAddLayout = LayoutInflater.from(Set_Internet_Activity.this).inflate(C0181R.layout.set_ap_add_dialog, null);
            Button set_ap_add_SubmitBtn = (Button) vApAddLayout.findViewById(C0181R.id.set_ap_add_SubmitBtn);
            Button set_ap_add_CancelBtn = (Button) vApAddLayout.findViewById(C0181R.id.set_ap_add_CancelBtn);
            Set_Internet_Activity.this.mPB = (ProgressBar) vApAddLayout.findViewById(C0181R.id.aplist_pb);
            ImageView iv_wifisearch = (ImageView) vApAddLayout.findViewById(C0181R.id.set_ap_add_wifisearch);
            Builder ApAddbuilder = new Builder(Set_Internet_Activity.this).setIcon(C0181R.drawable.ic_launcher).setView(vApAddLayout);
            final Spinner set_ap_add_Spinner = (Spinner) vApAddLayout.findViewById(C0181R.id.set_ap_add_spinner);
            Set_Internet_Activity.this.AdapterApInfoList = new ApListInfoAdapter(Set_Internet_Activity.this, C0181R.layout.add_aplist_item, Set_Internet_Activity.this.AListAPINFO);
            set_ap_add_Spinner.setAdapter(Set_Internet_Activity.this.AdapterApInfoList);
            Set_Internet_Activity.this.AdapterApInfoList.setDropDownViewResource(17367049);
            Set_Internet_Activity.this.AListAPINFO.clear();
            Set_Internet_Activity.this.AListAPINFO.add("00");
            Set_Internet_Activity.this.AdapterApInfoList.notifyDataSetChanged();
            Set_Internet_Activity.this.etPassword = null;
            Set_Internet_Activity.this.ChkShowPW = null;
            Set_Internet_Activity.this.etPassword = (EditText) vApAddLayout.findViewById(C0181R.id.set_ap_add_editText_Password);
            Set_Internet_Activity.this.ChkShowPW = (CheckBox) vApAddLayout.findViewById(C0181R.id.set_ap_add_showpw);
            iv_wifisearch.setOnClickListener(new OnClickListener() {
                public void onClick(View v) {
                    if (Set_Internet_Activity.this.mainWifi.isWifiEnabled()) {
                        Set_Internet_Activity.this.mainWifi.startScan();
                        Set_Internet_Activity.this.mPB = (ProgressBar) vApAddLayout.findViewById(C0181R.id.aplist_pb);
                        Set_Internet_Activity.this.mPB.setVisibility(0);
                    }
                }
            });
            if (Set_Internet_Activity.this.mainWifi.isWifiEnabled()) {
                Set_Internet_Activity.this.mainWifi.startScan();
                Set_Internet_Activity.this.mPB.setVisibility(0);
            }
            set_ap_add_Spinner.setOnItemSelectedListener(new C02142());
            final AlertDialog ApAddDialog = ApAddbuilder.create();
            Set_Internet_Activity.this.ChkShowPW.setOnCheckedChangeListener(new C02153());
            set_ap_add_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strNewSSID = EXTHeader.DEFAULT_VALUE;
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    strNewSSID = ((EditText) vApAddLayout.findViewById(C0181R.id.set_ap_add_editText_SSID)).getText().toString();
                    strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                    if (set_ap_add_Spinner.getCount() > 0) {
                        strNewSSID = set_ap_add_Spinner.getSelectedItem().toString().substring(1);
                        if (strNewSSID.compareTo(ContentTree.ROOT_ID) == 0) {
                            strNewSSID = EXTHeader.DEFAULT_VALUE;
                        }
                    }
                    if (strNewSSID.length() <= 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                        }
                    } else if (strNewSSID.getBytes().length >= 4 && strNewSSID.getBytes().length <= 32) {
                        if (strCurPassword.length() <= 0) {
                            strCurPassword = "NULL";
                        }
                        ApAddDialog.dismiss();
                        Set_Internet_Activity.this.AdapterApInfoList.clear();
                        Set_Internet_Activity.this.AdapterApInfoList = null;
                        Set_Internet_Activity.this.DoInsertApInfo(strNewSSID, strCurPassword);
                        Set_Internet_Activity.this.DoReadApInfo();
                    } else if (Set_Internet_Activity.this.MzApp != null) {
                        Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 4~32)", 1);
                    }
                }
            });
            set_ap_add_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    Set_Internet_Activity.this.AdapterApInfoList.clear();
                    Set_Internet_Activity.this.AdapterApInfoList = null;
                    ApAddDialog.dismiss();
                }
            });
            ApAddDialog.show();
            ApAddDialog.setCancelable(false);
            ((EditText) vApAddLayout.findViewById(C0181R.id.set_ap_add_editText_SSID)).setFilters(new InputFilter[]{Set_Internet_Activity.this.filterNotSChar});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(ApAddDialog.getWindow().getAttributes());
            lp.width = -1;
            ApAddDialog.getWindow().setAttributes(lp);
            if (!Set_Internet_Activity.this.mainWifi.isWifiEnabled()) {
                Builder adialog = new Builder(Set_Internet_Activity.this);
                adialog.setIcon(C0181R.drawable.ic_launcher);
                adialog.setTitle(Set_Internet_Activity.this.getResources().getString(C0181R.string.error_activity_title));
                adialog.setMessage(Set_Internet_Activity.this.getResources().getString(C0181R.string.aplist_help1));
                adialog.setNegativeButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.info_msg9), new C02186());
                adialog.setPositiveButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.info_msg10), new C02197());
                adialog.create();
                adialog.setCancelable(false);
                adialog.show();
            }
        }
    }

    class C02237 implements OnClickListener {

        class C02211 implements DialogInterface.OnClickListener {
            C02211() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
                if (Set_Internet_Activity.this.MzApp == null) {
                    Set_Internet_Activity.this.MzApp = (MzServerApp) Set_Internet_Activity.this.getApplicationContext();
                }
                Set_Internet_Activity.this.MzApp.isPressManualButton = true;
                Intent iset = new Intent("cling.android.Router");
                iset.putExtra("enus", "pre_tmode");
                Set_Internet_Activity.mContext.sendBroadcast(iset);
                if (Set_Internet_Activity.this.MzApp == null) {
                    Set_Internet_Activity.this.MzApp = (MzServerApp) Set_Internet_Activity.this.getApplicationContext();
                }
                Set_Internet_Activity.this.DoFin();
            }
        }

        class C02222 implements DialogInterface.OnClickListener {
            C02222() {
            }

            public void onClick(DialogInterface dialog, int which) {
                dialog.dismiss();
            }
        }

        C02237() {
        }

        public void onClick(View v) {
            Set_Internet_Activity.this.mVib.vibrate(50);
            Set_Internet_Activity.this.UpdateTInfo();
            Builder adialog = new Builder(Set_Internet_Activity.this);
            adialog.setTitle("Change Mode");
            adialog.setMessage(Set_Internet_Activity.this.getResources().getString(C0181R.string.set_confirm_txt1));
            adialog.setNegativeButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.set_confirm_txt2), new C02211());
            adialog.setPositiveButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.set_confirm_txt3), new C02222());
            adialog.create();
            adialog.setCancelable(false);
            adialog.show();
        }
    }

    class C02248 implements InputFilter {
        C02248() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            if (Pattern.compile("^[a-zA-Z0-9]+$").matcher(source).matches()) {
                return null;
            }
            return EXTHeader.DEFAULT_VALUE;
        }
    }

    class C02259 implements InputFilter {
        C02259() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            int i;
            char currentChar;
            if (source instanceof SpannableStringBuilder) {
                SpannableStringBuilder sourceAsSpannableBuilder = (SpannableStringBuilder) source;
                for (i = end - 1; i >= start; i--) {
                    currentChar = source.charAt(i);
                    if (Set_Internet_Activity.this.isSChar4SSID(currentChar) && !Character.isSpaceChar(currentChar)) {
                        sourceAsSpannableBuilder.delete(i, i + 1);
                    }
                }
                return source;
            }
            StringBuilder filteredStringBuilder = new StringBuilder();
            for (i = 0; i < end; i++) {
                currentChar = source.charAt(i);
                if (!Set_Internet_Activity.this.isSChar4SSID(currentChar) || Character.isSpaceChar(currentChar)) {
                    filteredStringBuilder.append(currentChar);
                }
            }
            return filteredStringBuilder.toString();
        }
    }

    class WifiReceiver extends BroadcastReceiver {
        WifiReceiver() {
        }

        public String RssiLvtoString(int rssi) {
            int nLv = Set_Internet_Activity.this.CalcRSSILv(rssi);
            String strResult = EXTHeader.DEFAULT_VALUE;
            switch (nLv) {
                case 0:
                    return "신호: 매우약함";
                case 1:
                    return "신호: 약함";
                case 2:
                    return "신호: 보통";
                case 3:
                    return "신호: 강함";
                case 4:
                    return "신호: 아주강함";
                default:
                    return strResult;
            }
        }

        public void onReceive(Context c, Intent intent) {
            if (Set_Internet_Activity.this.mPB != null) {
                Set_Internet_Activity.this.mPB.setVisibility(4);
                Set_Internet_Activity.this.mPB = null;
            }
            Set_Internet_Activity.this.DoPaseScanResult();
        }
    }

    void setNBPMsg(String strMsg, int nStep) {
        if (this.progressDialog == null) {
            return;
        }
        if (nStep == 100) {
            this.progressDialog.hide();
            this.progressDialog = new ProgressDialog(this);
            this.progressDialog.setProgressStyle(1);
            this.progressDialog.setMessage(strMsg);
            this.progressDialog.setButton(getResources().getString(C0181R.string.si_close), new DialogInterface.OnClickListener() {
                public void onClick(DialogInterface dialog, int which) {
                    Set_Internet_Activity.this.progressDialog.dismiss();
                    Set_Internet_Activity.this.progressDialog = null;
                }
            });
            this.progressDialog.setMax(100);
            this.progressDialog.setCancelable(false);
            this.progressDialog.show();
            this.progressDialog.setProgress(nStep);
            return;
        }
        this.progressDialog.setMessage(strMsg);
        this.progressDialog.setProgress(nStep);
    }

    public void SetModeIcon(int nMode) {
        if (this.butConfirm != null) {
            switch (nMode) {
                case 0:
                    this.butConfirm.setImageResource(C0181R.drawable.confirm_gary);
                    this.butConfirm.setEnabled(false);
                    return;
                case 1:
                    this.butConfirm.setImageResource(C0181R.drawable.set_confirm);
                    this.butConfirm.setEnabled(true);
                    return;
                case 2:
                    if (this.MzApp == null || this.MzApp.GetApCCnt().compareTo(ContentTree.VIDEO_ID) != 0) {
                        this.butConfirm.setImageResource(C0181R.drawable.confirm_gary);
                        this.butConfirm.setEnabled(false);
                        return;
                    }
                    this.butConfirm.setImageResource(C0181R.drawable.set_confirm);
                    this.butConfirm.setEnabled(true);
                    return;
                default:
                    return;
            }
        }
        DLog.m0d("ModeL", "LM: Null");
    }

    public int GetMode(int nType) {
        if (nType != 0 || this.MzApp == null) {
            return 0;
        }
        return this.MzApp.mMode;
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.set_internet);
        this.MzApp = (MzServerApp) getApplicationContext();
        this.AListAPINFO = new ArrayList();
        this.mainWifi = (WifiManager) getSystemService("wifi");
        this.receiverWifi = new WifiReceiver();
        registerReceiver(this.receiverWifi, new IntentFilter("android.net.wifi.SCAN_RESULTS"));
        onInit(getApplicationContext());
        registerReceiver(this.br, new IntentFilter("cling.android.Router"));
    }

    protected void onResume() {
        super.onResume();
        onInit(getApplicationContext());
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        if (this.br != null) {
            unregisterReceiver(this.br);
        }
        if (this.receiverWifi != null) {
            unregisterReceiver(this.receiverWifi);
        }
        super.onDestroy();
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        return false;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(C0181R.menu.set_menu, menu);
        getLayoutInflater().setFactory(new Factory() {
            public View onCreateView(String name, Context context, AttributeSet attrs) {
                if (name.equalsIgnoreCase("com.android.internal.view.menu.IconMenuItemView")) {
                    int value = attrs.getIdAttributeResourceValue(0);
                    try {
                        final View view = LayoutInflater.from(context).createView(name, null, attrs);
                        new Handler().post(new Runnable() {
                            public void run() {
                                view.setBackgroundColor(Color.rgb(99, 99, 99));
                            }
                        });
                        return view;
                    } catch (InflateException e) {
                    } catch (ClassNotFoundException e2) {
                    }
                }
                return null;
            }
        });
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == C0181R.id.item_set_playlist) {
            startActivity(new Intent(this, List_Activity.class));
        }
        return super.onOptionsItemSelected(item);
    }

    private void ShowPW(boolean isChecked) {
        if (this.etPassword == null) {
            return;
        }
        if (isChecked) {
            this.etPassword.setInputType(1);
            this.etPassword.setSelection(this.etPassword.length());
            return;
        }
        this.etPassword.setInputType(129);
        this.etPassword.setSelection(this.etPassword.length());
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(mContext);
        final View view;
        switch (id) {
            case 1:
                View vSSIDLayout = factory.inflate(C0181R.layout.set_ssid_dialog, null);
                this.etPassword = null;
                this.ChkShowPW = null;
                this.etPassword = (EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password);
                this.ChkShowPW = (CheckBox) vSSIDLayout.findViewById(C0181R.id.set_ssid_showpw);
                this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                        Set_Internet_Activity.this.ShowPW(isChecked);
                    }
                });
                view = vSSIDLayout;
                Dialog SSIDDialog = new Builder(this).setView(vSSIDLayout).setNegativeButton("Save", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewSSID = EXTHeader.DEFAULT_VALUE;
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        TextView tv_ssid2 = (TextView) view.findViewById(C0181R.id.set_ssid_textView_SSID2);
                        strNewSSID = ((EditText) view.findViewById(C0181R.id.set_ssid_editText_SSID)).getText().toString();
                        strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                        if (strNewSSID.getBytes().length <= 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                        } else if (strNewSSID.getBytes().length + tv_ssid2.getText().length() < 8 || strNewSSID.getBytes().length > 28) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 8~32)", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                        } else if (strCurPassword.length() <= 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no password", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                        } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                        } else {
                            Set_Internet_Activity.this.removeDialog(1);
                            Set_Internet_Activity.this.MzApp.SetTCPNewAPInfo(new StringBuilder(String.valueOf(Set_Internet_Activity.this.getResources().getString(C0181R.string.ssid_prefix))).append(strNewSSID).append(",").append(strCurPassword).append(",").toString());
                        }
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(1);
                    }
                }).create();
                SSIDDialog.setCancelable(false);
                ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_SSID)).setFilters(new InputFilter[]{this.filterNotSChar});
                ((EditText) vSSIDLayout.findViewById(C0181R.id.set_ssid_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return SSIDDialog;
            case 2:
                View vPasswordLayout = ((LayoutInflater) mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_password_dialog, null);
                Button set_password_CancelBtn = (Button) vPasswordLayout.findViewById(C0181R.id.set_password_CancelBtn);
                view = vPasswordLayout;
                ((Button) vPasswordLayout.findViewById(C0181R.id.set_password_SubmitBtn)).setOnClickListener(new OnClickListener() {
                    public void onClick(View view) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strNewPassword = EXTHeader.DEFAULT_VALUE;
                        String strConfirm = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        EditText etNewPassword = (EditText) view.findViewById(C0181R.id.set_password_editText_New);
                        EditText etConfirm = (EditText) view.findViewById(C0181R.id.set_password_editText_Confirm);
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_password_editText_Current)).getText().toString();
                        strNewPassword = etNewPassword.getText().toString();
                        strConfirm = etConfirm.getText().toString();
                        if (strCurPassword.length() <= 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no current password", 1);
                            }
                        } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strNewPassword.length() < 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no new password", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(2);
                        } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strConfirm.length() < 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no confirm password", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(2);
                        } else if (strConfirm.length() < 8 || strConfirm.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                        } else if (strNewPassword.equals(strConfirm)) {
                            Set_Internet_Activity.this.removeDialog(2);
                            Set_Internet_Activity.this.MzApp.SetTCPNewAPInfo(" ," + strCurPassword + "," + strNewPassword);
                        } else if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("password does not match", 1);
                        }
                    }
                });
                set_password_CancelBtn.setOnClickListener(new OnClickListener() {
                    public void onClick(View view) {
                        Set_Internet_Activity.this.removeDialog(2);
                    }
                });
                Dialog PasswordDialog = new Builder(this).setIcon(C0181R.drawable.ic_launcher).setView(vPasswordLayout).create();
                PasswordDialog.setCancelable(false);
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Current)).setFilters(new InputFilter[]{this.filterAlphaNum});
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{this.filterAlphaNum});
                ((EditText) vPasswordLayout.findViewById(C0181R.id.set_password_editText_Confirm)).setFilters(new InputFilter[]{this.filterAlphaNum});
                LayoutParams lp = new LayoutParams();
                lp.copyFrom(PasswordDialog.getWindow().getAttributes());
                lp.width = -1;
                lp.height = -1;
                PasswordDialog.getWindow().setAttributes(lp);
                return PasswordDialog;
            case 3:
                Dialog UpdateDialog = new Builder(this).setView(factory.inflate(C0181R.layout.set_update_dialog, null)).setNegativeButton("Yes", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.showDialog(4);
                        Set_Internet_Activity.this.removeDialog(3);
                    }
                }).setPositiveButton("No", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(3);
                    }
                }).create();
                UpdateDialog.setCancelable(false);
                return UpdateDialog;
            case 4:
                View vJoinLayout = factory.inflate(C0181R.layout.set_update_join_dialog, null);
                view = vJoinLayout;
                Dialog JoinDialog = new Builder(this).setView(vJoinLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt2), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_update_join_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                            return;
                        }
                        String strIPInfo = EXTHeader.DEFAULT_VALUE;
                        if (!(Set_Internet_Activity.this.MzApp == null || Set_Internet_Activity.this.MzApp.mIBService == null)) {
                            try {
                                strIPInfo = Set_Internet_Activity.this.MzApp.mIBService.GetValue(20);
                                Set_Internet_Activity.this.MzApp.SetUpgrade("http://" + strIPInfo + "/upgrade.txt," + strCurPassword);
                                DLog.m0d("doup", "http://" + strIPInfo + "/upgrade.txt");
                            } catch (RemoteException e) {
                                e.printStackTrace();
                            }
                        }
                        Set_Internet_Activity.this.removeDialog(4);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(4);
                    }
                }).create();
                JoinDialog.setCancelable(false);
                ((EditText) vJoinLayout.findViewById(C0181R.id.set_update_join_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return JoinDialog;
            case 5:
                View vConfirmLayout = factory.inflate(C0181R.layout.set_confirm_dialog, null);
                view = vConfirmLayout;
                Dialog ConfirmDialog = new Builder(this).setView(vConfirmLayout).setNegativeButton("Join", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_confirm_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(5);
                            return;
                        }
                        Set_Internet_Activity.this.removeDialog(5);
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(5);
                    }
                }).create();
                ConfirmDialog.setCancelable(false);
                ((EditText) vConfirmLayout.findViewById(C0181R.id.set_confirm_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return ConfirmDialog;
            case 8:
                View vMPasswordLayout = factory.inflate(C0181R.layout.set_tmode_dialog, null);
                view = vMPasswordLayout;
                Dialog SetTModeDialog = new Builder(this).setView(vMPasswordLayout).setNegativeButton("Set", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        strNewPassword = ((EditText) view.findViewById(C0181R.id.set_password_editText_New)).getText().toString();
                        if (strNewPassword.length() < 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no password", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(8);
                        } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(8);
                        } else {
                            Set_Internet_Activity.this.DoReadTInfo();
                            if (Set_Internet_Activity.this.MzApp != null && Set_Internet_Activity.this.mStrMID.length() > 0) {
                                DLog.m0d("setteher_00", new StringBuilder(String.valueOf(strNewPassword)).append(ServiceReference.DELIMITER).append(Set_Internet_Activity.this.mStrMID).append(ServiceReference.DELIMITER).append(Set_Internet_Activity.this.mStrMPW).toString());
                                if (Set_Internet_Activity.this.mStrMPW.isEmpty()) {
                                    Set_Internet_Activity.this.MzApp.SetTETHER(true, strNewPassword, Set_Internet_Activity.this.mStrMID, "none");
                                } else {
                                    Set_Internet_Activity.this.MzApp.SetTETHER(true, strNewPassword, Set_Internet_Activity.this.mStrMID, Set_Internet_Activity.this.mStrMPW);
                                }
                            }
                            Set_Internet_Activity.this.removeDialog(8);
                        }
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(8);
                    }
                }).create();
                SetTModeDialog.setCancelable(false);
                ((EditText) vMPasswordLayout.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return SetTModeDialog;
            case 9:
                View vMPasswordLayout2 = factory.inflate(C0181R.layout.set_tmodeoff_dialog, null);
                view = vMPasswordLayout2;
                Dialog SetTModeDialog2 = new Builder(this).setView(vMPasswordLayout2).setNegativeButton("Set", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        strNewPassword = ((EditText) view.findViewById(C0181R.id.set_password_editText_New)).getText().toString();
                        if (strNewPassword.length() < 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no password", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(8);
                        } else if (strNewPassword.length() < 8 || strNewPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(8);
                        } else {
                            Set_Internet_Activity.this.DoReadTInfo();
                            if (Set_Internet_Activity.this.MzApp != null && Set_Internet_Activity.this.mStrMID.length() > 0) {
                                DLog.m0d("setteher_00", new StringBuilder(String.valueOf(strNewPassword)).append(ServiceReference.DELIMITER).append(Set_Internet_Activity.this.mStrMID).append(ServiceReference.DELIMITER).append(Set_Internet_Activity.this.mStrMPW).toString());
                                if (Set_Internet_Activity.this.mStrMPW.isEmpty()) {
                                    Set_Internet_Activity.this.MzApp.SetTETHER(false, strNewPassword, Set_Internet_Activity.this.mStrMID, "none");
                                } else {
                                    Set_Internet_Activity.this.MzApp.SetTETHER(false, strNewPassword, Set_Internet_Activity.this.mStrMID, Set_Internet_Activity.this.mStrMPW);
                                }
                            }
                            Set_Internet_Activity.this.removeDialog(9);
                        }
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(9);
                    }
                }).create();
                SetTModeDialog2.setCancelable(false);
                ((EditText) vMPasswordLayout2.findViewById(C0181R.id.set_password_editText_New)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return SetTModeDialog2;
            case 10:
                View vApAddLayout = factory.inflate(C0181R.layout.set_ap_add_dialog, null);
                this.etPassword = null;
                this.ChkShowPW = null;
                this.etPassword = (EditText) vApAddLayout.findViewById(C0181R.id.set_ap_add_editText_Password);
                this.ChkShowPW = (CheckBox) vApAddLayout.findViewById(C0181R.id.set_ap_add_showpw);
                this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                        Set_Internet_Activity.this.ShowPW(isChecked);
                    }
                });
                view = vApAddLayout;
                Dialog ApAddDialog = new Builder(this).setView(vApAddLayout).setNegativeButton("Save", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewSSID = EXTHeader.DEFAULT_VALUE;
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        strNewSSID = ((EditText) view.findViewById(C0181R.id.set_ap_add_editText_SSID)).getText().toString();
                        strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                        if (strNewSSID.length() <= 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(10);
                        } else if (strNewSSID.getBytes().length < 4 || strNewSSID.getBytes().length > 32) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 4~32)", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(10);
                        } else {
                            if (strCurPassword.length() <= 0) {
                                strCurPassword = "NULL";
                            }
                            Set_Internet_Activity.this.removeDialog(10);
                            Set_Internet_Activity.this.DoInsertApInfo(strNewSSID, strCurPassword);
                            Set_Internet_Activity.this.DoReadApInfo();
                        }
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(10);
                    }
                }).create();
                ApAddDialog.setCancelable(false);
                ((EditText) vApAddLayout.findViewById(C0181R.id.set_ap_add_editText_SSID)).setFilters(new InputFilter[]{this.filterNotSChar});
                return ApAddDialog;
            case 11:
                View vApModifyLayout = factory.inflate(C0181R.layout.set_ap_modify_dialog, null);
                this.etPassword = null;
                this.ChkShowPW = null;
                this.etPassword = (EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_Password);
                this.ChkShowPW = (CheckBox) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_showpw);
                this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                        Set_Internet_Activity.this.ShowPW(isChecked);
                    }
                });
                EditText etAPModifySSID = (EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_SSID);
                view = vApModifyLayout;
                Dialog ApModifyDialog = new Builder(this).setView(vApModifyLayout).setNegativeButton("Save", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strNewSSID = EXTHeader.DEFAULT_VALUE;
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        String strQuery = EXTHeader.DEFAULT_VALUE;
                        String strSSID = EXTHeader.DEFAULT_VALUE;
                        String strPassword = EXTHeader.DEFAULT_VALUE;
                        strNewSSID = ((EditText) view.findViewById(C0181R.id.set_ap_modify_editText_SSID)).getText().toString();
                        strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                        if (strNewSSID.length() <= 0) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(11);
                        } else if (strNewSSID.getBytes().length < 4 || strNewSSID.getBytes().length > 32) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 4~32)", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(11);
                        } else {
                            if (strCurPassword.length() <= 0) {
                                strCurPassword = "NULL";
                            } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                                if (Set_Internet_Activity.this.MzApp != null) {
                                    Set_Internet_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                                }
                                Set_Internet_Activity.this.removeDialog(11);
                                return;
                            }
                            Set_Internet_Activity.this.removeDialog(11);
                            Set_Internet_Activity.this.DoUpdateApInfo(strNewSSID, strCurPassword);
                            Set_Internet_Activity.this.DoReadApInfo();
                        }
                    }
                }).setPositiveButton("Cancel", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(11);
                    }
                }).create();
                ApModifyDialog.setCancelable(false);
                etAPModifySSID.setText((CharSequence) this.AListAPSSID.get(this.mnIdxApList));
                String tmpPW = EXTHeader.DEFAULT_VALUE;
                if (((String) this.AListAPPW.get(this.mnIdxApList)).compareTo("NULL") != 0) {
                    this.etPassword.setText((CharSequence) this.AListAPPW.get(this.mnIdxApList));
                }
                ((EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_SSID)).setFilters(new InputFilter[]{this.filterNotSChar});
                return ApModifyDialog;
            case 12:
                Dialog ApDelDialog = new Builder(this).setView(factory.inflate(C0181R.layout.set_ap_del_dialog, null)).setNegativeButton(getResources().getString(C0181R.string.si_del), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(12);
                        Set_Internet_Activity.this.DoDelApInfo();
                        Set_Internet_Activity.this.DoReadApInfo();
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.si_cancel), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(12);
                    }
                }).create();
                ApDelDialog.setCancelable(false);
                return ApDelDialog;
            case 13:
                View vFResetLayout = factory.inflate(C0181R.layout.set_freset_dialog, null);
                view = vFResetLayout;
                Dialog FResetDialog = new Builder(this).setView(vFResetLayout).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt2), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        String strCurPassword = EXTHeader.DEFAULT_VALUE;
                        strCurPassword = ((EditText) view.findViewById(C0181R.id.set_freset_editText_Password)).getText().toString();
                        if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error", 1);
                            }
                            Set_Internet_Activity.this.removeDialog(1);
                            return;
                        }
                        Set_Internet_Activity.this.MzApp.SetFReset(strCurPassword);
                        DLog.m0d("doup", "http://" + Set_Internet_Activity.this.MzApp.mStrIP + ":8192/upgrade.txt");
                        Set_Internet_Activity.this.removeDialog(13);
                    }
                }).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int which) {
                        Set_Internet_Activity.this.removeDialog(13);
                    }
                }).create();
                FResetDialog.setCancelable(false);
                ((EditText) vFResetLayout.findViewById(C0181R.id.set_freset_editText_Password)).setFilters(new InputFilter[]{this.filterAlphaNum});
                return FResetDialog;
            default:
                return null;
        }
    }

    void DoFin() {
        new Handler().postDelayed(new Runnable() {
            public void run() {
                Set_Internet_Activity.this.finish();
            }
        }, 300);
    }

    protected boolean isSChar4SSID(char currentChar) {
        if (currentChar == '?' || currentChar == '\"' || currentChar == '$' || currentChar == '[' || currentChar == '\\' || currentChar == ']' || currentChar == '+') {
            return true;
        }
        return false;
    }

    private void EnableTModeSetting(boolean isCheck) {
        this.EdSetMID.setEnabled(isCheck);
        this.EdSetMPW.setEnabled(isCheck);
        this.butAddAp.setEnabled(isCheck);
        this.ChkSetTmode_set.setEnabled(isCheck);
        this.ChkSetTmode_wifiap.setEnabled(isCheck);
        if (!isCheck) {
            this.mnTmode = 0;
            this.ChkSetTmode_set.setChecked(false);
            this.ChkSetTmode_wifiap.setChecked(false);
        }
    }

    public void onCreateContextMenu(ContextMenu menu, View v, ContextMenuInfo menuInfo) {
        if (v.getId() == C0181R.id.set_lv_aplist && this.mnIdxApList >= 0) {
            try {
                menu.setHeaderTitle((CharSequence) this.AListAPSSID.get(this.mnIdxApList));
                this.menuItems[0] = getResources().getString(C0181R.string.si_edit_apinfo);
                this.menuItems[1] = getResources().getString(C0181R.string.si_del_apinfo);
                for (int i = 0; i < this.menuItems.length; i++) {
                    menu.add(0, i, i, this.menuItems[i]);
                }
            } catch (IndexOutOfBoundsException e) {
                e.printStackTrace();
            }
        }
    }

    public boolean onContextItemSelected(MenuItem item) {
        AdapterContextMenuInfo info = (AdapterContextMenuInfo) item.getMenuInfo();
        if (item.getItemId() == 0) {
            final View vApModifyLayout = ((LayoutInflater) mContext.getSystemService("layout_inflater")).inflate(C0181R.layout.set_ap_modify_dialog, null);
            Button set_ap_modify_SubmitBtn = (Button) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_SubmitBtn);
            Button set_ap_modify_CancelBtn = (Button) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_CancelBtn);
            this.etPassword = null;
            this.ChkShowPW = null;
            this.etPassword = (EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_Password);
            this.ChkShowPW = (CheckBox) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_showpw);
            this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                    Set_Internet_Activity.this.ShowPW(isChecked);
                }
            });
            EditText etAPModifySSID = (EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_SSID);
            final AlertDialog ApModifyDialog = new Builder(this).setIcon(C0181R.drawable.ic_launcher).setView(vApModifyLayout).create();
            this.etPassword = null;
            this.ChkShowPW = null;
            this.etPassword = (EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_Password);
            this.ChkShowPW = (CheckBox) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_showpw);
            this.ChkShowPW.setOnCheckedChangeListener(new OnCheckedChangeListener() {
                public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                    Set_Internet_Activity.this.ShowPW(isChecked);
                }
            });
            set_ap_modify_SubmitBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    String strNewSSID = EXTHeader.DEFAULT_VALUE;
                    String strCurPassword = EXTHeader.DEFAULT_VALUE;
                    String strQuery = EXTHeader.DEFAULT_VALUE;
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    String strPassword = EXTHeader.DEFAULT_VALUE;
                    strNewSSID = ((EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_SSID)).getText().toString();
                    strCurPassword = Set_Internet_Activity.this.etPassword.getText().toString();
                    if (strNewSSID.length() <= 0) {
                        if (Set_Internet_Activity.this.MzApp != null) {
                            Set_Internet_Activity.this.MzApp.ShowMsg("no SSID", 1);
                        }
                    } else if (strNewSSID.getBytes().length >= 4 && strNewSSID.getBytes().length <= 32) {
                        if (strCurPassword.length() <= 0) {
                            strCurPassword = "NULL";
                        } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                            if (Set_Internet_Activity.this.MzApp != null) {
                                Set_Internet_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                                return;
                            }
                            return;
                        }
                        ApModifyDialog.dismiss();
                        Set_Internet_Activity.this.DoUpdateApInfo(strNewSSID, strCurPassword);
                        Set_Internet_Activity.this.DoReadApInfo();
                    } else if (Set_Internet_Activity.this.MzApp != null) {
                        Set_Internet_Activity.this.MzApp.ShowMsg("SSID length error (len: 4~32)", 1);
                    }
                }
            });
            set_ap_modify_CancelBtn.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    ApModifyDialog.dismiss();
                }
            });
            ApModifyDialog.show();
            ApModifyDialog.setCancelable(false);
            etAPModifySSID.setText((CharSequence) this.AListAPSSID.get(this.mnIdxApList));
            String tmpPW = EXTHeader.DEFAULT_VALUE;
            if (((String) this.AListAPPW.get(this.mnIdxApList)).compareTo("NULL") != 0) {
                this.etPassword.setText((CharSequence) this.AListAPPW.get(this.mnIdxApList));
            }
            ((EditText) vApModifyLayout.findViewById(C0181R.id.set_ap_modify_editText_SSID)).setFilters(new InputFilter[]{this.filterNotSChar});
            LayoutParams lp = new LayoutParams();
            lp.copyFrom(ApModifyDialog.getWindow().getAttributes());
            lp.width = -1;
            ApModifyDialog.getWindow().setAttributes(lp);
        } else if (item.getItemId() == 1) {
            showDialog(12);
        }
        return true;
    }

    public static void setListViewHeightBasedOnChildren(ListView listView) {
        ListAdapter listAdapter = listView.getAdapter();
        if (listAdapter != null) {
            int totalHeight = 0;
            for (int i = 0; i < listAdapter.getCount(); i++) {
                View listItem = listAdapter.getView(i, null, listView);
                listItem.measure(0, 0);
                totalHeight += listItem.getMeasuredHeight();
            }
            ViewGroup.LayoutParams params = listView.getLayoutParams();
            params.height = (listView.getDividerHeight() * (listAdapter.getCount() - 1)) + totalHeight;
            listView.setLayoutParams(params);
            listView.requestLayout();
        }
    }

    boolean chk_fver() {
        String strCVer = EXTHeader.DEFAULT_VALUE;
        strCVer = this.MzApp.GetFVer();
        if (strCVer.length() <= 0 || strCVer.compareTo("none") == 0) {
            return false;
        }
        int[] nCver = new int[3];
        int[] nFver = new int[3];
        if (strCVer.substring(0, 1).compareTo("v") != 0) {
            return false;
        }
        StringTokenizer stok = new StringTokenizer(strCVer.substring(1), ".", false);
        int i = 0;
        while (stok.hasMoreTokens()) {
            nCver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        stok = new StringTokenizer(this.MzApp.mStrInnerFVer, ".", false);
        i = 0;
        while (stok.hasMoreTokens()) {
            nFver[i] = Integer.valueOf(stok.nextToken()).intValue();
            if (i == 2) {
                break;
            }
            i++;
        }
        if (nCver[0] < nFver[0] || (nCver[0] == nFver[0] && nCver[1] <= nFver[1] && nCver[2] < nFver[2])) {
            return true;
        }
        return false;
    }

    public void onBackPressed() {
        Intent iback = new Intent(this, List_Activity.class);
        iback.setFlags(DLNAFlags.SN_INCREASE);
        startActivity(iback);
        finish();
    }

    public WifiConfiguration getWifiApConfiguration() {
        try {
            WifiManager mWifiManager = (WifiManager) getSystemService("wifi");
            Method method = mWifiManager.getClass().getMethod("getWifiApConfiguration", new Class[]{WifiConfiguration.class, Boolean.TYPE});
            mWifiManager.getClass().getMethod("getWifiApConfiguration", new Class[]{WifiConfiguration.class, Boolean.TYPE});
            return (WifiConfiguration) method.invoke(mWifiManager, new Object[0]);
        } catch (Exception e) {
            DLog.m2e(getClass().getName(), e.toString());
            return null;
        }
    }

    public WifiConfiguration getWifiApConfiguration2() {
        WifiManager mWifiManager = (WifiManager) getSystemService("wifi");
        try {
            return (WifiConfiguration) mWifiManager.getClass().getMethod("getWifiApConfiguration", new Class[0]).invoke(mWifiManager, new Object[0]);
        } catch (Exception e) {
            DLog.m3e(getClass().toString(), EXTHeader.DEFAULT_VALUE, e);
            return null;
        }
    }

    private boolean onInit(Context context) {
        mContext = context;
        String strExplainMID = EXTHeader.DEFAULT_VALUE;
        String strExplainMPW = EXTHeader.DEFAULT_VALUE;
        String strCVer = EXTHeader.DEFAULT_VALUE;
        strCVer = this.MzApp.GetFVer();
        this.mVib = (Vibrator) mContext.getSystemService("vibrator");
        this.butConfirm = (ImageButton) findViewById(C0181R.id.set_imageButton_confirm);
        this.butAddAp = (ImageButton) findViewById(C0181R.id.set_imageButton_AddAP);
        SetModeIcon(GetMode(0));
        if (this.butConfirm == null) {
            return false;
        }
        if (this.iv_back == null) {
            this.iv_back = (ImageView) findViewById(C0181R.id.si_iv_back);
        }
        this.iv_back.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Set_Internet_Activity.this.onBackPressed();
            }
        });
        if (this.sv == null) {
            this.sv = (ScrollView) findViewById(C0181R.id.sv01);
        }
        if (this.EdSetMID == null) {
            this.EdSetMID = (EditText) findViewById(C0181R.id.set_ssid_editText_SSID);
        }
        if (this.EdSetMPW == null) {
            this.EdSetMPW = (EditText) findViewById(C0181R.id.set_ssid_editText_MPW);
        }
        this.EdSetMID.setOnFocusChangeListener(new OnFocusChangeListener() {
            public void onFocusChange(View v, boolean hasFocus) {
                if (!hasFocus) {
                    Set_Internet_Activity.this.UpdateTInfo();
                }
            }
        });
        this.EdSetMPW.setOnFocusChangeListener(new OnFocusChangeListener() {
            public void onFocusChange(View v, boolean hasFocus) {
                if (!hasFocus) {
                    Set_Internet_Activity.this.UpdateTInfo();
                }
            }
        });
        if (this.btnSetHelp1 == null) {
            this.btnSetHelp1 = (ImageButton) findViewById(C0181R.id.set_icon_help1);
            this.btnSetHelp1.setOnClickListener(new OnClickListener() {

                class C02071 implements DialogInterface.OnClickListener {
                    C02071() {
                    }

                    public void onClick(DialogInterface dialog, int which) {
                        dialog.dismiss();
                    }
                }

                class C02082 implements DialogInterface.OnClickListener {
                    C02082() {
                    }

                    public void onClick(DialogInterface dialog, int which) {
                        Intent intenttmode = new Intent("android.intent.action.MAIN");
                        intenttmode.setComponent(new ComponentName("com.android.settings", "com.android.settings.TetherSettings"));
                        Set_Internet_Activity.this.startActivity(intenttmode);
                    }
                }

                public void onClick(View view) {
                    Builder adialog = new Builder(Set_Internet_Activity.this);
                    adialog.setIcon(C0181R.drawable.ic_launcher);
                    adialog.setTitle("Help");
                    adialog.setMessage(Set_Internet_Activity.this.getResources().getString(C0181R.string.set_help1));
                    adialog.setNegativeButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.si_close), new C02071());
                    adialog.setPositiveButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.si_gohotset), new C02082());
                    adialog.create();
                    adialog.setCancelable(false);
                    adialog.show();
                }
            });
        }
        if (this.TxtSetMID == null) {
            this.TxtSetMID = (TextView) findViewById(C0181R.id.set_ssid_textView_SSID);
        }
        if (this.TxtSetMPW == null) {
            this.TxtSetMPW = (TextView) findViewById(C0181R.id.set_ssid_textView_MPW);
        }
        if (this.ChkSetTmode_set == null) {
            this.ChkSetTmode_set = (CheckBox) findViewById(C0181R.id.set_tmode_set);
        }
        if (this.ChkSetTmode_pre == null) {
            this.ChkSetTmode_pre = (CheckBox) findViewById(C0181R.id.set_tmode_pre);
        }
        if (this.ChkSetTmode_wifiap == null) {
            this.ChkSetTmode_wifiap = (CheckBox) findViewById(C0181R.id.set_tmode_wifihotspot);
        }
        this.ChkSetTmode_set.setOnCheckedChangeListener(new OnCheckedChangeListener() {

            class C02091 implements DialogInterface.OnClickListener {
                C02091() {
                }

                public void onClick(DialogInterface dialog, int which) {
                    dialog.dismiss();
                }
            }

            class C02102 implements DialogInterface.OnClickListener {
                C02102() {
                }

                public void onClick(DialogInterface dialog, int which) {
                    try {
                        Intent intenttmode = new Intent("android.intent.action.MAIN");
                        intenttmode.setComponent(new ComponentName("com.android.settings", "com.android.settings.TetherSettings"));
                        Set_Internet_Activity.this.startActivity(intenttmode);
                    } catch (ActivityNotFoundException e) {
                        e.printStackTrace();
                    }
                    dialog.dismiss();
                }
            }

            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (isChecked) {
                    if (Set_Internet_Activity.this.mStrMPW.isEmpty()) {
                        Set_Internet_Activity.this.UpdateTMode();
                        Builder adialog = new Builder(Set_Internet_Activity.this);
                        adialog.setIcon(C0181R.drawable.ic_launcher);
                        adialog.setTitle("Help");
                        adialog.setMessage(Set_Internet_Activity.this.getResources().getString(C0181R.string.set_subtitle10));
                        adialog.setNegativeButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.si_close), new C02091());
                        adialog.setPositiveButton(Set_Internet_Activity.this.getResources().getString(C0181R.string.si_gohotset), new C02102());
                        adialog.create();
                        adialog.setCancelable(false);
                        adialog.show();
                    }
                    if (Set_Internet_Activity.this.ChkSetTmode_wifiap.isChecked()) {
                        Set_Internet_Activity.this.mnTmode = 3;
                    } else {
                        Set_Internet_Activity.this.mnTmode = 2;
                    }
                } else if (Set_Internet_Activity.this.ChkSetTmode_wifiap.isChecked()) {
                    Set_Internet_Activity.this.mnTmode = 1;
                } else {
                    Set_Internet_Activity.this.mnTmode = 0;
                }
                Set_Internet_Activity.this.UpdateTMode();
            }
        });
        this.ChkSetTmode_wifiap.setOnCheckedChangeListener(new OnCheckedChangeListener() {
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (isChecked) {
                    if (Set_Internet_Activity.this.ChkSetTmode_set.isChecked()) {
                        Set_Internet_Activity.this.mnTmode = 3;
                    } else {
                        Set_Internet_Activity.this.mnTmode = 1;
                    }
                } else if (Set_Internet_Activity.this.ChkSetTmode_set.isChecked()) {
                    Set_Internet_Activity.this.mnTmode = 2;
                } else {
                    Set_Internet_Activity.this.mnTmode = 0;
                }
                Set_Internet_Activity.this.UpdateTMode();
            }
        });
        this.ChkSetTmode_pre.setOnCheckedChangeListener(new OnCheckedChangeListener() {
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                Set_Internet_Activity.this.EnableTModeSetting(isChecked);
                Set_Internet_Activity.this.UpdateTMode();
            }
        });
        if (this.mApList == null) {
            this.mApList = (ListView) findViewById(C0181R.id.set_lv_aplist);
        }
        registerForContextMenu(this.mApList);
        this.mApList.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
                try {
                    Set_Internet_Activity.this.mVib.vibrate(50);
                    Set_Internet_Activity.this.mnIdxApList = position;
                    Set_Internet_Activity.this.mApList.showContextMenuForChild(view);
                } catch (NullPointerException e) {
                    e.printStackTrace();
                }
            }
        });
        this.butConfirm.setOnClickListener(this.mConfirmClickListener);
        this.butAddAp.setOnClickListener(this.mAddApClickListener);
        this.strTableName = "aplist";
        String strQuery = "CREATE TABLE IF NOT EXISTS `" + this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`apssid` TEXT NOT NULL , " + "`appasswd` TEXT NOT NULL, " + "`apsel` CHAR(1) DEFAULT '0' NOT NULL " + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        this.strTableName = "tether_info";
        this.mDBManager.execSQL("CREATE TABLE IF NOT EXISTS `" + this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`mid` TEXT DEFAULT 'SSID' NOT NULL , " + "`mpasswd` TEXT DEFAULT 'Password' NOT NULL, " + "`tmode` CHAR(1) DEFAULT '0' NOT NULL, " + "`passwd` TEXT DEFAULT '' NOT NULL " + ")");
        DoReadTInfo();
        DoReadApInfo();
        if (this.TxtSetCSSID == null) {
            this.TxtSetCSSID = (TextView) findViewById(C0181R.id.set_textView_GetInf1_1);
        }
        if (this.MzApp != null) {
            this.MzApp.GetApCSSID();
        }
        WifiConfiguration mWifiConfig = getWifiApConfiguration2();
        if (mWifiConfig == null) {
            this.mStrMID = EXTHeader.DEFAULT_VALUE;
            this.mStrMPW = EXTHeader.DEFAULT_VALUE;
            this.EdSetMID.setText(this.mStrMID);
            this.EdSetMPW.setText(this.mStrMPW);
            UpdateTMode();
            DLog.m0d("myik_v", "null");
        } else {
            String strtSSID = EXTHeader.DEFAULT_VALUE;
            String strtPW = EXTHeader.DEFAULT_VALUE;
            if (!(mWifiConfig.SSID == null || mWifiConfig.SSID.toString().isEmpty())) {
                strtSSID = mWifiConfig.SSID.toString();
            }
            if (!(mWifiConfig.preSharedKey == null || mWifiConfig.preSharedKey.toString().isEmpty())) {
                strtPW = mWifiConfig.preSharedKey.toString();
            }
            this.mStrMID = strtSSID;
            this.mStrMPW = strtPW;
            DLog.m0d("myik_v1", strtSSID);
            DLog.m0d("myik_v2", this.mStrMPW);
            this.EdSetMID.setText(this.mStrMID);
            this.EdSetMPW.setText(this.mStrMPW);
            UpdateTMode();
        }
        return true;
    }

    public void SetTmode() {
        if (this.mnTmode == 1) {
            this.ChkSetTmode_pre.setChecked(true);
            this.ChkSetTmode_wifiap.setChecked(true);
            this.ChkSetTmode_set.setChecked(false);
        } else if (this.mnTmode == 2) {
            this.ChkSetTmode_pre.setChecked(true);
            this.ChkSetTmode_wifiap.setChecked(false);
            this.ChkSetTmode_set.setChecked(true);
        } else if (this.mnTmode == 3) {
            this.ChkSetTmode_pre.setChecked(true);
            this.ChkSetTmode_wifiap.setChecked(true);
            this.ChkSetTmode_set.setChecked(true);
        } else {
            this.ChkSetTmode_pre.setChecked(false);
            this.ChkSetTmode_wifiap.setChecked(false);
            this.ChkSetTmode_set.setChecked(false);
        }
    }

    public void DoReadTInfo() {
        TInfo infos = DoReadTInfos();
        this.mStrMID = infos.strMID;
        this.mStrMPW = infos.strMPW;
        this.mnTmode = infos.nTmode;
        SetTmode();
    }

    public boolean DoReadApInfo() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.AListAPSSID = new ArrayList();
        this.AListAPPW = new ArrayList();
        this.AListAPIDX = new ArrayList();
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `aplist` order by `apssid` ASC");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            while (!this.mCursor.isAfterLast()) {
                int nColumnIndex = this.mCursor.getColumnIndex("apssid");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.AListAPSSID.add(this.mCursor.getString(nColumnIndex));
                nColumnIndex = this.mCursor.getColumnIndex("appasswd");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.AListAPPW.add(this.mCursor.getString(nColumnIndex));
                nColumnIndex = this.mCursor.getColumnIndex("idx");
                if (nColumnIndex < 0) {
                    this.mCursor.close();
                    return false;
                }
                this.AListAPIDX.add(this.mCursor.getString(nColumnIndex));
                this.mCursor.moveToNext();
            }
            this.mCursor.close();
            ApListAdapter AdapterApList = new ApListAdapter(mContext, C0181R.layout.set_aplist, this.AListAPSSID);
            AdapterApList.notifyDataSetChanged();
            this.mApList.setAdapter(AdapterApList);
            setListViewHeightBasedOnChildren(this.mApList);
            return true;
        }
        this.mCursor.close();
        AdapterApList = new ApListAdapter(mContext, C0181R.layout.set_aplist, this.AListAPSSID);
        AdapterApList.notifyDataSetChanged();
        this.mApList.setAdapter(AdapterApList);
        return false;
    }

    public boolean DoInsertTInfoDef() {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        ContentValues values = new ContentValues();
        values.put("mid", "SSID");
        values.put("mpasswd", "Password");
        values.put("tmode", ContentTree.ROOT_ID);
        values.put("passwd", EXTHeader.DEFAULT_VALUE);
        this.mDBManager.onInsert("tether_info", values);
        this.mStrMID = "SSID";
        this.mStrMPW = "Password";
        return true;
    }

    public boolean DoInsertApInfo(String strSSID, String StrPW) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        ContentValues values = new ContentValues();
        strTableName = "aplist";
        values.put("apssid", strSSID);
        values.put("appasswd", StrPW);
        values.put("apsel", ContentTree.ROOT_ID);
        try {
            this.mDBManager.onInsert(strTableName, values);
        } catch (NullPointerException e) {
            e.printStackTrace();
        }
        return true;
    }

    public void UpdateTInfo() {
        this.mStrMID = this.EdSetMID.getText().toString();
        this.mStrMPW = this.EdSetMPW.getText().toString();
        UpdateTInfos(this.mStrMID, this.mStrMPW, this.mnTmode);
    }

    public void UpdateTMode() {
        UpdateT_Mode(this.mnTmode);
    }

    public void DoDelApInfo() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (!this.mDBManager.execSQL(String.format("DELETE FROM `aplist` where `idx` = '%s' ", new Object[]{this.AListAPIDX.get(this.mnIdxApList)})) && this.MzApp != null) {
            this.MzApp.ShowMsg("Error", 1);
        }
    }

    public void DoUpdateApInfo(String strSSID, String strPW) {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (!this.mDBManager.execSQL(String.format("UPDATE `aplist` SET `apssid` = '%s', `appasswd` = '%s' where `idx` = '%s' ", new Object[]{strSSID, strPW, this.AListAPIDX.get(this.mnIdxApList)})) && this.MzApp != null) {
            this.MzApp.ShowMsg("Error", 1);
        }
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public boolean CompSSID(String strSSID) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strArgs = EXTHeader.DEFAULT_VALUE;
        strArgs = "WHERE `mf_ssid` = '" + strSSID + "'";
        if (this.mDBManager.onCount("mfly_info", strArgs) > 0) {
            return true;
        }
        return false;
    }

    public String SCalcRSSILv(int rssi, boolean isSelect) {
        Integer nLv = Integer.valueOf(CalcRSSILv(rssi));
        if (isSelect) {
            nLv = Integer.valueOf(nLv.intValue() + 5);
        }
        return nLv.toString();
    }

    public int CalcRSSILv(int rssi) {
        if (rssi <= MIN_RSSI) {
            return 0;
        }
        if (rssi >= MAX_RSSI) {
            return 4;
        }
        return (rssi + 100) / (45 / 4);
    }

    public void initAR() {
        this.ar_SID.clear();
        this.ar_LV.clear();
        this.ar_WifiList.clear();
    }

    public void DoPaseScanResult() {
        try {
            this.wifiList = null;
            this.wifiList = this.mainWifi.getScanResults();
            initAR();
            ArrayList<String> ar_tSID = new ArrayList();
            ArrayList<String> ar_tLV = new ArrayList();
            ArrayList<ScanResult> ar_tWifiList = new ArrayList();
            this.AListAPINFO.clear();
            this.AListAPINFO.add("10");
            if (this.wifiList != null) {
                int i = 0;
                while (i < this.wifiList.size()) {
                    String[] strInf = ((ScanResult) this.wifiList.get(i)).toString().split(",");
                    String strTmpSSID = EXTHeader.DEFAULT_VALUE;
                    strTmpSSID = ((ScanResult) this.wifiList.get(i)).SSID;
                    if (!(strTmpSSID.startsWith(strPrefixSSID_EN) || strTmpSSID.startsWith(strPrefixSSID_KO) || strTmpSSID.startsWith("BCASTIC"))) {
                        if (((ScanResult) this.wifiList.get(i)).capabilities.contains(ConfigurationSecuritiesOld.WEP) || ((ScanResult) this.wifiList.get(i)).capabilities.contains("PSK") || ((ScanResult) this.wifiList.get(i)).capabilities.contains("EAP")) {
                            this.AListAPINFO.add(SCalcRSSILv(Integer.valueOf(((ScanResult) this.wifiList.get(i)).level).intValue(), true) + strTmpSSID);
                        } else {
                            this.AListAPINFO.add(SCalcRSSILv(Integer.valueOf(((ScanResult) this.wifiList.get(i)).level).intValue(), false) + strTmpSSID);
                        }
                    }
                    i++;
                }
                if (this.AdapterApInfoList != null) {
                    this.AdapterApInfoList.notifyDataSetChanged();
                }
            }
        } catch (NullPointerException e) {
        }
    }
}
