package com.enus.myzik;

import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.graphics.Color;
import android.net.Uri;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiConfiguration;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Parcelable;
import android.os.Vibrator;
import android.provider.Settings.Secure;
import android.text.InputFilter;
import android.text.Spanned;
import android.util.AttributeSet;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.InflateException;
import android.view.LayoutInflater;
import android.view.LayoutInflater.Factory;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;
import java.io.File;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;
import org.teleal.cling.model.message.header.EXTHeader;
import org.teleal.cling.support.model.ProtocolInfo.DLNAFlags;

public class Step3_Activity extends MzActivity {
    private static final int LV_RSSI = 5;
    private static final int MAX_RSSI = -55;
    private static final int MIN_RSSI = -100;
    static Context mContext = null;
    private static final int nMenu_NewConn = 1;
    private static final String strDefPasswd = "12345678";
    private static final String strPrefixSSID_EN = "Jak";
    private static final String strPrefixSSID_KO = "JJak";
    private ArrayList<String> AListAPIDX;
    private ArrayList<String> AListAPPW = null;
    private ArrayList<String> AListAPSSID = null;
    private CheckBox ChkShowPW = null;
    private MzServerApp MzApp;
    private ArrayList<String> ar_LV = new ArrayList();
    private ArrayList<String> ar_SID = new ArrayList();
    private ArrayList<ScanResult> ar_WifiList = new ArrayList();
    private final BroadcastReceiver br = new C02341();
    private ImageButton butURL2 = null;
    private EditText etPassword = null;
    protected InputFilter filterAlphaNum = new C02352();
    private int listViewTouchAction = -1;
    private ListView mApList = null;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    private ProgressBar mPB = null;
    private String mStrMID = EXTHeader.DEFAULT_VALUE;
    private String mStrMPW = EXTHeader.DEFAULT_VALUE;
    private String mStrPW = EXTHeader.DEFAULT_VALUE;
    Vibrator mVib = null;
    private WifiManager mainWifi = null;
    private ImageButton mbtnRescan = null;
    private TextView mbutEmpty = null;
    private int mnIdxApList = -1;
    private int mnTmode = 0;
    private WifiReceiver receiverWifi = null;
    private String strTableName = EXTHeader.DEFAULT_VALUE;
    private List<ScanResult> wifiList;

    class C02341 extends BroadcastReceiver {
        C02341() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("cling.android.Router") && intent.getExtras() != null) {
                String strMsg = EXTHeader.DEFAULT_VALUE;
                strMsg = intent.getExtras().getString("enus");
                if (strMsg != null && strMsg.length() > 0) {
                    if (strMsg.compareTo("wifi_on") == 0 || strMsg.compareTo("wifi_off") == 0 || strMsg.compareTo("tcp_dc") == 0) {
                        Step3_Activity.this.DoPaseScanResult();
                    }
                }
            }
        }
    }

    class C02352 implements InputFilter {
        C02352() {
        }

        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            if (Pattern.compile("^[a-zA-Z0-9]+$").matcher(source).matches()) {
                return null;
            }
            return EXTHeader.DEFAULT_VALUE;
        }
    }

    class C02373 implements OnClickListener {

        class C02361 implements Runnable {
            C02361() {
            }

            public void run() {
                Step3_Activity.this.mPB = (ProgressBar) Step3_Activity.this.findViewById(C0181R.id.aplist_pb);
                Step3_Activity.this.mPB.setVisibility(0);
            }
        }

        C02373() {
        }

        public void onClick(DialogInterface dialog, int which) {
            dialog.dismiss();
            if (Step3_Activity.this.checkTMode()) {
                Step3_Activity.this.setWifiApEnabled(false);
            }
            Step3_Activity.this.mainWifi.setWifiEnabled(true);
            new Handler().postDelayed(new C02361(), 1);
            Step3_Activity.this.receiverWifi = new WifiReceiver();
            Step3_Activity.this.registerReceiver(Step3_Activity.this.receiverWifi, new IntentFilter("android.net.wifi.SCAN_RESULTS"));
            Step3_Activity.this.onInit(Step3_Activity.this.getApplicationContext());
        }
    }

    class C02384 implements OnClickListener {
        C02384() {
        }

        public void onClick(DialogInterface dialog, int which) {
            dialog.dismiss();
            Step3_Activity.this.onBackPressed();
        }
    }

    class C02395 implements Runnable {
        C02395() {
        }

        public void run() {
            Step3_Activity.this.mPB = (ProgressBar) Step3_Activity.this.findViewById(C0181R.id.aplist_pb);
            Step3_Activity.this.mPB.setVisibility(0);
        }
    }

    class C02416 implements Factory {
        C02416() {
        }

        public View onCreateView(String name, Context context, AttributeSet attrs) {
            if (name.equalsIgnoreCase("com.android.internal.view.menu.IconMenuItemView")) {
                int value = attrs.getIdAttributeResourceValue(0);
                try {
                    final View view = LayoutInflater.from(context).createView(name, null, attrs);
                    new Handler().post(new Runnable() {
                        public void run() {
                            view.setBackgroundColor(Color.rgb(99, 99, 99));
                        }
                    });
                    return view;
                } catch (InflateException e) {
                } catch (ClassNotFoundException e2) {
                }
            }
            return null;
        }
    }

    class C02427 implements OnCheckedChangeListener {
        C02427() {
        }

        public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
            Step3_Activity.this.ShowPW(isChecked);
        }
    }

    class C02438 implements OnClickListener {
        C02438() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strCurPassword = EXTHeader.DEFAULT_VALUE;
            String strQuery = EXTHeader.DEFAULT_VALUE;
            String strSSID = EXTHeader.DEFAULT_VALUE;
            String strPassword = EXTHeader.DEFAULT_VALUE;
            strCurPassword = Step3_Activity.this.etPassword.getText().toString();
            if (strCurPassword.length() <= 0) {
                strCurPassword = Step3_Activity.strDefPasswd;
            } else if (strCurPassword.length() < 8 || strCurPassword.length() > 64) {
                if (Step3_Activity.this.MzApp != null) {
                    Step3_Activity.this.MzApp.ShowMsg("password length error (len: 8~64)", 1);
                }
                Step3_Activity.this.removeDialog(1);
                return;
            }
            Step3_Activity.this.removeDialog(1);
            try {
                if (Wifi.connectToNewNetwork(Step3_Activity.mContext, Step3_Activity.this.mainWifi, (ScanResult) Step3_Activity.this.ar_WifiList.get(Step3_Activity.this.mnIdxApList), strCurPassword, Secure.getInt(Step3_Activity.mContext.getContentResolver(), "wifi_num_open_networks_kept", 10))) {
                    Intent iset = new Intent("cling.android.Router");
                    iset.putExtra("enus", "setLastWifiScanResult");
                    Step3_Activity.mContext.sendBroadcast(iset);
                    Step3_Activity.this.DoFin();
                } else if (Step3_Activity.this.MzApp != null) {
                    Step3_Activity.this.MzApp.ShowMsg("WiFi Connect Failed", 1);
                }
            } catch (ArrayIndexOutOfBoundsException e) {
                e.printStackTrace();
            } catch (IndexOutOfBoundsException e2) {
                e2.printStackTrace();
            }
        }
    }

    class C02449 implements OnClickListener {
        C02449() {
        }

        public void onClick(DialogInterface dialog, int which) {
            Step3_Activity.this.removeDialog(1);
        }
    }

    class WifiReceiver extends BroadcastReceiver {
        WifiReceiver() {
        }

        public String RssiLvtoString(int rssi) {
            int nLv = Step3_Activity.this.CalcRSSILv(rssi);
            String strResult = EXTHeader.DEFAULT_VALUE;
            switch (nLv) {
                case 0:
                    return "신호: 매우약함";
                case 1:
                    return "신호: 약함";
                case 2:
                    return "신호: 보통";
                case 3:
                    return "신호: 강함";
                case 4:
                    return "신호: 아주강함";
                default:
                    return strResult;
            }
        }

        public void onReceive(Context c, Intent intent) {
            Step3_Activity.this.DoPaseScanResult();
        }
    }

    boolean checkTMode() {
        boolean isWifiAPenabled = false;
        WifiManager wifi = (WifiManager) getSystemService("wifi");
        for (Method method : wifi.getClass().getDeclaredMethods()) {
            if (method.getName().equals("isWifiApEnabled")) {
                try {
                    isWifiAPenabled = ((Boolean) method.invoke(wifi, new Object[0])).booleanValue();
                } catch (Exception e) {
                }
            }
        }
        return isWifiAPenabled;
    }

    public boolean setWifiApEnabled(boolean enabled) {
        boolean res = false;
        WifiManager wifi = (WifiManager) getSystemService("wifi");
        if (enabled) {
            wifi.setWifiEnabled(false);
        }
        try {
            res = ((Boolean) wifi.getClass().getMethod("setWifiApEnabled", new Class[]{WifiConfiguration.class, Boolean.TYPE}).invoke(wifi, new Object[]{null, Boolean.valueOf(enabled)})).booleanValue();
        } catch (Exception e) {
            DLog.m3e("tmode", EXTHeader.DEFAULT_VALUE, e);
        }
        if (!enabled) {
            wifi.setWifiEnabled(true);
        }
        return res;
    }

    public void onBackPressed() {
        Intent iback = new Intent(this, Step2_Activity.class);
        iback.setFlags(DLNAFlags.SN_INCREASE);
        startActivity(iback);
        finish();
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.activity_step3);
        this.MzApp = (MzServerApp) getApplicationContext();
        this.mainWifi = (WifiManager) getSystemService("wifi");
        if (this.mainWifi.isWifiEnabled()) {
            new Handler().postDelayed(new C02395(), 1);
            this.receiverWifi = new WifiReceiver();
            registerReceiver(this.receiverWifi, new IntentFilter("android.net.wifi.SCAN_RESULTS"));
            onInit(getApplicationContext());
        } else {
            Builder adialog = new Builder(this);
            adialog.setIcon(C0181R.drawable.ic_launcher);
            adialog.setTitle(getResources().getString(C0181R.string.error_activity_title));
            adialog.setMessage(getResources().getString(C0181R.string.aplist_help1));
            adialog.setNegativeButton(getResources().getString(C0181R.string.info_msg9), new C02373());
            adialog.setPositiveButton(getResources().getString(C0181R.string.info_msg10), new C02384());
            adialog.create();
            adialog.setCancelable(false);
            adialog.show();
        }
        registerReceiver(this.br, new IntentFilter("cling.android.Router"));
    }

    protected void onResume() {
        super.onResume();
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        } else if (this.mainWifi.isWifiEnabled()) {
            this.mainWifi.startScan();
        }
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
        if (this.receiverWifi != null) {
            unregisterReceiver(this.receiverWifi);
        }
        if (this.br != null) {
            unregisterReceiver(this.br);
        }
        DLog.m2e("jmg", "S3-onDestroy");
        super.onDestroy();
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        return false;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(C0181R.menu.set_menu, menu);
        getLayoutInflater().setFactory(new C02416());
        return super.onCreateOptionsMenu(menu);
    }

    private void ShowPW(boolean isChecked) {
        if (this.etPassword == null) {
            return;
        }
        if (isChecked) {
            this.etPassword.setInputType(1);
            this.etPassword.setSelection(this.etPassword.length());
            return;
        }
        this.etPassword.setInputType(129);
        this.etPassword.setSelection(this.etPassword.length());
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(mContext);
        switch (id) {
            case 1:
                View vApAddLayout = factory.inflate(C0181R.layout.aplist_newcon_dialog, null);
                this.etPassword = null;
                this.ChkShowPW = null;
                this.etPassword = (EditText) vApAddLayout.findViewById(C0181R.id.aplist_password_editText_New);
                this.ChkShowPW = (CheckBox) vApAddLayout.findViewById(C0181R.id.aplist_password_showpw);
                this.ChkShowPW.setOnCheckedChangeListener(new C02427());
                Dialog ApAddDialog = new Builder(this).setView(vApAddLayout).setNegativeButton("Connect", new C02438()).setPositiveButton("Cancel", new C02449()).create();
                ApAddDialog.setCancelable(false);
                return ApAddDialog;
            default:
                return null;
        }
    }

    public void onCreateContextMenu(ContextMenu menu, View v, ContextMenuInfo menuInfo) {
        if (v.getId() == C0181R.id.aplist_listView_ssid) {
            menu.clear();
            AdapterContextMenuInfo info = (AdapterContextMenuInfo) menuInfo;
            String strItem = EXTHeader.DEFAULT_VALUE;
            try {
                if (this.mnIdxApList >= 0 && this.AListAPSSID.size() > this.mnIdxApList) {
                    strItem = (String) this.AListAPSSID.get(this.mnIdxApList);
                }
            } catch (NullPointerException e) {
                e.printStackTrace();
            }
            if (strItem != null && strItem.length() > 0) {
                menu.setHeaderTitle(strItem.substring(1));
                menu.add(0, 0, 0, getResources().getString(C0181R.string.apl_menu1));
                menu.add(0, 1, 1, getResources().getString(C0181R.string.apl_menu2));
            }
        }
    }

    public boolean onContextItemSelected(MenuItem item) {
        AdapterContextMenuInfo info = (AdapterContextMenuInfo) item.getMenuInfo();
        try {
            if (this.mnIdxApList >= 0 && this.AListAPSSID.size() > this.mnIdxApList) {
                String strItem = ((String) this.AListAPSSID.get(this.mnIdxApList)).substring(0, 1);
                if (item.getItemId() == 0) {
                    DoConnectWifi((ScanResult) this.ar_WifiList.get(this.mnIdxApList));
                } else if (item.getItemId() == 1) {
                    DoForget((ScanResult) this.ar_WifiList.get(this.mnIdxApList));
                }
            }
        } catch (NullPointerException e) {
            e.printStackTrace();
        }
        return true;
    }

    private boolean onInit(Context context) {
        mContext = context;
        this.mainWifi = (WifiManager) getSystemService("wifi");
        this.mVib = (Vibrator) mContext.getSystemService("vibrator");
        this.mbutEmpty = null;
        this.mbutEmpty = (TextView) findViewById(C0181R.id.aplist_textView_EmptyView);
        this.mbtnRescan = (ImageButton) findViewById(C0181R.id.aplist_imageButton_rescan);
        this.mPB = (ProgressBar) findViewById(C0181R.id.aplist_pb);
        if (this.mbutEmpty == null) {
            return false;
        }
        if (this.mPB != null) {
            this.mPB.setVisibility(0);
        }
        this.butURL2 = (ImageButton) findViewById(C0181R.id.help_imageButton_url2);
        this.butURL2.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                Step3_Activity.this.mVib.vibrate(50);
                Step3_Activity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(Step3_Activity.this.getResources().getString(C0181R.string.help_url2))));
            }
        });
        this.AListAPSSID = new ArrayList();
        this.mApList = (ListView) findViewById(C0181R.id.aplist_listView_ssid);
        this.mApList.setAdapter(new ApListSAdapter(mContext, C0181R.layout.aplist_item, this.AListAPSSID));
        try {
            if (this.AListAPSSID.size() > 0) {
                this.mbutEmpty.setVisibility(4);
            } else {
                this.mbutEmpty.setVisibility(0);
            }
        } catch (NullPointerException e) {
            e.printStackTrace();
        }
        this.mApList.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
                try {
                    Step3_Activity.this.mnIdxApList = position;
                    Intent intent = new Intent(Step3_Activity.this, Step4_Activity.class);
                    if (Step3_Activity.this.mnIdxApList >= 0 && Step3_Activity.this.AListAPSSID.size() > Step3_Activity.this.mnIdxApList) {
                        intent.putExtra("rs_wifi", (Parcelable) Step3_Activity.this.ar_WifiList.get(Step3_Activity.this.mnIdxApList));
                    }
                    Step3_Activity.this.startActivity(intent);
                } catch (NullPointerException e) {
                    e.printStackTrace();
                }
            }
        });
        this.mbtnRescan.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                Step3_Activity.this.mVib.vibrate(50);
                if (Step3_Activity.this.mainWifi.isWifiEnabled()) {
                    if (Step3_Activity.this.mPB != null) {
                        Step3_Activity.this.mPB.setVisibility(0);
                    }
                    if (Step3_Activity.this.mbutEmpty != null) {
                        Step3_Activity.this.mbutEmpty.setVisibility(0);
                    }
                    Step3_Activity.this.mainWifi.startScan();
                }
            }
        });
        if (this.mainWifi.isWifiEnabled()) {
            this.mainWifi.startScan();
        }
        return true;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }

    public boolean CompSSID(String strSSID) {
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strArgs = EXTHeader.DEFAULT_VALUE;
        strArgs = "WHERE `mf_ssid` = '" + strSSID + "'";
        if (this.mDBManager.onCount("mfly_info", strArgs) > 0) {
            return true;
        }
        return false;
    }

    private boolean isAdHoc(ScanResult wScanResult) {
        return wScanResult.capabilities.indexOf("IBSS") != -1;
    }

    void DoFin() {
        Intent iset = new Intent("cling.android.Router");
        iset.putExtra("enus", "EnableEventRecv");
        mContext.sendBroadcast(iset);
        new Handler().postDelayed(new Runnable() {
            public void run() {
                Step3_Activity.this.finish();
            }
        }, 300);
    }

    void DoForget(ScanResult wScanResult) {
        if (wScanResult == null) {
            if (this.MzApp != null) {
                this.MzApp.ShowMsg("No data in Intent!", 1);
            }
            DoFin();
            return;
        }
        WifiConfiguration config = Wifi.getWifiConfiguration(this.mainWifi, wScanResult, Wifi.ConfigSec.getScanResultSecurity(wScanResult));
        if (config != null) {
            boolean result;
            if (this.mainWifi.removeNetwork(config.networkId) && this.mainWifi.saveConfiguration()) {
                result = true;
            } else {
                result = false;
            }
            if (result) {
                showDialog(1);
                return;
            } else if (this.MzApp != null) {
                this.MzApp.ShowMsg("Failed!", 1);
                return;
            } else {
                return;
            }
        }
        showDialog(1);
    }

    void DoConnectWifi(ScanResult wScanResult) {
        if (wScanResult == null) {
            if (this.MzApp != null) {
                this.MzApp.ShowMsg("No data in Intent!", 1);
            }
            DoFin();
        } else if (isAdHoc(wScanResult)) {
            if (this.MzApp != null) {
                this.MzApp.ShowMsg("adhoc_not_supported_yet", 1);
            }
            DoFin();
        } else {
            WifiConfiguration config = Wifi.getWifiConfiguration(this.mainWifi, wScanResult, Wifi.ConfigSec.getScanResultSecurity(wScanResult));
            Intent iset;
            if (config == null) {
                if (Wifi.ConfigSec.isOpenNetwork(Wifi.ConfigSec.getScanResultSecurity(wScanResult))) {
                    if (Wifi.connectToNewNetwork(mContext, this.mainWifi, wScanResult, null, Secure.getInt(mContext.getContentResolver(), "wifi_num_open_networks_kept", 10))) {
                        iset = new Intent("cling.android.Router");
                        iset.putExtra("enus", "setLastWifiScanResult");
                        mContext.sendBroadcast(iset);
                        DoFin();
                        return;
                    } else if (this.MzApp != null) {
                        this.MzApp.ShowMsg("WiFi Connect Failed", 1);
                        return;
                    } else {
                        return;
                    }
                }
                showDialog(1);
            } else if (Wifi.connectToConfiguredNetwork(mContext, this.mainWifi, config, false)) {
                iset = new Intent("cling.android.Router");
                iset.putExtra("enus", "setLastWifiScanResult");
                mContext.sendBroadcast(iset);
                DoFin();
            } else if (this.MzApp != null) {
                this.MzApp.ShowMsg("WiFi Connect Failed", 1);
            }
        }
    }

    public void initAR() {
        this.ar_SID.clear();
        this.ar_LV.clear();
        this.ar_WifiList.clear();
    }

    public String SCalcRSSILv(int rssi, boolean isSelect) {
        Integer nLv = Integer.valueOf(CalcRSSILv(rssi));
        if (isSelect) {
            nLv = Integer.valueOf(nLv.intValue() + 5);
        }
        return nLv.toString();
    }

    public int CalcRSSILv(int rssi) {
        if (rssi <= MIN_RSSI) {
            return 0;
        }
        if (rssi >= MAX_RSSI) {
            return 4;
        }
        return (rssi + 100) / (45 / 4);
    }

    public void DoPaseScanResult() {
        try {
            this.wifiList = null;
            this.wifiList = this.mainWifi.getScanResults();
            initAR();
            ArrayList<String> ar_tSID = new ArrayList();
            ArrayList<String> ar_tLV = new ArrayList();
            ArrayList<ScanResult> ar_tWifiList = new ArrayList();
            this.AListAPSSID = new ArrayList();
            if (this.wifiList != null) {
                int i;
                for (i = 0; i < this.wifiList.size(); i++) {
                    String[] strInf = ((ScanResult) this.wifiList.get(i)).toString().split(",");
                    String strTmpSSID = EXTHeader.DEFAULT_VALUE;
                    strTmpSSID = ((ScanResult) this.wifiList.get(i)).SSID;
                    if (strTmpSSID.startsWith(strPrefixSSID_EN) || strTmpSSID.startsWith(strPrefixSSID_KO) || strTmpSSID.startsWith("BCASTIC")) {
                        ar_tSID.add(strTmpSSID);
                        ar_tLV.add(Integer.valueOf(((ScanResult) this.wifiList.get(i)).level).toString());
                        ar_tWifiList.add((ScanResult) this.wifiList.get(i));
                    }
                }
                while (ar_tSID.size() > 0) {
                    String strSSID = EXTHeader.DEFAULT_VALUE;
                    int nLv = 0;
                    int nIdx = -1;
                    for (i = 0; i < ar_tSID.size(); i++) {
                        int nTmpLv = Integer.valueOf((String) ar_tLV.get(i)).intValue();
                        if (nTmpLv > nLv || r11.length() <= 0) {
                            strSSID = (String) ar_tSID.get(i);
                            nLv = nTmpLv;
                            nIdx = i;
                        }
                    }
                    if (nIdx >= 0) {
                        this.ar_SID.add((String) ar_tSID.get(nIdx));
                        this.ar_LV.add((String) ar_tLV.get(nIdx));
                        this.ar_WifiList.add((ScanResult) ar_tWifiList.get(nIdx));
                        if (this.MzApp == null || ((String) ar_tSID.get(nIdx)).compareTo(this.MzApp.GetSSID()) != 0) {
                            this.AListAPSSID.add(SCalcRSSILv(Integer.valueOf((String) ar_tLV.get(nIdx)).intValue(), false) + ((String) ar_tSID.get(nIdx)));
                        } else {
                            this.AListAPSSID.add(SCalcRSSILv(Integer.valueOf((String) ar_tLV.get(nIdx)).intValue(), true) + ((String) ar_tSID.get(nIdx)));
                        }
                        ar_tSID.remove(nIdx);
                        ar_tLV.remove(nIdx);
                        ar_tWifiList.remove(nIdx);
                    }
                }
                this.mApList = (ListView) findViewById(C0181R.id.aplist_listView_ssid);
                this.mbutEmpty = (TextView) findViewById(C0181R.id.aplist_textView_EmptyView);
                if (!(this.mApList == null || this.mbutEmpty == null)) {
                    this.mApList.setAdapter(new ApListSAdapter(mContext, C0181R.layout.aplist_item, this.AListAPSSID));
                }
                if (this.mbutEmpty != null) {
                    this.mbutEmpty.setVisibility(4);
                }
                if (this.mPB != null) {
                    this.mPB.setVisibility(4);
                }
            }
        } catch (NullPointerException e) {
        }
    }
}
