package com.enus.myzik;

import android.content.Context;
import android.content.SharedPreferences.Editor;

public class Util4ConfUpdate {
    Context mContext = null;

    Util4ConfUpdate(Context pContext) {
        this.mContext = pContext;
    }

    void UpdateLogConf(Boolean isEnable) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("putlog", isEnable.booleanValue());
            ed.commit();
        }
    }

    void SaveWizConf(Boolean isWizOn) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("wiz", isWizOn.booleanValue());
            ed.commit();
        }
    }

    public void UpdateVID(int nVID) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("vid", nVID);
            ed.commit();
        }
    }

    public void UpdateLastSSIDConf(String strLastSSID) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("lssid", strLastSSID);
            ed.commit();
        }
    }

    public void UpdateASoundMode(boolean isEnable) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("isASoundOff", isEnable);
            ed.commit();
        }
    }

    public void UpdateTestWriteMode(boolean isEnable) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("test_wmode", isEnable);
            ed.commit();
        }
    }

    public void UpdateUIDReg(boolean isReg) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("uid_reg", isReg);
            ed.commit();
        }
    }

    public void UpdateADURL(String strURL) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("adurl", strURL);
            ed.commit();
        }
    }

    public void UpdateADSVR(String strURL) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("adsvr", strURL);
            ed.commit();
        }
    }

    public void UpdateDNTime(String strDNTime) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("dntime", strDNTime);
            ed.commit();
        }
    }

    public void UpdatePLHome(String strPath) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("home", strPath);
            ed.commit();
        }
    }

    public void UpdateWiFi_SleepPolicy(int nwifi_sleep_policy) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("wifi_sleep_policy", nwifi_sleep_policy);
            ed.commit();
        }
    }

    public void UpdateForceUPMode(boolean isEnable) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("forceup_mode", isEnable);
            ed.commit();
        }
    }

    public void UpdateTInfos(String strMID, String strMPW, int nTmode) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("tssid", strMID);
            ed.putString("tpw", strMPW);
            ed.putInt("tmode", nTmode);
            ed.commit();
        }
    }

    public void UpdateT_Mode(int nTmode) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("tmode", nTmode);
            ed.commit();
        }
    }

    public void UpdateMPW(String strMPW) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("tpw", strMPW);
            ed.commit();
        }
    }

    public void UpdateListMode(boolean isEnable) {
        if (this.mContext != null) {
            Editor ed = this.mContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("isWList", isEnable);
            ed.commit();
        }
    }

    static void UpdateLogConf(Context pContext, Boolean isEnable) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("putlog", isEnable.booleanValue());
            ed.commit();
        }
    }

    static void SaveWizConf(Context pContext, Boolean isWizOn) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("wiz", isWizOn.booleanValue());
            ed.commit();
        }
    }

    public static void UpdateVID(Context pContext, int nVID) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("vid", nVID);
            ed.commit();
        }
    }

    public static void UpdateLastSSIDConf(Context pContext, String strLastSSID) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("lssid", strLastSSID);
            ed.commit();
        }
    }

    public static void UpdateASoundMode(Context pContext, boolean isEnable) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("isASoundOff", isEnable);
            ed.commit();
        }
    }

    public static void UpdateTestWriteMode(Context pContext, boolean isEnable) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("test_wmode", isEnable);
            ed.commit();
        }
    }

    public static void UpdateUIDReg(Context pContext, boolean isReg) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("uid_reg", isReg);
            ed.commit();
        }
    }

    public static void UpdateADURL(Context pContext, String strURL) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("adurl", strURL);
            ed.commit();
        }
    }

    public static void UpdateADSVR(Context pContext, String strURL) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("adsvr", strURL);
            ed.commit();
        }
    }

    public static void UpdateDNTime(Context pContext, String strDNTime) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("dntime", strDNTime);
            ed.commit();
        }
    }

    public static void UpdatePLHome(Context pContext, String strPath) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("home", strPath);
            ed.commit();
        }
    }

    public static void UpdateWiFi_SleepPolicy(Context pContext, int nwifi_sleep_policy) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("wifi_sleep_policy", nwifi_sleep_policy);
            ed.commit();
        }
    }

    public static void UpdateForceUPMode(Context pContext, boolean isEnable) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("forceup_mode", isEnable);
            ed.commit();
        }
    }

    public static void UpdateTInfos(Context pContext, String strMID, String strMPW, int nTmode) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("tssid", strMID);
            ed.putString("tpw", strMPW);
            ed.putInt("tmode", nTmode);
            ed.commit();
        }
    }

    public static void UpdateT_Mode(Context pContext, int nTmode) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putInt("tmode", nTmode);
            ed.commit();
        }
    }

    public static void UpdateMPW(Context pContext, String strMPW) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putString("tpw", strMPW);
            ed.commit();
        }
    }

    public static void UpdateListMode(Context pContext, boolean isEnable) {
        if (pContext != null) {
            Editor ed = pContext.getSharedPreferences("Conf", 0).edit();
            ed.putBoolean("isWList", isEnable);
            ed.commit();
        }
    }
}
