package com.enus.myzik;

import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.content.ContentResolver;
import android.content.ContentUris;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.media.MediaScannerConnection;
import android.media.MediaScannerConnection.OnScanCompletedListener;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Vibrator;
import android.provider.MediaStore.Audio.Media;
import android.provider.MediaStore.Audio.Playlists;
import android.provider.MediaStore.Audio.Playlists.Members;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.wireme.mediaserver.ContentTree;
import java.io.File;
import java.util.ArrayList;
import org.teleal.cling.model.message.header.EXTHeader;

public class View_Audio_Activity extends MzActivity {
    private static final int nMenu_Delete = 3;
    private static final int nMenu_Edit = 1;
    private static final int nMenu_Empty = 2;
    private CustomViewListAdapter Adapter;
    private ArrayList<CustomListItem> Items;
    LinearLayout L4Btn = null;
    RelativeLayout RL4BG = null;
    private ImageView ivPlay = null;
    private TextView lvf_txt = null;
    private View lvfooter = null;
    Context mContext;
    ContentResolver mCr;
    private Cursor mCursor = null;
    public DatabaseManager mDBManager = null;
    public OnClickListener mDeleteClickListener = new C02864();
    public OnClickListener mEditClickListener = new C02842();
    public OnClickListener mEmptyClickListener = new C02853();
    OnItemClickListener mItemClickListener = new C02831();
    Vibrator mVib = null;
    ImageButton mbutDelete;
    ImageButton mbutEdit;
    ImageButton mbutEmpty;
    ImageButton mbutRescan;
    ListView mlvList;
    TextView mtvText;
    int nType = 0;
    String strListName = EXTHeader.DEFAULT_VALUE;
    String strTableName = EXTHeader.DEFAULT_VALUE;

    class C02831 implements OnItemClickListener {
        C02831() {
        }

        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            CustomListItem Item = (CustomListItem) parent.getAdapter().getItem(position);
            String str = EXTHeader.DEFAULT_VALUE;
            str = Item.getDisplayName();
            Intent it = new Intent("android.intent.action.VIEW");
            it.setDataAndType(Uri.parse("file://" + Item.getPath()), Item.getInfo4());
            View_Audio_Activity.this.startActivity(it);
        }
    }

    class C02842 implements OnClickListener {
        C02842() {
        }

        public void onClick(View v) {
            MzServerApp MzApp = (MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext();
            Intent intent = new Intent(View_Audio_Activity.this, Edit_Audio_Activity.class);
            intent.putExtra("type", View_Audio_Activity.this.nType);
            intent.putExtra("list_name", View_Audio_Activity.this.strListName);
            intent.putExtra("table_name", View_Audio_Activity.this.strTableName);
            View_Audio_Activity.this.startActivity(intent);
        }
    }

    class C02853 implements OnClickListener {
        C02853() {
        }

        public void onClick(View v) {
            View_Audio_Activity.this.showDialog(2);
        }
    }

    class C02864 implements OnClickListener {
        C02864() {
        }

        public void onClick(View v) {
            View_Audio_Activity.this.showDialog(3);
        }
    }

    class C02875 implements DialogInterface.OnClickListener {
        C02875() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strQuery = EXTHeader.DEFAULT_VALUE;
            if (!View_Audio_Activity.this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + View_Audio_Activity.this.strTableName + "'")) {
                ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            }
            if (View_Audio_Activity.this.nType == 1) {
                strQuery = "CREATE TABLE IF NOT EXISTS `" + View_Audio_Activity.this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")";
            } else {
                strQuery = EXTHeader.DEFAULT_VALUE;
            }
            if (!View_Audio_Activity.this.mDBManager.execSQL(strQuery)) {
                ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            }
            View_Audio_Activity.this.EmptyPL(View_Audio_Activity.this.strListName);
            View_Audio_Activity.this.removeDialog(2);
            View_Audio_Activity.this.finish();
        }
    }

    class C02886 implements DialogInterface.OnClickListener {
        C02886() {
        }

        public void onClick(DialogInterface dialog, int which) {
            View_Audio_Activity.this.removeDialog(2);
        }
    }

    class C02897 implements DialogInterface.OnClickListener {
        C02897() {
        }

        public void onClick(DialogInterface dialog, int which) {
            String strQuery = EXTHeader.DEFAULT_VALUE;
            if (View_Audio_Activity.this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + View_Audio_Activity.this.strTableName + "'")) {
                Cursor cursor = View_Audio_Activity.this.mDBManager.onSelect("SELECT count(*) FROM `playlist`");
                if (cursor == null) {
                    ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    View_Audio_Activity.this.removeDialog(3);
                    View_Audio_Activity.this.finish();
                    return;
                } else if (cursor.moveToFirst()) {
                    int nCount = cursor.getInt(cursor.getColumnIndex("count(*)"));
                    cursor.close();
                    if (nCount <= 0) {
                        ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                        View_Audio_Activity.this.removeDialog(3);
                        View_Audio_Activity.this.finish();
                        return;
                    }
                    if (!View_Audio_Activity.this.mDBManager.execSQL("DELETE FROM `playlist` WHERE `contents` = '" + View_Audio_Activity.this.strTableName + "' AND `type` = " + View_Audio_Activity.this.nType)) {
                        ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    }
                    View_Audio_Activity.this.RmPL(View_Audio_Activity.this.strListName);
                    View_Audio_Activity.this.removeDialog(3);
                    View_Audio_Activity.this.finish();
                    return;
                } else {
                    cursor.close();
                    ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
                    View_Audio_Activity.this.removeDialog(3);
                    View_Audio_Activity.this.finish();
                    return;
                }
            }
            ((MzServerApp) View_Audio_Activity.this.mContext.getApplicationContext()).ShowMsg("Error", 1);
            View_Audio_Activity.this.removeDialog(3);
            View_Audio_Activity.this.finish();
        }
    }

    class C02908 implements DialogInterface.OnClickListener {
        C02908() {
        }

        public void onClick(DialogInterface dialog, int which) {
            View_Audio_Activity.this.removeDialog(3);
        }
    }

    class C02929 implements OnClickListener {

        class C02911 implements OnScanCompletedListener {
            C02911() {
            }

            public void onScanCompleted(String path, Uri uri) {
            }
        }

        C02929() {
        }

        public void onClick(View v) {
            View_Audio_Activity.this.mVib.vibrate(500);
            MediaScannerConnection.scanFile(View_Audio_Activity.this.mContext, new String[]{Environment.getExternalStorageDirectory().toString()}, null, new C02911());
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(1);
        setContentView(C0181R.layout.view_audio);
        onInit(getApplicationContext());
        this.Adapter = new CustomViewListAdapter(this.mContext, C0181R.layout.view_item, this.Items);
        this.Adapter.onInit(this.mDBManager, this.strTableName);
        this.mlvList.setEmptyView(this.mtvText);
        this.lvfooter = getLayoutInflater().inflate(C0181R.layout.lvfooter, null, false);
        this.lvf_txt = (TextView) this.lvfooter.findViewById(C0181R.id.lvf_txt);
        this.mlvList.addFooterView(this.lvfooter, null, false);
        this.mlvList.setAdapter(this.Adapter);
        this.mlvList.setOnItemClickListener(this.mItemClickListener);
    }

    protected void onResume() {
        super.onResume();
        if (this.Items != null) {
            this.Items.clear();
        }
        if (this.mDBManager == null) {
            onInit(getApplicationContext());
        }
        if (this.strListName.compareTo(this.mContext.getResources().getString(C0181R.string.lpl_name1)) == 0) {
            if (this.L4Btn != null) {
                this.L4Btn.setVisibility(8);
            }
            GetLPL();
        } else {
            if (this.L4Btn != null) {
                this.L4Btn.setVisibility(0);
            }
            GetPL();
        }
        this.Adapter.notifyDataSetChanged();
    }

    protected void onDestroy() {
        recursiveRecycle(getWindow().getDecorView());
        clearApplicationCache(null);
        super.onDestroy();
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        System.gc();
    }

    public void RmPL(String strPLName) {
        ContentResolver resolver = getContentResolver();
        Cursor c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
        c.moveToFirst();
        if (!c.isAfterLast()) {
            long nID = c.getLong(0);
            String strID = EXTHeader.DEFAULT_VALUE;
            strID = c.getString(c.getColumnIndex("_ID"));
            resolver.delete(ContentUris.withAppendedId(Playlists.EXTERNAL_CONTENT_URI, nID), null, null);
        }
        c.close();
    }

    public void EmptyPL(String strPLName) {
        ContentResolver resolver = getContentResolver();
        Cursor c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
        c.moveToFirst();
        if (!c.isAfterLast()) {
            long nID = c.getLong(0);
            c.close();
            resolver.delete(Members.getContentUri("external", nID), "audio_id > 0", null);
        }
    }

    protected Dialog onCreateDialog(int id) {
        LayoutInflater factory = LayoutInflater.from(this.mContext);
        switch (id) {
            case 2:
                Dialog ClearDialog = new Builder(this).setMessage(getResources().getString(C0181R.string.list_msg2)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new C02875()).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new C02886()).create();
                ClearDialog.setCancelable(false);
                return ClearDialog;
            case 3:
                Dialog DeleteDialog = new Builder(this).setMessage(getResources().getString(C0181R.string.list_msg3)).setNegativeButton(getResources().getString(C0181R.string.set_confirm_txt4), new C02897()).setPositiveButton(getResources().getString(C0181R.string.set_confirm_txt3), new C02908()).create();
                DeleteDialog.setCancelable(false);
                return DeleteDialog;
            default:
                return null;
        }
    }

    public boolean onInit(Context context) {
        String strListName = EXTHeader.DEFAULT_VALUE;
        String strTableName = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        this.mlvList = null;
        this.mtvText = null;
        this.mbutEdit = null;
        this.mbutEmpty = null;
        this.mbutDelete = null;
        this.ivPlay = null;
        this.mbutRescan = null;
        if (this.Items != null) {
            this.Items.clear();
        }
        this.Items = null;
        if (this.mDBManager != null) {
            this.mDBManager.close();
        }
        this.mDBManager = null;
        this.mContext = context;
        this.lvfooter = getLayoutInflater().inflate(C0181R.layout.lvfooter, null, false);
        this.lvf_txt = (TextView) this.lvfooter.findViewById(C0181R.id.lvf_txt);
        this.mVib = (Vibrator) this.mContext.getSystemService("vibrator");
        this.mlvList = (ListView) findViewById(C0181R.id.view_audio_listView_Viewlist);
        this.mtvText = (TextView) findViewById(C0181R.id.view_audio_textView_EmptyView);
        TextView tvTitle = (TextView) findViewById(C0181R.id.view_audio_textView_Title);
        this.mbutEdit = (ImageButton) findViewById(C0181R.id.view_audio_imageButton_Edit);
        this.mbutEmpty = (ImageButton) findViewById(C0181R.id.view_audio_imageButton_Empty);
        this.mbutDelete = (ImageButton) findViewById(C0181R.id.view_audio_imageButton_Delete);
        this.mbutRescan = (ImageButton) findViewById(C0181R.id.view_audio_imageButton_rescan);
        if (Utils.GetAndroidVer().compareTo("kk") == 0) {
            this.mbutRescan.setVisibility(4);
        }
        this.mbutRescan.setOnClickListener(new C02929());
        this.ivPlay = (ImageView) findViewById(C0181R.id.view_audio_play);
        this.ivPlay.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                View_Audio_Activity.this.mVib.vibrate(500);
                View_Audio_Activity.this.SetList4Player();
            }
        });
        this.L4Btn = (LinearLayout) findViewById(C0181R.id.LinearLayout_Button);
        this.RL4BG = (RelativeLayout) findViewById(C0181R.id.view_audio_RelativeLayout_Top);
        if (this.mlvList == null || this.mtvText == null || tvTitle == null || this.mbutEdit == null || this.mbutEmpty == null || this.mbutDelete == null) {
            return false;
        }
        this.mbutEdit.setOnClickListener(this.mEditClickListener);
        this.mbutEmpty.setOnClickListener(this.mEmptyClickListener);
        this.mbutDelete.setOnClickListener(this.mDeleteClickListener);
        this.Items = new ArrayList();
        this.mCr = getContentResolver();
        Intent intent = getIntent();
        if (intent == null) {
            return false;
        }
        int nType = intent.getIntExtra("type", 0);
        strListName = intent.getStringExtra("list_name");
        strTableName = intent.getStringExtra("table_name");
        if (nType != 1) {
            return false;
        }
        strQuery = "CREATE TABLE IF NOT EXISTS `" + strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")";
        this.mDBManager = new DatabaseManager(context, "mediadongle.sqlite", 1, strQuery);
        this.mDBManager.open();
        this.mDBManager.execSQL(strQuery);
        tvTitle.setText(strListName);
        this.nType = nType;
        this.strListName = strListName;
        this.strTableName = strTableName;
        return true;
    }

    public void SetList4Player() {
        Intent shortcut = new Intent();
        shortcut.setAction("android.intent.action.VIEW");
        shortcut.setDataAndType(Uri.EMPTY, "vnd.android.cursor.dir/playlist");
        shortcut.putExtra("playlist", this.strTableName.substring(3));
        startActivity(shortcut);
    }

    public void SetList4Player(String strPLName) {
        ContentResolver resolver = getContentResolver();
        Cursor c = resolver.query(Playlists.EXTERNAL_CONTENT_URI, null, "name=?", new String[]{strPLName}, null);
        c.moveToFirst();
        if (!c.isAfterLast()) {
            long nID = c.getLong(0);
            c.close();
            Uri uri = Members.getContentUri("external", nID);
            String strQuery = EXTHeader.DEFAULT_VALUE;
            String strDisplayName = EXTHeader.DEFAULT_VALUE;
            String strInfo1 = EXTHeader.DEFAULT_VALUE;
            String strInfo2 = EXTHeader.DEFAULT_VALUE;
            String strInfo3 = EXTHeader.DEFAULT_VALUE;
            String strInfo4 = EXTHeader.DEFAULT_VALUE;
            String strInfo5 = EXTHeader.DEFAULT_VALUE;
            String strPath = EXTHeader.DEFAULT_VALUE;
            this.mCursor = null;
            this.mCursor = this.mDBManager.onSelect("SELECT * FROM `" + this.strTableName + "` ORDER BY `number`");
            if (this.mCursor != null) {
                if (this.mCursor.moveToFirst()) {
                    int nNumber = 0;
                    while (!this.mCursor.isAfterLast()) {
                        int nIdx = this.mCursor.getInt(this.mCursor.getColumnIndex("idx"));
                        strDisplayName = this.mCursor.getString(this.mCursor.getColumnIndex("display_name"));
                        strInfo1 = this.mCursor.getString(this.mCursor.getColumnIndex("info1"));
                        strInfo2 = this.mCursor.getString(this.mCursor.getColumnIndex("info2"));
                        strInfo3 = this.mCursor.getString(this.mCursor.getColumnIndex("info3"));
                        strInfo4 = this.mCursor.getString(this.mCursor.getColumnIndex("info4"));
                        strInfo5 = this.mCursor.getString(this.mCursor.getColumnIndex("info5"));
                        strPath = this.mCursor.getString(this.mCursor.getColumnIndex("path"));
                        int nSize = this.mCursor.getInt(this.mCursor.getColumnIndex("size"));
                        ContentValues values = new ContentValues();
                        values.put("play_order", Integer.valueOf(nNumber));
                        values.put("audio_id", Long.valueOf(strInfo3));
                        resolver.insert(uri, values);
                        this.mCursor.moveToNext();
                        nNumber++;
                    }
                    this.mCursor.close();
                    Intent shortcut = new Intent();
                    shortcut.setAction("android.intent.action.VIEW");
                    shortcut.setDataAndType(Uri.EMPTY, "vnd.android.cursor.dir/playlist");
                    shortcut.putExtra("playlist", String.valueOf(nID));
                    startActivity(shortcut);
                    return;
                }
                this.mCursor.close();
            }
        }
    }

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        DLog.m0d("mz", "onActivityResult");
        switch (requestCode) {
            case 1:
                DLog.m0d("mz", ContentTree.VIDEO_ID);
                if (resultCode == -1) {
                    DLog.m0d("mz", "RESULT_OK");
                    String FilePath = data.getData().getPath();
                    DLog.m0d("mz", FilePath);
                    ((MzServerApp) this.mContext.getApplicationContext()).ShowMsg(FilePath, 1);
                    return;
                }
                return;
            default:
                return;
        }
    }

    public boolean SetList4OPlayer() {
        Intent it = new Intent("android.intent.action.VIEW");
        it.setType("audio/mp3");
        String strQuery = EXTHeader.DEFAULT_VALUE;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `" + this.strTableName + "` ORDER BY `number`");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            int nNumber = 0;
            while (!this.mCursor.isAfterLast()) {
                int nIdx = this.mCursor.getInt(this.mCursor.getColumnIndex("idx"));
                strDisplayName = this.mCursor.getString(this.mCursor.getColumnIndex("display_name"));
                strInfo1 = this.mCursor.getString(this.mCursor.getColumnIndex("info1"));
                strInfo2 = this.mCursor.getString(this.mCursor.getColumnIndex("info2"));
                strInfo3 = this.mCursor.getString(this.mCursor.getColumnIndex("info3"));
                strInfo4 = this.mCursor.getString(this.mCursor.getColumnIndex("info4"));
                strInfo5 = this.mCursor.getString(this.mCursor.getColumnIndex("info5"));
                strPath = this.mCursor.getString(this.mCursor.getColumnIndex("path"));
                int nSize = this.mCursor.getInt(this.mCursor.getColumnIndex("size"));
                it.setDataAndType(Uri.parse("file://" + strPath), strInfo4);
                this.mCursor.moveToNext();
                nNumber++;
            }
            this.mCursor.close();
            startActivity(it);
            this.mDBManager.onSync(this.strTableName);
            return true;
        }
        this.mCursor.close();
        return false;
    }

    private boolean GetPL() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        if (!this.mDBManager.execSQL("DROP TABLE IF EXISTS '" + this.strTableName + "'")) {
            ((MzServerApp) this.mContext.getApplicationContext()).ShowMsg("Error", 1);
        }
        if (this.nType == 1) {
            strQuery = "CREATE TABLE IF NOT EXISTS `" + this.strTableName + "` (" + "`idx` INTEGER PRIMARY KEY AUTOINCREMENT, " + "`number` INTEGER, " + "`display_name` TEXT, " + "`info1` TEXT, " + "`info2` TEXT, " + "`info3` TEXT, " + "`info4` TEXT, " + "`info5` TEXT, " + "`path` TEXT, " + "`size` INTEGER" + ")";
        } else {
            strQuery = EXTHeader.DEFAULT_VALUE;
        }
        if (!this.mDBManager.execSQL(strQuery)) {
            ((MzServerApp) this.mContext.getApplicationContext()).ShowMsg("Error", 1);
        }
        Cursor cursor = getContentResolver().query(Members.getContentUri("external", Long.valueOf(this.strTableName.substring(3)).longValue()), null, null, null, "play_order");
        if (cursor == null) {
            return false;
        }
        if (cursor.moveToFirst()) {
            int nNumber = 0;
            String strDisplayName = EXTHeader.DEFAULT_VALUE;
            String strInfo1 = EXTHeader.DEFAULT_VALUE;
            String strInfo2 = EXTHeader.DEFAULT_VALUE;
            String strInfo3 = EXTHeader.DEFAULT_VALUE;
            String strInfo4 = EXTHeader.DEFAULT_VALUE;
            String strInfo5 = EXTHeader.DEFAULT_VALUE;
            String strPath = EXTHeader.DEFAULT_VALUE;
            String strThumbPath = EXTHeader.DEFAULT_VALUE;
            while (!cursor.isAfterLast()) {
                int nColumnIdx = cursor.getColumnIndex("_display_name");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strDisplayName = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("artist");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo1 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("album");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo2 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("audio_id");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo3 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("mime_type");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strInfo4 = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("title");
                if (nColumnIdx < 0) {
                    strInfo5 = strDisplayName;
                } else {
                    strInfo5 = cursor.getString(nColumnIdx);
                    if (strInfo5 == null) {
                        strInfo5 = strDisplayName;
                    } else if (strInfo5.length() <= 0) {
                        strInfo5 = strDisplayName;
                    }
                }
                nColumnIdx = cursor.getColumnIndex("_data");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                strPath = cursor.getString(nColumnIdx);
                nColumnIdx = cursor.getColumnIndex("_size");
                if (nColumnIdx < 0) {
                    cursor.close();
                    return false;
                }
                long nSize = cursor.getLong(nColumnIdx);
                DLog.m0d("4pl", this.strTableName + "//PLAY_ORDER:" + Integer.valueOf(nNumber + 1).toString() + " AUDIO_ID:" + Long.valueOf(strInfo3).toString());
                this.Items.add(new CustomListItem(nNumber, strInfo5, strInfo1, strInfo2, strInfo3, strInfo4, strDisplayName, strPath, nSize, EXTHeader.DEFAULT_VALUE));
                cursor.moveToNext();
                nNumber++;
            }
            cursor.close();
            if (this.lvf_txt != null) {
                this.Adapter.notifyDataSetChanged();
                if (this.mlvList.getFooterViewsCount() > 0) {
                    this.mlvList.removeFooterView(this.lvfooter);
                    String strCnt = EXTHeader.DEFAULT_VALUE;
                    this.lvf_txt.setText(String.format("%s %d %s", new Object[]{getResources().getString(C0181R.string.pl_total), Integer.valueOf(this.Items.size()), getResources().getString(C0181R.string.pl_songs)}));
                    this.mlvList.addFooterView(this.lvfooter, null, false);
                }
            }
            return true;
        }
        cursor.close();
        return false;
    }

    private boolean GetLPL() {
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        String strThumbPath = EXTHeader.DEFAULT_VALUE;
        String strQuery = EXTHeader.DEFAULT_VALUE;
        Cursor cursor = this.mCr.query(Media.EXTERNAL_CONTENT_URI, null, "_size<= 4.295E+9", null, "date_added DESC limit 100");
        if (cursor == null) {
            return false;
        } else if (cursor.moveToFirst()) {
            long nTotalSize = 0;
            r7 = strInfo5;
            while (!cursor.isAfterLast()) {
                int nColumnIdx = cursor.getColumnIndex("_display_name");
                if (nColumnIdx >= 0) {
                    strDisplayName = cursor.getString(nColumnIdx);
                    nColumnIdx = cursor.getColumnIndex("artist");
                    if (nColumnIdx >= 0) {
                        strInfo1 = cursor.getString(nColumnIdx);
                        nColumnIdx = cursor.getColumnIndex("album");
                        if (nColumnIdx >= 0) {
                            strInfo2 = cursor.getString(nColumnIdx);
                            nColumnIdx = cursor.getColumnIndex("_id");
                            if (nColumnIdx >= 0) {
                                strInfo3 = cursor.getString(nColumnIdx);
                                nColumnIdx = cursor.getColumnIndex("mime_type");
                                if (nColumnIdx >= 0) {
                                    strInfo4 = cursor.getString(nColumnIdx);
                                    nColumnIdx = cursor.getColumnIndex("title");
                                    if (nColumnIdx < 0) {
                                        r7 = strDisplayName;
                                    } else {
                                        r7 = cursor.getString(nColumnIdx);
                                        if (r7 == null) {
                                            r7 = strDisplayName;
                                        } else if (r7.length() <= 0) {
                                            r7 = strDisplayName;
                                        }
                                    }
                                    nColumnIdx = cursor.getColumnIndex("_data");
                                    if (nColumnIdx >= 0) {
                                        strPath = cursor.getString(nColumnIdx);
                                        nColumnIdx = cursor.getColumnIndex("_size");
                                        if (nColumnIdx >= 0) {
                                            long nSize = cursor.getLong(nColumnIdx);
                                            nTotalSize += nSize;
                                            if (((double) nTotalSize) > 8.3752E9d) {
                                                break;
                                            }
                                            this.Items.add(new CustomListItem(0, r7, strInfo1, strInfo2, strInfo3, strInfo4, strDisplayName, strPath, nSize, EXTHeader.DEFAULT_VALUE));
                                            cursor.moveToNext();
                                        } else {
                                            cursor.close();
                                            return false;
                                        }
                                    }
                                    cursor.close();
                                    return false;
                                }
                                cursor.close();
                                return false;
                            }
                            cursor.close();
                            return false;
                        }
                        cursor.close();
                        return false;
                    }
                    cursor.close();
                    return false;
                }
                cursor.close();
                return false;
            }
            cursor.close();
            if (this.lvf_txt != null) {
                this.Adapter.notifyDataSetChanged();
                if (this.mlvList.getFooterViewsCount() > 0) {
                    this.mlvList.removeFooterView(this.lvfooter);
                    String strCnt = EXTHeader.DEFAULT_VALUE;
                    this.lvf_txt.setText(String.format("%s %d %s", new Object[]{getResources().getString(C0181R.string.pl_total), Integer.valueOf(this.Items.size()), getResources().getString(C0181R.string.pl_songs)}));
                    this.mlvList.addFooterView(this.lvfooter, null, false);
                }
            }
            return true;
        } else {
            cursor.close();
            r7 = strInfo5;
            return false;
        }
    }

    public boolean onRead() {
        String strQuery = EXTHeader.DEFAULT_VALUE;
        String strDisplayName = EXTHeader.DEFAULT_VALUE;
        String strInfo1 = EXTHeader.DEFAULT_VALUE;
        String strInfo2 = EXTHeader.DEFAULT_VALUE;
        String strInfo3 = EXTHeader.DEFAULT_VALUE;
        String strInfo4 = EXTHeader.DEFAULT_VALUE;
        String strInfo5 = EXTHeader.DEFAULT_VALUE;
        String strPath = EXTHeader.DEFAULT_VALUE;
        this.mCursor = null;
        this.mCursor = this.mDBManager.onSelect("SELECT * FROM `" + this.strTableName + "` ORDER BY `number`");
        if (this.mCursor == null) {
            return false;
        }
        if (this.mCursor.moveToFirst()) {
            int nNumber = 0;
            while (!this.mCursor.isAfterLast()) {
                int nIdx = this.mCursor.getInt(this.mCursor.getColumnIndex("idx"));
                CustomListItem Item = new CustomListItem(nNumber, this.mCursor.getString(this.mCursor.getColumnIndex("display_name")), this.mCursor.getString(this.mCursor.getColumnIndex("info1")), this.mCursor.getString(this.mCursor.getColumnIndex("info2")), this.mCursor.getString(this.mCursor.getColumnIndex("info3")), this.mCursor.getString(this.mCursor.getColumnIndex("info4")), this.mCursor.getString(this.mCursor.getColumnIndex("info5")), this.mCursor.getString(this.mCursor.getColumnIndex("path")), (long) this.mCursor.getInt(this.mCursor.getColumnIndex("size")), EXTHeader.DEFAULT_VALUE);
                Item.setIdx(nIdx);
                this.Items.add(Item);
                this.mCursor.moveToNext();
                nNumber++;
            }
            this.mCursor.close();
            this.mDBManager.onSync(this.strTableName);
            return true;
        }
        this.mCursor.close();
        return false;
    }

    public static void recursiveRecycle(View root) {
        if (root != null) {
            root.setBackgroundDrawable(null);
            if (root instanceof ViewGroup) {
                ViewGroup group = (ViewGroup) root;
                int count = group.getChildCount();
                for (int i = 0; i < count; i++) {
                    recursiveRecycle(group.getChildAt(i));
                }
                if (!(root instanceof AdapterView)) {
                    group.removeAllViews();
                }
            }
            if (root instanceof ImageView) {
                ((ImageView) root).setImageDrawable(null);
            }
        }
    }

    private void clearApplicationCache(File dir) {
        if (dir == null) {
            dir = getCacheDir();
        }
        if (dir != null) {
            File[] children = dir.listFiles();
            int i = 0;
            while (i < children.length) {
                try {
                    if (children[i].isDirectory()) {
                        clearApplicationCache(children[i]);
                    } else {
                        children[i].delete();
                    }
                    i++;
                } catch (Exception e) {
                    return;
                }
            }
        }
    }
}
