package org.teleal.cling.binding.xml;

import org.teleal.cling.model.ValidationException;
import org.teleal.cling.model.meta.Service;
import org.w3c.dom.Document;

public interface ServiceDescriptorBinder {
    Document buildDOM(Service service) throws DescriptorBindingException;

    <T extends Service> T describe(T t, String str) throws DescriptorBindingException, ValidationException;

    <T extends Service> T describe(T t, Document document) throws DescriptorBindingException, ValidationException;

    String generate(Service service) throws DescriptorBindingException;
}
