package org.teleal.cling.model;

import java.lang.reflect.Method;

public final class ClingLog {
    private static Class LogC = null;
    private static Method LogI = null;

    private ClingLog() {
    }

    public static int m22i(String tag, String msg) {
        if (LogI == null) {
            ClassLoader cl = Thread.currentThread().getContextClassLoader();
            try {
                Class log = Class.forName("android.util.Log");
                if (log != null) {
                    LogI = log.getMethod("i", new Class[]{String.class, String.class});
                    LogC = log;
                }
            } catch (Exception e) {
                LogI = null;
                LogC = null;
            }
        }
        if (LogI != null) {
            try {
                LogI.invoke(LogC, new Object[]{new String(tag), new String(msg)});
                return 0;
            } catch (Exception e2) {
            }
        }
        System.out.println(tag + ": " + msg);
        return -1;
    }
}
