package org.teleal.cling.model.message.gena;

import org.teleal.cling.model.gena.RemoteGENASubscription;
import org.teleal.cling.model.message.StreamRequestMessage;
import org.teleal.cling.model.message.UpnpRequest.Method;
import org.teleal.cling.model.message.header.SubscriptionIdHeader;
import org.teleal.cling.model.message.header.TimeoutHeader;
import org.teleal.cling.model.message.header.UpnpHeader.Type;

public class OutgoingRenewalRequestMessage extends StreamRequestMessage {
    public OutgoingRenewalRequestMessage(RemoteGENASubscription subscription) {
        super(Method.SUBSCRIBE, subscription.getEventSubscriptionURL());
        getHeaders().add(Type.SID, new SubscriptionIdHeader(subscription.getSubscriptionId()));
        getHeaders().add(Type.TIMEOUT, new TimeoutHeader(subscription.getRequestedDurationSeconds()));
    }
}
