package org.teleal.cling.model.message.gena;

import org.teleal.cling.model.gena.RemoteGENASubscription;
import org.teleal.cling.model.message.StreamRequestMessage;
import org.teleal.cling.model.message.UpnpRequest.Method;
import org.teleal.cling.model.message.header.SubscriptionIdHeader;
import org.teleal.cling.model.message.header.UpnpHeader.Type;

public class OutgoingUnsubscribeRequestMessage extends StreamRequestMessage {
    public OutgoingUnsubscribeRequestMessage(RemoteGENASubscription subscription) {
        super(Method.UNSUBSCRIBE, subscription.getEventSubscriptionURL());
        getHeaders().add(Type.SID, new SubscriptionIdHeader(subscription.getSubscriptionId()));
    }
}
