package org.teleal.cling.model.message.header;

public class RootDeviceHeader extends UpnpHeader<String> {
    public RootDeviceHeader() {
        setValue("upnp:rootdevice");
    }

    public void setString(String s) throws InvalidHeaderException {
        if (!s.toLowerCase().equals(getValue())) {
            throw new InvalidHeaderException("Invalid root device NT header value: " + s);
        }
    }

    public String getString() {
        return (String) getValue();
    }
}
