package org.teleal.cling.model.message.header;

import org.teleal.cling.model.types.NotificationSubtype;

public class STAllHeader extends UpnpHeader<NotificationSubtype> {
    public STAllHeader() {
        setValue(NotificationSubtype.ALL);
    }

    public void setString(String s) throws InvalidHeaderException {
        if (!s.equals(NotificationSubtype.ALL.getHeaderString())) {
            throw new InvalidHeaderException("Invalid ST header value (not " + NotificationSubtype.ALL + "): " + s);
        }
    }

    public String getString() {
        return ((NotificationSubtype) getValue()).getHeaderString();
    }
}
