package org.teleal.cling.model.state;

import java.lang.reflect.Field;
import org.teleal.common.util.Reflections;

public class FieldStateVariableAccessor extends StateVariableAccessor {
    protected Field field;

    public FieldStateVariableAccessor(Field field) {
        this.field = field;
    }

    public Field getField() {
        return this.field;
    }

    public Class<?> getReturnType() {
        return getField().getType();
    }

    public Object read(Object serviceImpl) throws Exception {
        return Reflections.get(this.field, serviceImpl);
    }

    public String toString() {
        return super.toString() + " Field: " + getField();
    }
}
