package org.teleal.cling.model.types;

import org.teleal.cling.model.message.header.EXTHeader;

public class CharacterDatatype extends AbstractDatatype<Character> {
    public boolean isHandlingJavaType(Class type) {
        return type == Character.TYPE || Character.class.isAssignableFrom(type);
    }

    public Character valueOf(String s) throws InvalidValueException {
        if (s.equals(EXTHeader.DEFAULT_VALUE)) {
            return null;
        }
        return Character.valueOf(s.charAt(0));
    }
}
