package org.teleal.cling.support.lastchange;

import java.util.Map.Entry;
import org.teleal.cling.model.types.Datatype;
import org.teleal.cling.model.types.Datatype.Builtin;

public class EventedValueShort extends EventedValue<Short> {
    public EventedValueShort(Short value) {
        super((Object) value);
    }

    public EventedValueShort(Entry<String, String>[] attributes) {
        super((Entry[]) attributes);
    }

    protected Datatype getDatatype() {
        return Builtin.I2_SHORT.getDatatype();
    }
}
