package org.teleal.cling.support.lastchange;

import java.util.Map.Entry;
import org.teleal.cling.model.types.Datatype;
import org.teleal.cling.model.types.Datatype.Builtin;
import org.teleal.cling.model.types.UnsignedIntegerFourBytes;

public class EventedValueUnsignedIntegerFourBytes extends EventedValue<UnsignedIntegerFourBytes> {
    public EventedValueUnsignedIntegerFourBytes(UnsignedIntegerFourBytes value) {
        super((Object) value);
    }

    public EventedValueUnsignedIntegerFourBytes(Entry<String, String>[] attributes) {
        super((Entry[]) attributes);
    }

    protected Datatype getDatatype() {
        return Builtin.UI4.getDatatype();
    }
}
