package org.teleal.cling.support.model;

public enum BrowseFlag {
    METADATA("BrowseMetadata"),
    DIRECT_CHILDREN("BrowseDirectChildren");
    
    private String protocolString;

    private BrowseFlag(String protocolString) {
        this.protocolString = protocolString;
    }

    public String toString() {
        return this.protocolString;
    }

    public static BrowseFlag valueOrNullOf(String s) {
        for (BrowseFlag browseFlag : values()) {
            if (browseFlag.toString().equals(s)) {
                return browseFlag;
            }
        }
        return null;
    }
}
