package org.teleal.cling.support.model;

public enum RecordMediumWriteStatus {
    WRITABLE,
    PROTECTED,
    NOT_WRITABLE,
    UNKNOWN,
    NOT_IMPLEMENTED;

    public static RecordMediumWriteStatus valueOrUnknownOf(String s) {
        try {
            return valueOf(s);
        } catch (IllegalArgumentException e) {
            return UNKNOWN;
        }
    }
}
