package org.teleal.cling.support.model;

public enum TransportStatus {
    OK,
    ERROR_OCCURED,
    CUSTOM;
    
    String value;

    public String getValue() {
        return this.value;
    }

    public TransportStatus setValue(String value) {
        this.value = value;
        return this;
    }

    public static TransportStatus valueOrCustomOf(String s) {
        try {
            return valueOf(s);
        } catch (IllegalArgumentException e) {
            return CUSTOM.setValue(s);
        }
    }
}
