package org.teleal.common.swingfwk;

import java.util.HashSet;
import java.util.Set;

public class DefaultEvent<PAYLOAD> implements Event {
    Set<Controller> firedInControllers = new HashSet();
    PAYLOAD payload;

    public DefaultEvent(PAYLOAD payload) {
        this.payload = payload;
    }

    public PAYLOAD getPayload() {
        return this.payload;
    }

    public void setPayload(PAYLOAD payload) {
        this.payload = payload;
    }

    public void addFiredInController(Controller seenController) {
        this.firedInControllers.add(seenController);
    }

    public boolean alreadyFired(Controller controller) {
        return this.firedInControllers.contains(controller);
    }
}
