package org.teleal.common.swingfwk;

import javax.swing.event.TreeModelListener;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

public class NodeTreeModel implements TreeModel {
    private Node rootNode;
    private Node selectedNode;

    public NodeTreeModel(Node rootNode) {
        this.rootNode = rootNode;
    }

    public Object getRoot() {
        return this.rootNode;
    }

    public boolean isLeaf(Object object) {
        return ((Node) object).getChildren().size() == 0;
    }

    public int getChildCount(Object parent) {
        return ((Node) parent).getChildren().size();
    }

    public Object getChild(Object parent, int i) {
        return ((Node) parent).getChildren().get(i);
    }

    public int getIndexOfChild(Object parent, Object child) {
        if (parent == null || child == null) {
            return -1;
        }
        return ((Node) parent).getChildren().indexOf(child);
    }

    public void valueForPathChanged(TreePath path, Object newvalue) {
    }

    public void addTreeModelListener(TreeModelListener l) {
    }

    public void removeTreeModelListener(TreeModelListener l) {
    }
}
