package org.teleal.common.xhtml;

import javax.xml.xpath.XPath;
import org.teleal.common.xhtml.XHTML.ATTR;
import org.w3c.dom.Element;

public class Anchor extends XHTMLElement {
    public Anchor(XPath xpath, Element element) {
        super(xpath, element);
    }

    public String getType() {
        return getAttribute(ATTR.type);
    }

    public Anchor setType(String type) {
        setAttribute(ATTR.type, type);
        return this;
    }

    public Href getHref() {
        return Href.fromString(getAttribute(ATTR.href));
    }

    public Anchor setHref(String href) {
        setAttribute(ATTR.href, href);
        return this;
    }

    public String toString() {
        return "(Anchor) " + getAttribute(ATTR.href);
    }
}
